Welcome to Flash Help!

Словарь ActionScript

р у с с к а я р е д а к ц и я

Перевод © ruFlash


Словарь ActionScript, введение > Краткий обзор

Словарь ActionScript: Краткий обзор

Эта часть документации описывает синтаксис и использование элементов ActionScript в Macromedia Flash MX. Чтобы использовать примеры в своем скрипте, скопируйте текст с соответствующей страницы словаря ActionScript и вставьте его в панель Actions в режиме Expert Mode.

Словарь содержит все элементы языка ActionScript: операторы, ключевые слова, выражения, команды, свойства, функции, объекты, компоненты и методы. Чтобы ознакомиться со всем этим более подробно, смотрите Содержание словаря, находящиеся там таблицы, прекрасный отправной пункт для поиска операторов, методов и объектов, которых вы не знаете.

ActionScript соответствует стандарту ECMA-262 (спецификации написанной Европейской Ассоциацией Производителей Компьютеров), при условии, что нет других пометок. Некоторые Flash 5 (и ранее) элементы ActionScript устарели и заменены новыми элементами ActionScript, соответствующими ECMA стандарту. Не смотря на то, что старые элементы поддерживаются новым Flash Player, рекомендуется использовать новые Flash MX элементы.

В словаре два типа статей:

Отдельные статьи для операторов, ключевых слов, функций, переменных, свойств, методов и выражений

Статьи об объектах и компонентах, описывающие основные подробности предопределённых объектов и Flash компонентов

Используйте информацию данной главы справки, для понимания структуры и принятых соглашений для этих двух типов статей.


Sample entry for most ActionScript elements

Словарь ActionScript, введение > Типовые заголовки для большинства элементов ActionScript

Типовые заголовки для большинства элементов ActionScript

В следующих примерах типовых заголовков объясняются принятые соглашения для всех элементов ActionScript, не являющихся объектами или компонентами.

Заголовки

Все статьи словаря расположены в алфавитном порядке. Регистр, символ подчёркивания в начале и т.д. в расчёт не принимаются.

Доступность

Этот раздел содержит информацию о том, какие версии Flash Player поддерживают данный элемент. Не путать с версией Flash-редактора, используемого для создания содержимого. Например, если вы создаёте содержимое для Flash Player 5, используя при этом инструменты Flash MX, вы не сможете использовать те элементы ActionScript, которые не доступны во Flash Player 5.

Синтаксис

Раздел содержит правильный синтаксис элементов ActionScript для вашего кода. Часть кода синтаксиса выделена монотипным шрифтом, а аргументы, которые можно назначать, монотипным курсивом [ 1 ]. Необязательные аргументы заключены в скобки [].

Параметры

Этот раздел содержит описание всех аргументов, указанных в разделе синтаксиса.

Возвращается

Этот раздел информирует о том, что пользователь получает на "выходе"

Описание

В этом разделе указывается тип элемента (например оператор, метод, функция и т.д.) и объясняется, как он используется.

Пример

Этот раздел содержит примеры кодов, показывающие, как использовать элемент.

См. также

Этот раздел содержит ссылки на статьи словаря ActionScript, относящиеся к данной теме.

От редактора:

  1. Если Вам не нравится внешний вид справки в броузере, можете отредактировать файлы с описанием каскадных стилей (.css) по своему вкусу. Эти файлы находятся в той же директории, что и HTML-файлы справки.


Sample entry for objects and components

Словарь ActionScript, введение > Типовые заголовки для объектов и компонентов

Типовые заголовки для объектов и компонентов

В следующих примерах типовых заголовков объясняются принятые соглашения для предопределённых объектов ActionScript и компонентов. Объекты и компоненты перечислены в алфавитном порядке, наряду с другими элементами словаря. Flash компоненты обозначены как FCheckBox, FComboBox и т.п.

Заголовок статьи

Заголовок статьи, это имя объекта или компонента. За ним следует параграф, содержащий общую информацию об объекте.

Сводные таблицы методов и свойств

Каждая статья с описанием объекта или компонента содержит таблицу со всеми относящимися к ним методами. Если объект или компонент имеет свойства (часто константы), то эти элементы приводятся в дополнительной таблице. Все методы и свойства, приводимые в таких таблицах, также имеют свои собственные словарные статьи, которые следуют за статьей с описанием объекта или компонента.

Конструктор

Если объект или компонент требует использования конструктора для получения доступа к его свойствам и методам, конструктор описывается в конце статьи. Это описание включает все стандартные элементы других словарных статей (синтаксис, описание и т.п.).

Список методов и свойств

Методы и свойства объекта или компонента приведены в алфавитном порядке после статьи с описанием объекта или компонента.


Contents of the dictionary

Словарь ActionScript, введение > Содержание словаря

Содержание словаря

Все словарные статьи приведены в алфавитном порядке. Однако, некоторые операторы являются символьными (не буквы) и приведены в виде соответствующих ASCII символов. Кроме того, методы, относящиеся к объектам или компрнентам, приведены вместе с именами этих объектов или компрнентов - например, метод abs объекта "Math", как Math.abs, а метод getValue компонента FRadioButton, как FRadioButton.getValue.

Следующие две таблицы помогут вам найти такие элементы. В первой таблице представлены символьные операторы в том порядке, в котором они расположены в словаре, во второй - все другие элементы ActionScript.

Примечание: информацию о старшинстве и ассоциативности операторов см. в приложении А, Список операторов

Символьные операторы |
-- | -- (decrement)
++ | ++ (increment)
! | ! (logical NOT)
!= | != (inequality)
!== | !== (strict inequality)
% | % (modulo)
%= | %= (modulo assignment)
& | & (bitwise AND)
&& | && (short-circuit AND)
&= | &= (bitwise AND assignment)
() | () (parentheses)
- | - (minus)
* | * (multiplication)
*= | *= (multiplication assignment)
, | , (comma)
. | . (dot)
?: | ?: (conditional)
/ | / (division)
// | // (comment delimiter)
/* | /* (comment delimiter)
/= | /= (division assignment)
[] | [] (array access)
^ | ^(bitwise XOR)
^= | ^= (bitwise XOR assignment)
{} | {} (object initializer)
| | | (bitwise OR)
|| | || (logical OR)
|= | |= (bitwise OR assignment)
~ | ~ (bitwise NOT)
+ | + (addition)
+= | += (addition assignment)
< | < (less than)
<< | << (bitwise left shift)
<<= | <<= (bitwise left shift and assignment)
<= | <= (less than or equal to)
<> | <> (inequality)
= | = (assignment)
-= | -= (subtraction assignment)
== | == (equality)
=== | === (strict equality)
> | > (greater than)
>= | >= (greater than or equal to)
>> | >> (bitwise right shift)
>>= | >>= (bitwise right shift and assignment)
>>> | >>> (bitwise unsigned right shift)
>>>= | >>>= (bitwise unsigned right shift and assignment)

.

В следующей таблице приведены все элементы ActionScript, не являющиеся операторами.

ActionScript элемент | См. статью
abs | Math.abs
acos | Math.acos
add | add
addItem | FComboBox.addItem, FListBox.addItem
addItemAt | FComboBox.addItemAt, FListBox.addItem
addListener | FStyleFormat.addListener, Key.addListener, Mouse.addListener, Selection.addListener, Stage.addListener, TextField.addListener
addProperty | Object.addProperty
and | and
align | Stage.align, TextFormat.align
_alpha | MovieClip._alpha, Button._alpha, TextField._alpha
appendChild | XML.appendChild
apply | Function.apply
applyChanges | FStyleFormat.applyChanges
Arguments | arguments (object)
Array | Array (object)
arrow | FStyleFormat.arrow
asfunction | asfunction
asin | Math.asin
atan | Math.atan
atan2 | Math.atan2
attachMovie | MovieClip.attachMovie
attachSound | Sound.attachSound
attributes | XML.attributes
autosize | TextField.autoSize
background | FStyleFormat.background, TextField.background
backgroundColor | TextField.backgroundColor
backgroundDisabled | FStyleFormat.backgroundDisabled
BACKSPACE | Key.BACKSPACE
beginFill | MovieClip.beginFill
beginGradientFill | MovieClip.beginGradientFill
blockIndent | TextFormat.blockIndent
bold | TextFormat.bold
Boolean | Boolean (function), Boolean (object)
border | TextField.border
borderColor | TextField.borderColor
bottomScroll | TextField.bottomScroll
break | break
bullet | TextFormat.bullet
Button | Button (object)
call | call, Function.call
call function | call function
callee | arguments.callee
caller | arguments.caller
capabilities | System.capabilities (object)
CAPSLOCK | Key.CAPSLOCK
case | case
ceil | Math.ceil
charAt | String.charAt
charCodeAt | String.charCodeAt
check | FStyleFormat.check
childNodes | XML.childNodes
chr | chr
clear | MovieClip.clear
clearInterval | clearInterval
cloneNode | XML.cloneNode
close | XMLSocket.close
Color | Color (object), TextFormat.color
concat | Array.concat, String.concat
connect | XMLSocket.connect
constructor | Array (object), Boolean (object), Color (object), Date (object), Number (function), Object (object), Sound (object), String (object), XML (object), XMLSocket (object)
contentType | LoadVars.contentType, XML.contentType
ccntinue | continue
CONTROL | Key.CONTROL
cos | Math.cos
createElement | XML.createElement
createEmptyMovieClip | MovieClip.createEmptyMovieClip
createTextField | MovieClip.createTextField
createTextNode | XML.createTextNode
_currentframe | MovieClip._currentframe
curveTo | MovieClip.curveTo
Date | Date (object)
darkshadow | FStyleFormat.darkshadow
default | default
delete | delete
DELETEKEY | Key.DELETEKEY
docTypeDecl | XML.docTypeDecl
do while | do while
DOWN | Key.DOWN
_droptarget | MovieClip._droptarget
duplicateMovieClip | duplicateMovieClip, MovieClip.duplicateMovieClip
duration | Sound.duration
E | Math.E
#endinitclip | #endinitclip
else | else
else if | else if
embedFonts | TextField.embedFonts
enab led | Button.enabled, MovieClip.enabled
END | Key.END
endFill | MovieClip.endFill
ENTER | Key.ENTER
eq | eq (equal—string specific)
escape (function) | escape
ESCAPE (constant) | Key.ESCAPE
eval | eval
evaluate | evaluate
exp | Math.exp
face | FStyleFormat.face
false | false
FCheckBox | FCheckBox (component)
FComboBox | FListBox (component)
firstChild | XML.firstChild
FListBox | FListBox (component)
floor | Math.floor
focusEnabled | MovieClip.focusEnabled
_focusrect | _focusrect, Button._focusrect, TextField._focusrect, MovieClip._focusrect
font | TextFormat.font
for | for
for..in | for..in
foregroundDisabled | FStyleFormat.foregroundDisabled
FPushButton | FPushButton (component)
FRadioButton | FPushButton (component)
_framesloaded | MovieClip._framesloaded
fromCharCode | String.fromCharCode
fscommand | fscommand
FScrollBar | FScrollBar (component)
FScrollPane | FScrollPane (component)
FStyleFormat | FStyleFormat (object)
function | function, Function (object)
ge | ge (greater than or equal to—string specific)
get | CustomActions.get
getAscii | Key.getAscii
getBeginIndex | Selection.getBeginIndex
getBounds | MovieClip.getBounds
getBytesLoaded | LoadVars.getBytesLoaded, MovieClip.getBytesLoaded, Sound.getBytesLoaded, XML.getBytesLoaded
getBytesTotal | LoadVars.getBytesTotal, MovieClip.getBytesTotal, Sound.getBytesTotal, XML.getBytesTotal
getCaretIndex | Selection.getCaretIndex
getCode | Key.getCode
getData | FRadioButton.getData
getDate | Date.getDate
getDay | Date.getDay
getDepth | Button.getDepth, MovieClip.getDepth, TextField.getDepth
getEnabled | FCheckBox.getEnabled, FComboBox.getEnabled, FListBox.getEnabled, FPushButton.getEnabled, FRadioButton.getEnabled, FScrollBar.getEnabled
getEndIndex | Selection.getEndIndex
getFocus | Selection.getFocus
getFontList | TextField.getFontList
getFullYear | Date.getFullYear
getHours | Date.getHours
getItemAt | FComboBox.getItemAt, FListBox.addItemAt
getLabel | FCheckBox.getLabel, FPushButton.getLabel, FRadioButton.getLabel
getLength | FComboBox.getLength, FListBox.getLength
getMilliseconds | Date.getMilliseconds
getMinutes | Date.getMinutes
getMonth | Date.getMonth
getNewTextFormet | TextField.getNewTextFormat
getPan | Sound.getPan
getPaneHeight | FScrollPane.getPaneHeight
getPaneWidth | FScrollPane.getPaneWidth
getProperty | getProperty
getRowCount | FComboBox.getRowCount, FListBox.getRowCount
getRGB | Color.getRGB
getScrollContent | FScrollPane.getScrollContent
getScrollPosition | FComboBox.getScrollPosition, FListBox.getScrollPosition, FScrollBar.getScrollPosition, FScrollPane.getScrollPosition
getSeconds | Date.getSeconds
getSelectedIndex | FComboBox.getSelectedIndex, FListBox.getSelectedIndex
getSelectedIndices | FListBox.getSelectedIndices
getSelectedItem | FComboBox.getSelectedItem, FListBox.getSelectedItem
getSelectedItems | FListBox.getSelectedItem
getSelectMultiple | FListBox.getSelectMultiple
getState | FRadioButton.getState
getTextExtent | TextFormat.getTextExtent
getTextFormat | TextField.getTextFormat
getTime | Date.getTime
getTimer | getTimer
getTimezoneOffset | Date.getTimezoneOffset
getTransform | Color.getTransform, Sound.getTransform
getURL | getURL, MovieClip.getURL
getUTCDate | Date.getUTCDate
getUTCDay | Date.getUTCDay
getUTCFullYear | Date.getUTCFullYear
getUTCHours | Date.getUTCHours
getUTCMilliseconds | Date.getUTCMilliseconds
getUTCMinutes | Date.getUTCMinutes
getUTCMonth | Date.getUTCMonth
getUTCSeconds | Date.getUTCSeconds
getValue | FCheckBox.getValue, FComboBox.getValue, FListBox.getValue, FRadioButton.getValue
getVersion | getVersion
getVolume | Sound.getVolume
getYear | Date.getYear
_global | _global
globalStyleFormat | globalStyleFormat
globalToLocal | MovieClip.globalToLocal
goto | gotoAndPlay, gotoAndStop
gotoAndPlay | gotoAndPlay, MovieClip.gotoAndPlay
gotoAndStop | gotoAndStop, MovieClip.gotoAndStop
gt | gt (greater than —string specific)
hasAccessibility | System.capabilities.hasAccessibility
hasAudio | System.capabilities.hasAudio
hasAudioEncoder | System.capabilities.hasMP3
hasMP3 | System.capabilities.hasMP3
hasVideoEncoder | System.capabilities.language
hasChildNodes | XML.hasChildNodes
height | Stage.height
_height | MovieClip._height, TextField._height, Button._height
hide | Mouse.hide
highlight | FStyleFormat.highlight
highlight3D | FStyleFormat.highlight3D
_highquality | _highquality, Button._highquality, MovieClip._highquality, TextField._highquality
hitArea | MovieClip.hitArea
hitTest | MovieClip.hitTest
HOME | Key.HOME
hscroll | TextField.hscroll
html | TextField.html
htmlText | TextField.htmlText
if | if
ifFrameLoaded | ifFrameLoaded
ignoreWhite | XML.ignoreWhite
#include | #include
indent | TextFormat.indent
indexOf | String.indexOf
#initclip | #initclip
INSERT | Key.INSERT
insertBefore | XML.insertBefore
install | CustomActions.install
instanceof | instanceof
int | int
isActive | Accessibility.isActive
isDown | Key.isDown
isFinite | isFinite
isNaN | isNaN
isToggled | Key.isToggled
italic | TextFormat.italic
join | Array.join
Key | Key (object)
language | System.capabilities.language
lastChild | XML.lastChild
lastIndexOf | String.lastIndexOf
le | le (less than or equal to — string specific)
leading | TextFormat.leading
LEFT | Key.LEFT
leftMargin | TextFormat.leftMargin
length | arguments.length, Array.length, String.length, Sound.loadSound, TextField.length
level | _level
lineStyle | MovieClip.lineStyle
lineTo | MovieClip.lineTo
list | CustomActions.uninstall
LN2 | Math.LN2
LN10 | Math.LN10
load | XML.load, LoadVars.load
loaded | XML.loaded, LoadVars.loaded
loadMovie | loadMovie, MovieClip.loadMovie
loadMovieNum | loadMovieNum
loadScrollContent | FScrollPane.loadScrollContent
loadSound | Sound.loadSound
loadVariables | loadVariables, MovieClip.loadVariables
loadVariablesNum | loadVariablesNum
LoadVars | LoadVars (object)
localToGlobal | MovieClip.localToGlobal
log | Math.log
LOG2E | Math.LOG2E
LOG10E | Math.LOG10E
lt | lt (less than — string specific)
manufacturer | System.capabilities.manufacturer
Math | Math (object)
max | Math.max
maxChars | TextField.maxChars
maxhscroll | TextField.maxhscroll
maxscroll | maxscroll, TextField.maxscroll
MAX_VALUE | Number.MAX_VALUE
mbchr | mbchr
mblength | mblength
mbord | mbord
mbsubstring | mbsubstring
method | method
min | Math.min
MIN_VALUE | Number.MIN_VALUE
Mouse | Mouse (object)
moveTo | MovieClip.moveTo
MovieClip | MovieClip (object)
multiline | TextField.multiline
_name | MovieClip._name, TextField._name, Button._name
NaN | NaN, Number.NaN
ne | ne (not equal — string specific)
NEGATIVE_INFINITY | Number.NEGATIVE_INFINITY
new (operator) | new
newline | newline
nextFrame | nextFrame, MovieClip.nextFrame
nextScene | nextScene
nextSibling | XML.nextSibling
nodeName | XML.nodeName
nodeType | XML.nodeType
nodeValue | XML.nodeValue
not | not
null | null
Number | Number (function), Number (object)
Object | Object (object)
on | on
onClipEvent | onClipEvent
onClose | XMLSocket.onClose
onChanged | TextField.onChanged
onConnect | XMLSocket.onConnect
onData | XML.onData, XMLSocket.onData
onDragOut | Button.onDragOut, MovieClip.onDragOut
onDragOver | Button.onDragOver, MovieClip.onDragOver
onEnterFrame | MovieClip.onEnterFrame
onKeyDown | Button.onKeyDown, Key.onKeyDown, MovieClip.onKeyDown
onKeyUp | Button.onKeyUp, Key.onKeyUp, MovieClip.onKeyUp
onKillFocus | Button.onKillFocus, MovieClip.onKillFocus, TextField.onKillFocus
onLoad | LoadVars.onLoad, MovieClip.onLoad, Sound.onLoad, XML.onLoad
onMouseDown | Mouse.onMouseDown, MovieClip.onMouseDown
onMouseMove | Mouse.onMouseMove, MovieClip.onMouseMove
onMouseUp | Mouse.onMouseUp, MovieClip.onMouseUp
onPress | Button.onPress, MovieClip.onPress
onRelease | Button.onRelease, MovieClip.onRelease
onReleaseOutisde | Button.onReleaseOutside, MovieClip.onReleaseOutside
onResize | Stage.onResize
onRollOut | Button.onRollOut
onRollOver | Button.onRollOver
onScroller | TextField.onScroller
onSetFocus | Button.onSetFocus, MovieClip.onSetFocus, Selection.onSetFocus, TextField.onSetFocus
onSort | Array.pop
onSoundComplete | Sound.onSoundComplete
onUnload | MovieClip.onUnload
onXML | XMLSocket.onXML
or (logical OR) | or
ord | ord
os | System.capabilities.os
_parent | _parent, Button._parent, MovieClip._parent, TextField._parent
parentNode | XML.parentNode
parseFloat | parseFloat
parseInt | parseInt
parseXML | XML.parseXML
password | TextField.password
PGDN | Key.PGDN
PGUP | Key.PGUP
PI | Math.PI
pixelAspectRatio | System.capabilities.pixelAspectRatio
play | play, MovieClip.play
pop | Array.pop
position | Sound.position
POSITIVE_INFINITY | Number.POSITIVE_INFINITY
pow | Math.pow
prevFrame | prevFrame, MovieClip.prevFrame
previousSibling | XML.previousSibling
prevScene | prevScene
print | print
printAsBitmap | printAsBitmap
printAsBitmapNum | printAsBitmapNum
printNum | printNum
__proto__ | Object.__proto__
push | Array.push
_quality | _quality, TextField._quality, Button._quality
radioDot | FStyleFormat.radioDot
random | random, Math.random
refreshPane | FScrollPane.refreshPane
registerClass | Object.registerClass
registerSkinElement | FCheckBox.registerSkinElement, FComboBox.registerSkinElement, FListBox.registerSkinElement, FPushButton.registerSkinElement, FRadioButton.registerSkinElement, FScrollPane.registerSkinElement, FScrollPane.registerSkinElement
removeAll | FComboBox.removeAll, FListBox.removeAll
removeItemAt | FComboBox.removeItemAt, FListBox.removeItemAt
removeListener | FStyleFormat.removeListener, Key.removeListener, Mouse.removeListener, Selection.removeListener, Stage.removeListener, TextField.removeListener
removeMovieClip | removeMovieClip, MovieClip.removeMovieClip
removeNode | XML.removeNode
removeTextField | TextField.removeTextField
replaceItemAt | FComboBox.replaceItemAt, FListBox.replaceItemAt
replaceSel | TextField.replaceSel
resolutionX | Capabilities.screenResolutionX
resolutionY | Capabilities.screenResolutionY
restrict | TextField.restrict
return | return
reverse | Array.reverse
RIGHT | Key.RIGHT
rightMargin | TextFormat.rightMargin
_root | _root
_rotation | MovieClip._rotation, Button._rotation, TextField._rotation
round | Math.round
scaleMode | Stage.scaleMode
screenColor | System.capabilities.screenColor
screenDPI | System.capabilities.screenDPI
screenResolution.x | System.capabilities.screenResolution.x
screenResolution.y | System.capabilities.screenResolution.y
scroll | scroll, TextField.scroll
scrollTrack | FStyleFormat.scrollTrack
selectable | TextField.selectable
selection | FStyleFormat.selection
Selection | Selection (object)
selectionDisabled | FStyleFormat.selectionDisabled
selectionUnfocused | FStyleFormat.selectionUnfocused
send | LoadVars.send, XML.send, XMLSocket.send
sendAndLoad | LoadVars.sendAndLoad, XML.sendAndLoad
set variable | set variable
setAutoHideScrollBar | FListBox.setAutoHideScrollBar
setChangeHandler | FCheckBox.setChangeHandler, FComboBox.setChangeHandler, FListBox.setChangeHandler, FRadioButton.setChangeHandler, FScrollBar.setChangeHandler
setClickHandler | FPushButton.setClickHandler
setData | FRadioButton.setData
setDataProvider | FComboBox.setDataProvider, FListBox.setDataProvider
setDate | Date.setDate
setDragContent | FScrollPane.setDragContent
setEditable | FComboBox.setEditable
setEnabled | FCheckBox.setEnabled , FComboBox.setEnabled, FListBox.setEnabled, FPushButton.setEnabled, FRadioButton.setEnabled, FScrollBar.setEnabled
setFocus | Selection.setFocus
setFullYear | Date.setFullYear
setGroupName | FRadioButton.setGroupName
setHorizontal | FScrollBar.setHorizontal
setHours | Date.setHours
setHScroll | FScrollPane.setHScroll
setInterval | setInterval
setItemSymbol | FComboBox.setItemSymbol, FListBox.setItemSymbol
setLabel | FCheckBox.setLabel, FPushButton.setLabel, FRadioButton.setLabel
setLabelPlacement | FCheckBox.setLabelPlacement, FRadioButton.setLabelPlacement
setLargeScroll | FScrollBar.setLargeScroll
setMask | MovieClip.setMask
setMilliseconds | Date.setMilliseconds
setMinutes | Date.setMinutes
setMonth | Date.setMonth
setNewTextFormat | TextField.setNewTextFormat
setPan | Sound.setPan
setProperty | setProperty
setRGB | Color.setRGB
setRowCount | FComboBox.setRowCount, FListBox.setRowCount
setScrollContent | FScrollBar.setSize, FScrollPane.setScrollContent
setScrollPosition | FListBox.setScrollPosition, FScrollBar.setScrollPosition, FScrollPane.setScrollPosition
setScrollProperties | FScrollBar.setScrollProperties
setScrollTarget | FScrollBar.setScrollTarget
setSeconds | Date.setSeconds
setSelectedIndex | FComboBox.setSelectedIndex, FListBox.setSelectedIndex
setSelectedIndices | FListBox.setSelectedIndices
setSelection | Selection.setSelection
setSelectMultiple | FListBox.setSelectMultiple
setSize | FCheckBox.setSize, FComboBox.setSize, FListBox.setSize, FPushButton.setSize, FScrollBar.setSize, FScrollPane.setSize
setSmallScroll | FScrollBar.setSmallScroll
setState | FRadioButton.setState
setStyleProperty | FCheckBox.setStyleProperty, FComboBox.setStyleProperty, FListBox.setStyleProperty, FPushButton.setStyleProperty, FRadioButton.setStyleProperty, FScrollBar.setStyleProperty, FScrollPane.setStyleProperty
setTextFormat | TextField.setTextFormat
setTime | Date.setTime
setTransform | Color.setTransform,Sound.setTransform
setUTCDate | Date.setUTCDate
setUTCFullYear | Date.setUTCFullYear
setUTCHours | Date.setUTCHours
setUTCMilliseconds | Date.setUTCMilliseconds
setUTCMinutes | Date.setUTCMinutes
setUTCMonth | Date.setUTCMonth
setUTCSeconds | Date.setUTCSeconds
setValue | FCheckBox.setValue, FComboBox.setValue,FRadioButton.setValue
setVolume | Sound.setVolume
setVScroll | FScrollPane.setVScroll
setWidth | FListBox.setWidth
setYear | Date.setYear
shadow | FStyleFormat.shadow
shift (method) | Array.shift
SHIFT (constant) | Key.SHIFT
show | Mouse.show
sin | Math.sin
size | TextFormat.size
slice | Array.slice, String.slice
sort | Array.sort
sortItemsBy | FComboBox.sortItemsBy, FListBox.sortItemsBy
Sound | Sound (object)
_soundbuftime | _soundbuftime, TextField._soundbuftime, MovieClip._soundbuftime, Button._soundbuftime
SPACE | Key.SPACE
splice | Array.splice
split | String.split
sqrt | Math.sqrt
SQRT1_2 | Math.SQRT1_2
SQRT2 | Math.SQRT2
start | Sound.start
startDrag | startDrag, MovieClip.startDrag
status | XML.status
stop | stop, MovieClip.stop, Sound.stop
stopAllSounds | stopAllSounds
stopDrag | stopDrag, MovieClip.stopDrag
String | String (function), String (object)
substr | String.substring
substring | substring, String.substring
super | super
swapDepths | MovieClip.swapDepths
switch | switch
System | System (object)
TAB | Key.TAB
tabChildren | MovieClip.tabChildren
tabEnabled | Button.tabEnabled, TextField.tabEnabled, MovieClip.tabEnabled
tabIndex | Button.tabIndex, MovieClip.tabIndex, TextField.tabIndex
tabStops | TextFormat.tabStops
tan | Math.tan
target | TextFormat.target
_target | Button._target, MovieClip._target, TextField._target
targetPath | targetPath
tellTarget | tellTarget
text | TextField.text
textAlign | FStyleFormat.textAlign
textBold | FStyleFormat.textBold
textColor | FStyleFormat.textColor, TextField.textColor
textDisabled | FStyleFormat.textDisabled
TextField | TextField (object)
textFont | FStyleFormat.textFont
TextFormat | TextFormat (object)
textHeight | TextField.textHeight
textIndent | FStyleFormat.textIndent
textItalic | FStyleFormat.textItalic
textLeftMargin | FStyleFormat.textLeftMargin
textRightMargin | FStyleFormat.textRightMargin
textSelected | FStyleFormat.textSelected
textSize | FStyleFormat.textSize
textUnderline | FStyleFormat.textUnderline
textWidth | TextField.textWidth
this | this
toggleHighQuality | toggleHighQuality
toLowerCase | String.toLowerCase
toString | Array.toString, Boolean.toString, Date.toString, Number.toString, Object.toString, XML.toString
_totalframes | MovieClip._totalframes
toUpperCase | String.toUpperCase
trace | trace
trackAsMenu | Button.trackAsMenu, MovieClip.trackAsMenu
true | true
type | TextField.type
typeof | typeof
undefined | undefined
underline | TextFormat.underline
unescape | unescape
uninstall | CustomActions.uninstall
unloadMovie | unloadMovie, MovieClip.unloadMovie
unLoadMovieNum | unloadMovieNum
unshift | Array.unshift
unwatch | Object.unwatch
UP | Key.UP
updateAfterEvent | updateAfterEvent
url | TextFormat.url
_url | MovieClip._url, TextField._url, Button._url
useHandCursor | Button.useHandCursor, MovieClip.useHandCursor
UTC | Date.UTC
valueOf | Boolean.valueOf, Number.valueOf, Object.valueOf
var | var
variable | TextField.variable
version | System.capabilities.version
_visible | MovieClip._visible, Button._visible, TextField._visible
void | void
watch | Object.watch
while | while
width | Stage.width
_width | MovieClip._width, TextField._width, Button._width
with | with
wordwrap | TextField.wordWrap
_x | Button._x, MovieClip._x, TextField._x
XML | XML (object)
xmlDecl | XML.xmlDecl
XMLSocket | XMLSocket (object)
_xmouse | Button._xmouse, MovieClip._xmouse, TextField._xmouse
_xscale | Button._xscale, MovieClip._xscale, TextField._xscale
_y | Button._y, MovieClip._y, TextField._y
_ymouse | Button._ymouse, MovieClip._ymouse, TextField._ymouse
_yscale | Button._yscale, MovieClip._yscale, TextField._yscale


-- (decrement)

Символьные операторы > -- (decrement)

-- (уменьшение)

Доступность

Flash Player 4.

Синтаксис

--expression
expression--

Параметры

Нет.

Возвращается

Ничего.

Описание

Оператор (арифметический), унарный оператор пре- и пост-декремента (уменьшения), вычитающий 1 из expression. Пре-декрементная форма, оператор (--expression) вычитает 1 из expression и возвращает результат. Пост-декрементная форма, (expression--) вычитает 1 из expression и возвращает первоначальное значение expression (результат до вычитания).

Пример

Пре-декрементная форма оператора уменьшает x до 2 (x - 1 = 2) и возвращает результат, как y:

x = 3;
y = --x;
//y равен 2

Пост-декрементная форма оператора уменьшает x до 2 (x - 1 = 2), и возвращает первоначальное значение x как результат y:

x = 3;
y = x--
//y равен to 3


++ (increment)

Символьные операторы > ++ (increment)

++ (увеличение)

Доступность

Flash Player 4.

Синтаксис

++expression
expression++

Параметры

Нет.

Возвращается

Ничего.

Описание

Оператор, унарный оператор пре- и пост-инкремента (увеличения), добавляющий 1 к expression. В качестве expression может быть переменная, элемент массива или свойство объекта. Пре-инкрементная форма оператора, (++expression) добавляет 1 к expression и возвращает результат. Пост-инкрементная форма оператора, (expression++) добавляет 1 к expression и возвращает первоначальное значение expression (результат перед сложением).

Пре-инкрементная форма оператора увеличивает x до 2 (x + 1 = 2), и возвращает результат, как y:

x = 1;
y = ++x
//y равен 2

Пост-инкрементная форма оператора увеличивает x до 2 (x + 1 = 2), и возвращает первоначальное значение x как результат y:

x = 1;
y = x++;
//y is equal to 1

Example

В следующем примере ++ используется как пост-инкрементный оператор чтобы создать цикл while, запускающийся 5 раз.

i = 0;
while(i++ < 5){
trace("this is execution " + i);
}

Следующий пример использует ++ как пре-инкрементный оператор:

var a = [];
var i = 0;
while (i < 10) {
   a.push(++i);
}
trace(a.join());

В результате выполнения этого скрипта, в окне Output отобразится следующий результат:

1,2,3,4,5,6,7,8,9,10

В следующем примере ++ используется как пост-инкрементный оператор.

var a = [];
var i = 0;
while (i < 10) {
a.push(i++);
   }
trace(a.join());

Результат выполнения скрипта будет таким:

0,1,2,3,4,5,6,7,8,9


! (logical NOT)

Символьные операторы > ! (logical NOT)

! (логическое НЕТ)

Доступность

Flash Player 4.

Синтаксис

!expression

Параметры

Нет.

Возвращается

Ничего.

Описание

Оператор (логический), инвертирует булевое значение переменной или выражения. Если expression является переменной с абсолютным или конвертированным значением true, то !expression будет соответствовать false. Если выражение x && y оценивается как false, то выражение !(x && y) как true.

Следующие выражения иллюстрируют результат использования оператора !:

!true возвращает false

!false возвращает true

Пример

В следующем примере значение переменной happy равно false. Оператор if проверяет условие !happy, и если оно равно true, то команда trace выводит строку в окно вывода Output.

happy = false;
if (!happy) {
   trace("don't worry, be happy");
}


!= (inequality)

Символьные операторы > != (inequality)

!= (неравенство)

Доступность

Flash Player 5.

Синтаксис

expression1 != expression2

Параметры

Нет.

Возвращается

Ничего.

Описание

Оператор (эквивалентности), проверяет два выражения прямо противоположным образом, нежели оператор ==. Если expression1 эквивалентно expression2, то результатом будет false. Как и с оператором ==, определение эквивалентности зависит от сравниваемых типов данных.

Числа, строки, булевые данные сравниваются по значению.

Переменные, объекты, массивы и функции сравниваются по ссылке.

Пример

Этот пример показывает результат действий оператора !=

5 != 8 возвращает true

5 != 5 возвращает false

Следующий пример показывает использование оператора != в команде if:

a = "David";
b = "Fool"
if (a != b){
   trace("David is not a fool");
}

См. также

!== (строгое неравенство), == (равенство), === (строгое равенство)


!== (strict inequality)

Символьные операторы > !== (strict inequality)

!== (строгое неравенство)

Доступность

Flash Player 6.

Синтаксис

expression1 !== expression2

Описание

Оператор, проверяет два выражения прямо противоположным образом, нежели оператор ===. Оператор строгого неравенства (!==) выполняет ту же самую функцию, что и оператор неравенства (!=) за исключением того, что типы данных не преобразованы (конвертированы). Если expression1 эквивалентно expression2 и их типы данных совпадают, то результатом будет false. Так же как и при использовании оператора ===, определение эквивалентности зависит от сравниваемых типов данных.

Числа, строки, булевые данные сравниваются по значению.

Переменные, объекты, массивы и функции сравниваются по содержанию.

Пример

Следующий код отображает возвращенное значение операций, которые используют операторы равенства, строгого равенства, и строгого неравенства.

s1 = new String("5");
s2 = new String("5");
s3 = new String("Hello");
n  = new Number(5);
b = new Boolean(true);

s1 == s2; // true
s1 == s3; // false
s1 == n; // true
s1 == b; // false

s1 === s2;  // true
s1 === s3; // false
s1 === n; // false
s1 === b; // false

s1 !== s2; // false
s1 !== s3; // true
s1 !== n; // true
s1 !== b; // true

См. также

!= (неравенство), == (равенство), === (строгое равенство)


% (modulo)

Символьные операторы > % (modulo)

% (модуль)

Доступность

Flash Player 4. В файлах Flash 4 оператор % расширен в фале SWF как x - int(x/y) * y, и не может быть столь же быстрым или точным как в более поздних версиях Flash плеера.

Синтаксис

expression1 % expression2

Параметры

Нет.

Возвращается

Ничего.

Описание

Оператор (арифметический), подсчитывает остаток от деления expression1 на expression2. Если один из аргументов expression нечисловой, оператор пытается конвертировать его в число. Аргумент expression может быть числом или строкой, которая преобразуется в числовое значение.

Пример

Ниже пример использования оператора (%) для работы с числами.

trace (12 % 5);
// возвращает 2

trace (4.3 % 2.1);

// возвращает приблизительно 0.1


%= (modulo assignment)

Символьные операторы > %= (modulo assignment)

%= (присваивание модуля)

Доступность

Flash Player 4.

Синтаксис

expression1 %= expression2

Параметры

Нет.

Возвращается

Ничего.

Описание

Оператор (арифметический с присвоением), присваивает выражению expression1 значение expression1 % expression2. Например, следующие два выражения эквивалентны:

x %= y
x = x % y

Пример

Следующий пример присваивает значение 4 переменной x.

x = 14;
y = 5;
trace(x %= y);
// возвращает 4

См. также

% (модуль)


& (bitwise AND)

Символьные операторы > & (bitwise AND)

& (побитовое И)

Доступность

Flash Player 5. Во Flash 4, оператор & использовался для объединения строк. Во Flash 5 оператор & является "побитовым И" оператором и нужно использовать оператор add и оператор + для объединения строк. Файлы Flash 4, использующие оператор & автоматически обновляются для использования add во время переноса в рабочую среду Flash 5.

Синтаксис

expression1 & expression2

Параметры

Нет.

Возвращается

Ничего.

Описание

Оператор (побитовый), конвертирует expression1 и expression2 в 32-битные целые числа и выполняет операцию "булевого И" над каждым битом аргумента целого числа. В результате мы имеем новое беззнаковое целое число.
От переводчика: при побитовом сложении, числа переводятся в двоичную систему счисления и складываются побитово. Если в двоичной системе числа имеют разную длину, то к меньшему числа слева приписываются нули и происходит операция сложения.


&& (short-circuit AND)

Символьные операторы > && (short-circuit AND)

&& (короткое И)

Доступность

Flash Player 4.

Синтаксис

expression1 && expression2

Параметры

Нет.

Возвращается

Ничего.

Описание

Оператор (логический), производит булевую операцию над значениями одного или обоих выражений. Оператор оценивает expression1 (выражение в левой части оператора) и возвращает false, если выражение оценивается как false. Если expression1 оценивается как true, то оценивается expression2 (выражение в правой части оператора). Если и выражение expression2 оценивается как true, то окончательный результат будет true, в противном случае будет false.

Пример

В этом примере используется оператор && для проверки, выиграл ли игрок или проиграл. Переменная turns и score обновляются, когда к игроку переходит ход или он зарабатывает очки во время игры. Следующий скрипт выводит сообщение "You Win the Game!" в окне Output тогда, когда игрок набирает 75 очков или больше за 3 хода или меньше, чем за 3.

turns=2;
score=77;
winner = (turns <= 3) && (score >= 75);
if (winner) {
   trace("You Win the Game!");
} else {
   trace("Try Again!");
}


&= (bitwise AND assignment)

Символьные операторы > &= (bitwise AND assignment)

&= (присваивание побитового И)

Доступность

Flash Player 5.

Синтаксис

expression1 &= expression2

Параметры

Нет.

Возвращается

Ничего.

Описание

Оператор (побитовый с присвоением), присваивает expression1 значение expression1 & expression2. Например, следующие два выражения эквивалентны.

x &= y
x = x & y

Пример

Следующий пример присваивает значение 9 переменной x.

x = 15;
y = 9;
trace(x &= y);
// возвращает 9

См. также

& (побитовое И))


() (parentheses)

Символьные операторы > () (parentheses)

() (круглые скобки)

Доступность

Flash Player 4.

Синтаксис

(expression1, expression2);
function(parameter1,..., parameterN);

Параметры

expression1, expression2 Числа, строки, переменные или текст.

function Функция, которая будет выполнена внутри круглых скобок.

parameter1...parameterN Последовательность параметров, которые должны быть выполнены прежде, чем результат будет передан функции, находящейся вне круглых скобок.

Возвращается

Ничего.

Описание

Оператор, выполняет операцию группировки с одним или большим количеством аргументов или окружает один или более аргументов и передаёт результат - параметр функции вне круглых скобок.

Использование 1: выполняет операцию группировки над одним или более выражениями, контролируя порядок выполнения операторов в выражении. Этот оператор игнорирует автоматическую последовательность по старшинству и даёт команду первым рассматривать выражение внутри круглых скобок. После этого Flash в первую очередь рассматривает содержимое ближайших круглых скобок, затем - следующих.

Использование 2: окружает один или более аргументов и передаёт их функции вне круглых скобок, как параметры.

Пример

Использование 1: Следующие выражения иллюстрируют использование круглых скобок для контроля последовательности исполнения выражений. Результат дан под каждым выражением.

trace((2 + 3) * (4 + 5));
// выводит 45

trace(2 + (3 * (4 + 5)));
// выводит 29

trace(2 + (3 * 4) + 5);

// выводит 19

Использование 2: Следующий пример иллюстрируют использование круглых скобок с функцией:

getDate();

invoice(item, amount);

function traceParameter(param){
   trace(param);
}
traceParameter(2*2);

См. также

with


- (minus)

Символьные операторы > - (minus)

- (минус)

Доступность

Flash Player 4.

Синтаксис

(Отрицание) -expression

(Вычитание) expression1 - expression2

Параметры

Нет.

Возвращается

Ничего.

Описание

Оператор (арифметический), используется для отрицания и вычитания.

Использование 1: При использовании оператора для отрицания, он меняет знак expression на противоположный.

Использование 2: При использовании оператора для вычитания оператор выполняет арифметическое вычитание над двумя числовыми выражениями, вычитая expression2 из expression1. Если оба выражения являются целыми, разность также будет целым числом. Если одно или оба выражения являются выражениями с плавающей запятой, разность будет числом с плавающей запятой.

Пример

Использование 1: Следующий пример меняет знак на противоположный выражения 2 + 3.

-(2 + 3)

Результатом вычисления будет -5.

Использование 2: Следующий пример отнимает целое число 2 от числа 5.

5 - 2

Результатом вычисления будет 3, и это будет целое число (типа integer).

Использование 2: Следующий пример отнимает число 1.5 с плавающей запятой, от числа 3.25.

3.25 - 1.5

Результатом вычисления будет 1.75, и это будет число с плавающей запятой.


* (multiplication)

Символьные операторы > * (multiplication)

* (умножение)

Доступность

Flash Player 4.

Синтаксис

expression1 * expression2

Параметры

Нет.

Возвращается

Ничего.

Описание

Оператор (арифметический), умножает два числовых выражения. Если оба выражения являются целыми числами, то результат - целое число. Если одно или оба выражения - числа с плавающей запятой, то результат - число с плавающей запятой.

Пример

Следующий пример умножает два целых числа 2 и 3:

2 * 3

Результатом вычисления будет 6, и это будет целое число.

Пример

Следующий пример умножает два числа с плавающей запятой 2.0 и 3.1416.

2.0 * 3.1416

Результатом вычисления будет 6.2832, и это будет число с плавающей запятой.


*= (multiplication assignment)

Символьные операторы > *= (multiplication assignment)

*= (присвоение умножения)

Доступность

Flash Player 4.

Синтаксис

expression1 *= expression2

Параметры

Нет.

Возвращается

Ничего.

Описание

присваивает expression1 значение expression1 * expression2 Оператор (арифметический с присвоением), присваивает expression1 значение выражения expression1 * expression2. Например, следующие два выражения эквивалентны:

x *= y
x = x * y

Пример

Следующий пример присваивает значение 50 переменной x.

x = 5;
y = 10;
trace (x *= y);
// возвращает 50

Example

Вторая и третья строка следующего примера вычисляют выражения и присваивают их переменным x и y.

i = 5;
x = 4 - 6;
y = i + 2;
trace(x *= y);
// возвращает -14

См. также

* (умножение)


, (comma)

Символьные операторы > , (comma)

, (запятая)

Доступность

Flash Player 4.

Синтаксис

expression1, expression2

Параметры

Нет.

Возвращается

Ничего.

Описание

Оператор, оценивает (анализирует) выражение expression1, потом expression2, и затем возвращает значение expression2. Этот оператор чаще всего используется с оператором цикла for.

Пример

Код, использующий данный оператор:

var a=1, b=2, c=3;

Это эквивалентно следующему коду:

var a=1;
var b=2;
var c=3;


. (dot)

Символьные операторы > . (dot)

. (точка)

Доступность

Flash Player 4.

Синтаксис

object.property_or_method
instancename.variable
instancename.childinstance.variable

Параметры

object экземпляр объекта. Объектом может быть любой из встроенных объектов языка ActionScript или собственный объект. Этот параметр всегда находиться слева от оператора (.) точка.

property_or_method Имя свойства или метода, относящегося к объекту. Все методы и свойства предопределенного (встроенного)объекта приведены в таблицах для данного объекта. Этот аргумент всегда находится справа от оператора (.) точка.

instancename Имя экземпляра мувиклипа.

childinstance Имя экземпляра мувиклипа, являющегося дочерним по отношению к главному клипу.

variable Переменная на монтажной линейке (Timeline) мувиклипа, имя которого написано с лева от оператора (.) точка.

Возвращается

Ничего.

Описание

Оператор, используется для управления иерархией клипа, доступа к вложенным дочерним клипам, переменным или свойствам. Оператор точка (.) также используется для проверки или установки свойств объекта, для выполнения метода объекта или создания структуры данных.

Пример

В данном примере оператор идентифицирует текущее значение переменной hairColor мувиклипа person.

person.hairColor

Это равноценно следующему синтаксису во Flash 4:

/person:hairColor

Пример

Следующий код демонстрирует как можно использовать оператор (.) точка, чтобы создать массив.

account.name = "Gary Smith";
account.address = "123 Main St";
account.city = "Any Town";
account.state = "CA";
account.zip = "12345";

См. также

[] (оператор доступа к массиву)


?: (conditional)

Символьные операторы > ?: (conditional)

?: (импликация)

Доступность

Flash Player 4.

Синтаксис

expression1 ? expression2 : expression3

Параметры

expression1 Выражение, оценивающееся булевым значением, обычно сравнительное выражение, такое как x < 5.

expression2, expression3 Любое значение.

Возвращается

Ничего.

Описание

Оператор, даёт команду Flash'у проанализировать expression1 и если значение выражения expression1 равно true, но возвращается значение expression2, в противном случае возвращается значение expression3.

Пример

Следующий код присваивает значение переменной x переменной z, потому, что выражение expression1 равно true:

x = 5;
y = 10;
z = (x < 6) ? x: y;
trace (z);
// возвращает 5


/ (division)

Символьные операторы > / (division)

/ (деление)

Доступность

Flash Player 4.

Синтаксис

expression1 / expression2

Параметры

expression Число или переменная, которая является числом.

Возвращается

Ничего.

Описание

Оператор (арифметический), делит expression1 на expression2. Аргументы выражений и результаты деления обрабатываются и представляются, как числа с плавающей запятой с двойной точностью.

Пример

Этот оператор делит число с плавающей запятой 22.0 на 7.0 и показывает результат в окне Output.

trace(22.0 / 7.0);

Результат - число с плавающей запятой 3.1429.


// (comment delimiter)

Символьные операторы > // (comment delimiter)

// (комментарий)

Доступность

Flash 1.

Синтаксис

// comment

Параметры

comment Любые символы, которые не является частью кода и должны игнорироваться интерпретатором.

Возвращается

Ничего.

Описание

Комментарий, указывает начало комментария. Любой текст между ограничителем // и знаком конца строки является комментарием и игнорируется интерпретатором ActionScript.

Пример

Этот скрипт использует двойной слеш для идентификации первой, третьей, пятой и седьмой строк, как комментариев:

// record the X position of the ball movie clip
ballX = ball._x;
// record the Y position of the ball movie clip
ballY = ball._y;
// record the X position of the bat movie clip
batX = bat._x;
// record the Y position of the bat movie clip
batY = bat._y;

См. также

/* (ограничитель комментария)


/* (comment delimiter)

Символьные операторы > /* (comment delimiter)

/* (ограничитель комментария)

Доступность

Flash Player 5.

Синтаксис

/* comment */
/*
comment
comment
*/

Параметры

comment Любой текст.

Возвращается

Ничего.

Описание

Комментарий, указывает на одну или более строк комментария в скрипте. Любой текст между открывающим /* и закрывающим */ тегами ограничителя является комментарием и игнорируется интерпретатором ActionScript. Используйте первый тип синтаксиса, для однострочных комментариев и второй тип, для комментариев на нескольких последовательных строках. "Не закрытие" ограничителя */ при использовании этого типа синтаксиса, повлечёт за собой сообщение об ошибке, которое выдаст компилятор ActionScript.

Пример

Этот пример использует ограничитель комментария в начале скрипта.

/* records the X and Y positions of the
ball and bat movie clips
*/

ballX = ball._x;
ballY = ball._y;
batX = bat._x;
batY = bat._y;

См. также

// (комментарий)


/= (division assignment)

Символьные операторы > /= (division assignment)

/= (назначение деления)

Доступность

Flash Player 4.

Синтаксис

expression1 /= expression2

Параметры

expression1,expression2 Число или переменная, которая является числом.

Возвращается

Ничего.

Описание

Оператор (арифметический с присвоением), присваивает переменной expression1 значение expression1 / expression2. Например, следующие два выражения эквивалентны:

x /= y
x = x / y

Пример

Следующий пример демонстрирует использование оператора /= с переменными и числами.

x = 10;
y = 2;
x /= y;
// x теперь имеет значение 5


[] (array access)

Символьные операторы > [] (array access)

[] (оператор доступа к массиву)

Доступность

Flash Player 4.

Синтаксис

myArray = ["a0", a1,...aN];
myMultiDimensionalArray = [["a0",...aN],...["a0",...aN]]
myArray[E] = value
myMultiDimensionalArray[E][E] = value
object["value"];

Параметры

myArray Имя массива.

a0, a1,...aN Элементы массива.

myMultiDimensionalArray Имена свойств.

E Число (номер) (или указатель) элемента массива.

object Имя объекта.

value Строка или выражение которое оценивается как строка, именуемая свойством объектом.

Возвращается

Ничего.

Описание

Оператор, создаёт новый массив или многомерный массив с указанными элементами (a0 и так далее) или элементами доступа в массиве. Оператор доступа к массиву позволяет динамически устанавливать и восстанавливать экземпляры, переменные и названия объектов. Он также позволяет получать доступ к свойствам объекта.

Использование 1: Массив - это объект, свойства которого называются элементами, они идентифицируются по номеру, который называется индекс. При создании массива, нужно помещать элементы в оператор доступа к массиву (или квадратные скобки). Массив может содержать элементы различных типов. Например, следующий массив, который называется employee, имеет три элемента: первый - это число, а второй и третий - строки.

employee = [15, "Barbara", "Erick"];

Использование 2: можно включать скобки в скобки, чтобы создавать многомерные массивы. Следующий код создаёт массив, который называется ticTacToe, с тремя элементами, каждый элемент также включает массив с тремя элементами.

ticTacToe = [[1,2,3],[4,5,6],[7,8,9]];

// выберите Debug > List Variables в режиме test movie
// чтобы увидеть список элементов массива

Использование 3: Чтобы напрямую обратиться к элементу массива, нужно вводить эго индекс в квадратных скобках, можно добавлять новые элементы к массиву, изменять значения уже существующих элементов. Первый элемент массива всегда имеет индекс 0:

myArray[0] = 15;
myArray[1] = "Hello";
myArray[2] = true;

Можно использовать скобки чтобы добавить четвёртый элемент, как в следующем примере:

myArray[3] = "George";

Использование 4: Квадратные скобки используются и для доступа к элементам многомерного массива. Сначала, в квадратных скобках, указывается индекс оригинального массива, а потом индекс вложенного массива. Следующий пример выводит в окно Output число 6.

ticTacToe = [[1,2,3],[4,5,6],[7,8,9]];
trace(ticTacToe[1][2]);

// возвращает 6

Использование 5: Можно использовать оператор [] (доступа к массиву) вместо функции eval, чтобы динамически устанавливать и считывать значения свойств объектов или мувиклипов:

name["mc" + i] = "left_corner";

Пример

Использование 1: Следующий пример демонстрирует два различных способа создания пустого объекта Array (массив); в первой строке используются квадратные скобки.

myArray =[];
myArray = new Array();

Использование 1 и 2: В следующем примере создается массив, который называется employee и используется команда trace, чтобы вывести элементы массива в окно Output. В четвёртой строке элемент массива меняется и в пятой строке выводиться в окно Output уже новый, изменённый массив:

employee=["Barbara", "George", "Mary"];
trace(employee);
// Barbara, George, Mary
employee[2]="Sam";
trace(employee);
// Barbara, George, Sam

Использование 3: В следующем примере выражение в квадратных скобках ("piece" + i) оценивается и результат используется, как имя переменной, для считывания её из мувиклипа mc . В примере переменная i должна находиться на одной монтажной линейке (Timeline) с кнопкой. Если переменная i например равна 5, то значение переменной piece5 в мувиклипе mc отобразится в окне Output:

on(release){
   x = mc["piece"+i];
   trace(x);
}

Использование 3: В следующем скрипте выражение в квадратных скобках оценивается и результат используется при создании имени переменной, чтобы потом считать её из мувиклипа name:

group["A" + i];

Если вы знакомы с синтаксисом ActionScript во Flash 4, то можете использовать функцию eval, чтобы добиться того же результата:

eval("A" & i);

Использование 3: Также можно использовать оператор [] (доступа к массиву) в левой части выражения, чтобы динамически изменять имена экземпляров (instance), переменных и объектов:

name[index] = "Gary";

См. также

Array (object), Object (object), eval


^(bitwise XOR)

Символьные операторы > ^(bitwise XOR)

^(побитовое исключающее ИЛИ)

Доступность

Flash Player 5.

Синтаксис

expression1 ^ expression2

Параметры

expression1,expression2 Числа.

Возвращается

Ничего.

Описание

Оператор (побитовый), конвертирует expression1 и expression2 в 32-битные беззнаковые целые числа и возвращает 1 в каждую битовую позицию, где соответствующие биты в выражениях expression1 или expression1, но не в обоих, представлены как 1.

Пример

В примере используется данный оператор с десятичными числами и результат помещается в переменную x.

// 15 decimal = 1111 binary
// 9 decimal = 1001 binary
x = 15 ^ 9
trace(x)
// 1111 ^ 1001 = 0110
// возвращает 6 decimal( = 0110 binary)


^= (bitwise XOR assignment)

Символьные операторы > ^= (bitwise XOR assignment)

^= (побитовое исключающее ИЛИ с присвоением)

Доступность

Flash Player 5.

Синтаксис

expression1 ^= expression2

Параметры

expression1,expression2 Целые числа и переменные.

Возвращается

Ничего.

Описание

Оператор (побитовый с присвоением), присваивает expression1 значение выражения expression1 ^ expression2. Например, следующие две строки кода - эквивалентны:

x ^= y
x = x ^ y

Пример

Пример операции ^= :

// 15 decimal = 1111 binary
x = 15;
// 9 decimal = 1001 binary
y = 9;
trace(x ^= y);
//возвращает 6 decimal ( = 0110 binary)

См. также

^(побитовое исключающее ИЛИ)


{} (object initializer)

Символьные операторы > {} (object initializer)

{} (инициализатор объектов)

Доступность

Flash Player 5.

Синтаксис

object = {name1: value1, name2: value2,...nameN: valueN};

Параметры

object Объект, который нужно создать.

name1,2,...N Имена свойств.

value1,2,...N Соответствующее значение для каждого свойства name.

Возвращается

Ничего.

Описание

Оператор, создаёт новый объект и инициализирует его с парами свойств указанного имени name и значения value. Использование этого оператора аналогично вызову new Object и заполнению пар свойств, посредством использования оператора назначений (присвоений). Прототип созданного объекта будет автоматически назван как объект class="grey">Object.

Пример

В первой строке кода создаётся пустой объект с использованием оператора {} (инициализации объекта); во второй строке создаётся новый объект посредством функции-конструктора.

object = {};
object = new Object();

В следующем примере создаётся объект account и инициализируются свойства name, address, city, state, zip, и balance с присвоения им значений.

account = { name: "Betty Skate",
   address: "123 Main Street",
   city: "Blossomville",
   state: "California",
   zip: "12345",
   balance: "1000" };

В следующем примере показано, как массив и объект инициализации можно влаживать друг в друга.

person = { name: "Gina Vechio",
   children: [ "Ruby", "Chickie", "Puppa"] };

Следующий пример использует информацию из предыдущего примера и выводит одинаковый результат, использую функцию-конструктор.

person = new Person();
person.name = 'Gina Vechio';
person.children = new Array();
person.children[0] = 'Ruby';
person.children[1] = 'Chickie';
person.children[2] = 'Puppa';

См. также

[] (оператор доступа к массиву), new, Object (object)


| (bitwise OR)

Символьные операторы > | (bitwise OR)

| (побитовое ИЛИ)

Доступность

Flash Player 5.

Синтаксис

expression1 | expression2

Параметры

expression1,expression2 Числа.

Возвращается

Ничего.

Описание

Оператор (побитовый), конвертирует expression1 и expression2 в 32-битные беззнаковые целые числа и возвращает 1 в каждую битовую позицию, где соответствующие биты в выражении expression1 или expression2 представлены как 1.

Пример

Вот пример операции с побитовым ИЛИ:

// 15 decimal = 1111 binary
x = 15;
// 9 decimal = 1001 binary
y = 9;
trace(x | y);
// 1111 | 0011 = 1111
//   возвращает 15
//   15 в бинарном представлении будет 1111


|| (logical OR)

Символьные операторы > || (logical OR)

|| (логическое ИЛИ)

Доступность

Flash Player 4.

Синтаксис

expression1 || expression2

Параметры

expression1,expression2 Булевые значения или выражения, конвертированные в булевые значения.

Возвращается

Ничего.

Описание

Оператор (логический), анализирует expression1 и expression2. Результат будет true, если одно или оба эти выражения оцениваются как true, результат будет false только если оба эти выражения оцениваются как true.

С не булевыми выражениями, логический оператор ИЛИ анализирует выражения, находящееся слева, если оно может быть конвертировано в true, результат - true. В противном случае он оценивает выражение справа и результат - это значение этого выражения.

Пример

Этот пример использует оператор || в операторе ветвления if. Второе выражение оценивается как true, значит окончательный результат будет true:

x = 10
y = 250
start = false
if(x > 25 || y > 200 || start){
   trace('the logical OR test passed');
}

Пример

Этот пример демонстрирует как выражение не булевого типа может повлиять на результат операции. Если выражение в левой части преобразовано в true, значит результат возвращается без преобразования выражения в правой части.

function fx1(){
   trace ("fx1 called");
   returns true;
}
function fx2(){
   trace ("fx2 called");
   return true;
}
if (fx1() || fx2()){
   trace ("IF statement entered");
}
// Вот что выводиться в окно вывода Output:
// fx1 называемый
// IF входящее выражение


|= (bitwise OR assignment)

Символьные операторы > |= (bitwise OR assignment)

|= (присваивание побитового ИЛИ)

Доступность

Flash Player 5.

Синтаксис

expression1 |= expression2

Параметры

expression1,expression2 Числа или переменные.

Возвращается

Ничего.

Описание

Оператор (побитовый с присвоением), присваивает expression1 значение выражения expression1 | expression2. Следующие две строки эквивалентны:

x |= y;
x = x | y;

Пример

Ниже пример использования оператора |= :

// 15 десятичное = 1111 бинарное
x = 15;
// 9 десятичное = 1001 бинарное
y = 9;
trace(x |= y);
// 1111 |= 1001
//   returns 15 десятичное (= 1111 бинарное)

См. также

| (побитовое ИЛИ)


~ (bitwise NOT)

Символьные операторы > ~ (bitwise NOT)

~ (побитовое НЕ)

Доступность

Flash Player 5.

Синтаксис

~ expression

Параметры

expression Число.

Возвращается

Ничего.

Описание

Оператор (побитовый), конвертирует expression в 32-битное целое беззнаковое число, затем инвертирует биты. Или же, проще говоря, изменяет знак числа и вычитает 1.

Пример

Ниже пример использования оператора "побитового НЕ" с переменными.

a = 0;
trace ("when a = 0, ~a = "+~a);
// когда a = 0, то ~a = -1
a = 1;
trace ("when a = 1, ~a = "+~a);
// когда a = 0, то ~a = -2
// поэтому, ~0=-1 и ~1=-2


+ (addition)

Символьные операторы > + (addition)

+ (сложение)

Доступность

Flash Player 4, Flash Player 5. Во Flash 5, + является или числовым оператором или объединителем строк в зависимости от типа данных параметра. Во Flash 4, + - это только числовой оператор. Файлы Flash 4 перенесенные в Flash 5 преобразуются, чтобы обеспечить целостность данных. С приведённом примере показано преобразование файлов из Flash 4, которые содержат числовое сравнение качества:

Flash 4 file:

x + y

Преобразованный Flash 5 файл:

Number(x) + Number(y)

Синтаксис

expression1 + expression2

Параметры

expression1,expression2 Чило или строка.

Возвращается

Ничего.

Описание

Оператор, складывает числовые выражения или связывает строки. Если одно выражение является строкой, все другие выражения конвертируются в строки и связываются.

Если оба выражения являются целыми числами, то сумма - целое число. Если одно или оба выражения являются числами с плавающей запятой, то сумма - число с плавающей запятой.

Пример

В этом примере складываются две строки и результат отображается в окне Output.

name = "Cola";
instrument = "Drums";
trace (name + " plays " + instrument);

Пример

Переменные, связанные с динамическими полями, или полями ввода текста имеют типа String (строка). В следующем примере, переменная deposit - это текстовое поле ввода на сцене ролика Flash. После того, как пользователь введёт значение депозита (deposit amount), скрипт попытается добавить deposit как oldBalance. Однако, так как deposit имеет тип данных String, скрипт "склеит" значения переменных быстрее, чем их подведение итогов (расчет).

oldBalance = 1345.23;
currentBalance = deposit + oldBalance;
trace (currentBalance);

Например, если пользователь введет 475 в поле ввода депозита, команда trace выдаст значение 4751345.23 в окне Output.

Чтобы исправить это, нужно использовать функцию Number, чтобы конвертировать строку в число, как в следующем примере:

currentBalance = Number(deposit) + oldBalance;

Пример

Эта строка складывает два целых числа 2 и 3 и выводит результат 5 (тоже целое число) в окно Output:

trace (2 + 3);

Следующая строка складывает числа с плавающей запятой 2.5 и 3.25, и результат 5.75 отображает в окне Output. Результат будет число с плавающей запятой.

trace (2.5 + 3.25);

См. также

add


+= (addition assignment)

Символьные операторы > += (addition assignment)

+= (назначение сложения)

Доступность

Flash Player 4.

Синтаксис

expression1 += expression2

Параметры

expression1,expression2 Число или строка.

Возвращается

Ничего.

Описание

Оператор (арифметический с присвоением), присваивает expression1 значение expression1 + expression2. Например, следующие две строки эквивалентны:

x += y;
x = x + y;

Этот оператор также выполняет объединение строк. Все правила оператора сложения (+) применимы и к оператору назначение сложения (+=).

Пример

Это пример числового использования оператора += .

x = 5;
y = 10;
x += y;
trace(x);
//x возвращает 15

В этом примере используется оператор += с строковыми выражениями и выводит строку "My name is Gilbert" в окно Output.

x = "My name is "
x += "Gilbert"
trace (x)

См. также

+ (сложение)


< (less than)

Символьные операторы > < (less than)

< (меньше чем)

Доступность

Flash Player 4, Flash Player 5. Во Flash 5, оператор < это оператор сравнения, способный сравнивать значения различных типов. Во Flash 4, < этот оператор работает только с числами. Файлы Flash 4, будучи перенесёнными в среду Flash 5 подвергаются преобразованию, с целью сохранить целостность типа данных. Следующий пример показывает процесс конвертации.

Файл Flash 4:

x < y

Преобразованный файл Flash 5:

Number(x) < Number(y)

Синтаксис

expression1 < expression2

Параметры

expression1,expression2 Чило или строка.

Описание

Оператор (сравнения), сравнивает два выражения и определяет, меньше ли expression1 чем expression2; если это так, то результатом будет true. Если expression1 больше чем expression2, то результатом будет false. Строчные выражения оцениваются и сравниваются на основе числа знаков в строке.

Пример

Следующий пример показывает возвращение значений true и false для обоих числовых и строчных сравнений.

3 < 10;
// true

10 < 3;
// false

"Allen" < "Jack";
// true

"Jack" < "Allen";
// false

"11" < "3";
//true

"11" < 3;
// Числовое сравнение
// false

"C" < "abc";
// false

"A" < "a";
// true


<< (bitwise left shift)

Символьные операторы > << (bitwise left shift)

<< (побитовое смещение влево)

Доступность

Flash Player 5.

Синтаксис

expression1 << expression2

Параметры

expression1 Число, или выражение, которое нужно сместить влево.

expression2 Число, или выражение, конвертируемое в целое число от 0 до 31.

Возвращается

Ничего.

Описание

Оператор (побитовый), конвертирует expression1 и expression2 в 32-битное целое число и смещает все биты выражения expression1 влево в соответствии с числом, получающимся при преобразовании expression2. Освобождённые в результате операции битовые позиции заполняются нулями. Смещение значения на одну позицию влево идентично умножению на 2.

Пример

Это пример смещения целого числа 1 на десять бит влево.

x = 1 << 10

Результат этой операции x = 1024. Он таков потому, что десятичное число 1 равняется двоичному числу 1, двоичное число 1, смещённое на 10 бит влево, будет равняться двоичному числу 10000000000, а двоичное число 10000000000 равняется десятичному числу 1024.

Следующий пример смещения целого числа 7 на 8 бит влево:

x = 7 << 8

Результат этой операции x = 1792. Он таков потому, что десятичное число 7 равняется двоичному числу 111, двоичное число 111, смещённое на 8 бит влево, будет равняться двоичному числу 11100000000, а двоичное число 11100000000 равняется десятичному числу 1792.

См. также

>>= (побитовое смещение вправо и присвоение), >> (побитовое смещение вправо), <<= (побитовое смещение влево и присвоение)


<<= (bitwise left shift and assignment)

Символьные операторы > <<= (bitwise left shift and assignment)

<<= (побитовое смещение влево и присвоение)

Доступность

Flash Player 5.

Синтаксис

expression1 <<= expression2

Параметры

expression1 Число или выражение, которое нужно сместить влево.

expression2 Число или выражение, конвертируемое в целое число от 0 до 31.

Возвращается

Ничего.

Описание

Оператор (побитовый с присвоением), производит побитовый сдвиг влево и сохраняет содержимое, как результат в expression1. Два следующих выражения эквивалентны:

A <<= B
A = (A << B)

См. также

<< (побитовое смещение влево), >>= (побитовое смещение вправо и присвоение), >> (побитовое смещение вправо)


<= (less than or equal to)

Символьные операторы > <= (less than or equal to)

<= (меньше чем или равно)

Доступность

Flash Player 4.

Файл Flash 4:

x <= y

Преобразованный файл Flash 5:

Number(x) <= Number(y)

Синтаксис

expression1 <= expression2

Параметры

expression1,expression2 Число или строка.

Возвращается

Ничего.

Описание

Оператор (сравнения), сравнивает два выражения и определяет, expression1 меньше чем или равно выражению expression2 ; если это так, результатом будет true. Если expression1 больше чем expression2, то результатом работы оператора будет false. Строки проверяются исходя из алфавитного порядка; все заглавные буквы находятся перед строчными буквами.

В пятой версии Flash, оператор (<=) является оператором сравнения, работающим с различными типами данных. Во Flash 4, <= является числовым оператором. Файлы Flash 4, перенесённые в рабочую среду Flash 5 преобразуются для сохранения целостности типа данных. Следующие примеры показывают процессы преобразования.

Пример

Этот пример демонстрирует результаты true и false для обоих типов, строк и чисел.

5 <= 10;
// true

2 <= 2;
// true

10 <= 3;
// false

"Allen" <= "Jack";
// true

"Jack" <= "Allen";
// false

"11" <= "3";
//true

"11" <= 3;
// Числовое сравнение
// false

"C" <= "abc";
// false

"A" <= "a";
// true


<> (inequality)

Символьные операторы > <> (inequality)

<> (неравенство)

Доступность

Flash 2.

Синтаксис

expression1 <> expression2

Параметры

expression1,expression2 Числа, строки, булевы значения, переменные, объекты, массивы или функции.

Возвращается

Ничего.

Описание

Oператор (сравнения), противоположность оператору ==. Если expression1 равно expression2, то результат false. Также как и при использовании оператора == , процесс определения зависит от типов сравниваемых данных:

Числа, строки, булевы значения сравниваются по значению.

Переменные, объекты, массивы и функции сравниваются по содержанию.

Этот оператор в 5-й версии Flash неэффективен. Рекомендуется пользоваться новым оператором !=

См. также

!= (неравенство)


= (assignment)

Символьные операторы > = (assignment)

= (присвоение)

Доступность

Flash Player 4.

Файл Flash 4:

x = y

Преобразованный файл Flash 5:

Number(x) == Number(y)

Синтаксис

expression1 = expression2

Параметры

expression1 Переменная, элемент массива или свойство объекта.

expression2 Значение любого типа.

Возвращается

Ничего.

Описание

Оператор (присваивания), присваивает тип expression2 (аргумент справа) переменной, элементу массива или свойству в expression1.

В версииIn Flash 5, = является оператором присвоения, а оператор == используется для оценки равенства. В Flash 4, = является числовым оператором качества. Файлы Flash 4, перенесённые в рабочую среду Flash 5 преобразуются для сохранения целостности типа данных.

Пример

В данном примере используется оператор присвоения, чтобы присвоит числовой тип данных переменной x:

x = 5

Следующий пример показывает, как использовать оператор для присвоения строкового типа данных переменной x:

x = "hello"

См. также

== (равенство)


-= (subtraction assignment)

Символьные операторы > -= (subtraction assignment)

-= (присвоение отрицания)

Доступность

Flash Player 4.

Синтаксис

expression1 -= expression2

Параметры

expression1,expression2 Числа, или выражения, являющиеся числами.

Возвращается

Ничего.

Описание

Оператор (арифметический с присвоением), присваивает expression1 значение выражения expression1 - expression2. Например, следующие два выражения идентичны:

x -= y;
x = x - y;

Строковые выражения должны быть конвертированы в числа или будет возвращено NaN значение.

Пример

В примере используется оператор -= чтобы отнять 10 от 5 и присвоить результат переменной x.

x = 5;
y = 10;
x -= y
trace(x);
//возвращает -5

Пример

В этом примере показано конвертирование строки в число:

x = "5";
y = "10";
x -= y;
trace(x);
// возвращает -5


== (equality)

Символьные операторы > == (equality)

== (равенство)

Доступность

Flash Player 5.

Синтаксис

expression1 == expression2

Параметры

expression1,expression2 Числа, строки, булевые значения, переменные, объекты, массивы или функции.

Возвращается

Ничего.

Описание

Оператор (сравнения), проверяет два выражения на равенство. Результат true если выражения равны.

Определение равенства зависит от типа данных аргумента:

Числа и булевые значения сравниваются по значению и считаются равными, если их значения равны.

Строки считаются равными, и если они содержат одинаковое число символов и символы этих строк равны между собой.

Переменные, объекты, массивы и функции сравниваются по содержанию. Две переменные равны, если они ссылаются на один и тот же объект, массив или функцию. Две отдельных массива никогда не считаются равными, даже если они имеют одинаковое число элементов.

Пример

Вот пример использования оператора == с оператором ветвления if:

a = "David" , b = "David";
if (a == b){
   trace("David is David");
}

Пример

Этот пример показывает результат сравнения смешанных типов данных.

x = "5"; y = "5";
trace(x == y);
// true

x = "5"; y = "66";
trace(x ==y);
// false

x = "chris"; y = "steve";
trace (x == y);
//false

См. также

!= (неравенство), === (строгое равенство), !== (строгое неравенство)


=== (strict equality)

Символьные операторы > === (strict equality)

=== (строгое равенство)

Доступность

Flash Player 6.

Синтаксис

expression1 === expression2

Описание

Оператор, проверяет два выражения на равенство, оператор строгого равенства (===) выполняет ту же самую функцию, что и оператор равенства (==) за исключением того, что типы данных не преобразованы (конвертированы). Если оба выражения равны, включая равенство их типов данных, то результат будет true.

Определение эквивалентности зависит от сравниваемых типов данных:

Числа, строки, булевые данные сравниваются по значению.

Строки считаются равными, если они содержат одинаковое число символов и символы этих строк равны между собой.

Переменные, объекты, массивы и функции сравниваются по содержанию. Две переменные равны, если они ссылаются на один и тот же объект, массив или функцию. Две отдельных массива никогда не считаются равными, даже если они имеют одинаковое число элементов.

Пример

Следующий код отображает возвращенное значение операций, которые используют операторы равенства, строгого равенства и строгого неравенства.

s1 = new String("5");
s2 = new String("5");
s3 = new String("Hello");
n  = new Number(5);
b = new Boolean(true);

s1 == s2; // true
s1 == s3; // false
s1 == n; // true
s1 == b; // false

s1 === s2;  // true
s1 === s3; // false
s1 === n; // false
s1 === b; // false

s1 !== s2; // false
s1 !== s3; // true
s1 !== n; // true
s1 !== b; // true

См. также

== (равенство), != (неравенство), === (строгое равенство)


> (greater than)

Символьные операторы > > (greater than)

> (больше чем)

Доступность

Flash Player 5.

Синтаксис

expression1 > expression2

Параметры

expression1,expression2 Целое число, число с плавающей запятой или строка.

Возвращается

Ничего.

Описание

Оператор (сравнения), сравнивает два выражения и определяет больше ли expression1 чем expression2 (true) или меньше expression1, или равно выражению expression2 (false).


>= (greater than or equal to)

Символьные операторы > >= (greater than or equal to)

>= (больше или равно)

Доступность

Flash Player 4.

Файл Flash 4:

x > y

Преобразованный файл Flash 5:

Number(x) > Number(y)

Синтаксис

expression1 >= expression2

Параметры

expression1, expression2 Строки, целые числа или числа с плавающей запятой.

Возвращается

Ничего.

Описание

Оператор (сравнения), сравнивает два выражения и определяет больше ли expression1 чем expression2 (true), равно ли expression1 или меньше expression2 (false).

В Flash 5, оператор (>) является оператором сравнения, работающим с различными типами данных. В Flash 4, > является числовым оператором. Файлы Flash 4, перенесённые в рабочую среду Flash 5, преобразуются для сохранения целостности типа данных.


>> (bitwise right shift)

Символьные операторы > >> (bitwise right shift)

>> (побитовое смещение вправо)

Доступность

Flash Player 5.

Синтаксис

expression1 >> expression2

Параметры

expression1 Число или выражение, которое нужно сместить вправо.

expression2 Число или выражение, конвертируемые в целое число от 0 до 31.

Возвращается

Ничего.

Описание

Оператор (побитовый), конвертирует expression1 и expression2 в 32-битное целое число и смещает все биты в expression1 вправо на число разрядов, указанное целым числом, результирующим от преобразования expression2. Биты, смещённые вправо, игнорируются. Чтобы сохранить знак изначального выражения expression, биты слева заполняются нулями, если самый значимый бит (самый левый) выражения expression1 будет нулём, или заполняются единицами, если самый значимый бит будет единицей. Смещение значения вправо на одну позицию эквивалентно делению на 2, пренебрегая остатком.

Пример

Этот пример показывает процесс преобразования числа 65535 в 32-битное целое число и смещение этого числа на восемь битов вправо:

x = 65535 >> 8

Результатом вышеописанной операции будет:

x = 255

Результат таков, потому что десятичное число 65535 равно двоичному числу 1111111111111111 (шестнадцать единиц), двоичное число 1111111111111111, смещённое вправо на восемь бит даст нам двоичное число 11111111, а двоичное число 11111111 равняется десятичному числу 255. Самый значимый бит - 0, так как целые числа 32-битные.

Следующий пример показывает процесс преобразования числа -1 в 32-битное целое число и смещение этого числа на один бит вправо:

x = -1 >> 1

Результатом вышеописанной операции будет:

x = -1

Результат таков, потому что десятичное число -1 равно двоичному числу 11111111111111111111111111111111 (тридцать две единицы). Смещение вправо на один бит заставляет игнорировать наименее значимый бит (самый правый), и заполнить единицей наиболее значимый бит (самый левый). Результатом будет двоичное число 11111111111111111111111111111111 (тридцать две единицы), которое представляет собой 32-битное целое число -1.

См. также

>>= (побитовое смещение вправо и присвоение)


>>= (bitwise right shift and assignment)

Символьные операторы > >>= (bitwise right shift and assignment)

>>= (побитовое смещение вправо и присвоение)

Доступность

Flash Player 5.

Синтаксис

expression1 =>>expression2

Параметры

expression1 Число или выражение, которые необходимо сместить влево.

expression2 Число или выражение, конвертируемые в целое число от 0 до 31.

Возвращается

Ничего.

Описание

Оператор (побитовый с присвоением), производит побитовое смещение вправо и записывает содержимое, как результат в expression1.

Пример

Данные два выражения эквивалентны:

A >>= B
A = (A >> B)

Данный закомментированный код использует побитовый оператор (>>=) . Это также является примером использования всех побитовых операторов.

function convertToBinary(number){
   var result = "";
   for (var i=0; i<32; i++) {
      // Извлеките наименее существенный бит, используя побитовое И
      var lsb = number & 1;
      // Добавляет этот бит н нашей окончательной строке
      result = (lsb ? "1" : "0") + result;
      // Смещает число вправо на 1 бит, чтобы увидеть следующий бит
      number >>= 1;}
   return result;
}
trace(convertToBinary(479));
// Возвращает строку 00000000000000000000000111011111
// Вышеупомянутая строка - двоичное представление десятичного числа
// Это число 479

См. также

<< (побитовое смещение влево)


>>> (bitwise unsigned right shift)

Символьные операторы > >>> (bitwise unsigned right shift)

>>> (побитовое смещение вправо без знака)

Доступность

Flash Player 5.

Синтаксис

expression1 >>> expression2

Параметры

expression1 Число или выражение, которые необходимо сместить вправо.

expression2 Число или выражение, конвертируемые в целое число от 0 до 31.

Возвращается

Ничего.

Описание

Оператор (побитовый), он ничем не отличается от побитового оператора смещения вправо (>>) кроме знака изначального выражения expression так как биты слева всегда заполняются нулями.

Пример

Следующий пример показывает процесс преобразования числа -1 в 32-битное целое число и смещение этого числа на один бит вправо:

x = -1 >>> 1

Результатом вышеописанной операции будет:

x = 2147483647

Результат таков, потому что десятичное число -1 равно двоичному числу 11111111111111111111111111111111 (тридцать две единицы). Смещение вправо на один бит без знака заставляет игнорировать наименее значимый бит (самый правый), и заполнить нулём наиболее значимый бит (самый левый). Результатом будет двоичное число 01111111111111111111111111111111, которое представляет собой 32-битное целое число 2147483647.

См. также

>>= (побитовое смещение вправо и присвоение)


>>>= (bitwise unsigned right shift and assignment)

Символьные операторы > >>>= (bitwise unsigned right shift and assignment)

>>>= (побитовое смещение вправо без знака и присвоение)

Доступность

Flash Player 5.

Синтаксис

expression1 >>>= expression2

Параметры

expression1 Число или выражение, которые нужно сместить вправо.

expression2 Число или выражение, преобразуемые в целое число от 0 до 31.

Возвращается

Ничего.

Описание

Оператор (побитовый с присвоением), производит побитовое смещение вправо без знака и записывает содержимое, как результат в expression1. Следующие два выражения эквивалентны:

A >>>= B
A = (A >>> B)

См. также

>>> (побитовое смещение вправо без знака), >>= (побитовое смещение вправо и присвоение)


Accessibility (object)

A-C > Accessibility (объект)

Accessibility (объект)

Объект Accessibility (доступность) является набором методов, используемых для создания содержания, доступного людям, с физическими недостатками зрения. Во Flash MX существует только один метод.

Этот объект доступен во Flash Player 6.

Таблица методов для объекта Accessibility

Свойство | Описание
Accessibility.isActive | Показывает, активна ли программа чтения с экрана.


Accessibility.isActive

A-C > Accessibility.isActive

Accessibility.isActive

Доступность

Flash Player 6.

Синтаксис

Accessibility.isActive()

Параметры

Нет.

Возвращает

Булево значение.

Описание

Метод, показывает, активно ли программное обеспечение чтения с экрана или нет. Используйте этот метод, для управления поведением Flash-слипа в зависимости от наличии программы чтения с экрана.

См. также

System.capabilities.hasAccessibility


add

A-C > add

add

Доступность

Flash Player 4.

Синтаксис

string1 add string2

Параметры

string1, string2 являются строками (Strings).

Возвращает

Ничего.

Описание

Оператор, "склеивает" две или более строк. Оператор add заменил оператор & , существовавший в Flash 4, в котором файлы, использующие оператор &, автоматически преобразуются к использованию оператора add, для сложения строк при работе в среде Flash 5 Player. Однако не рекомендуется использовать оператор add во Flash 5, вместо него лучше использовать оператор +. Используйте оператор add только в том случае, если вы работаете с Flash Player версии 4 или ниже.

См. также

+ (addition)


and

A-C > and

and

Доступность

Flash Player 4.

Синтаксис

condition1 and condition2

Параметры

condition1, condition2 Условия или выражения, характеризующиеся состояниями true или false.

Возвращает

Ничего.

Описание

Оператор, выполняет логическую операцию AND во Flash 4 Player. Если оба выражения установлены в true, получаем true. Во Flash 5, вместо опервтора and рекомендуется использовать оператор &&.

См. также

&& (short-circuit AND)


arguments (object)

A-C > arguments (объект)

arguments (объект)

Объект arguments по сути является массивом, содержащий значения, которые могу быть переданы в качестве параметров в любую функцию. Каждый раз при вызове такой функции в ActionScript, автоматически создается объект arguments для этой функции. Так же создается и локальная переменная arguments, которая позволяет Вам ссылаться на объект arguments.

Объект arguments доступен во Flash Player 6.

Таблица свойств объекта arguments

Свойство | Описание
arguments.callee | Ссылается на вызванную функцию.
arguments.caller | Ссылается на вызвавшую функцию.
arguments.length | Количество аргументов, переданных функции.


arguments.callee

A-C > arguments.callee

arguments.callee

Доступность

Flash Player 5.

Синтаксис

arguments.callee

Описание

Свойство, ссылка на вызываемую функцию.

Пример

Можно использовать свойство arguments.callee, чтобы сделать анонимную функцию, которая является рекурсивной:

factorial = function (x) {
  if (x <= 1) {
    return 1;
  } else {
    return x * arguments.callee(x-1);
  }
};

Ниже показана именованная рекурсивная функция:

function factorial (x) {
  if (x <= 1) {
    return 1;
  } else {
    return x * factorial(x-1);

}

}


arguments.caller

A-C > arguments.caller

arguments.caller

Доступность

Flash Player 6.

Синтаксис

arguments.caller

Описание

Свойство, ссылается на объект Arguments, вызвавший функцию.


arguments.length

A-C > arguments.length

arguments.length

Доступность

Flash Player 6.

Синтаксис

arguments.length

Описание

Свойство, хранит целое число, представляющее количество элементов в массиве arguments, равное числу аргументов, переданных функции, выполняющейся в данное время.


Array (object)

A-C > Array (объект)

Array (объект)

Объект Array (массив) позволяет работать с массивами. Объект Array, это объект, чьи свойства идентифицируются порядковым номером, позицией в массиве. Этот номер называют индексом. Первый элемент массива всегда имеет нулевой индекс, второй - [1], третий - [2], и т. д. В следующем примере массив myArray состоит из проиндексированных названий месяцев года.

myArray[0] = "January"
myArray[1] = "February"
myArray[2] = "March"
myArray[3] = "April"

Для создания объекта Array необходимо воспользоваться конструктором new Array. Чтобы получить доступ к отдельному элементу массива, используйте оператор [ ].

Во Flash MX объект Array стал "родным". Вы испытаете поразительные усовершенствования выполнения.

Таблица методов объекта Array

Метод | Описание
Array.concat | Соединяет аргументы (последовательности массивов), и возвращает их уже как новый массив.
Array.join | Объединяет все элементы массива в строку.
Array.pop | Удаляет последний элемент массива и возвращает его значение.
Array.push | Добавляет один или больше элементов в конец массива и возвращает длину нового массива.
Array.reverse | Выворачивает массив наизнанку, т. е. первый элемент становится последним, второй - предпоследним, и т. д.
Array.shift | Удаляет первый элемент массива и возвращает его значение.
Array.slice | Извлекает из массива часть и возвращает ее как новый массив.
Array.sort | Сортирует массив.
Array.sortOn | Сортирует массив однотипных объектов.
Array.splice | Добавляет и/или удаляет элементы из массива.
Array.toString | Возвращает значение строки, которую представляют из себя элементы массива.
Array.unshift | Добавляет один или больше элементов в начало массива и возвращает длину нового массива.

Таблица свойств объекта Array

Свойство | Описание
Array.length | Возвращает длину массива.

Конструктор для объекта Array

Доступность

Flash Player 5.

Синтаксис

new Array()
new Array(length)
new Array(element0, element1, element2,...elementN)

Параметры

length Целое число, равное количеству элементов в массиве. Если элементы не смежные, аргумент length равен индексу последнего элемента плюс 1.

element0...elementN Список двух или более произвольно выбранных значений. Это могут быть числа, имена или другие элементы. Первый элемент массива всегда имеет индекс, или позицию, равную 0.

Возвращает

Ничего.

Описание

Конструктор, позволяет создать массив. Можете использовать конструктор для создания массивов различных типов: пустой массив, массив определенного размера, но его элементам не будут присвоены значения или массив, элементы которого имеют определенные значения.

Синтаксис 1: Если Вы не определяете никаких параметров, создается массив, длинной (lenght) 0.

Синтаксис 2: Если Вы определяете только размер (целое неотрицательное число), создается массив с количеством элементов, указанным в круглых скобках, но без значений.

Синтаксис 3: Если Вы используйте аргументы element, создается массив с определенными значениями.

Пример

Синтаксис 1: Следующий пример создает новый объект Array, размером, равным 0.

myArray = new Array();

Синтаксис 3: Следующий пример создает новый объект Array с именем go_gos, размером, равным 5.

go_gos = new Array("Belinda", "Gina", "Kathy", "Charlotte", "Jane");
trace(go_gos.join(" + "));

Первоначальные элементы массива go_gos идентифицированы следующим образом:

go_gos[0] = "Belinda";
go_gos[1] = "Gina";
go_gos[2] = "Kathy";
go_gos[3] = "Charlotte";
go_gos[4] = "Jane";

Следующий код добавит пятый элемент в массив go-gos и изменит первый:

go_gos[5] = "Donna";
go_gos[1] = "Nina"
trace(go_gos.join(" + "));

См. также

Array.length, [] (array access)


Array.concat

A-C > Array.concat

Array.concat

Доступность

Flash Player 5.

Синтаксис

myArray.concat(value0,value1,...valueN)

Параметры

value0,...valueN Числа (Numbers), элементы или строки (String), добавляемые в конец массива.

Возвращает

Ничего.

Описание

Метод, добавляет элементы в конец массива myArray, определенные в аргументах. Если аргументы value являются массивом, элементы этого массива дописываются в конец массива myArray.

Пример

Следующий код "склеивает" два массива.

alpha = new Array("a","b","c");
numeric = new Array(1,2,3);
alphaNumeric=alpha.concat(numeric);
trace(alphaNumeric);
// создается массив ["a","b","c",1,2,3]

Следующий код "склеивает" три массива.

num1=[1,3,5];
num2=[2,4,6];
num3=[7,8,9];
nums=num1.concat(num2,num3)
trace(nums);
// создается массив [1,3,5,2,4,6,7,8,9]

Вложенные массивы не являются "плоскими", как обычные массивы. Элементы вложенного массива не разрушаются на отдельные элементы в массиве x, как показано в следующем примере.

a = new Array ("a","b","c");
n = new Array(1, [2, 3], 4);
// 2 и 3 являются элементами вложенного массива array
x = a.concat(n);
x[0] = "a"
x[1] = "b"
x[2] = "c"
x[3] = 1
x[4] = 2, 3
x[5] = 4


Array.join

A-C > Array.join

Array.join

Доступность

Flash Player 5.

Синтаксис

myArray.join([separator])

Параметры

separator Символ или строка, которая будет отделять друг от друга элементы массива в возвращаемой строке. Если разделитель не указан, по умолчанию будет использоваться запятая.

Возвращает

Ничего.

Описание

Метод, преобразует элементы массива в строки (Strings), вставляет и определяет разделитель между элементами, "склеивает" их и возвращает строковый результат. Вложенный массив всегда разделяется запятой, а не разделителем, указанный в круглых скобках метода join.

Пример

Следующий пример создает массив с тремя элементами, затем отделит элементы массива тремя различными способами. Результат выводится в окно Output:

a = new Array("Earth","Moon","Sun")
trace(a.join());
// Возвращает Earth, Moon, Sun
trace(a.join(" - "));
// Возвращает Earth - Moon - Sun
trace(a.join(" + "));
// Возвращает Earth + Moon + Sun


Array.length

A-C > Array.length

Array.length

Доступность

Flash Player 5.

Синтаксис

myArray.length

Описание

Свойство, содержит в себе размер массива. Это свойство автоматически обновляется при добавлении новых элементов в массив. Если Вы присвоите значение в элемент массива (например, myArray[index] = value), и если index число, а index+1 больше, чем свойство length, свойство length обновляется до index + 1.

Пример

Следующий код демонстрирует, как обновляется свойство length:

// сначала length равно 0
myArray = new Array();
myArray[0] = 'a';
// myArray.length обновилось до 1
myArray[1] = 'b';
// myArray.length обновилось до 2
myArray[9] = 'c';
// myArray.length обновилось до 10


Array.pop

A-C > Array.pop

Array.pop

Доступность

Flash Player 5.

Синтаксис

myArray.pop()

Параметры

Нет.

Возвращает

Значение последнего элемента массива myArray, при этом сам элемент удаляется.

Описание

Метод, удаляет последний элемент из массива и возвращает значение этого элемента.

Пример

Следующий код создает массив myPets с четырьмя элементами, затем удалит из него последний элемент.

myPets = ["cat", "dog", "bird", "fish"];
popped = myPets.pop();
trace(popped);
// fish удален


Array.push

A-C > Array.push

Array.push

Доступность

Flash Player 5.

Синтаксис

myArray.push(value,...)

Параметры

value Одно или несколько значений, добавляемых в конец массива.

Возвращает

Размер (lenght) нового массива.

Описание

Метод, добавляет один или несколько элементов в конец массива и возвращает новый размер массива.

Пример

Следующий пример создаст массив myPets с двумя элементами: cat и dog. Вторая строка добавит два элемента в этот массив. После вызова метода push, переменная pushed будет содержать четыре элемента. Т.к. метод push возвращает новый размер массива, действие trace в последней строке кода отошлет 4, новый размер массива, в окно Output window:

myPets = ["cat", "dog"];
pushed = myPets.push("bird", "fish");
trace(pushed);


Array.reverse

A-C > Array.reverse

Array.reverse

Доступность

Flash Player 5.

Синтаксис

myArray.reverse()

Параметры

Нет.

Возвращает

Ничего.

Описание

Метод, изменяет порядок следования элементов массива на противоположный.

Пример

Ниже приведен пример использования метода Array.reverse:

var numbers = [1, 2, 3, 4, 5, 6];
trace(numbers.join());
numbers.reverse();
trace(numbers.join());

Команда trace отошлет в окно Output следующее:

1,2,3,4,5,6
6,5,4,3,2,1


Array.shift

A-C > Array.shift

Array.shift

Доступность

Flash Player 5.

Синтаксис

myArray.shift()

Параметры

Нет.

Возвращает

Первый элемент массива, при этом сам элемент удаляется.

Описание

Метод, удаляет первый элемент в массиве и возвращает значение этого элемента.

Пример

Следующий код создаст массив myPets, а затем удалит его первый элемент и присвоит его значение переменной shifted.

myPets = ["cat", "dog", "bird", "fish"];
shifted = myPets.shift();
trace(shifted);
// возвратит cat

См. также

Array.pop


Array.slice

A-C > Array.slice

Array.slice

Доступность

Flash Player 5.

Синтаксис

myArray.slice(start, end)

Параметры

start Целое число (начиная с 0), указывающее первый элемент myArray, который должен быть добавлен в новый массив. Если start отрицательное число, отсчет начинается с конца массива, при этом -1 последний элемент массива.

end Целое число, указывающее элемет массива, перед которым стоит последний элемент последовательности, из которой и создается новый массив. Если Вы опустите этот аргумент, то создается массив начиная с start и заканчивая myArray.lenght. Если end отрицательное число, end ведет обратный отсчет с конца массива (-1 это последний элемент в массиве).

Возвращает

Новый массив, содержащий элементы myArray от start до end-1.

Описание

Метод, извлекает из массива часть последовательности и возвращает ее как новый массив, оставляя при этом основной массив без изменений. Новый массив включает в себя элемент start и все последующие элементы до end, при этом элемент end не включается.


Array.sort

A-C > Array.sort

Array.sort

Доступность

Flash Player 5.

Синтаксис

myArray.sort([compareFunction])

Параметры

compareFunction Произвольная сравнивающая функция, определяющая порядок сортировки. Учитывая аргументы А и В, функция orderfunc должна выполнять сортировку следующим образом:

-1 если A появляется прежде, чем B в сортируемой последовательности

0 если A = B

1 если A появляется после B в сортируемой последовательности

Возвращает

Ничего.

Описание

Метод, сортирует массив на месте без создания копии. Если Вы опустите аргумент compareFunction, Flash сортирует элементы на месте, используя оператор сравнения <.

Пример

Использование метода Array.sort без указания аргумента compareFunction:

var fruits = ["oranges", "apples", "strawberries", "pineapples", "cherries"];
trace(fruits.join()); // выведет в окно Output oranges,apples,strawberries,pineapples,cherries
fruits.sort();
trace(fruits.join()); // выведет apples,cherries,oranges,pineapples,strawberries

Использование Array.sort, определяя аргумент функции.

var passwords = [
   "gary:foo",
   "mike:bar",
   "john:snafu",
   "steve:yuck",
   "daniel:1234"
 ];
 function order (a, b) {
   // Элементы записаны в форме
   // name:password
   // Сортируем, используя в качестве ключа
   // только часть name.
   var name1 = a.split(':')[0];
   var name2 = b.split(':')[0];
   if (name1 < name2) {
     return -1;
   } else if (name1 > name2) {
     return 1;
   } else {
     return 0;
   }
 }
 for (var i=0; i< password.length; i++) {
   trace (passwords.join());
 }
 passwords.sort(order);
 trace ("Sorted:");
 for (var i=0; i< password.length; i++) {
   trace (passwords.join());
 }

Предыдущий код отобразит следующий результат в окне Output:

daniel:1234
gary:foo
john:snafu
mike:bar
steve:yuck


Array.sortOn

A-C > Array.sortOn

Array.sortOn

Доступность

Flash Player 6.

Синтаксис

Array.sortOn(fieldName)

Параметры

fieldName - это строка (String), которая идентифицирует область в элементе массива для сортировки.

Возвращает

Ничего.

Описание

Метод, сортирует однотипные элементы в массиве. Если параметр fieldName не задан, функция не работает. Если задано несколько параметров fieldName, первое значение преобразовывается в строку (String), а остальные параметры игнорируются.

Если ни один из сравниваемых элементов не содержит область, указанную в fieldName, сортировка происходит также, как и в методе Array.sort.

Пример

Этот пример создает новый массив и сортирует его в алфавитном порядке по city:

var recArray = new Array();
recArray.push( { name: "bob", city: "omaha", zip: 68144 } );
recArray.push( { name: "greg", city: "kansas city", zip: 72345 } );
recArray.push( { name: "chris", city: "burlingame", zip: 94010 } );
recArray.sortOn("city");
// результат будет следующим:
recArray[0] = name: "chris", city: "burlingame", zip: 94010
recArray[1] = name: "greg", city: "kansas city", zip: 72345
recArray[2] = name: "bob", city: "omaha", zip: 68144

См. также

Array.sort


Array.splice

A-C > Array.splice

Array.splice

Доступность

Flash Player 5.

Синтаксис

myArray.splice(start, deleteCount, value0,value1...valueN)

Параметры

start Индекс элемента в массиве, откуда начинается добавление и/или удаление.

deleteCount Количество удаляемых элементов, включая элемент, определенный в аргументе start. Если значение для аргумента deleteCount не задано, метод удаляет все элементы, начиная с start до конца массива. Если значение равно 0, ни один элемент не удаляется.

value Одно или более значений добавляемых в массив элементов, начиная с индекса, определенного в аргументе start. Этот аргумент является не обязательным.

Возвращает

Ничего.

Описание

Метод, добавляет и удаляет элементы из массива. Этот метод изменяет массив без создания копии.


Array.toString

A-C > Array.toString

Array.toString

Доступность

Flash Player 5.

Синтаксис

myArray.toString()

Параметры

Нет.

Возвращает

Строку (String).

Описание

Метод, возвращает строковое значение представленных элементов объекта Array. Каждый элемент в массиве, начиная с индекса 0 и заканчивая индексом myArray.length-1, преобразуется и "склеивается" в одну строку и разделяется запятыми.

Пример

Следующий пример создаст массив myArray, преобразует в строку и отобразит 1,2,3,4,5 в окне Output:

myArray = new Array();
myArray[0] = 1;
myArray[1] = 2;
myArray[2] = 3;
myArray[3] = 4;
myArray[4] = 5;
trace(myArray.toString());


Array.unshift

A-C > Array.unshift

Array.unshift

Доступность

Flash Player 5.

Синтаксис

myArray.unshift(value1,value2,...valueN)

Параметры

value1,...valueN Один или больше элементов, переменных или чисел, вставляемых в начало массива.

Возвращает

Новый размер массива.

Описание

Метод, добавляет один или больше элементов в начало массива и возвращает размер нового массива.


asfunction

A-C > asfunction

asfunction

Доступность

Flash Player 5.

Синтаксис

asfunction:function,"parameter"

Параметры

function Идентификатор для функции.

parameter Строка (String), передающая в функцию function значение аргумента.

Возвращает

Ничего.

Описание

Протокол, специальный протокол для URL-адресов в HTML текстовых полей. В HTML-текстовых полях тест может быть гиперссылкой, используя HTML-тег A. Атрибут HREF тега A содержит URL, который подходит для стандартных протоколов, таких как HTTP, HTTPS или FTP. Протокол asfunction является дополнительным протоколом во Flash, который позволяет запускать функцию ActionScript.

Пример

В следующем примере функция MyFunc определяется в первых трех строчках кода. Переменная textField ассоциирована с HTML-текстовым полем. Текст "Click Me!" - гиперссылка в текстовом поле. Функция MyFunc вызывается, когда пользователь щелкает по гиперссылке:

function MyFunc(arg){
    trace ("You clicked me!Argument was "+arg);
}
myTextField.text ="<A HREF=\"asfunction:MyFunc,Foo \">Click Me!</A>";

Если щелкнуть по гиперссылке, в окне Output отобразится следующий результат:

You clicked me!  Parameter was Foo


Boolean (function)

A-C > Boolean (функция)

Boolean (функция)

Доступность

Flash Player 5.

Синтаксис

Boolean(expression)

Параметры

expression Выражение для преобразования в булево (Boolean) значение.

Возвращает

true или false.

Описание

Глобальная функция, преобразует выражение expression в булево значение и возвращает:

Если expression является булево значение, возвращает его значение.

Если expression число (Number), возвращает значение true если число не ноль, в противном случае возвращает false.

Если expression строка (String), вызывается метод toNumber (т.е. аргумент преобразуется в число) и возвращается значение true если число не ноль, в противном случае - false.

Если expression неопределен (undefined), возвращается false.

Если expression мувиклип (movie clip) или объект, всегда возвращается значение true.


Boolean (object)

A-C > Boolean (объект)

Boolean (объект)

Объект Boolean является объектом-оболочкой (wrapper object) с теми же функциональными возможностями, что и объект Boolean в JavaScript. Используйте объект Boolean object для получения простейших типов данных или строк (Strings) в объектах Boolean. Во Flash MX объект Boolean стал родным объектом. Вы получите поразительные усовершенствования выполнения.

Вы должны использовать конструктор new Boolean() для создания экземпляра объекта Boolean, прежде, чем вызывать его методы.

Таблица методов объекта Boolean

Метод | Описание
Boolean.toString | Возвращает строку (String), представленную (true) или (false) объекта Boolean.
Boolean.valueOf | Возвращает начальное значение объекта Boolean.

Конструктор для Boolean

Доступность

Flash Player 5.

Синтаксис

new Boolean([x])

Параметры

x Любое выражение. Этот аргумент необязательный.

Возвращает

Ничего.

Описание

Конструктор, создает экземпляр объекта Boolean. Если Вы опустите аргумент x, объект Boolean инициализируется со значением false. Если Вы определили значение для аргумента x, метод вычислит его и возвратит результат, как булево (Boolean) значение, как и в функции Boolean (функция).

Примечание: Для обеспечения совместимости с Flash Player 4, при работе со строками (Strings) объекта Boolean не используйте стандарт ECMA-262.

Пример

Следующий код создаст пустой объект Boolean, названный myBoolean.

myBoolean = new Boolean();


Boolean.toString

A-C > Boolean.toString

Boolean.toString

Доступность

Flash Player 5.

Синтаксис

myBoolean.toString()

Параметры

Нет.

Возвращает

Строку "true", если myBoolean является true, в противном случае - false.

Описание

Метод, извлекает элементарное значение объекта myBoolean, преобразует его в строку и возвращает полученную строку.


Boolean.valueOf

A-C > Boolean.valueOf

Boolean.valueOf

Доступность

Flash Player 5.

Синтаксис

Boolean.valueOf()

Параметры

Нет.

Возвращает

Элементарное булево значение true или false.

Описание

Метод, возвращает элементарное булево значения объекта Boolean.


break

A-C > break

break

Доступность

Flash Player 4.

Синтаксис

break;

Параметры

Нет.

Возвращает

Ничего.

Описание

Команда, применяется в циклах (for, for...in, do...while или while) или в блоке выражений (statements), связанных с действием switch, в особых случаях. Команда break предписывает Flash пропустить оставшееся тело цикла, и выполнить следующее за циклом выражение (statement). При использовании команды break Flash пропускает оставшееся выражения (statements) в этом блоке и переходит к первому выражению (statement) команды switch. Используйте команду break, чтобы прервать серию вложенных циклов.

Пример

Следующий пример использует команду break для выхода из бесконечного цикла.

i = 0;
while (true) {
    if (i >= 100) {
        break;
    }
    i++;
}

См. также

for, for..in, do while, while, switch, case


Button (object)

A-C > Button (объект)

Button (объект)

Все символы кнопок во Flash-клипах являются экземплярами объекта Button (кнопка). Можете дать имя экземпляру на панели Properties и использовать методы и свойства объекта Button, чтобы манипулировать кнопками средствами ActionScript. Имена экземпляров кнопок отображаются на панели Movie Explorer и в диалоговом окне Insert Target Path на панели Actions.

Объект Button наследуется из объекта Object.

Объект Button поддерживается Flash Player 6.

Таблица методов объекта Button

Метод | Описание
Button.getDepth | Возвращает уровень (Depth) экземпляра кнопки.

Таблица свойств объекта Button

Свойство | Описание
Button._alpha | Значение прозрачности экземпляра кнопки.
Button.enabled | Указывает, будет ли кнопка реагировать на события.
Button._focusrect | Указывает, будет ли кнопка, на которой находится фокус ввода, иметь желтую окантовку.
Button._height | Высота экземпляра кнопки в пикселях.
Button._highquality | Указывает на качество всего фильма Flash
Button._name | Имя экземпляра кнопки.
Button._parent | Ссылка на экземпляр мувиклипа, в который вложен этот экземпляр кнопки.
Button._quality | Указывает на качество всего фильма Flash.
Button._rotation | Угол поворота кнопки в градусах.
Button._soundbuftime | Количество секунд для буферизации звука.
Button.tabEnabled | Указывает, будет ли кнопка включена в порядок обхода при нажатии клавиш Tab или Shift+Tab.
Button.tabIndex | Индекс кнопки в порядке обхода клавишами Tab или Shift+Tab.
Button._target | Указывает путь текущего экземпляра кнопки.
Button.trackAsMenu | Указывает, будет ли кнопка откликаться на события, происходящие в других кнопках.
Button._url | Возвращает URL-адрес файла SWF, содержащий кнопку.
Button.useHandCursor | Указывает на то, будет ли курсор принимать вид руки, когда находится над этой кнопкой.
Button._visible | Булево значение, которое отвечает за видимость экземпляра кнопки.
Button._width | Ширина экземпляра кнопки в пикселях.
Button._x | Горизонтальная координата экземпляра кнопки.
Button._xmouse | Горизонтальная координата курсора, находящегося над кнопкой.
Button._xscale | Значение, определяющее масштаб экземпляра кнопки по горизонтали в процентах.
Button._y | Вертикальная координата экземпляра кнопки.
Button._ymouse | Вертикальная координата курсора, находящегося над кнопкой.
Button._yscale | Значение, определяющее процент вертикального масштабирования экземпляра кнопки.


Event summary for the Button object

A-C > События объекта Button

Таблица событий объекта Button

Метод | Описание
Button.onDragOut | Вызывается тогда, когда пользователь помещает курсор на кнопку, нажимает левую кнопку мыши и не отпуская ее уводит с кнопки.
Button.onDragOver | Наступает, когда пользователь нажимает левую кнопку мыши за пределами этой кнопки и в нажатом состоянии наводит курсор на кнопку.
Button.onKeyDown | Наступает, когда текущая кнопка имеет фокус ввода и пользователь нажимает клавишу на клавиатуре.
Button.onKeyUp | Наступает, когда текущая кнопка имеет фокус ввода и пользователь отпускает клавишу на клавиатуре после нажатия.
Button.onKillFocus | Наступает, когда текущая кнопка теряет фокус ввода.
Button.onPress | Наступает при щелчке по этой кнопке.
Button.onRelease | Вызывается при отпускании кнопки мыши на этой кнопке после нажатия.
Button.onReleaseOutside | Наступает, когда пользователь щелкнет по этой кнопке, затем уводит курсор с кнопки и отпускает клавишу мыши за пределами этой кнопки.
Button.onRollOut | Вызывается, когда курсор уводится с текущей кнопки.
Button.onRollOver | Наступает при наведении курсора на эту кнопку.
Button.onSetFocus | Вызывается, когда текущая кнопка получает фокус ввода.


Button._alpha

A-C > Button._alpha

Button._alpha

Доступность

Flash Player 6.

Синтаксис

myButton._alpha

Описание

Свойство, устанавливает или восстанавливает значение (value) прозрачности кнопки, указанной в Button. Допустимые значения от 0 (полная прозрачность) до 100 (полная непрозрачность). Объекты в кнопке с установленной прозрачностью _alpha 0 являются активными, при том, что они невидимы.

Пример

Здесь устанавливается свойство прозрачности _alpha для кнопки star в 30%.

on(release) {
    star._alpha = 30;
}


Button.enabled

A-C > Button.enabled

Button.enabled

Доступность

Flash Player 6.

Синтаксис

myButton.enabled

Описание

Свойство, булево значение, которое разрешает или запрещает доступ к кнопки. По умолчанию установлено true - кнопка доступна.


Button._focusrect

A-C > Button._focusrect

Button._focusrect

Доступност

Flash Player 6.

Синтаксис

myButton._focusrect

Описание

Свойство, булево значение, определяющее, будет ли иметь кнопка желтую окантовку, когда на ней находится фокус ввода. Это свойство может быть заменено глобальным свойством _focusrect.


Button.getDepth

A-C > Button.getDepth

Button.getDepth

Доступность

Flash Player 6.

Синтаксис

myButton.getDepth()

Возвращает

Целое число.

Описание

Метод, возвращает уровень вложенности (Depth) кнопки.


Button._height

A-C > Button._height

Button._height

Доступность

Flash Player 6.

Синтаксис

myButton._height

Описание

Свойство, устанавливает или восстанавливает высоту кнопки в пикселях.

Пример

Код в этом примере устанавливает высоту и ширину кнопки myButton:

myButton._width = 200;
myButton._height = 200;

См. также


Button._highquality

A-C > Button._highquality

Button._highquality

Доступность

Flash Player 6.

Синтаксис

myButton._highquality

Описание

Глобальное свойство, определяет уровень сглаживания во всем Flash-клипе. Значение 2 (BEST), всегда применять сглаживание к растровым рисункам. Значение 1 (High Quality), применять сглаживание растровых рисунков, если Flash-клип не содержит анимации. Значение 0 (Low Quality), не производить сглаживание.

Пример

_highquality = 1;

См. также

_quality, toggleHighQuality


Button._name

A-C > Button._name

Button._name

Доступность

Flash Player 6.

Синтаксис

myButton._name

Описание

Свойство, возвращает имя экземпляра кнопки myButton.


Button.onDragOut

A-C > Button.onDragOut

Button.onDragOut

Доступность

Flash Player 6.

Синтаксис

myButton.onDragOut

Параметры

Нет.

Возвращает

Ничего.

Описаное

Обработчик события, вызывается, когда пользователь наводит курсор на эту кнопку, нажимает левую клавишу мыши не отпуская кнопку мыши уводит курсор с этой кнопки.

Вы должны определить функцию, которая выполнится по наступлению этого события.

Пример

Следующий пример определяет функцию для события onDragOut, которая выведет сообщение onDragOut called в окно Output:

myButton.onDragOut = function () {
    trace ("onDragOut called");
};


Button.onDragOver

A-C > Button.onDragOver

Button.onDragOver

Доступность

Flash Player 6.

Синтаксис

myButton.onDragOver

Параметры

Нет.

Возвращает

Ничего.

Описание

Обработчик события, вызывается, когда пользователь нажимает левую кнопку мыши за пределами текущей кнопки и не отпуская ее наводит курсор на кнопку myButton.

Вы должны определить функцию, которая выполнится по наступлению этого события.

Пример

Следующий пример определяет функцию для события onDragOver, которая выведет сообщение onDragOver called в окно Output:

myButton.onDragOver = function () {
    trace ("onDragOver called");
};


Button.onKeyDown

A-C > Button.onKeyDown

Button.onKeyDown

Доступность

Flash Player 6.

Синтаксис

myButton.onKeyDown

Параметры

Нет.

Возвращает

Ничего.

Описание

Обработчик события, вызывается, когда текущая кнопка имеет фокус ввода и пользователь нажал клавишу на клавиатуре. Событие onKeyDown не принимает параметров. Вы можете использовать методы Key.getAscii и Key.getCode для задания клавиши.

Вы должны определить функцию, которая выполнится по наступлению этого события.

Пример

Следующий пример определяет функцию для события onKeyDown, которая выведет сообщение onKeyDown called в окно Output:

myButton.onKeyDown = function () {
    trace ("onKeyDown called");
};

См. также

Button.onKeyUp


Button.onKeyUp

A-C > Button.onKeyUp

Button.onKeyUp

Доступность

Flash Player 6.

Синтаксис

myButton.onKeyUp

Параметры

Нет.

Возвращает

Ничего.

Описание

Обработчик события, наступает, когда кнопка находится в фокусе ввода и пользователь отпускает нажатую ранее клавишу на клавиатуре. Событие onKeyUp не принимает параметров. Вы можете использовать методы Key.getAscii и Key.getCode для задания клавиши.

Вы должны определить функцию, которая выполнится по наступлению этого события.

Пример

Следующий пример определяет функцию для события onKeyUp, которая выведет сообщение onKeyUp called в окно Output:

myButton.onKeyUp = function () {
    trace ("onKeyUp called");
};

См. также

Button.onKeyDown


Button.onKillFocus

A-C > Button.onKillFocus

Button.onKillFocus

Доступность

Flash Player 6.

Синтаксис

myButton.onKillFocus = function (newFocus) {
    statements;

};

Параметры

newFocus - это объект, который восстанавливает фокус.

Возвращает

Ничего.

Описание

Обработчик события, событие, которое наступает, когда текущая кнопка теряет фокус ввода. Метод onKillFocus принимает один параметр newFocus, который является объектом и представляет новый объект для восстановления фокуса ввода. Если ни один из объектов не получает фокус ввода, newFocus присваивается значение null.


Button.onPress

A-C > Button.onPress

Button.onPress

Доступность

Flash Player 6.

Синтаксис

myButton.onPress

Параметры

Нет.

Возвращает

Ничего.

Описание

Обработчик события, наступает при нажатии на текущую кнопку.

Вы должны определить функцию, которая выполнится по наступлению этого события.

Пример

Следующий пример определяет функцию для события onPress, которая выведет сообщение onPress called в окно Output:

myButton.onPress = function () {
    trace ("onPress called");
};


Button.onRelease

A-C > Button.onRelease

Button.onRelease

Доступность

Flash Player 6.

Синтаксис

myButton.onRelease

Параметры

Нет.

Возвращает

Ничего.

Описание

Обработчик события, наступает при отпускании нажатой ранее левой кнопки мыши над текущей кнопкой.

Вы должны определить функцию, которая выполнится по наступлению этого события.

Пример

Следующий пример определяет функцию для события onRelease, которая выведет сообщение onRelease called в окно Output:

myButton.onRelease = function () {
    trace ("onRelease called");
};


Button.onReleaseOutside

A-C > Button.onReleaseOutside

Button.onReleaseOutside

Доступность

Flash Player 6.

Синтаксис

myButton.onReleaseOutside

Параметры

Нет.

Возвращает

Ничего.

Описание

Обработчик события, наступает, когда пользователь отпускает левую кнопку мыши за пределами текущей кнопки, причем нажата она была над этой кнопкой.

Вы должны определить функцию, которая выполнится по наступлению этого события.

Пример

Следующий пример определяет функцию для события onReleaseOutside, которая выведет сообщение onReleaseOutside called в окно Output:

myButton.onReleaseOutside = function () {
    trace ("onReleaseOutside called");
};


Button.onRollOut

A-C > Button.onRollOut

Button.onRollOut

Доступность

Flash Player 6.

Синтаксис

myButton.onRollOut

Параметры

Нет.

Возвращает

Ничего.

Описание

Обработчик события, наступает, когда пользователь уводит курсор с текущей кнопки.

Вы должны определить функцию, которая выполнится по наступлению этого события.

Пример

Следующий пример определяет функцию для события onRollOut, которая выведет сообщение onRollOut called в окно Output:

myButton.onRollOut = function () {
    trace ("onRollOut called");
};


Button.onRollOver

A-C > Button.onRollOver

Button.onRollOver

Доступность

Flash Player 6.

Синтаксис

myButton.onRollOver

Параметры

Нет.

Возвращает

Ничего.

Описание

Обработчик события, наступает при наведении курсора на текущую кнопку.

Вы должны определить функцию, которая выполнится по наступлению этого события.

Пример

Следующий пример определяет функцию для события onRollOver, которая выведет сообщение onRollOver called в окно Output:

myButton.onRollOver = function () {
    trace ("onRollOver called");
};


Button.onSetFocus

A-C > Button.onSetFocus

Button.onSetFocus

Доступность

Flash Player 6.

Синтаксис

myButton.onSetFocus = function(oldFocus){
  statements;
};

Параметры

oldFocus - это объект, который позволяет не задавать фокус ввода для текущей кнопки, а оставит предыдущий фокус.

Возвращает

Ничего.

Описание

Обработчик события, вызывается, когда кнопка получает фокус ввода. Параметр oldFocus является объектом, который позволяет избавиться от фокуса. Например, если пользователь нажимает клавишу Tab, чтобы переместить фокус с текстового поля в кнопку, параметр oldFocus будет содержать экземпляр текстового поля.

Если нет объекта, который содержал бы до этого события фокус, oldFocus принимает значение null.


Button._parent

A-C > Button._parent

Button._parent

Доступность

Flash Player 6.

Синтаксис

_parent.property

Описание

Свойство, ссылается на мукиклип или объект, который содержит текущую кнопку. Используйте _parent, чтобы определить относительный путь к мувиклипу или объекту, которые находятся уровнем выше. Можете использовать свойство _parent, чтобы подняться на несколько уровней вверх, как показано ниже:

_parent._parent._alpha = 20;

См. также

_root, targetPath


Button._quality

A-C > Button._quality

Button._quality

Доступность

Flash Player 6.

Синтаксис

myButton._quality

Описание

Глобальное свойство, устанавливает или возвращает качество воспроизведения фильма Flash. Системные шрифты всегда сглаживаются и следовательно не затрагиваются _quality.

Свойство _quality может устанавливать следующие значения:

"LOW" Низкое качество. Сглаживания не производится.

"MEDIUM" Среднее качество. Умеренное сглаживание векторной графики (2 x 2 пикселя), а растровые рисунки не сглаживаются. Подходит для Flash-клипов, которые не содержат текста.

"HIGH" Высокое качество. Вектор сглаживается 4 x 4 пикселя, а растр сглаживается, если фильм Flash не содержит анимации. Это свойство стоит во Flash по умолчанию.

"BEST" Наивысшее качество. Растровая и векторная графика сглаживаются.

Пример

Следующий пример устанавливает качество Flash-клипа в LOW:

myButton._quality = "LOW";

См. также

_highquality, toggleHighQuality


Button._rotation

A-C > Button._rotation

Button._rotation

Доступность

Flash Player 6.

Синтаксис

myButton._rotation

Описание

Свойство, определяет угол поворота кнопки в градусах от -180 до 180.


Button._soundbuftime

A-C > Button._soundbuftime

Button._soundbuftime

Доступность

Flash Player 6.

Синтаксис

myButton._soundbuftime

Описание

Глобальное свойство, целое число, которое определяет количество секунд для буферизации звука перед началом его воспроизведения. Это обеспечивает плавное воспроизведение потокового звука


Button.tabEnabled

A-C > Button.tabEnabled

Button.tabEnabled

Доступность

Flash Player 6.

Синтаксис

myButton.tabEnabled

Описание

Свойство, может быть установлено на мувиклипе (MovieClip), кнопке (Button) или текстовом поле (TextField). По умолчанию стоит undefined.

Если свойству tabEnabled присвоено undefined или true, или свойству tabIndex присвоено целое число, то объект включен в порядок обхода при нажатии клавиш Tab или Shift+Tab. Если свойству tabEnabled присвоено false, то объект исключается из порядка обхода, но все еще может быть нажат щелчком мыши. Для мувиклипа: если tabEnabled установлено в false, объекты, вложенные в этот мувиклип могут быть включены в порядок обхода, если только свойству tabChildren также не присвоено false.

См. также

Button.tabIndex


Button.tabIndex

A-C > Button.tabIndex

Button.tabIndex

Доступность

Flash Player 6.

Синтаксис

myButton.tabIndex

Описание

Свойство, позволяет определить порядок обхода объектов во Flash-клипе клавишами Tab или Shif+Tab. Свойство tabIndex может быть установлено на мувиклипе (MovieClip), кнопке (Button) или текстовом поле (TextField). По умолчанию стоит undefined.

Если какой-нибудь отображенный во Flash-клипе объект содержит свойство tabIndex, то автоматический порядок обхода блокируется и он высчитывается из значения свойства tabIndex, находящееся в объектах. Настраиваемый порядок обхода включает только объекты, содержащие в себе свойство tabIndex.

Свойство tabIndex должно быть положительным целым числом. Объекты имеют порядок обхода согласно значению свойства tabIndex. Объект, со свойством myButton.tabIndex = 1; предшествует объекту myButton.tabIndex = 2;. Если два объекта имеют одинаковое значение свойства tabIndex, то первый, он предшествует другому в автоматической последовательности обхода, получает undefined.

Настраиваемая последовательность обхода является плоской. Это означает, что это не зависит от вложенности одних объектов в другие. Все объекты в фильме Flash со свойством tabIndex помещены в порядок обхода, и их порядок обусловлен значением tabIndex. Если два объекта имеют одинаковое значение tabIndex, то первый получает undefined. Вам не следует использовать одинаковое значение tabIndex для нескольких объектов.

См. также

Button.tabEnable


Button._target

A-C > Button._target

Button._target

Доступность

Flash Player 6.

Синтаксис

myButton._target

Описание

Свойство (только для чтения), возвращает путь экземпляра кнопки, определенного в параметрах Button.


Button.trackAsMenu

A-C > Button.trackAsMenu

Button.trackAsMenu

Доступность

Flash Player 6.

Синтаксис

myButton.trackAsMenu

Описание

Свойство, принимает булево значение и указывает на то, будет ли кнопка реагировать на события, происходящие в других кнопках или мувиклипах. Например если Вы перемещаете мувиклип или кнопку над другими кнопкам, эти другие кнопки не будут реагировать на события onRollOver,onRollOut. Это поможет Вам и при создании меню. Свойство trackAsMenu устанавливается на мувиклипе (MovieClip) или кнопке (Button). Если свойство trackAsMenu не задано, по умолчанию стоит false.

Можно изменить свойство trackAsMenu в любой момент. Это можно сделать и на панели Properties в раскрывающемся списке Options for Button (Track as Button - эквивалент false, Track as Menu Item - true). Изменение поведения кнопки сразу вступает в силу.

См. также

MovieClip.trackAsMenu


Button._url

A-C > Button._url

Button._url

Доступность

Flash Player 6.

Синтаксис

myButton._url

Описание

Свойство (только для чтения), извлекает URL-адрес файла SWF, который содержит экземпляр кнопки.


Button.useHandCursor

A-C > Button.useHandCursor

Button.useHandCursor

Доступность

Flash Player 6.

Синтаксис

myButton.useHandCursor

Описание

Свойство, принимает булево значение. Если установлено true, курсор, при наведении на эту кнопку, меняет свой вид на руку с указательным пальцем. По умолчанию в useHandCursor установлено true. Если значение свойства useHandCursor установлено false, курсор не изменит свой внешний вид при наведении на эту кнопку.

Свойство useHandCursor Вы можете изменить в любой момент. Изменения вступают в силу незамедлительно. Свойство useHandCursor может быть считано прототипом (prototype) объекта.


Button._visible

A-C > Button._visible

Button._visible

Доступность

Flash Player 6.

Синтаксис

myButton._visible

Описание

Свойство, принимает булево значение, которое указывает, будет ли видна кнопка во Flash-клипе. Кнопки, которые не видимы (свойство _visible установлено false) являются также не доступными.


Button._width

A-C > Button._width

Button._width

Доступность

Flash Player 6.

Синтаксис

myButton._width

Описание

Свойство, устанавливает или возвращает ширину кнопки в пикселях.

Пример

Следующий пример задает высоту и ширину кнопки:

myButton._width=200;
myButton._height=200;

См. также


Button._x

A-C > Button._x

Button._x

Доступность

Flash Player 6.

Синтаксис

myButton._x

Описание

Свойство, число, которое устанавливает горизонтальную координату кнопки, относительно левого края Flash-клипа. Если кнопка вложена в мувиклип, то относительно координат этого мувиклипа. Таким образом, если мувиклип, в котором находится наша кнопка, помещен на сцене под углом 90°, кнопка наследует эти координаты. Координаты кнопки зависят и от точки регистрации, которую можно задать на панели Info.

См. также

Button._xscale, Button._y, Button._yscale


Button._xmouse

A-C > Button._xmouse

Button._xmouse

Доступность

Flash Player 6.

Синтаксис

myButton._xmouse

Описание

Свойство (только для чтения), возвращает горизонтальную координату курсора, относительно точки фиксации текущей кнопки в пикселях.

См. также

Button._ymouse


Button._xscale

A-C > Button._xscale

Button._xscale

Доступность

Flash Player 6.

Синтаксис

myButton._xscale

Описание

Свойство, Задает горизонтальную величину масштаба в процентах от точки регистрации кнопки. По умолчанию точка регистрации 0, 0.

Масштаб локальной системы координат воздействует на установки свойств _x и _y, которые определены в пикселях. Например, если мувиклип, в который вложена наша кнопка, масштабируется на 50%, установки свойства _x передвинут объект в кнопке на половину числа в пикселях, как это было бы, если бы Flash-клип был бы 100%.

См. также

Button._x, Button._y, Button._yscale


Button._y

A-C > Button._y

Button._y

Доступность

Flash Player 6.

Синтаксис

myButton._y

Описание

Свойство, устанавливает вертикальную координату кнопки относительно локальных координат мувиклипа, в котором находится текущая кнопка. Если кнопка находится на главной шкале времени, ее система координат начинается от верхнего левого края (0, 0). Когда кнопка находится внутри мувиклипа, который подвержен трансформации, локальная система координат кнопки ограничена мувиклипом. Таким образом, кнопка, помещенная в мувиклип, который в свою очередь был повернут на 90° , унаследует эти координаты. Координаты кнопки ссылаются и на точку регистрации, которую можно изменить на панели Info.

См. также

Button._x, Button._xscale, Button._yscale


Button._ymouse

A-C > Button._ymouse

Button._ymouse

Доступность

Flash Player 6.

Синтаксис

myButton._ymouse

Описание

Свойство (только для чтения), возвращает вертикальную координату курсора, относительно точки фиксации текущей кнопки в пикселях.

См. также

Button._xmouse


Button._yscale

A-C > Button._yscale

Button._yscale

Доступность

Flash Player 6.

Синтаксис

myButton._yscale

Описание

Свойство, задает вертикальный масштаб кнопки в процентах. По умолчанию регистрационная точка 0, 0.

См. также

Button._y, Button._x, Button._xscale


call

A-C > call

call

Доступность

Flash Player 4. Эта команда устарела и во Flash 5 и выше рекомендуется вместо него использовать команду function.

Синтаксис

call(frame)

Параметры

frame Метка (Label) или номер кадра на шкале времени (Timeline).

Возвращает

Ничего.

Описание

Команда, выполняет сценарий, который находится в указанном кадре, без перемещения воспроизводящей головки (Playhead) в этот кадр. Локальные переменные после выполнения уничтожаются.

См. также

function


call function

A-C > call function

call function

Доступность

Flash Player 6

Синтаксис

object.function([parameters])

Параметры

object Объект (например MovieClip) в котором была определена функция.

function Идентификатор, который определяет пользовательскую функцию.

parameters Необязательный параметр, указывающий любые параметры, которые необходимы функции.

Возвращает

Ничего.

Описание

Команда, позволяет использовать параметры полей ввода для вызова пользовательской функции в нормальном режиме ввода кода (Normal Mode) на панели Actions.


case

A-C > case

case

Доступность

Flash Player 4.

Синтаксис

case expression: statements

Параметры

expression Любое выражение.

statements Любые выражение (statements).

Возвращает

Ничего.

Описание

Ключевое слово, определяет условие для команды switch. Предложения в аргументе statements выполняются, если аргумент expression, который следует за ключевым словом case, сравнивает аргумент expression команды switch используя оператор строгово равенства (===)

Если Вы используйте команду case вне выражения switch, это приведет к ошибке и сценарий не выполнится.

См. также

switch, default, break, === (strict equality)


chr

A-C > chr

chr

Доступность

Flash Player 4. Эта функция во Flash 5 устарела и не рекомендуется к использованию. Вместо нее рекомендуется применять метод String.fromCharCode.

Синтаксис

chr(number)

Параметры

number ASCII-код символа.

Возвращает

Возвращает строковое представление ASCII-кода символа.

Описание

Строковая функция; Преобразует ASCII-код в строковую переменную.

Пример

Следующий пример преобразует число 65 в букву A и присваивает ее переменной myVar.

myVar = chr(65);

См. также

String.fromCharCode


clearInterval

A-C > clearInterval

clearInterval

Доступность

Flash Player 6.

Синтаксис

clearInterval( intervalID )

Параметры

intervalID Объект, возвращенный из вызванной функции setInterval.

Возвращает

Ничего.

Описание

Команда, удаляет интервал (таймер), созданный ранее функцией setInterval.

Пример

В следующем примере сначала устанавливается интервал, а затем вызванный интервал удаляется:

function callback() {
        trace("interval called");
}
var intervalID;
intervalID = setInterval( callback, 1000 );

// некоторое время спустя
clearInterval( intervalID );

См. также

setInterval


Color (object)

A-C > Color (объект)

Color (объект)

Объект Color позволяет Вам устанавливать и изменять RGB-значения мувиклипов и главного клипа и извлекать эти значения после их установки.

Вы должны использовать конструктор new Color() для создания экземпляра объекта Color, прежде, чем вызывать его методы.

Объект Color доступен во Flash 5 или более поздних версий Flash Player.

Таблица методов объекта Color

Метод | Описание
Color.getRGB | Возвращает числовое RGB-значение, установленное при последнем вызове метода setRGB.
Color.getTransform | Возвращает информацию об изменениях, установленную последним вызовом метода setTransform.
Color.setRGB | Устанавливает шестнадцатеричное представление RGB-значения для объекта Color.
Color.setTransform | Устанавливает изменение цвета для объекта Color.

Конструктор для объекта Color

Доступность

Flash Player 5.

Синтаксис

new Color(target)

Параметры

target Имя экземпляра мувиклипа (Movie Clip).

Возвращает

Ничего.

Описание

Конструктор, создает экземпляр объекта Color для мувиклипа, определенного в аргументе target. Затем можете использовать методы этого объекта Color для изменения цвета мувиклипа.

Пример

Следующий пример создает экземпляр объекта Color, именованного myColor для мувиклипа myMovieClip и устанавливает для него RGB-значение цвета:

myColor = new Color(myMovieClip);
myColor.setRGB(0xff9933);


Color.getRGB

A-C > Color.getRGB

Color.getRGB

Доступность

Flash Player 5.

Синтаксис

myColor.getRGB()

Параметры

Нет.

Возвращает

RGB-значение цвета.

Описание

Метод, возвращает числовое значение цвета, установленное при последнем вызове метода setRGB.

Пример

Следующий код извлекает RGB-значение экземпляра объекта Color myColor, преобразует его в строку (String) и присваивает ее переменной value.

value = myColor.getRGB().toString(16);

См. также

Color.setRGB


Color.getTransform

A-C > Color.getTransform

Color.getTransform

Доступность

Flash Player 5.

Синтаксис

myColor.getTransform()

Параметры

Нет.

Возвращает

Объект, в свойствах которого содержатся значения изменений цвета.

Описание

Метод, возвращает значение изменения, установленного при последнем вызове метода setTransform.

См. также

Color.setTransform


Color.setRGB

A-C > Color.setRGB

Color.setRGB

Доступность

Flash Player 5.

Синтаксис

myColor.setRGB(0xRRGGBB)

Параметры

0xRRGGBB Шестнадцатеричное или RGB представление цвета. RR, GG и BB состоят из двух шестнадцатеричных цифр, определяющих смещение каждого цветового компонента. Приставка 0x сообщает ActionScript, что число является шестнадцатеричным значением.

Описание

Метод, устанавливает цвет RGB для экземпляра объекта Color. Вызов этого метода отменяет любые предыдущие параметры, установленные методом setTransform.

Возвращает

Ничего.

Пример

Этот пример устанавливает RGB-значение цвета для мувиклипа myMovie. Чтобы увидеть этот код в работе, поместите мувиклип на сцене и присвойте этому экземпляру имя myMovie. Затем поместите следующий код в первый кадр главной шкалы времени и выберите Control > Test Movie.

myColor = new Color(myMovie);
myColor.setRGB(0x993366);

См. также

Color.setTransform


Color.setTransform

A-C > Color.setTransform

Color.setTransform

Доступность

Flash Player 5.

Синтаксис

myColor.setTransform(colorTransformObject);

Параметры

colorTransformObject Объект, созданный конструктором new Object. Этот экземпляр объекта Object должен иметь следующие свойства, которые определяются значениями изменения цвета: ra, rb, ga, gb, ba, bb, aa, ab. Эти свойства поясняются ниже.

Возвращает

Ничего.

Описание

Метод, устанавливает изменение цвета объекта Color. Аргумент colorTransformObject является родным объектом, который Вы создаете при помощи конструктора new Object. Этот аргумент определяет процентное отношение или значение смещения составляющих для red, green, blue и alpha (прозрачность), вписанных в формате 0xRRGGBBAA.

Параметры изменения цвета для объекта соответствуют параметрам диалогового окна Advanced Effect и определены следующим образом:

ra Процентное изменение красной составляющей (от -100 до 100).

rb Изменение красной составляющей (от -255 до 255).

ga Процентное изменение зеленой составляющей (от -100 до 100).

gb Изменение зеленой составляющей (от -255 до 255).

ba Процентное изменение синей составляющей (от -100 до 100).

bb Изменение синей составляющей (от -255 до 255).

aa Процентное изменение прозрачности (от -100 до 100).

ab Изменение прозрачности (от -255 до 255).

Вы создаете аргумент colorTransformObject следующим образом:

myColorTransform = new Object();
myColorTransform.ra = 50;
myColorTransform.rb = 244;
myColorTransform.ga = 40;
myColorTransform.gb = 112;
myColorTransform.ba = 12;
myColorTransform.bb = 90;
myColorTransform.aa = 40;
myColorTransform.ab = 70;

Вы можете также использовать следующий синтаксис для создания аргумента colorTransformObject:

myColorTransform = { ra: '50', rb: '244', ga: '40', gb: '112', ba: '12', bb: '90', aa: '40', ab: '70'}

Пример

Этот пример создаст новый экземпляр объектаColor для целевого мувиклипа, создаст анонимный объект по имени myColorTransform с заранее определенными свойствами, и использует метод setTransform для передачи colorTransformObject в объект Color. Чтобы использовать этот код во Flash-документе (FLA), поместите его в первый кадр главной шкалы времени, поместите мувиклип на сцену и дайте экземпляру имя myMovie:

// Создаем объект Color по имени myColor для мувиклипа myMovie
myColor = new Color(myMovie);
// Создаем объект изменения цвета myColorTransfrom, используя
// анонимный объект Object
myColorTransform = new Object();
// Устанавливаем значение myColorTransform
myColorTransform = { ra: '50', rb: '244', ga: '40', gb: '112', ba: '12', bb: '90', aa: '40', ab: '70'};
// Связываем объект изменения цвета с объектом Color
// созданного для myMovie
myColor.setTransform(myColorTransform);


continue

A-C > continue

continue

Доступность

Flash Player 4.

Синтаксис

continue

Параметры

Нет.

Возвращает

Ничего.

Описание

Команда, может использоваться в некоторых циклах. Ведет себя в разных циклах по-разному.

В цикле while, continue Flash пропускает оставшуюся часть тела цикла, и переходит к заголовку цикла, где проверяется условие выхода из цикла.

В цикле do...while, continue Flash пропускает оставшуюся часть тела цикла, и переходит к его окончанию, где проверяется условие выхода из цикла.

В цикле for, continue Flash пропускает оставшуюся часть тела цикла, и переходит туда, где вычисляется условие выхода из цикла.

В цикле for...in, continue Flash пропускает оставшуюся часть тела цикла, и переходит к его вершине, где обрабатывается следующее значение.

См. также

do while, for, for..in, while


CustomActions (object)

A-C > CustomActions (объект)

CustomActions (объект)

Методы объекта CustomActions позволяют Flash-клипам, запущенным в среде разработки Flash, управлять любыми пользовательскими действиями (Custom Actions), которые указаны в среде разработки. Flash-клип может устанавливать и удалять пользовательские действия, извлекать содержание XML-файла, описывающего пользовательское действие и извлекать списки зарегистрированных пользовательских действий.

Можете использовать эти методы для создания Flash-клипов, которые позволят расширить среду разработки Flash. Например, использование Flash Application Protocol для управления UDDI-архивом и скачивать Web-услуги в область инструментов панели Actions.

Таблица методов объекта CustomActions

Метод | Описание
CustomActions.get | Получает содержание файла XML пользовательского действия.
CustomActions.install | Записывает или перезаписывает новое пользовательское действие в XML-файл.
CustomActions.list | Возвращает список всех зарегистрированных пользовательских действий.
CustomActions.uninstall | Удаляет пользовательское действие из XML-файла.


CustomActions.get

A-C > CustomActions.get

CustomActions.get

Доступность

Flash Player 6.

Синтаксис

CustomActions.get(customActionsName)

Параметры

customActionsName Имя пользовательского действия (Custom Action) для поиска. Должно быть записано в виде строки (String).

Возвращает

Ничего.

Описание

Метод, получает содержание пользовательского действия XML-файла, именованного customActionsName.

Имя файла, описывающего пользовательские действия, должно быть обычным именем файла, без расширения .xml и без каких-либо разделителей (':', '/' или '\').

Если файл, определенный в customActionsName не найден, возвращается значение undefined. Если пользовательское действие, определенное в параметре customActionsName найдено, оно считывается полностью и возвращается в виде строки (String).


CustomActions.install

A-C > CustomActions.install

CustomActions.install

Доступность

Flash Player 6.

Синтаксис

CustomActions.install(customActionsName, customXMLDefinition)

Параметры

customActionsName Имя пользовательского действия-описания (Custom Action), которое нужно установить. Должно быть записано в виде строки (String).

customXMLDefinition Текст, который должен быть установлен в описывающий файл XML. Должно быть записан в виде строки (String).

Возвращает

Ничего.

Описание

Метод, создает новое пользовательское действие в XML-файле, описывающий действия, определенный в параметре customActionsName. Содержание файла задается параметром customXMLDefinition в виде строки (String).

Имя файла, описывающего пользовательские действия, должно быть обычным именем файла, без расширения .xml и без каких-либо разделителей (':', '/' или '\').

Если пользовательское действие с именем customActionsName уже существует, оно перезаписывается.

Если при установке произошла какая-либо ошибка, возвращается false, в противном случае true, указывающее на то, что установка прошла успешно.

Примечание: Если папка Configuration/ActionsPanel/CustomActions по какой-либо причине не существует, этот метод создаст ее.


CustomActions.list

A-C > CustomActions.list

CustomActions.list

Доступность

Flash Player 6.

Синтаксис

CustomActions.list()

Параметры

Нет.

Возвращает

Массив (Array).

Описание

Метод, возвращает объект массив (Array), содержащий имена всех пользовательских действий (Custom Action), зарегистрированных в среде разработки Flash. Имя файла, описывающего пользовательские действия, должно быть обычным именем файла, без расширения .xml и без каких-либо разделителей (':', '/' или '\'). Если нет никаких зарегистрированных пользовательских действий, метод list возвращает 0 свойству массива length (например, MyArray.lenght = 0). Если происходит ошибка, метод list возвращает значение undefined.


CustomActions.uninstall

A-C > CustomActions.uninstall

CustomActions.uninstall

Доступность

Flash Player 6.

Синтаксис

CustomActions.uninstall(customActionsName)

Параметры

customActionsName Имя пользовательского действия, подлежащее удалению. Записывается как строка (String).

Возвращает

Ничего.

Описание

Метод, удаляет описывающий XML-файл, содержащий пользовательское действие (Custom Action) в customActionsName.

Имя файла, описывающего пользовательские действия, должно быть обычным именем файла, без расширения .xml и без каких-либо разделителей (':', '/' или '\').

Если никакие пользовательские действия, заданные параметром customActionsName не найдены, возвращается значение false. Если пользовательские действия были успешно удалены, возвращается значение true.


Date.getDate

D-E > Date.getDate

Date.getDate

Доступность

Flash Player 5.

Синтаксис

myDate.getDate()

Параметры

Нет.

Возвращается

Целое число.

Описание

Метод, возвращает день месяца (целое число от 1 до 31) определенного объекта Date по системному времени. Системное время определяется операционной системой, на которой запущен Flash Player.


Date.getDay

D-E > Date.getDay

Date.getDay

Доступность

Flash Player 5.

Синтаксис

myDate.getDay()

Параметры

Нет.

Возвращается

Целое число.

Описание

Метод, возвращает день недели (0 для воскресенья, 1 для понедельника и т.д.) определенного объекта Date по системному времени. Системное время определяется операционной системой, на которой запущен Flash Player.


Date.getFullYear

D-E > Date.getFullYear

Date.getFullYear

Доступность

Flash Player 5.

Синтаксис

myDate.getFullYear()

Параметры

Нет.

Возвращается

Целое число.

Описание

Метод, возвращает четырехзначное значение года, например 2000 определенного объекта Date по системному времени. Системное время определяется операционной системой, на которой запущен Flash Player.

Пример

Создаем конструктором новый объект Date и отсылаем значение, полученное методом getFullYear в окно Output:

myDate = new Date();
trace(myDate.getFullYear());


Date.getHours

D-E > Date.getHours

Date.getHours

Доступность

Flash Player 5.

Синтаксис

myDate.getHours()

Параметры

Нет.

Возвращается

Целое число.

Описание

Метод, возвращает час (целое от 0 до 23) определенного объекта Date по системному времени. Системное время определяется операционной системой, на которой запущен Flash Player.


Date.getMilliseconds

D-E > Date.getMilliseconds

Date.getMilliseconds

Доступность

Flash Player 5.

Синтаксис

myDate.getMilliseconds()

Параметры

Нет.

Возвращается

Целое число.

Описание

Метод, возвращает миллисекунды (целое от 0 до 999) определенного объекта Date по системному времени. Системное время определяется операционной системой, на которой запущен Flash Player.


Date.getMinutes

D-E > Date.getMinutes

Date.getMinutes

Доступность

Flash Player 5.

Синтаксис

myDate.getMinutes()

Параметры

Нет.

Возвращается

Целое число.

Описание

Метод, возвращает минуты (целое от 0 до 59) определенного объекта Date по системному времени. Системное время определяется операционной системой, на которой запущен Flash Player.


Date.getMonth

D-E > Date.getMonth

Date.getMonth

Доступность

Flash Player 5.

Синтаксис

myDate.getMonth()

Параметры

Нет.

Возвращается

Целое число.

Описание

Метод, возвращает месяц (0 для января, 1 для февраля и т.д.) определенного объекта Date по системному времени. Системное время определяется операционной системой, на которой запущен Flash Player.


Date.getSeconds

D-E > Date.getSeconds

Date.getSeconds

Доступность

Flash Player 5.

Синтаксис

myDate.getSeconds()

Параметры

Нет.

Возвращается

Целое число.

Описание

Метод, возвращает секунды (целое от 0 до 59) определенного объекта Date по системному времени. Системное время определяется операционной системой, на которой запущен Flash Player.


Date.getTime

D-E > Date.getTime

Date.getTime

Доступность

Flash Player 5.

Синтаксис

myDate.getTime()

Параметры

Нет.

Возвращается

Целое число.

Описание

Метод, возвращает количество миллисекунд, прошедших с 1 января 1970, глобальное время определенного объекта Date. Используйте этот метод для представления времени при сравнении двух и более объектов Date.


Date.getTimezoneOffset

D-E > Date.getTimezoneOffset

Date.getTimezoneOffset

Доступность

Flash Player 5.

Синтаксис

mydate.getTimezoneOffset()

Параметры

Нет.

Возвращается

Целое число.

Описание

Метод, возвращает разницу в минутах между системным и глобальным временем (по Гринвичу).

Пример

Следующий пример возвращает разницу между системным и глобальным временем.

trace(new Date().getTimezoneOffset());
// например, в окне вывода показано: 420
// (7 часа * 60 мин/час = 420 минут)
// Это пример тихоокеанского времени (PDT, GMT-0700).
// Реальный результат будет зависеть от вашего местонахождения и времени года.


Date.getUTCDate

D-E > Date.getUTCDate

Date.getUTCDate

Доступность

Flash Player 5.

Синтаксис

myDate.getUTCDate()

Параметры

Нет.

Возвращается

Целое число.

Описание

Метод, возвращает день месяца определенного объекта Date по глобальному времени.


Date.getUTCDay

D-E > Date.getUTCDay

Date.getUTCDay

Доступность

Flash Player 5.

Синтаксис

myDate.getUTCDate()

Параметры

Нет.

Возвращается

Целое число.

Описание

Метод, возвращает день недели определенного объекта Date по глобальному времени.


Date.getUTCFullYear

D-E > Date.getUTCFullYear

Date.getUTCFullYear

Доступность

Flash Player 5.

Синтаксис

myDate.getUTCFullYear()

Параметры

Нет.

Возвращается

Целое число.

Описание

Метод, возвращает четырехзначное значение года определенного объекта Date по глобальному времени.


Date.getUTCHours

D-E > Date.getUTCHours

Date.getUTCHours

Доступность

Flash Player 5.

Синтаксис

myDate.getUTCHours()

Параметры

Нет.

Возвращается

Целое число.

Описание

Метод, возвращает час определенного объекта Date по глобальному времени.


Date.getUTCMilliseconds

D-E > Date.getUTCMilliseconds

Date.getUTCMilliseconds

Доступность

Flash Player 5.

Синтаксис

myDate.getUTCMilliseconds()

Параметры

Нет.

Возвращается

Целое число.

Описание

Метод, возвращает миллисекунды определенного объекта Date по глобальному времени.


Date.getUTCMinutes

D-E > Date.getUTCMinutes

Date.getUTCMinutes

Доступность

Flash Player 5.

Синтаксис

myDate.getUTCMinutes()

Параметры

Нет.

Возвращается

Целое число.

Описание

Метод, возвращает минуты определенного объекта Date по глобальному времени.


Date.getUTCMonth

D-E > Date.getUTCMonth

Date.getUTCMonth

Доступность

Flash Player 5.

Синтаксис

myDate.getUTCMonth()

Параметры

Нет.

Возвращается

Целое число.

Описание

Метод, возвращает ммесяц определенного объекта Date по глобальному времени.


Date.getUTCSeconds

D-E > Date.getUTCSeconds

Date.getUTCSeconds

Доступность

Flash Player 5.

Синтаксис

myDate.getUTCSeconds()

Параметры

Нет.

Возвращается

Целое число.

Описание

Метод, возвращает секунды определенного объекта Date по глобальному времени.


Date.getYear

D-E > Date.getYear

Date.getYear

Доступность

Flash Player 5.

Синтаксис

myDate.getYear()

Параметры

Нет.

Возвращается

Целое число.

Описание

Метод, возвращает значение года определенного объекта Date по системному времени. Системное время определяется операционной системой, на которой запущен Flash Player. Значение года представлено как "четырехзначный год" минус 1900. Например, год 2000 будет представлен как 100.


Date.setDate

D-E > Date.setDate

Date.setDate

Доступность

Flash Player 5.

Синтаксис

myDate.setDate(date)

Параметры

date целое от 1 до 31.

Возвращается

Целое число.

Описание

Метод, устанавливает день месяца определенного объекта Date по системному времени и возвращает новое время в миллисекундах. Системное время определяется операционной системой, на которой запущен Flash Player.


Date.setFullYear

D-E > Date.setFullYear

Date.setFullYear

Доступность

Flash Player 5.

Синтаксис

myDate.setFullYear(year [, month [, date]] )

Параметры

year Четырехзначное число, обозначающее год. Например, 99 - это не 1999 год, а 99 год.

month Целое от 0 (январь) до 11 (декабрь). Этот аргумент необязателен.

date Число от 1 до 31. Этот аргумент необязателен.

Возвращается

Целое число.

Описание

Метод, выставляет год определенного объекта Date по системному времени и возвращает новое время в миллисекундах. Если аргумкнты month и date определены, они также привязываются к системному времени. Системное время определяется операционной системой, на которой запущен Flash Player.

Вызов этого метода не изменяет другие поля определенного объекта Date, но методы getUTCDay и getDay могут возвращать новое значение, если в результате вызова этого метода изменится день недели.


Date.setHours

D-E > Date.setHours

Date.setHours

Доступность

Flash Player 5.

Синтаксис

myDate.setHours(hour)

Параметры

hour целое от 0 (полночь) до 23 (11 вечера).

Возвращается

Целое число.

Описание

Метод, выставляет час определенного объекта Date по системному времени и возвращает новое время в миллисекундах. Системное время определяется операционной системой, на которой запущен Flash Player.


Date.setMilliseconds

D-E > Date.setMilliseconds

Date.setMilliseconds

Доступность

Flash Player 5.

Синтаксис

myDate.setMilliseconds(millisecond)

Параметры

millisecond целое от 0 до 999.

Возвращается

Целое число.

Описание

Метод, выставляет миллисекунды определенного объекта Date по системному времени и возвращает новое время в миллисекундах. Системное время определяется операционной системой, на которой запущен Flash Player.


Date.setMinutes

D-E > Date.setMinutes

Date.setMinutes

Доступность

Flash Player 5.

Синтаксис

myDate.setMinutes(minute)

Параметры

minute целое от 0 доo 59.

Возвращается

Целое число.

Описание

Метод, выставляет минуты определенного объекта Date по системному времени и возвращает новое время в миллисекундах. Системное время определяется операционной системой, на которой запущен Flash Player.


Date.setMonth

D-E > Date.setMonth

Date.setMonth

Доступность

Flash Player 5.

Синтаксис

myDate.setMonth(month [, date ])

Параметры

month целое от 0 (январь) до 11 (декабрь).

date целое от 1 to 31. Это необязательный аргумент.

Возвращается

Целое число.

Описание

Метод, выставляет месяц определенного объекта Date по системному времени и возвращает новое время в миллисекундах. Системное время определяется операционной системой, на которой запущен Flash Player.


Date.setSeconds

D-E > Date.setSeconds

Date.setSeconds

Доступность

Flash Player 5.

Синтаксис

myDate.setSeconds(second)

Параметры

second целое от 0 до 59.

Возвращается

Целое число.

Описание

Метод, выставляет секунды определенного объекта Date по системному времени и возвращает новое время в миллисекундах. Системное время определяется операционной системой, на которой запущен Flash Player.


Date.setTime

D-E > Date.setTime

Date.setTime

Доступность

Flash Player 5.

Синтаксис

myDate.setTime(millisecond)

Параметры

millisecond целое число, в котором 0 соответствует 0:00 GMT 1970 Jan 1.

Возвращается

Целое число.

Описание

Метод, выставляет дату определенного объекта Date в миллисекундах считая от полночи 01.01.1970 и возвращает новое время в миллисекундах.


Date.setUTCDate

D-E > Date.setUTCDate

Date.setUTCDate

Доступность

Flash Player 5.

Синтаксис

myDate.setUTCDate(date)

Параметры

date целое от 1 до 31.

Возвращается

Целое число.

Описание

Метод, выставляет дату определенного объекта Date по глобальному времени и возвращает новое время в миллисекундах. Вызов этого метода не изменяет другие поля определенного объекта Date, но методы getUTCDay и getDay могут возвращать новое значение, если в результате вызова этого метода изменится день недели.


Date.setUTCFullYear

D-E > Date.setUTCFullYear

Date.setUTCFullYear

Доступность

Flash Player 5.

Синтаксис

myDate.setUTCFullYear(year [, month [, date]])

Параметры

year четырехзначный год, например 2000.

month целое от 0 (январь) до 11 (декабрь). Это необязательный аргумент.

date целое от 1 до 31. Это необязательный аргумент.

Возвращается

Целое число.

Описание

Метод, выставляет год определенного объекта Date (mydate) по глобальному времени и возвращает новое время в миллисекундах.

Метод может также выставить месяц и дату определенного объекта Date. Вызов этого метода не изменяет другие поля определенного объекта Date, но методы getUTCDay и getDay могут возвращать новое значение, если в результате вызова setUTCFullyear изменится день недели.


Date.setUTCHours

D-E > Date.setUTCHours

Date.setUTCHours

Доступность

Flash Player 5.

Синтаксис

myDate.setUTCHours(hour [, minute [, second [, millisecond]]])

Параметры

hour целое от 0 (полночь) до 23 (11 вечера).

minute целое от 0 до 59. Это необязательный аргумент.

second целое от 0 до 59. Это необязательный аргумент.

millisecond целое от 0 до 999. Это необязательный аргумент.

Возвращается

Целое число.

Описание

Метод, выставляет час определенного объекта Date по глобальному времени и возвращает новое время в миллисекундах.


Date.setUTCMilliseconds

D-E > Date.setUTCMilliseconds

Date.setUTCMilliseconds

Доступность

Flash Player 5.

Синтаксис

myDate.setUTCMilliseconds(millisecond)

Параметры

millisecond целое от 0 до 999.

Возвращается

Целое число.

Описание

Метод, выставляет миллисекунды определенного объекта Date по глобальному времени и возвращает новое время в миллисекундах.


Date.setUTCMinutes

D-E > Date.setUTCMinutes

Date.setUTCMinutes

Доступность

Flash Player 5.

Синтаксис

myDate.setUTCMinutes(minute [, second [, millisecond]])

Параметры

minute целое от 0 до 59.

second целое от 0 до 59. Это необязательный аргумент.

millisecond целое от 0 до 999. Это необязательный аргумент.

Возвращается

Целое число.

Описание

Метод, выставляет минуты определенного объекта Date по глобальному времени и возвращает новое время в миллисекундах.


Date.setUTCMonth

D-E > Date.setUTCMonth

Date.setUTCMonth

Доступность

Flash Player 5.

Синтаксис

myDate.setUTCMonth(month [, date])

Параметры

month целое от 0 (январь) до 11 (декабрь).

date целое от 1 до 31. Это необязательный аргумент.

Возвращается

Целое число.

Описание

Метод, выставляет месяц и опционально день (date) определенного объекта Date по глобальному времени и возвращает новое время в миллисекундах. Вызов этого метода не изменяет другие поля определенного объекта Date, но методы getUTCDay и getDay могут возвращать новое значение, если в результате вызова setUTCMonth с параметром date изменится день недели.


Date.setUTCSeconds

D-E > Date.setUTCSeconds

Date.setUTCSeconds

Доступность

Flash Player 5.

Синтаксис

myDate.setUTCSeconds(second [, millisecond]))

Параметры

second целое от 0 до 59.

millisecond целое от 0 до 999. Это необязательный аргумент.

Возвращается

Целое число.

Описание

Метод, выставляет секунды определенного объекта Date по глобальному времени и возвращает новое время в миллисекундах.


Date.setYear

D-E > Date.setYear

Date.setYear

Доступность

Flash Player 5.

Синтаксис

myDate.setYear(year)

Параметры

year Если year есть целое в пределах 0-99, setYear выставляет год как 1900 + year, иначе год принимает значение параметра year.

Возвращается

Целое число.

Описание

Метод, выставляет год определенного объекта Date по системному времени и возвращает новое время в миллисекундах. Системное время определяется операционной системой, на которой запущен Flash Player.


Date.toString

D-E > Date.toString

Date.toString

Доступность

Flash Player 5.

Синтаксис

myDate.toString()

Параметры

Нет.

Возвращается

Строка.

Описание

Метод, возвращает строку, представляющую дату и время, содержащиеся в объекте Date и возвращает новое время в миллисекундах.

Пример

Конвертация в строку объекта Date dateOfBirth.

var dateOfBirth = new Date(74, 7, 7, 18, 15);
trace (dateOfBirth.toString());

В окне вывода имеем:

Wed Aug 7 18:15:00 GMT-0700 1974


Date.UTC

D-E > Date.UTC

Date.UTC

Доступность

Flash Player 5.

Синтаксис

Date.UTC(year, month [, date [, hour [, minute [, second [, millisecond ]]]]])

Параметры

year Четырехзначное число, например, 2000.

month Целое от 0 (январь) до 11 (декабрь).

date Целое от 1 до 31. Необязательный аргумент.

hour Целое от 0 (полночь) до 23 (11 вечера).

minute Целое от 0 до 59. Необязательный аргумент.

second Целое от 0 до 59. Необязательный аргумент.

millisecond Целое от 0 до 999. Необязательный аргумент.

Возвращается

Целое число.

Описание

Метод, возвращает количество миллисекунд, прошедших с 00.00 1 января 1970 г. по глобальному времени до заданного в параметрах времени. Это статичный метод, активизирующийся через конструктор объекта Date, а не через данный объект Date. Метод позволяет создавать объект Date на основании глобального времени, в то время как конструктор объекта Date основывается на системном.

Пример

Создается новый объект Date gary_birthday по глобальному времени.

gary_birthday = new Date(Date.UTC(1974, 7, 8));


default

D-E > default

default

Доступность

Flash Player 6.

Синтаксис

default: statements

Параметры

statements Любое выражение.

Возвращается

Ничего.

Описание

Ключевое слово, определяет заданный по умолчанию случай для команды switch. statements выполняются, если параметр Expression команды switch не эквивалентен (используется строковая эквивалентность) любому из параметров Expression, следующими за ключами case данной команды switch.

Ключ default не является обязательным для команды switch и может находиться не только в конце списка, но обязательно в границах команды switch, иначе Flash при компиляции выдаст сообщение об ошибке.

Пример

В следующем примере, выражение A не равняется выражениям B или D, поэтому будет выполнен оператор trace, следующий за ключом default.

switch ( A ) {
    case B:
        C;
        break;
    case D:
        E;
        break;
    default:
        trace ("nospecific case was encountered");
}

См. также

switch, case, break


delete

D-E > delete

delete

Доступность

Flash Player 5.

Синтаксис

delete reference

Параметры

reference имя переменной или объекта, подлежащего удалению.

Возвращается

Ничего.

Описание

Оператор, уничтожает объект или переменную, указанной в параметре reference и возвращает true, если объект был успешно удален, в противном случае возвращает false. Этот оператор полезен для высвобождения памяти, используемой скриптами. Оператор delete обычно применяется следующим образом:

delete x;

Оператор delete может не сработать и вернуть false, если параметр reference не существует или не может быть удален. Предопределенные функции и объекты, также как и переменные, объявленные с помощью var, не могут быть удалены. Нельзя использовать оператор delete для удаления мувиклипа.

Пример

Создание объекта, использование и удаление:

account = new Object();
account.name = 'Jon';
account.balance = 10000;

delete account;

Пример

Удаление свойства объекта:

// создаем новый объект "account"
account = new Object();
// назначаем свойство name объекту account
    account.name = 'Jon';
// удаляем свойство
delete account.name;

Пример

Еще один пример удаления свойства объекта:

// создаем массив длиной 0
array = new Array();
// теперь его длина - 1
    array[0] = "abc";
// добавляем еще один элемент - длина - 2
    array[1] = "def";
// теперь - 3
    array[2] = "ghi";
// удаляем array[2] но длина массива не меняется,
    delete array[2];

Следующий пример демонстрирует действие delete на объектные ссылки:

// создаем объект, присваиваем переменной ref1 значение ссылки на него
ref1 = new Object();
ref1.name = "Jody";
// копируем ссылочную переменную, а затем удаляем ref1
ref2 = ref1;
delete ref1;

Если бы ref1 не была бы скопирована в ref2, то и объект был бы удален, так как на него не осталось бы ни одной ссылки. Когда же мы удалим ref2, больше не останется ссылок на объект и он будет удален, так как на него не будет ссылаться ни одна переменная.

См. также

var


do while

D-E > do while

do while

Доступность

Flash Player 4.

Синтаксис

do {
    statement(s)
} while (condition)

Параметры

condition Условие продолжения исполнения

statement(s) Этот блок выполняется до тех пор, пока результат вычисления condition равен true.

Возвращается

Ничего.

Описание

Команда, выполняет statements, потом вычисляет condition, и так происходит, пока condition возвращает true.

См. также

break, continue


duplicateMovieClip

D-E > duplicateMovieClip

duplicateMovieClip

Доступность

Flash Player 4.

Синтаксис

duplicateMovieClip(target, newname, depth)

Параметры

target Путь до дублируемого мувика.

newname Уникальный идентификатор для нового экземпляра мувика.

depth Уникальное значение глубины для дублируемого мувика. Глубина - порядок расположения дублируемых мувиклипов. Он похож на порядок уровней линейки - нижерасположенные мувики перекрываются находящимися выше и имеющими большее значение глубины. Необходимо присваивать каждому новому мувику уникальную глубину, если присвоить уже имеющуюся, то новый мувик заменит старый.

Возвращается

Ничего.

Описание

Команда, создает экземпляр мувиклипа во время воспроизведения основного клипа. Дублирование всегда начинается с кадра номер 1, независимо от того, на каком кадре находился оригинальный (родительский) мувик. Содержащиеся в родительском мувике переменные, в дублируемый не копируются. Если удаляется родительский мувик, то дублированный - тоже удаляется. Используйте команду или метод removeMovieClip чтобы удалить экземпляр муви-клипа, созданного командой duplicateMovieClip.

Пример

Дублирование мувика flower десять раз. Переменная i используется для создания уникального имени и размещения нового мувика на уникальную глубину.

on (release) {
    amount = 10;
    while (amount>0) {
        duplicateMovieClip (_root.flower, "mc"+i, i);
        setProperty ("mc"+i, _x, random(275));
        setProperty ("mc"+i, _y, random(275));
        setProperty ("mc"+i, _alpha, random(275));
        setProperty ("mc"+i, _xscale, random(50));
        setProperty ("mc"+i, _yscale, random(50));
        i++;
        amount--;
    }
}

See also

MovieClip.duplicateMovieClip, removeMovieClip, MovieClip.removeMovieClip


else

D-E > else

else

Доступность

Flash Player 4.

Синтаксис

else statement
else {...statement(s)...}

Параметры

statement(s) Альтернативная серия команд, выполняемых если если условный оператор if инициализировал false.

Возвращается

Ничего.

Описание

Команда, содержит блок кода, который выполняется Flash'ем, если условие оператора if является ложным (false).

См. также

if


else if

D-E > else if

else if

Доступность

Flash Player 4.

Синтаксис

if (condition){
    statement(s);
} else if (condition){
    statement(s);
}

Параметры

condition Выражение определяемое как true или false.

statement(s) Серия команд, выполняющихся, если условие оператора if является истинным (true).

Возвращается

Ничего.

Описание

Команда, анализирует условие и определяет будет ли исполнятся следующий блок команд, если первоначальный условный оператор if инициализировал false. Если условие else if вернуло true, Flash выполнит команды, следующие за условием внутри фигурных скобок ({}). Если условие else if возвращает false, Flash пропустит все, что находится внутри фигурных скобок и выполнит код, расположенный за ними. Используйте команду else if для создания логических переходов в скриптах.

Пример

Использование команды else if для проверки условия вхождения каждой стороны объекта внутрь определенной границы:

// if the object goes off bounds,
// send it back and reverse its travel speed
        if (this._x>rightBound) {
            this._x = rightBound;
            xInc = -xInc;
        } else if (this._x<leftBound) {
            this._x = leftBound;
            xInc = -xInc;
        } else if (this._y>bottomBound) {
            this._y = bottomBound;
            yInc = -yInc;
        } else if (this._y<topBound) {
            this._y = topBound;
            yInc = -yInc;
        }

См. также

if


#endinitclip

D-E > #endinitclip

#endinitclip

Доступность

Flash Player 6.

Синтаксис

#endinitclip

Параметры

Нет.

Возвращается

Ничего.

Описание

Команда, указывает конец блока команд инициализации компонента.

Пример

#initclip
...команды инициализации компонента...
#endinitclip

См. также

#initclip


eq (equal—string specific)

D-E > eq (equal—string specific)

eq (equal—string specific)

Доступность

Flash Player 4. С пятой версии Flash этот оператор является устаревшим, рекомендуется использование нового оператора == (оператор равенства).

Синтаксис

expression1 eq expression2

Параметры

expression1, expression2 Числа, строки или переменные.

Возвращается

Ничего.

Описание

Оператор сравнения; сравнивает два выражения на равенство и возвращает true, если строковое представление expression1 эквивалентно строковому представлению expression2, иначе возвращает false.

См. также

== (equality)


escape

D-E > escape

escape

Доступность

Flash Player 5.

Синтаксис

escape(expression)

Параметры

expression Выражение, которое надо перевести в строку и преобразовать в формат для передачи в URL.

Возвращается

Ничего.

Описание

Функция, преобразует аргумент в строку и переводит ее в формат URL-encoded, где все знако-числовые значения кодируются %-шестнадцатеричными последовательностями.

Пример

escape("Hello{[World]}");

Результат будет следующим: Hello%7B%5BWorld%5D%7D.

См. также

unescape


eval

D-E > eval

eval

Доступность

Flash Player 5 или последующие для полной функциональности. Можно использовать функцию eval для Flash Player 4, но только в "слэш" нотации и только для доступа к переменным, а не к свойствам или объектам.

Синтаксис

eval(expression);

Параметры

expression Строка, содержащая имя переменной, свойства, объекта или муви-клипа, ссылку на которые необходимо получить.

Возвращается

Ничего.

Описание

Функция, предоставляет доступ к переменным, свойствам, объектам и мувикам по их имени. Если expression есть переменная или свойство, будет возвращено значение переменной или свойства. Если же expression объект или мувик, возвращается ссылка на него. Если элемент, имя которого указано в expression не найден, возвращается неопределенное значение (undefined).

В Flash 4, функция eval использовалась для эмуляции массивов. В Flash 5 рекомендуется вместо этого использовать объект Array.

Во Flash 5 можно использовать функцию eval для динамического присвоения и получения значения переменной или имени объекта. То же самое можно делать с оператором доступа к массиву ([]).

Во Flash MX нельзя использовать функцию eval для динамического определения и получения значения имени переменной или экземпляра. Однако, для этих целей во Flash 5 или Flash MX можно использовать команду set variable (set). Для этого замените код

eval ("var" + i) = "first";

на этот:

set ("var" + i, "first");

Примечание: Команда ActionScript eval, это не то же самое, что функция eval в JavaScript и не может быть использована для вычисления выражений.

Пример

Использование функции eval для определения значения выражения "piece" + x. В результате имеем имя переменной piece3 и функции eval возвращает ее значение, присваиваемое переменной y:

piece3 = "dangerous";
x = 3;

y = eval("piece" + x);
trace(y);

// Output: dangerous

См. также:

Array (object)


evaluate

D-E > evaluate

evaluate

Доступность

Flash Player 5.

Синтаксис

statement

Параметры

Нет.

Возвращается

Ничего.

Описание

Команда, создает новую пустую строку и вставляет ; для последущего ввода кода в панели Actions.


false

F > false

false

Доступность

Flash Player 5.

Синтаксис

false

Описание

Уникальное значение типа Boolean, противоположное значению true.

См. также

true


FCheckBox (component)

F > FCheckBox (компонент)

FCheckBox (компонент)

Компонент CheckBox используется для добавления чекбоксов (кнопок-флажков) в документ Flash посредством перетаскивания его на рабочее поле из библиотеки компонентов, он также предоставляет разработчику возможность установить основные параметры компонента. Методы компонента FCheckBox позволяют создавать и управлять кнопками, определяя и переопределяя параметры компонента во время выполнения клипа. При этом нет необходимости использовать конструктор для получения доступа к этим методам.

Компонент CheckBox поддерживается Flash Player'ом версии 6 и более поздними.

Методы компонента не производят проверку типов, как это делают другие встроенные объекты ActionScript, поэтому рекомендуется проверять передаваемые методам параметры.

Для дополнительной информации о том, как работать с компонентом CheckBox, устанавливать его параметры и менять цвет и внешний вид, см. Изменение цвета компонента и текста и Изменение внешнего вида компонента в разделе Работа с компонентами главы Использование Flash.

Сводная таблица методов компонента FCheckBox

Метод | Описание
FCheckBox.getEnabled | Возвращает true, если кнопка доступна и false, если недоступна.
FCheckBox.getLabel | Возвращает в виде строки надпись, относящуюся к кнопке.
FCheckBox.getValue | Возвращает true, если флажок установлен и false, если нет.
FCheckBox.registerSkinElement | Регистрирует элемент внешнего вида кнопки (скин-элемент) для свойства стиля.
FCheckBox.setChangeHandler | Определяет функцию-обработчик, вызываемую всякий раз, когда состояние кнопки было изменено.
FCheckBox.setEnabled | Определяет, будет ли флажок доступен.
FCheckBox.setLabel | Меняет надпись кнопки во время выполнения клипа.
FCheckBox.setLabelPlacement | Определяет, справа или слева от кнопки будет находиться надпись.
FCheckBox.setSize | Устанавливает в пикселах ширину кнопки.
FCheckBox.setStyleProperty | Задает одно свойство стиля экземпляра компонента.
FCheckBox.setValue | Устанавливает и сбрасывает флажок, вызывая функцию-обработчик.


FCheckBox.getEnabled

F > FCheckBox.getEnabled

FCheckBox.getEnabled

Доступность

Flash Player 6.

Синтаксис

myCheckBox.getEnabled()

Параметры

Отсутствуют.

Возвращается

Значение типа Boolean равное true, если флажок доступен, и false, если нет.

Описание

Метод, Возвращает true, если кнопка доступна и false, если недоступна.

Пример

В окне Output наблюдаем доступность кнопки checkBox1.

trace(checkBox1.getEnabled());

См. также

FCheckBox.setValue


FCheckBox.getLabel

F > FCheckBox.getLabel

FCheckBox.getLabel

Доступность

Flash Player 6.

Синтаксис

myCheckBox.getLabel()

Параметры

Отсутствуют.

Возвращается

Текстовая строка.

Описание

Метод, Возвращает в виде строки надпись, относящуюся к кнопке.

Пример

Узнаем надпись флажка checkBox1.

checkBox1.getLabel();

См. также

FCheckBox.setLabel


FCheckBox.getValue

F > FCheckBox.getValue

FCheckBox.getValue

Доступность

Flash Player 6.

Синтаксис

myCheckBox.getValue()

Параметры

Отсутствуют.

Возвращается

Значение типа Boolean равное true, если флажок установлен и false, если сброшен.

Описание

Метод, возвращает состояние флажка.

Пример

В окне Output наблюдаем состояние флажка KowalczykBoх.

trace(KowalczykBox.getValue());

См. также

FCheckBox.setValue


FCheckBox.registerSkinElement

F > FCheckBox.registerSkinElement

FCheckBox.registerSkinElement

Доступность

Flash Player 6.

Синтаксис

myCheckBox.registerSkinElement(element, styleProperty)

Параметры

element Имя экземпляра мувиклипа.

styleProperty Строка, задающая свойство формата стиля FStyleFormat.

Возвращается

Ничего.

Описание

Метод, регистрирует скин-элемент для свойства стиля. Скин-элементы регистрируются в первом кадре в слое Read Me каждого элемента внешнего вида каждого компонента.

Компоненты собраны из скин-элементов, каждый из которых состоит из скинов и каждый из которых может быть зарегистрирован в свойствах объекта формата стиля FStyleFormat. Все Flash UI компоненты по умолчанию привязаны к формату общего стиля - объекту globalStyleFormat, являющегося экземпляром объекта FStyleFormat.

Используйте этот метод для назначения собственных скинов Flash UI компоненту, редактируя код первого кадра слоя Read Me в библиотеке.

Компонент FCheckBox использует скины из папки FCheckBox Skins fодин раз, когда компонент добавляется к документу Flash.

Для дополнительной информации см. Изменение внешнего вида компонента в разделе Работа с компонентами главы Использование Flash.

Пример

Регистрируем собственный скин-элемент customChk_mc для свойства стиля check в первом кадре слоя Read Me скина fcb_check из папки FCheckBox Skins.

check1.registerSkinElement(customChk_mc, "check");


FCheckBox.setChangeHandler

F > FCheckBox.setChangeHandler

FCheckBox.setChangeHandler

Доступность

Flash Player 6.

Синтаксис

myCheckBox.setChangeHandler(functionName, [location])

Параметры

functionName Строка, задающая имя функции-обработчика, вызываемую всякий раз, когда состояние кнопки изменяется. Если параметр location не задан, функция должна находиться на одной временной линейке с экземпляром компонента.

location Путь-ссылка на объект, мувиклип или уровень, где определяется функция. Параметр необязательный и по умолчанию указывает на линейку, родительскую по отношению к компоненту.

Возвращается

Ничего.

Описание

Метод, задает имя функции-обработчика, вызываемой всякий раз, когда состояние кнопки поменялось. Один и тот же обработчик можно назначать более чем одному компоненту, функция всегда принимает имя экземпляра компонента в качестве параметра. Вызов этого метода переопределяет параметр Change Handler, назначенный разработчиком.

Для дополнительной информации см. Создание функций-обработчиков для компонентов в разделе Работа с компонентами главы Использование Flash.

Пример

Определим myHandler в качестве функции, вызываемой всякий раз, когда состояние checkBox1 поменяется. Поскольку параметр location не задан, myHandler должен находиться на одной линейке с экземпляром компонента.

Параметр component функции myHandler автоматически ссылается на компонент, вызвавший эту функцию — в нашем случае флажок, изменивший свое состояние. Имя экземпляра этого флажка с припиской "Был выбран:" выведем в окно Output.

checkBox1.setChangeHandler("myHandler");
function myHandler(component){
trace("Был выбран:" + component._name);
}

Если в предыдущем примере myHandler определена на линейке, расположенной на три уровня выше от той, где находится компонент, первая строчка должна выглядеть так:

check1.setChangeHandler("myHandler", _parent._parent._parent);

Определим myHandler в экземпляре объекта myObject.

myObject = new Object();
myObject.myHandler = function(component){
trace(component._name + " has been selected ");
}
check1.setChangeHandler("myHandler", myObject);


FCheckBox.setEnabled

F > FCheckBox.setEnabled

FCheckBox.setEnabled

Доступность

Flash Player 6.

Синтаксис

myCheckBox.setEnabled(enable)

Параметры

enable Значение типа Boolean определяющее, будет ли кнопка доступна (true) либо нет (false).

Возвращается

Ничего.

Описание

Метод, определяет, будет ли флажок доступен для пользователя (true) или нет (false). По умолчанию параметр равен true.

Пример

Делаем флажок checkBox1 недоступным.

checkBox1.setEnabled(false);


FCheckBox.setLabel

F > FCheckBox.setLabel

FCheckBox.setLabel

Доступность

Flash Player 6.

Синтаксис

myCheckBox.setLabel(label)

Параметры

label Текстовая строка, задающая надпись рядом с флажком.

Возвращается

Ничего.

Описание

Метод, задает надпись рядом с флажком, по умолчанию появляющуюся справа. Вызов данного метода переопределяет параметр label, заданный разработчиком.

Пример

Присваиваем надпись "Send more information" флажку checkBox1.

checkBox1.setLabel("Send more information");

См. также

FCheckBox.getLabel, FCheckBox.setLabelPlacement


FCheckBox.setLabelPlacement

F > FCheckBox.setLabelPlacement

FCheckBox.setLabelPlacement

Доступность

Flash Player 6.

Синтаксис

myCheckBox.setLabelPlacement(labelPosition)

Параметры

labelPosition Текстовая строка, принимающая значение "left" либо "right".

Возвращается

Ничего.

Описание

Метод, располагает надпись слева или справа относительно кнопки. Вызов метода переопределяет параметр Label Placement, заданный разработчиком.

Пример

Помещаем надпись флажка checkBox1 справа от него.

checkBox1.setLabelPlacement("left");

См. также

FCheckBox.setLabel


FCheckBox.setSize

F > FCheckBox.setSize

FCheckBox.setSize

Доступность

Flash Player 6.

Синтаксис

myCheckBox.setSize(width)

Параметры

width Целое, задающее в пикселах ширину флажка.

Возвращается

Ничего.

Описание

Метод, задает ширину флажка и перерисовывает его. (Высоту изменить нельзя.) Вызов метода переопределяет соответствующий параметр, заданный разработчиком.

Для доп. информации см. Изменение размеров компонента CheckBox главы Работа с Компонентами части Использование Flash.

Пример

Устанавливаем ширину флажка checkBox1 равной 200 пикселам.

checkBox1.setSize(200);


FCheckBox.setStyleProperty

F > FCheckBox.setStyleProperty

FCheckBox.setStyleProperty

Доступность

Flash Player 6.

Синтаксис

myCheckBox.setStyleProperty(styleProperty, value)

Параметры

styleProperty Строка, задающая свойство объекта FStyleFormat.

value Устанавливаемое значение свойства.

Возвращается

Ничего.

Описание

Метод, устанавливает свойство объекта FStyleFormat для отдельного экземпляра кнопки. Вызов этого метода переписывает соответствующее свойство формата стиля для этого компонента. Передача значения undefined в качестве параметра удаляет все стили этого свойства.

Чтобы установить свойства объекта FStyleFormat для нескольких компонентов, нужно создать новый формат стиля. О создании собственных форматов стилей см. Изменение цвета компонента и текста в разделе Работа с компонентами главы Использование Flash.

Пример

Устанавливаем свойство shadow флажка checkBox1 в 0x000000 (черный).

checkBox1.setStyleProperty("shadow", 0x000000);

См. также

FStyleFormat (object)


FCheckBox.setValue

F > FCheckBox.setValue

FCheckBox.setValue

Доступность

Flash Player 6.

Синтаксис

myCheckBox.setValue(select)

Параметры

select Значение Boolean равное true, если флажок должен быть установлен или false, если сброшен.

Возвращается

Ничего.

Описание

Метод, устанавливает либо сбрасывает флажок myCheckBox и вызывает его функцию-обработчик в режиме реального времени. по умолчанию параметр равен true.

Хотя вызов метода и переопределяет параметр Initial Value, заданный разработчиком, не используйте метод только для этой цели, поскольку при этом вызывается обработчик. Для установки параметра Initial Value в режиме реального времени используйте FCheckBox.setStyleProperty.

Пример

Устанавливаем флажок checkBox1 и вызываем его обработчик.

checkBox1.setValue(true);

См. также

FCheckBox.getValue


FComboBox (component)

F > FComboBox (компонент)

FComboBox (компонент)

Компонент ComboBox используется для добавления во Flash-документ выпадающих списков с выбором одного элемента списка, а также предоставляет пользователю возможность задать свои основные параметры. Методы компонента FComboBox позволяют создавать и управлять списками, определяя и переопределяя их параметры во время выполнения клипа. При этом нет необходимости использовать конструктор для получения доступа к этим методам.

Компонент ComboBox позволяет создавать статические и редактируемые списки. В статическом списке пользователь просто выбирает необходимый элемент списка, в редактируемом же, наверху списка присутствует текстовое поле, куда пользователь может вводить текст, а список будет подматывать желаемый элемент.

Индексы элементов обоих типов списков начинаются с нуля. Если число элементов превысит некоторого значения так, что для раскрытия списка вниз не будет хватать места, список раскроется вверх.

Методы компонента не производят проверку типов, как это делают другие встроенные объекты ActionScript, поэтому рекомендуется проверять передаваемые методам параметры.

Компонент RadioButton поддерживается Flash Player'ом версии 6 и более поздними.

Для дополнительной информации о том, как работать с компонентом ComboBox, устанавливать его параметры и менять цвет и внешний вид, см. Изменение цвета компонента и текста и Изменение внешнего вида компонента в разделе Работа с компонентами главы Использование Flash.

Сводная таблица методов компонента FComboBox

Метод | Описание
FComboBox.addItem | Добавляет новый элемент в конец списка.
FComboBox.addItemAt | Добавляет новый элемент в указанную позицию списка.
FComboBox.getEnabled | Возвращает true, если список доступен и false, если нет.
FComboBox.getItemAt | Возвращает элемент с заданным индексом в виде объекта со свойствами label и data.
FComboBox.getLength | Возвращает число элементов списка.
FComboBox.getRowCount | Возвращает число видимых строк списка.
FComboBox.getScrollPosition | Возвращает индекс элемента, находящегося в вершине списка.
FComboBox.getSelectedIndex | Возвращает индекс текущего выбранного элемента.
FComboBox.getSelectedItem | Возвращает текущий выбранный элемент в виде объекта со свойствами label и data.
FComboBox.getValue | Возвращает текст в поле ввода редактируемого списка; для статического списка возвращает параметр label или data выбранного элемента.
FComboBox.registerSkinElement | Регистрирует элемент внешнего вида (скин-элемент) для свойства стиля.
FComboBox.removeAll | Удаляет все элементы из списка.
FComboBox.removeItemAt | Удаляет заданный элемент.
FComboBox.replaceItemAt | Меняет параметры заданного элемента.
FComboBox.setChangeHandler | Назначает обработчик, вызываемый всякий раз, когда пользователь выбрал элемент или ввел текст в текстовое поле.
FComboBox.setDataProvider | Назначает внешний объект в качестве источника данных.
FComboBox.setEditable | Определяет тип списка статический/редактируемый.
FComboBox.setEnabled | Определяет, будет ли список доступен.
FComboBox.setItemSymbol | Устанавливает внешний вид элементов в списке.
FComboBox.setRowCount | Задает число элементов, отображаемых без полосы прокрутки.
FComboBox.setSelectedIndex | Выбирает элемент по заданному индексу.
FComboBox.setSize | Устанавливает в пикселах ширину списка.
FComboBox.setStyleProperty | Задает одно свойство стиля экземпляра компонента.
FComboBox.setValue | Задает текст, отображаемый в текстовом поле редактируемого списка.
FComboBox.sortItemsBy | Сортирует элементы в алфавитном или в порядке номеров по надписям или данным.


FComboBox.addItem

F > FComboBox.addItem

FComboBox.addItem

Доступность

Flash Player 6.

Синтаксис

myComboBox.addItem(label [,data])

Параметры

label Текстовая строка, отображаемая непосредственно в списке.

data Некоторое значение, связанное с элементом списка; параметр необязательный.

Возвращается

Ничего.

Описание

Метод, добавляет новый элемент с заданными параметрами в конец списка. Параметр data может быть любым объектом Flash: строка, тип Boolean, целое, объект, мувиклип.

Для корректной работы клипа не следует добавлять более 400 элементов за один кадр, независимо от того, сколько списков участвуют в этом - один или несколько.

Пример

Добавляем новый элемент Kenny со значением Keen в конец списка teacherList.

teacherList.addItem("Kenny", Keen);

Ниже добавляются максимально возможное рекомендуемое количество элементов в список comboBox1:

for (i=0; i<400; i++) {
   comboBox1.addItem(i);
}

Здесь то же самое, но с двумя списками listBox1 и comboBox2:

for (i=0; i<200; i++) {
   listBox1.addItem(i);
   comboBox2.addItem(i);
}

См. также

FComboBox.addItemAt, FComboBox.getItemAt, FComboBox.replaceItemAt, FComboBox.setDataProvider, FComboBox.sortItemsBy


FComboBox.addItemAt

F > FComboBox.addItemAt

FComboBox.addItemAt

Доступность

Flash Player 6.

Синтаксис

myComboBox.addItemAt(index, label [,data])

Параметры

index Целое, задающее позицию, куда добавится элемент.

label Текстовая строка, отображаемая непосредственно в списке.

data Некоторое значение, связанное с элементом списка; параметр необязательный.

Возвращается

Ничего.

Описание

Метод, добавляет новый элемент с заданными параметрами в указанную позицию. Параметр data может быть любым объектом Flash: строка, тип Boolean, целое, объект, мувиклип

В компоненте ComboBox индекс элементов начинается с нуля, таким образом элемент с индекстом 0 будет находиться в вершине списка.

Для корректной работы клипа не следует добавлять более 400 элементов за один кадр, независимо от того, сколько списков участвуют в этом - один или несколько.

Пример

Добавляем новый элемент Justin со значением Ace в список Favorites на пятую позицию.

Favorites.addItemAt(4, "Justin", Ace);

Для примеров добавления большого количества элементов см. FComboBox.addItem.

См. также

FComboBox.getItemAt, FComboBox.removeItemAt, FComboBox.replaceItemAt, FComboBox.setDataProvider, FComboBox.sortItemsBy


FComboBox.getEnabled

F > FComboBox.getEnabled

FComboBox.getEnabled

Доступность

Flash Player 6.

Синтаксис

myComboBox.getEnabled()

Параметры

Отсутствуют.

Возвращается

Значение Boolean, указывающее, доступен список (true), либо нет (false).

Описание

Метод, определяет, доступен ли список.

Пример

Выводим в окно Output результат проверки списка comboBox1 на доступность.

trace(comboBox1.getEnabled());

См. также

FComboBox.setEnabled


FComboBox.getItemAt

F > FComboBox.getItemAt

FComboBox.getItemAt

Доступность

Flash Player 6.

Синтаксис

myComboBox.getItemAt(index)

Параметры

index Целое, задающее позицию элемента в списке.

Возвращается

Объект.

Описание

Метод, возвращает элемент с заданным индексом в виде объекта со свойствами label и data.

Пример

Выводим надпись элемента с индексом 4 списка comboBox1.

trace(comboBox1.getItemAt(4).label);

Ниже проделываем то же самое со связанными данными элемента. Возвращаемое значение зависит от типа данных, и может быть объектом, строкой, ссылкой на мувиклип или другим значением.

trace(comboBox2.getItemAt(4).data);

Выводим все параметры элемента с индексом 4 списка comboBox3.

trace(comboBox3.getItemAt(4));

См. также

FComboBox.getSelectedItem


FComboBox.getLength

F > FComboBox.getLength

FComboBox.getLength

Доступность

Flash Player 6.

Синтаксис

myComboBox.getLength()

Параметры

Отсутствуют.

Возвращается

Целое.

Описание

Метод, Возвращает количество элементов списка.

Пример

Сохраняем в переменной len количество элементов списка listMain.

var len = listMain.getLength();

См. также

FComboBox.addItem, FComboBox.addItemAt


FComboBox.getRowCount

F > FComboBox.getRowCount

FComboBox.getRowCount

Доступность

Flash Player 6.

Синтаксис

myComboBox.getRowCount()

Параметры

Отсутствуют.

Возвращается

Целое.

Описание

Метод, возвращает количество видимых в списке строк.

Пример

Сохраняем в переменной rowCount число видимых в списке toyList строк.

var rowCount = toyList.getRowCount();

См. также

FComboBox.setRowCount


FComboBox.getScrollPosition

F > FComboBox.getScrollPosition

FComboBox.getScrollPosition

Доступность

Flash Player 6.

Синтаксис

myComboBox.getScrollPosition()

Параметры

Отсутствуют.

Возвращается

Целое.

Описание

Метод, возвращает индекс элемента, находящегося в данный момент на вершине списка.

Индексы компонента ComboBox начинаются с нуля.

Пример

В переменной scrollPos сохраняем индекс элемента списка toyList, находящегося в его вершине.

var scrollPos = toyList.getScrollPosition();

См. также

FComboBox.setSelectedIndex


FComboBox.getSelectedIndex

F > FComboBox.getSelectedIndex

FComboBox.getSelectedIndex

Доступность

Flash Player 6.

Синтаксис

myComboBox.getSelectedIndex()

Параметры

Отсутствуют.

Возвращается

Целое или undefined.

Описание

Метод, возвращает индекс выбранного в списке элемента, либо undefined, если ни один элемент не выбран.

Элементы в списке располагаются сверху вниз, причем их индексы отсчитываются с нуля.

Пример

В переменной selIndex сохраняем индекс выбранного в списке toyList элемента.

var selIndex = toyList.getSelectedIndex();

См. также

FComboBox.setSelectedIndex


FComboBox.getSelectedItem

F > FComboBox.getSelectedItem

FComboBox.getSelectedItem

Доступность

Flash Player 6.

Синтаксис

myComboBox.getSelectedItem()

Параметры

Отсутствуют.

Возвращается

Объект или undefined.

Description

Метод, возвращает текущий выбранный элемент списка как объект со свойствами label и data, либо undefined, если ни один элемент не выбран.

Пример

Возвращаем параметры выбранного элемента списка comboBox1.

trace(comboBox1.getSelectedItem());

Возвращаем только надпись.

trace(comboBox2.getSelectedItem().label);

Возвращаем только данные.

trace(comboBox3.getSelectedItem().data);

См. также

FComboBox.setSelectedIndex


FComboBox.getValue

F > FComboBox.getValue

FComboBox.getValue

Доступность

Flash Player 6.

Синтаксис

myComboBox.getValue()

Параметры

Отсутствуют.

Возвращается

Строка.

Описание

Метод, возвращает текст в поле ввода редактируемого списка, для статического списка возвращает параметр data выбранного элемента либо label, если данных у элемента нет.

Пример

Возвращаем параметр data либо label выбранного элемента в списке menuMain.

trace(menuMain.getValue())

См. также

FComboBox.setValue


FComboBox.registerSkinElement

F > FComboBox.registerSkinElement

FComboBox.registerSkinElement

Доступность

Flash Player 6.

Синтаксис

myComboBox.registerSkinElement(element, styleProperty)

Параметры

element Имя экземпляра мувиклипа.

styleProperty Строка, задающая свойство формата стиля FStyleFormat.

Возвращается

Ничего.

Описание

Метод, регистрирует скин-элемент для свойства стиля. Скин-элементы регистрируются в первом кадре в слое Read Me каждого элемента внешнего вида каждого компонента.

Компоненты собраны из скин-элементов, каждый из которых состоит из скинов и каждый из которых может быть зарегистрирован в свойствах объекта формата стиля FStyleFormat. Все Flash UI компоненты по умолчанию привязаны к формату общего стиля - объекту globalStyleFormat, являющегося экземпляром объекта FStyleFormat.

Используйте этот метод для назначения собственных скинов Flash UI компоненту, редактируя код первого кадра слоя Read Me в библиотеке.

Компонент FComboBox использует скины из папки FComboBox Skins один раз, когда компонент добавляется к документу Flash.

Для дополнительной информации см. Изменение внешнего вида компонента в разделе Работа с компонентами главы Использование Flash.

Пример

Регистрируем собственный скин-элемент boundBox_mc для свойства стиля background в первом кадре слоя Read Me скина FBoundingBox из папки Global Skins.

toysMenu.registerSkinElement(boundBox_mc, "background");


FComboBox.removeAll

F > FComboBox.removeAll

FComboBox.removeAll

Доступность

Flash Player 6.

Синтаксис

myComboBox.removeAll()

Параметры

Отсутствуют.

Возвращается

Ничего.

Описание

Метод, удаляет все элементы из списка, обновляет его и удаляет полосу прокрутки. Этот метод неприменим к недоступным в данный момент спискам.

Пример

Удаляем все элементы из списка menuMain.

menuMain.removeAll();

См. также

FComboBox.removeItemAt


FComboBox.removeItemAt

F > FComboBox.removeItemAt

FComboBox.removeItemAt

Доступность

Flash Player 6.

Синтаксис

myComboBox.removeItemAt(index)

Параметры

index Целое, задающее позицию элемента, подлежащего удалению.

Возвращается

Объект, содержащий удаленный элемент.

Описание

Метод, возвращает удаленный заданный элемент и обновляет список, индексы оставшихся элементов также обновляются. Если по заданному индексу элемента не существует, метод возвращает undefined.

Индексы элементов списка ведут отсчет с нуля.

Пример

Удаляем пятый элемент из спика menuMain.

menuMain.removeItemAt(4);

См. также

FComboBox.removeAll


FComboBox.replaceItemAt

F > FComboBox.replaceItemAt

FComboBox.replaceItemAt

Доступность

Flash Player 6.

Синтаксис

myComboBox.replaceItemAt(index, label [,data])

Параметры

index Целое, задающее позицию элемента.

label Строка, задающая новую надпись, представляющую элемент в списке.

data Новые данные, связываемые с элементом. Параметр необязательный, если он не задан, данные останутся прежними.

Возвращается

Ничего.

Описание

Метод, обновляет параметры заданного элемента. Если параметр data при этом не задается, данные объекта остаются прежними.

Индексы элементов списка ведут отсчет с нуля.

Пример

Обновляем элемент списка Favorites надписью Nigel и данными 7439.

Favorites.replaceItemAt(4, "Nigel", "7439");

См. также

FComboBox.addItemAt, FComboBox.getItemAt, FComboBox.setDataProvider, FComboBox.sortItemsBy


FComboBox.setChangeHandler

F > FComboBox.setChangeHandler

FComboBox.setChangeHandler

Доступность

Flash Player 6.

Синтаксис

myComboBox.setChangeHandler(functionName, [location])

Параметры

functionName Строка, задающая имя функции-обработчика, вызываемой всякий раз, когда выделили элемент списка. Если параметр location не задан, обработчик должен находиться в той же линейке, что и экземпляр списка.

location Ссылка на объект, мувиклип либо линейку, где находится обработчик. Параметр необязательный и по умолчанию указывает на родительскую линейку.

Возвращается

Ничего.

Описание

Метод, задает имя функции-обработчика, вызываемой всякий раз, когда выделили элемент списка. Один и тот же обработчик можно назначать более чем одному компоненту, функция всегда принимает имя экземпляра компонента в качестве параметра. Вызов этого метода переопределяет параметр Change Handler, назначенный разработчиком.

Для дополнительной информации см. Создание функций-обработчиков для компонентов в разделе Работа с компонентами главы Использование Flash.

Пример

Задаем обработчик myHandler, вызываемый всякий раз, когда параметр value списка toyList поменяется. Поскольку параметр location не задан, myHandler должна находиться в той же линейке, что и список.

Параметр component функции myHandler автоматически ссылается на компонент, вызвавший эту функцию. Код внутри myHandler выводит в окно Output надпись выбранного элемента.

toyList.setChangeHandler("myHandler");
function myHandler(component){
   trace(toyList.getSelectedItem().label);
}

Если в предыдущем примере myHandler определена на линейке, расположенной на три уровня выше от той, где находится компонент, первая строчка должна выглядеть так:

toyList.setChangeHandler("myHandler", _parent._parent._parent);

Определим myHandler в экземпляре объекта myObject и назначим ее обработчиком списка toyList.

myObject = new Object();
myObject.myHandler = function(component){
trace(toyList.getSelectedItem().label);
}
toyList.setChangeHandler("myHandler", myObject);


FComboBox.setDataProvider

F > FComboBox.setDataProvider

FComboBox.setDataProvider

Доступность

Flash Player 6.

Синтаксис

myComboBox.setDataProvider(dataProvider)

Параметры

dataProvider Массив текстовых строк, экземпляр объекта Array либо класса DataProvider.

Возвращается

Ничего.

Описание

Метод, назначает внешний объект (dataProvider) источником данных для списка. Если dataProvider является экземпляром объекта Array, объект должен явно определять параметры label и data оба либо по отдельности. Если dataProvider является экземпляром класса DataProvider class, он должен оперировать методами DataProvider API, определенными в символе DataProvider в папке FlashUIComponents/Core Assets/ClassTree библиотеки. Интерфейс DataProvider API предназначен для продвинутых программистов, остальным проще и понятнее пользоваться массивами и объектами типа Array.

Пример

Назначим объект peopleList1 типа Array источником данных списка comboBox1.

comboBox1.setDataProvider(peopleList1);

Заполним массив peopleList будущими надписями элементов списка comboBox1.

peopleList = new Array();
peopleList[0] = "BHall";
peopleList[1] = "CMoock";
peopleList[2] = "MWobensmith";
peopleList[3] = "MShepherd";

Создадим массив itemList1, который заполняется как надписями элементов, так и связанными с ним данными.

itemList1 = new Array();
for (i=0; i<10; i++) {
// создаем элемент
  var myItem = new Object();
  myItem.label = "Item" + i;
  myItem.data = 75;
// кладем его в массив
itemList1[i] = myItem;
}

Создадим объект comboData, являющегося экземпляром класса DataProvider, в качестве источника данных списка comboBox1.

comboBox1.setDataProvider(comboData);

Создаем экземпляр класса DataProvider и заполняем данными, используя метод этого класса addItem method.

Замечание: Метод addItem является единственным методом класса DataProvider. Тех, кому стало интересно, отсылаем к символу DataProvider в папке FlashUIComponents/CoreAssets/ClassTree библиотеки.

comboData = new DataProviderClass();

comboData.addItem("Devra");
comboData.addItem("Delia");
comboData.addItem("Vashti");
comboData.addItem("Alicia");

См. также

FComboBox.addItem, FComboBox.replaceItemAt, FComboBox.sortItemsBy


FComboBox.setEditable

F > FComboBox.setEditable

FComboBox.setEditable

Доступность

Flash Player 6.

Синтаксис

myComboBox.setEditable(editable)

Параметры

editable Значение Boolean определяющее, будет ли список являться редактируемым (true) либо статичным (false).

Возвращается

Ничего.

Описание

Метод, определяет тип списка. У редактируемого списка есть текстовое поле ввода, когда пользователь вводит текст, список подкручивается к элементу, содержащему похожий текст. Текстовое поле используется также для отображения текста с помощью метода FComboBox.setValue.

Пример

Делаем список menuMain редактируемым.

menuMain.setEditable(true);

См. также

FComboBox.setValue


FComboBox.setEnabled

F > FComboBox.setEnabled

FComboBox.setEnabled

Доступность

Flash Player 6.

Синтаксис

myComboBox.setEnabled(enable)

Параметры

enable Значение Boolean определяющее, будет ли список доступным для работы с ним (true) либо нет (false)

Возвращается

Ничего.

Описание

Метод, определяет, будет ли список доступен пользователю. По умолчанию метод установлен в true.

Пример

Делаем список menuMain недоступным.

menuMain.setEnabled(false);

См. также

FListBox.getEnabled


FComboBox.setItemSymbol

F > FComboBox.setItemSymbol

FComboBox.setItemSymbol

Доступность

Flash Player 6.

Синтаксис

myComboBox.setItemSymbol(symbolID)

Параметры

symbolID Параметр linkage ID графического символа для отображения его в списке.

Возвращается

Ничего.

Описание

Метод, регистрирует графический символ для задания внешнего вида элементов списка. По умолчанию задан символ FComboBoxItem, находящийся в библиотеке. Метод предназначен для продвинутых пользователей и программистов.


FComboBox.setRowCount

F > FComboBox.setRowCount

FComboBox.setRowCount

Доступность

Flash Player 6.

Синтаксис

myComboBox.setRowCount(rows)

Параметры

rows Максимальное число строк, которые отображаются в списке без прокрутки.

Возвращается

Ничего.

Описание

Метод, задает максимальное число строк, которые отображаются в списке без прокрутки. Минимальное значение параметра rows равно 3. Вызов метода переопределяет параметр Row Count, заданный разработчиком.

Пример

Задаем число строк без прокрутки равное 4.

menuMain.setRowCount(4);

См. также

FComboBox.setSize


FComboBox.setSelectedIndex

F > FComboBox.setSelectedIndex

FComboBox.setSelectedIndex

Доступность

Flash Player 6.

Синтаксис

myComboBox.setSelectedIndex(index)

Параметры

index Целое, задающее индекс элемента в списке, который необходимо выбрать.

Возвращается

Ничего.

Описание

Метод, выбирает заданный элемент и обновляет список так, чтобы элемент был выделен. Вызов метода не влияет на состояние открытости/закрытости выпадающего списка. Метод не может применяться к недоступным спискам.

Индексы компонента ComboBox начинаются с нуля

Пример

Выбираем четвертый элемент списка menuMain.

menuMain.setSelectedIndex(3);

См. также

FComboBox.setRowCount


FComboBox.setSize

F > FComboBox.setSize

FComboBox.setSize

Доступность

Flash Player 6.

Синтаксис

myComboBox.setSize(width)

Параметры

width Целое, задающее в пикселах ширину списка.

Возвращается

Ничего.

Описание

Метод, изменяет ширину списка. (Высоту таким же образом изменить нельзя.) Используйте метод, чтобы в режиме реального времени поменять размеры списка.

Пример

Сделаем ширину списка menuMain равной 100 пикселам.

menuMain.setSize(100);

См. также

FComboBox.setRowCount


FComboBox.setStyleProperty

F > FComboBox.setStyleProperty

FComboBox.setStyleProperty

Доступность

Flash Player 6.

Синтаксис

myComboBox.setStyleProperty(styleProperty, value)

Параметры

styleProperty Строка, задающая свойство объекта FStyleFormat.

value Устанавливаемое значение свойства.

Возвращается

Ничего.

Описание

Метод, устанавливает свойство объекта FStyleFormat для отдельного экземпляра списка. Вызов этого метода переписывает соответствующее свойство формата стиля для этого компонента. Передача значения undefined в качестве параметра удаляет все стили этого свойства.

Чтобы установить свойства объекта FStyleFormat для нескольких компонентов, нужно создать новый формат стиля. О создании собственных форматов стилей см. Изменение цвета компонента и текста в разделе Работа с компонентами главы Использование Flash.

Пример

Устанавливаем свойство arrow списка comboBox1 в 0x000000 (черный).

comboBox1.setStyleProperty("arrow", 0x000000);

См. также

FStyleFormat (object)


FComboBox.setValue

F > FComboBox.setValue

FComboBox.setValue

Доступность

Flash Player 6.

Синтаксис

myComboBox.setValue(editableText)

Параметры

editableText Строка, появляющаяся в текстовом поле редактируемого списка.

Возвращается

Ничего.

Описание

Метод, задает строку, появляющуюся в текстовом поле редактируемого списка. После этого пользователь может продолжать вводить туда текст.

Метод работает только с редактируемыми списками, поэтому передвызовом метода необходимо преобразовать список в редактируемый.

Пример

Вводим строчку Gabino в текстовое поле списка surnameMenu.

surnameMenu.setValue("Gabino");

См. также

FComboBox.getValue


FComboBox.sortItemsBy

F > FComboBox.sortItemsBy

FComboBox.sortItemsBy

Доступность

Flash Player 6.

Синтаксис

myComboBox.sortItemsBy(fieldName, order)

Параметры

fieldName Строка, задающая имя параметра, по которому будет производиться сортировка. Это может быть "label" либо "data".

order Строка, задающая порядок сортировки: алфавитный ("ASC") или порядок возрастания номеров ("DESC").

Возвращается

Ничего.

Описание

Метод, сортирует элементы списка в заданном порядке, используя заданный параметр. Если элементы, которые сортируют, представляют из себя комбинацию цифр и символов, цифры появятся перед символами. Параметр fieldName обычно принимает значения label или data, но вы можете задать и свои данные, удовлетворяющие вашим требованиям.

Пример

Сортируем названия элементов списка surnameMenu в алфавитном порядке.

surnameMenu.sortItemsBy("label", "ASC");

См. также

FComboBox.addItemAt, FComboBox.replaceItemAt, FComboBox.setDataProvider


FListBox (component)

F > FListBox (компонент)

FListBox (компонент)

Компонент ListBox используется для добавления в документ Flash прокручиваемых списков с выбором одного или нескольких элементов списка, а также предоставляет пользователю возможность задать свои основные параметры. Методы компонента FListBoxBox позволяют создавать и управлять списками, определяя и переопределяя их параметры во время выполнения клипа. При этом нет необходимости использовать конструктор для получения доступа к этим методам.

Методы компонента не производят проверку типов, как это делают другие встроенные объекты ActionScript, поэтому рекомендуется проверять передаваемые методам параметры.

Компонент ListBox поддерживается Flash Player'ом версии 6 и более поздними.

Для дополнительной информации о том, как работать с компонентом ListBox, устанавливать его параметры и менять цвет и внешний вид, см. Изменение цвета компонента и текста и Изменение внешнего вида компонента в разделе Работа с компонентами главы Использование Flash.

Сводная таблица методов компонента FListBox

Метод | Описание
FListBox.addItem | Добавляет новый элемент в конец списка.
FListBox.addItemAt | Добавляет новый элемент в указанную позицию списка.
FListBox.getEnabled | Возвращает true, если список доступен и false, если нет.
FListBox.getItemAt | Возвращает элемент с заданным индексом в виде объекта со свойствами label и data.
FListBox.getLength | Возвращает число элементов списка.
FListBox.getRowCount | Возвращает число видимых строк списка.
FListBox.getScrollPosition | Возвращает индекс элемента, находящегося в вершине списка.
FListBox.getSelectedIndex | Возвращает индекс последнего выбранного элемента.
FListBox.getSelectedIndices | Возвращает индексы выбранных элементов.
FListBox.getSelectedItem | Возвращает параметры выбранного элемента.
FListBox.getSelectedItems | Возвращает параметры выбранных элементов.
FListBox.getSelectMultiple | Возвращает true, если возможен выбор нескольких элементов, и false если нет.
FListBox.getValue | Возвращает надпись выбранного элемента или связанные с ним данные.
FListBox.registerSkinElement | Регистрирует элемент внешнего вида (скин-элемент) для свойства стиля.
FListBox.removeAll | Удаляет все элементы из списка.
FListBox.removeItemAt | Удаляет заданный элемент.
FListBox.replaceItemAt | Меняет параметры заданного элемента на новые.
FListBox.setAutoHideScrollBar | Определяет, будет ли полоса прокрутки пропадать (true) или оставаться на месте (false), если число элементов списка не будет требовать прокрутки.
FListBox.setChangeHandler | Назначает обработчик, вызываемый всякий раз, когда пользователь выбрал элемент.
FListBox.setDataProvider | Назначает внешний объект в качестве источника данных.
FListBox.setEnabled | Определяет, будет ли список доступен.
FListBox.setItemSymbol | Регистрирует некоторый графический символ для отображения его в списке.
FListBox.setRowCount | Задает число элементов, отображаемых в списке.
FListBox.setScrollPosition | Заставляет список подкрутить элемент с заданным индексом к вершине списка.
FListBox.setSelectedIndex | Выбирает элемент по заданному индексу.
FListBox.setSelectedIndices | Выбирает элементы по заданным индексам.
FListBox.setSelectMultiple | Определяет, сможет ли пользователь выбирать более одного элемента списка (true) либо нет (false).
FListBox.setSize | Задает высоту и ширину списка в пикселях.
FListBox.setStyleProperty | Задает одно свойство стиля экземпляра компонента.
FListBox.setWidth | Задает в пикселах ширину списка.
FListBox.sortItemsBy | Сортирует элементы в алфавитном или в порядке номеров по их названиям или значениям.


FListBox.addItem

F > FListBox.addItem

FListBox.addItem

Доступность

Flash Player 6.

Синтаксис

myListBox.addItem(label [, data])

Параметры

label Текстовая строка, отображаемая в списке.

data Некоторое значение, связанное с элементом списка; параметр необязательный.

Возвращается

Ничего.

Описание

Метод, добавляет новый элемент с заданными параметрами в конец списка. Параметр data может быть любым объектом Flash: строка, тип Boolean, целое, объект, мувиклип.

Для корректной работы клипа не следует добавлять более 400 элементов за один кадр, независимо от того, сколько списков участвуют в этом - один или несколько.

Пример

Добавим строчку Lyvia в список coolGirls.

coolGirls.addItem("Lyvia");

Ниже добавляются максимально возможное рекомендуемое количество элементов (400 элементов) в список listBox1:

for (i=0; i<400; i++) {
   listBox1.addItem(i);
}

Здесь то же самое, но с двумя списками listBox1 и comboBox2:

for (i=0; i<200; i++) {
   listBox1.addItem(i);
   comboBox2.addItem(i);
}

м. также

FListBox.addItemAt, FListBox.getItemAt, FListBox.removeItemAt, FListBox.replaceItemAt, FListBox.sortItemsBy


FListBox.addItemAt

F > FListBox.addItemAt

FListBox.addItemAt

Доступность

Flash Player 6.

Синтаксис

myListBox.addItemAt(index, label [, data])

Параметры

index Целое, задающее позицию, куда добавится элемент.

label Текстовая строка, отображаемая в списке.

data Некоторое значение, связанное с элементом списка, параметр необязательный.

Возвращается

Ничего.

Описание

Метод, добавляет новый элемент с заданными параметрами в указанную позицию. Параметр data может быть любым объектом Flash: строка, тип Boolean, целое, объект, мувиклип

Индексы элементов компонента ListBox начинают отсчет с нуля.

Для корректной работы клипа не следует добавлять более 400 элементов за один кадр, независимо от того, сколько списков участвуют в этом - один или несколько.

Пример

Добавим элемент Dave со значением friend на пятую позицию сриска peopleList.

peopleList.addItemAt(4, "Dave", friend);

Для примеров добавления большого количества элементов см. FListBox.addItem.

м. также

FListBox.getSelectedItem, FListBox.removeItemAt, FListBox.replaceItemAt, FListBox.sortItemsBy


FListBox.getEnabled

F > FListBox.getEnabled

FListBox.getEnabled

Доступность

Flash Player 6.

Синтаксис

myListBox.getEnabled()

Параметры

Отсутствуют.

Возвращается

Значение Boolean, указывающее, доступен список (true), либо нет (false).

Описание

Метод, определяет, доступен ли список.

Пример

Выводим в окно Output результат проверки списка listMenu на доступность.

trace(listMenu.getEnabled());

См. также

FListBox.setEnabled


FListBox.getItemAt

F > FListBox.getItemAt

FListBox.getItemAt

Доступность

Flash Player 6.

Синтаксис

myListBox.getItemAt(index)

Параметры

index Целое, задающее позицию элемента в списке.

Возвращается

Объект или undefined.

Описание

Метод, возвращает элемент с заданным индексом в виде объекта со свойствами label и data. Если не существует элемента с таким индексом, возвращается undefined.

Пример

Выводим в окно Output надпись элемента с индексом 4 списка listMenu1.

trace(listMenu1.getItemAt(4).label);

Выводим в окно Output данные элемента с индексом 4 списка listMenu2.

trace(listMenu2.getItemAt(4).data);

Выводим в окно Output все параметры элемента с индексом 4 списка listMenu3.

trace(listMenu3.getItemAt(4));

См. также

FListBox.getSelectedItem


FListBox.getLength

F > FListBox.getLength

FListBox.getLength

Доступность

Flash Player 6.

Синтаксис

myListBox.getLength()

Параметры

Отсутствуют.

Возвращается

Целое.

Описание

Метод, Возвращает количество элементов списка.

Пример

Возвращаем количество элементов списка phoneList.

phoneList.getLength();

См. также

FListBox.setSize


FListBox.getRowCount

F > FListBox.getRowCount

FListBox.getRowCount

Доступность

Flash Player 6.

Синтаксис

myListBox.getRowCount()

Параметры

Отсутствуют.

Возвращается

Целое.

Описание

Метод, возвращает количество видимых в списке строк. Обычно используется в тех случаях, когда линейные размеры списка были изменены и необходимо узнать число видимых строк.

Пример

Сохраняем в переменной rowCount число видимых строк списка toyList.

var rowCount = toyList.getRowCount();

См. также

FListBox.setRowCount, FListBox.setSize


FListBox.getScrollPosition

F > FListBox.getScrollPosition

FListBox.getScrollPosition

Доступность

Flash Player 6.

Синтаксис

myListBox.getScrollPosition()

Параметры

Отсутствуют.

Возвращается

Целое.

Описание

Метод, возвращает индекс элемента, находящегося в данный момент на вершине списка.

Пример

Возвращаем сохраняем индекс элемента, верхнего в списке staffList.

staffList.getScrollPosition();

См. также

FListBox.setScrollPosition


FListBox.getSelectedIndex

F > FListBox.getSelectedIndex

FListBox.getSelectedIndex

Доступность

Flash Player 6.

Синтаксис

myListBox.getSelectedIndex()

Параметры

Отсутствуют.

Возвращается

Целое или undefined.

Описание

Метод, возвращает индекс выбранного в списке элемента, либо undefined, если ни один элемент не выбран. Чтобы узнать индексы нескольких выбранных элементов в списке с такой возможностью, воспользуйтесь методом FListBox.getSelectedIndices.

Пример

Возвращаем индекс выбранного элемента в списке nationList.

nationList.getSelectedIndex();

См. также

FListBox.setSelectedIndices, FListBox.setSelectMultiple


FListBox.getSelectedIndices

F > FListBox.getSelectedIndices

FListBox.getSelectedIndices

Доступность

Flash Player 6.

Синтаксис

myListBox.getSelectedIndices()

Параметры

Отсутствуют.

Возвращается

Массив или undefined.

Описание

Метод, возвращает массив индексов выбранных элементов списка с такой возможностью, либо undefined, если ни один элемент не выбран.

Пример

Возвращаем массив индексов выбранных элементов списка groceryList.

groceryList.getSelectedIndices();

См. также

FListBox.getSelectedIndex, FListBox.setSelectMultiple


FListBox.getSelectedItem

F > FListBox.getSelectedItem

FListBox.getSelectedItem

Доступность

Flash Player 6.

Синтаксис

myListBox.getSelectedItem()

Параметры

Отсутствуют.

Возвращается

Объект или undefined.

Описание

Метод, возвращает текущий выбранный элемент списка как объект со свойствами label и data, либо undefined, если ни один элемент не выбран. Если выбрано несколько элементов, данный метод возвращает последний выбранный элемент. Чтобы получть все элементы в виде объектов, воспользуйтесь методом FListBox.getSelectedItems

Пример

Возвращаем надпись выделенного элемента в списке listBox1.

trace(listBox1.getSelectedItem().label);

Возвращаем значение выделенного элемента в списке listBox2.

trace(listBox2.getSelectedItem().data);

Возвращаем параметры выделенного элемента в списке listBox3.

trace(listBox3.getSelectedItem());

См. также

FListBox.getItemAt


FListBox.getSelectedItems

F > FListBox.getSelectedItems

FListBox.getSelectedItems

Доступность

Flash Player 6.

Синтаксис

myListBox.getSelectedItems()

Параметры

Отсутствуют.

Возвращается

Массив или undefined.

Описание

Метод, возвращает текущие выбранные элементы списка как массив объектов со свойствами label и data, либо undefined, если ни один элемент не выбран. Метод доступен только в списках с множественным выбором. Для работы со списками с одинарным выбором используйте метод FListBox.getSelectedItem

Пример

В переменной myObjArray сохраняем текущие выбранные элементы списка wishList.

var myObjArray = wishList.getSelectedItems();

См. также

FListBox.getSelectedItem, FListBox.setSelectMultiple


FListBox.getSelectMultiple

F > FListBox.getSelectMultiple

FListBox.getSelectMultiple

Доступность

Flash Player 6.

Синтаксис

myListBox.getSelectMultiple()

Параметры

Отсутствуют.

Возвращается

Значение Boolean.

Описание

Метод, информирует о том, может ли пользователь выбирать несколько элементов из списка (true) либо только один (false).

Пример

Проверяем список wishList на возможность мультивыборки.

if (wishList.getSelectMultiple()) {
}

См. также

FListBox.setSelectMultiple


FListBox.getValue

F > FListBox.getValue

FListBox.getValue

Доступность

Flash Player 6.

Синтаксис

myListBox.getValue()

Параметры

Отсутствуют.

Возвращается

Надпись или значение элемента.

Описание

Метод, возвращает информацию о текущем выделенном элементе. Если с элементом не связаны никакие данные, то возвращается его надпись, иначе возвращаются связанные с ним данные.

Пример

Узнаем надпись выбранного элемента в списке nationList.

trace(nationList.getValue());

См. также

FListBox.getItemAt


FListBox.registerSkinElement

F > FListBox.registerSkinElement

FListBox.registerSkinElement

Доступность

Flash Player 6.

Синтаксис

myListBox.registerSkinElement(element, styleProperty)

Параметры

element Имя экземпляра мувиклипа.

styleProperty Строка, задающая свойство формата стиля FStyleFormat.

Возвращается

Ничего.

Описание

Метод, регистрирует скин-элемент для свойства стиля. Скин-элементы регистрируются в первом кадре в слое Read Me каждого элемента внешнего вида каждого компонента.

Компоненты собраны из скин-элементов, каждый из которых состоит из скинов и каждый из которых может быть зарегистрирован в свойствах объекта формата стиля FStyleFormat. Все Flash UI компоненты по умолчанию привязаны к формату общего стиля - объекту globalStyleFormat, являющегося экземпляром объекта FStyleFormat.

Используйте этот метод для назначения собственных скинов Flash UI компоненту, редактируя код первого кадра слоя Read Me в библиотеке.

Компонент FComboBox использует скины из папки FComboBox Skins один раз, когда компонент добавляется к документу Flash.

Для дополнительной информации см. Изменение внешнего вида компонента в разделе Работа с компонентами главы Использование Flash.

Пример

Регистрируем собственный скин-элемент boundBox_mc для свойства стиля background в первом кадре слоя Read Me layer скина FBoundingBox из папки Global Skins.

toysMenu.registerSkinElement(boundBox_mc, "background");

См. также

FStyleFormat (object)


FListBox.removeAll

F > FListBox.removeAll

FListBox.removeAll

Доступность

Flash Player 6.

Синтаксис

myListBox.removeAll()

Параметры

Отсутствуют.

Возвращается

Ничего.

Описание

Метод, удаляет все элементы из списка, обновляет его и удаляет полосу прокрутки.

Пример

Удаляем элементы из списка wishList.

wishList.removeAll();

См. также

FListBox.removeItemAt


FListBox.removeItemAt

F > FListBox.removeItemAt

FListBox.removeItemAt

Доступность

Flash Player 6.

Синтаксис

myListBox.removeItemAt(index)

Параметры

index Целое, задающее позицию элемента, подлежащего удалению.

Возвращается

Ничего или undefined.

Описание

Метод, удаляет заданный элемент и обновляет список; индексы оставшихся элементов также обновляются. Если по заданному индексу элемента не существует, метод возвращает undefined.

Индексы элементов списка ведут отсчет с нуля.

Пример

Удаляем пятый элемент из списка wishList.

wishList.removeItemAt(4);

См. также

FListBox.addItemAt


FListBox.replaceItemAt

F > FListBox.replaceItemAt

FListBox.replaceItemAt

Доступность

Flash Player 6.

Синтаксис

myListBox.replaceItemAt(index, label [,data])

Параметры

index Целое, задающее позицию элемента.

label Строка, задающая новую надпись, представляющую элемент в списке.

data Новые данные, связываемые с элементом. Параметр необязательный; если он не задан, данные останутся прежними.

Возвращается

Ничего.

Описание

Метод, обновляет параметры заданного элемента. Если параметр data при этом не задается, данные объекта остаются прежними.

Индексы элементов списка ведут отсчет с нуля.

Пример

Меняем параметры пятого элемента списка Favorites на Lucky и значение Cat.

Favorites.replaceItemAt(4, "Lucky", "Cat");

См. также

FListBox.addItemAt, FListBox.getItemAt


FListBox.setAutoHideScrollBar

F > FListBox.setAutoHideScrollBar

FListBox.setAutoHideScrollBar

Доступность

Flash Player 6.

Синтаксис

myListBox.setAutoHideScrollBar(hideScroll)

Параметры

hideScroll Значение Boolean.

Возвращается

Ничего.

Описание

Метод, определяет, нужно ли прятать прокрутку, когда она не нужна (true), или же она отображается всегда (false). Если метод передал значение false, а количество элементов прокрутки не требует, она будет отображаться недоступной.

Пример

Спрячем прокрутку в списке wishList, когда она не будет нужна.

wishList.setAutoHideScrollBar(true);


FListBox.setChangeHandler

F > FListBox.setChangeHandler

FListBox.setChangeHandler

Доступность

Flash Player 6.

Синтаксис

myListBox.setChangeHandler(functionName, [location])

Параметры

functionName Строка, задающая имя функции-обработчика, вызываемой всякий раз, когда выделили элемент списка. Если параметр location не задан, обработчик должен находиться в той же линейке, что и экземпляр списка.

location Ссылка на объект, мувиклип либо линейку, где находится обработчик. Параметр необязательный и по умолчанию указывает на родительскую линейку.

Возвращается

Ничего.

Описание

Метод, задает имя функции-обработчика, вызываемой всякий раз, когда выделение списка поменялось. Один и тот же обработчик можно назначать более чем одному компоненту, функция всегда принимает имя экземпляра компонента в качестве параметра. Вызов этого метода переопределяет параметр Change Handler, назначенный разработчиком.

Для дополнительной информации см. Создание функций-обработчиков для компонентов в разделе Работа с компонентами главы Использование Flash.

Пример

Задаем обработчик myHandler, вызываемый всякий раз, когда параметр value списка listBox1 поменяется. Поскольку параметр location не задан, myHandler должна находиться в той же линейке, что и список.

Параметр component функции myHandler автоматически ссылается на компонент, вызвавший эту функцию. Код внутри myHandler выводит в окно Output надпись выбранного элемента.

listBox1.setChangeHandler("myHandler");
function myHandler(component){
   trace(listBox1.getSelectedItem().label);
}

Если в предыдущем примере myHandler определена на линейке, расположенной на три уровня выше от той, где находится компонент, первая строчка должна выглядеть так:

listBox1.setChangeHandler("myHandler", _parent._parent._parent);

Определим myHandler в экземпляре объекта myObject и назначим ее обработчиком списка listBox1.

myObject = new Object();
myObject.myHandler = function(component){
trace(listBox1.getSelectedItem().label);
}
listBox1.setChangeHandler("myHandler", myObject);


FListBox.setDataProvider

F > FListBox.setDataProvider

FListBox.setDataProvider

Доступность

Flash Player 6.

Синтаксис

myListBox.setDataProvider(dataProvider)

Параметры

dataProvider Массив текстовых строк, экземпляр объекта Array либо класса DataProvider.

Возвращается

Ничего.

Описание

Метод, назначает внешний объект (dataProvider) источником данных для списка. Если dataProvider является экземпляром объекта Array, объект должен явно определять параметры label и data оба либо по отдельности. Если dataProvider является экземпляром класса DataProvider class, он должен оперировать методами DataProvider API, определенными в символе DataProvider в папке FlashUIComponents/Core Assets/ClassTree библиотеки. Интерфейс DataProvider API предназначен для продвинутых программистов; остальным проще и понятнее пользоваться массивами и объектами типа Array.

Пример

Назначим объект peopleList1 типа Array источником данных списка listBox1.

listBox1.setDataProvider(writerList);

Заполним массив writerList будущими надписями элементов списка listBox1.

writerList = new Array();
writerList[0] = "Jody";
writerList[1] = "Mary";
writerList[2] = "Marcelle";
writerList[3] = "Dale";
writerList[4] = "Stephanie";
writerList[5] = "Barbara";

Создадим массив itemList1, который заполняется как надписями элементов, так и связанными с ним данными списка listBox1.

itemList1 = new Array();
for (i=0; i<10; i++) {

// create a real item
  var myItem = new Object();
  myItem.label = "Item" + i;
  myItem.data = 75;

// put it in the array
itemList1[i] = myItem;
}

Создадим объект editorList, являющегося экземпляром класса DataProvider, в качестве источника данных списка listBox1.

listBox1.setDataProvider(editorList);

Создаем экземпляр класса DataProvider и заполняем данными, используя метод этого класса addItem method.

Замечание: Метод addItem является единственным методом класса DataProvider. Тех, кому стало интересно, отсылаем к символу DataProvider в папке FlashUIComponents/CoreAssets/ClassTree библиотеки.

editorList = new DataProviderClass();
editorList.addItem("Anne");
editorList.addItem("Rosana");
editorList.addItem("Lisa");
editorList.addItem("Rebecca");

См. также

FListBox.addItem, FListBox.replaceItemAt, FListBox.sortItemsBy


FListBox.setEnabled

F > FListBox.setEnabled

FListBox.setEnabled

Доступность

Flash Player 6.

Синтаксис

myListBox.setEnabled(enable)

Параметры

enable Значение Boolean определяющее, будет ли список доступным для работы с ним (true) либо нет (false)

Возвращается

Ничего.

Описание

Метод, определяет, будет ли список доступен пользователю. По умолчанию метод установлен в true.

Пример

Делаем список interestList недоступным.

interestList.setEnabled(false);

См. также

FListBox.getEnabled


FListBox.setItemSymbol

F > FListBox.setItemSymbol

FListBox.setItemSymbol

Доступность

Flash Player 6.

Синтаксис

myListBox.setItemSymbol(symbolID)

Параметры

symbolID Параметр linkage ID графического символа для отображения его в списке.

Возвращается

Ничего.

Описание

Метод, регистрирует графический символ для задания внешнего вида элементов списка. По умолчанию задан символ FComboBoxItem, находящийся в библиотеке. Метод предназначен для продвинутых пользователей и программистов.


FListBox.setRowCount

F > FListBox.setRowCount

FListBox.setRowCount

Доступность

Flash Player 6.

Синтаксис

myComboBox.setRowCount(rows)

Параметры

rows Максимальное число элементов, которые отображаются в списке.

Возвращается

Ничего.

Описание

Метод, задает максимальное число элементов, которые отображаются в списке. При использовании этого метода используйте для ширины списка метод FListBox.setWidth; метод FListBox.setSize переопределяет параметр Row Count, заданный разработчиком, поэтому метод FListBox.setSize после установки максимального числа элементов проигнорирует это значение и установит высоту списка в пикселах.

Пример

Устанавливаем количество отображаемых элементов списка toyList to 4.

toyList.setRowCount(4);

См. также

FListBox.getRowCount, FListBox.setSize


FListBox.setScrollPosition

F > FListBox.setScrollPosition

FListBox.setScrollPosition

Доступность

Flash Player 6.

Синтаксис

myListBox.setScrollPosition(index)

Параметры

index Целое, указывающее на индекс элемента, который нужно подкрутить к вершине списка.

Возвращается

Ничего.

Описание

Метод, подкручивает элемент к вершине списка.

Пример

Подкрутим пятый элемент списка toyList к вершине.

toyList.setScrollPosition(4);

См. также

FListBox.getScrollPosition


FListBox.setSelectedIndex

F > FListBox.setSelectedIndex

FListBox.setSelectedIndex

Доступность

Flash Player 6.

Синтаксис

myListBox.setSelectedIndex(index)

Параметры

index Целое, задающее индекс элемента в списке, который необходимо выбрать.

Возвращается

Ничего.

Описание

Метод, выбирает заданный элемент и обновляет список так, чтобы элемент был выделен.

Индексы компонента ListBox начинаются с нуля

Пример

Выберем пятый элемент списка.

toyList.setSelectedIndex(4);

См. также

FListBox.getSelectedIndex, FListBox.getSelectedIndices


FListBox.setSelectedIndices

F > FListBox.setSelectedIndices

FListBox.setSelectedIndices

Доступность

Flash Player 6.

Синтаксис

myListBox.setSelectedIndices(indexArray)

Параметры

indexArray Массив индексов элементов, которые необходимо выбрать.

Возвращается

Ничего.

Описание

Метод, выделяет элементы с индексами, заданными в массиве.

Индексы компонента ListBox начинаются с нуля

Пример

Создаем массив myArray с индексами элементов списка toyList и передаем его методу setSelectedIndices method.

var myArray = new Array (1,4,5,7);
toyList.setSelectedIndices(myArray);

См. также

FListBox.getSelectedIndices


FListBox.setSelectMultiple

F > FListBox.setSelectMultiple

FListBox.setSelectMultiple

Доступность

Flash Player 6.

Синтаксис

myListBox.setSelectMultiple(multipleSelect)

Параметры

multipleSelect Значение типа Boolean определяющее, будет ли список являться мультиселекторным (true) или нет (false).

Возвращается

Ничего.

Описание

Метод, позволяет пользователю вибирать в списке за раз несколько элементов (true) либо только один (false). По умолчанию false. Вызов метода переопределяет параметр Select Multiple, заданный разработчиком.

Пример

Делаем список toyList мультиселекторным.

toyList.setSelectMultiple(true);


FListBox.setSize

F > FListBox.setSize

FListBox.setSize

Доступность

Flash Player 6.

Синтаксис

myListBox.setSize(width, height)

Параметры

width Целое, задающее в пикселах ширину списка.

height Целое, задающее в пикселах высоту списка.

Возвращается

Ничего.

Описание

Метод, в реальном времени меняет размеры списка. Вызов метода переопределяет параметр Row Count, заданный разработчиком клипа. Поэтому, если вы вызовете этот метод после вызова FListBox.setRowCount, высота списка установится в пикселах и параметр rowCount будет проигнорирован. Для установки ширины списка, если вы вызывали метод setRowCount, используйте FListBox.setWidth.

Пример

Меняем размеры списка phoneList на 200х50 пикселов.

phoneList.setSize(200, 50);

См. также

FListBox.setRowCount, FListBox.setWidth


FListBox.setStyleProperty

F > FListBox.setStyleProperty

FListBox.setStyleProperty

Доступность

Flash Player 6.

Синтаксис

myListBox.setStyleProperty(styleProperty, value)

Параметры

styleProperty Строка, задающая свойство объекта FStyleFormat.

value Устанавливаемое значение свойства.

Возвращается

Ничего.

Описание

Метод, устанавливает свойство объекта FStyleFormat для отдельного экземпляра списка. Вызов этого метода переписывает соответствующее свойство формата стиля для этого компонента. Передача значения undefined в качестве параметра удаляет все стили этого свойства.

Чтобы установить свойства объекта FStyleFormat для нескольких компонентов, нужно создать новый формат стиля. О создании собственных форматов стилей см. Изменение цвета компонента и текста в разделе Работа с компонентами главы Использование Flash.

Пример

Устанавливаем свойство shadow списка listBox1 в 0x000000 (черный).

listBox1.setStyleProperty("shadow", 0x000000);

См. также

FStyleFormat (object)


FListBox.setWidth

F > FListBox.setWidth

FListBox.setWidth

Доступность

Flash Player 6.

Синтаксис

myListBox.setWidth(width)

Параметры

width Целое, задающее в пикселах ширину списка.

Возвращается

Ничего.

Описание

Метод, задает в пикселах ширину списка. Метод удобен после того, как высота списка была определена методом FListBox.setRowCount.

Пример

Устанавливаем ширину списка toyList равную 500 пикселам.

toyList.setWidth(500);

См. также

FListBox.setSize


FListBox.sortItemsBy

F > FListBox.sortItemsBy

FListBox.sortItemsBy

Доступность

Flash Player 6.

Синтаксис

myListBox.sortItemsBy(fieldName, order)

Параметры

fieldName Строка, задающая имя параметра, по которому будет производиться сортировка. Это может быть "label" либо "data".

order Строка, задающая порядок сортировки: алфавитный ("ASC") или порядок возрастания номеров ("DESC").

Возвращается

Ничего.

Описание

Метод, сортирует элементы списка в заданном порядке, используя заданный параметр. Если элементы, которые сортируют, представляют из себя комбинацию цифр и символов, цифры появятся перед символами. Параметр fieldName обычно принимает значения label или data, но вы можете задать и свои данные, удовлетворяющие вашим требованиям.

Пример

Сортируем названия элементов списка surnameMenu в алфавитном порядке.

surnameMenu.sortItemsBy("label", "ASC");

См. также

FListBox.addItemAt, FListBox.replaceItemAt


_focusrect

F > _focusrect

_focusrect

Доступность

Flash Player 4.

Синтаксис

_focusrect = Boolean;

Описание

Глобальное свойство; определяет, нужно ли помещать над кнопкой желтый прямоугольник, когда она получает фокус ввода с клавиатуры. По умолчанию, true, при этом при нажатии на клавишу Tab по кнопкам и текстовым полям перемещается желтый прямоугольник.

См. также

Button._focusrect


for

F > for

for

Доступность

Flash Player 5.

Синтаксис

for(init; condition; next) {
    statement(s);
}

Параметры

init Выражение, которое необходимо вычислить перед началом цикла, обычно - присваивание. Допустимо использование выражения var.

condition Выражение, возвращающее true или false. condition вычисляется перед каждой итерацией. Цикл оканчивается, когда возвращается false.

next Выражение, вычисляемое при каждой итерации цикла; обычно представляет собой оператор инкремента ++ либо декремента --.

statement(s) Некоторый код, выполняющийся внутри тела цикла.

Описание

Команда, конструкция цикла, инициализирующая вначале выражение init, затем, пока выражение condition возвращает true, выполняет тело цикла statement.

Некоторые свойства не могут быть перечислены с помощью команд for или for..in actions. Например, встроенные методы объекта Array (Array.sort и Array.reverse) не включены в перечисление объекта Array, равно как и свойства мувиклипа _x и _y.

Пример

Используя цикл for, добавим элементы в массив:

for(i=0; i<10; i++) {
    array [i] = (i + 5)*10;
    trace(array[i]);
}

В окне Output появится:

50
60
70
80
90
100
110
120
130
140

Ниже цикл for выполняет одно и то же действие несколько раз:

var sum = 0;
    for (var i=1; i<=100; i++) {
        sum = sum + i;
    }

См. также

++ (increment), -- (decrement), for..in, var


for..in

F > for..in

for..in

Доступность

Flash Player 5.

Синтаксис

for(variableIterant in object){
    statement(s);
}

Параметры

variableIterant Имя переменной, которая выступает в роли итератора, которой присваиваются по порядку свойства объекта или элементы массива.

object Имя объекта, свойства которого перечисляются.

statement(s) Выражения, выполняемые за каждый заход цикла.

Возвращается

Ничего.

Описание

Команда, перебирает свойства объекта или элементы массива, выполняя за каждый проход statement.

Некоторые свойства не могут быть перечислены с помощью команд for или for..in, например, встроенные методы объекта Array (Array.sort и Array.reverse) и свойства мувиклипа _x and _y.

Цикл for..in итерирует по свойствам объекта, объявленным в прототипе. Итерирование по дочернему прототипу ведет за собой также и итерирование по родительскому.

Команда for..in проходится по всем объектам в иерархической цепочке прототипов данного объекта. Сначала перечисляются свойства самого объекта, затем свойства его прототипа, потом свойства прототипа прототипа и т.д. Команда for..in не перечисляет одно свойство дважды. Допустим, у некоторого объекта child имеется прототип parent, и оба они содержат свойство prop. В этом случае команда for..in, вызванная для объекта child, вызовет свойство prop, принадлежащее child и проигнорирует такое же свойство объекта parent.

Пример

Ниже приведен пример использования команды for..in для перечисления свойств объекта:

myObject = { name:'Tara', age:27, city:'San Francisco' };
for (name in myObject) {
    trace ("myObject." + name + " = " + myObject[name]);
}

В окне Оutput появится:

myObject.name = Tara
myObject.age = 27
myObject.city = San Francisco

Ниже используется оператор typeof в команде for..in для работы с определенным типом данных:

for (name in myMovieClip) {
    if (typeof (myMovieClip[name]) = "movieclip") {
        trace ("I have a movie clip child named " + name);
    }
}

В следующем примере перебираются дочерние мувиклипы и каждый из них отсылается на второй кадр своего таймлайна. Допустим, что мувиклип RadioButtonGroup содержит несколько мувиков, _RedRadioButton_, _GreenRadioButton_ и _BlueRadioButton.

for (var name in RadioButtonGroup) {
    RadioButtonGroup[name].gotoAndStop(2);
}


FPushButton (component)

F > FPushButton (компонент)

FPushButton (компонент)

Компонент PushButton используется для добавления кнопок в документ Flash, посредством перетаскивания его на рабочее поле из библиотеки компонентов, он также предоставляет разработчику возможность установить основные параметры компонента. Методы компонента FPushButton позволяют создавать и управлять кнопками, определяя и переопределяя параметры компонента во время выполнения клипа. При этом нет необходимости использовать конструктор для получения доступа к этим методам.

Компонент PushButton, подобно стандартной системной кнопке, реагирует на мышь и клавиатуру пользователя. Кроме того, используя методы FPushButton, можно переопределять обработчик нажатия кнопки, делать ее доступной/недоступной и менять ее размеры в режиме реального времени.

Методы компонента не производят проверку типов, как это делают другие встроенные объекты ActionScript, поэтому рекомендуется проверять передаваемые методам параметры.

Компонент PushButton поддерживается Flash Player'ом версии 6 и более поздними.

Для дополнительной информации о том, как работать с компонентом PushButton, устанавливать его параметры и менять цвет и внешний вид, см. Изменение цвета компонента и текста и Изменение внешнего вида компонента в разделе Работа с компонентами главы Использование Flash.

Сводная таблица методов компонента FPushButton

Метод | Описание
FPushButton.getEnabled | Возвращает true, если кнопка доступна и false, если недоступна.
FPushButton.getLabel | Возвращает в виде строки надпись на кнопке.
FPushButton.registerSkinElement | Регистрирует элемент внешнего вида кнопки (скин-элемент) для свойства стиля.
FPushButton.setClickHandler | Определяет функцию-обработчик, вызываемую всякий раз, когда кнопка была нажата.
FPushButton.setEnabled | Делает кнопку доступной (true), либо нет (false)
FPushButton.setLabel | Устанавливает в режиме реального времени надпись на кнопке.
FPushButton.setSize | Задает в пикселах высоту и ширину кнопки.
FPushButton.setStyleProperty | Задает одно свойство стиля компонента.


FPushButton.getEnabled

F > FPushButton.getEnabled

FPushButton.getEnabled

Доступность

Flash Player 6.

Синтаксис

myPushButton.getEnabled()

Параметры

Отсутствуют.

Возвращается

Тип Boolean.

Описание

Метод, возвращает true, если кнопка доступна и false, если недоступна.

Пример

Следующий код выводит в окне Output состояние на данный момент кнопки submit.

trace(submit.getEnabled());

См. также

FPushButton.setEnabled


FPushButton.getLabel

F > FPushButton.getLabel

FPushButton.getLabel

Доступность

Flash Player 6.

Синтаксис

myPushButton.getLabel()

Параметры

Отсутствуют.

Возвращается

Строка.

Описание

Метод, возвращает в виде строки надпись на кнопке.

Пример

Следующий код выводит в окне Output надпись на кнопке buttonPage1.

trace(buttonPage1.getLabel());

См. также

FPushButton.setLabel


FPushButton.registerSkinElement

F > FPushButton.registerSkinElement

FPushButton.registerSkinElement

Доступность

Flash Player 6.

Синтаксис

myPushButton.registerSkinElement(element, styleProperty)

Параметры

element Имя экземпляра мувиклипа.

styleProperty Строка, задающая свойство формата стиля FStyleFormat.

Возвращается

Ничего (undefined).

Описание

Метод, регистрирует скин-элемент для свойства стиля. Скин-элементы регистрируются в первом кадре в слое Read Me каждого элемента внешнего вида каждого компонента.

Компоненты собраны из скин-элементов, каждый из которых состоит из скинов и каждый из которых может быть зарегистрирован в свойствах объекта формата стиля FStyleFormat. Все Flash UI компоненты по умолчанию привязаны к формату общего стиля - объекту globalStyleFormat, являющегося экземпляром объекта FStyleFormat.

Используйте этот метод для назначения собственных скинов Flash UI компоненту, редактируя код первого кадра слоя Read Me в библиотеке.

Компонент FPushButton использует скины из папки FPushButton Skins, а также скин FLabel из папки Global Skins один раз, когда компонент добавляется к документу Flash.

Для дополнительной информации см. Изменение внешнего вида компонента в разделе Работа с компонентами главы Использование Flash.

Пример

Регистрируем собственный скин-элемент newFace_mc для свойства face в первом кадре слоя Read Me скина FLabel из папки Component Skins/Global Skins.

submitButton.registerSkinElement(newFace_mc, "face");

См. также

FStyleFormat (object)


FPushButton.setClickHandler

F > FPushButton.setClickHandler

FPushButton.setClickHandler

Доступность

Flash Player 6.

Синтаксис

myPushButton.setClickHandler(functionName, [location])

Параметры

functionName Строка, задающая имя функции-обработчика, вызываемой всякий раз, когда пользователь нажал кнопку. Если параметр location не задан, обработчик должен находиться в той же линейке, что и экземпляр кнопки.

location Ссылка на объект, мувиклип либо линейку, где находится обработчик. Параметр необязательный и по умолчанию указывает на родительскую линейку.

Возвращается

Ничего.

Описание

Метод, задает имя функции-обработчика, вызываемой всякий раз, когда пользователь нажал кнопку. Один и тот же обработчик можно назначать более чем одному компоненту, функция всегда принимает имя экземпляра компонента в качестве параметра. Вызов этого метода переопределяет параметр Click Handler, назначенный при разработке.

Для дополнительной информации см. Создание функций-обработчиков для компонентов в разделе Работа с компонентами главы Использование Flash.

Пример

Назначим функцию onClick в качестве обработчика нажатий кнопки button1. Поскольку параметр location не задан, onClick должна находиться в той же линейке, что и наша кнопка. Параметр component функции onClick автоматически принимает значение имени экземпляра компонента (компонента, чье состояние было изменено в результате пользовательских манипуляций и к которому был привязан onClick). В обработчике onClick содержится код, выводящий в окно Output имя нажатой кнопки.

button1.setClickHandler("onClick");
function onClick(component){
trace(component._name);
}

Если в предыдущем примере onClick расположен на три уровня выше линейки компонента, первая строчка должна быть такой:

button1.setChangeHandler("onClick", _parent._parent._parent);

Следующий код создает функцию onClick в экземпляре объекта myObject, а затем определяет ее в качестве обработчика для button1.

myObject = new Object();
myObject.onClick = function(component){
trace(component._name);
}
button1.setChangeHandler("onClick", myObject);


FPushButton.setEnabled

F > FPushButton.setEnabled

FPushButton.setEnabled

Доступность

Flash Player 6.

Синтаксис

myPushButton.setEnabled(enable)

Параматеры

enable Значените типа Boolean определяющее, будет ли кнопка доступна (true), либо нет (false).

Возвращается

Ничего.

Описание

Метод, определяет состояние доступности кнопки. Когда она недоступна, она не откликается на действия пользователя и надпись на ней тусклая. Пропуск параметра равнозначен значению true.

Пример

Делаем кнопку button1 недоступной.

button1.setEnabled(false);

См. также

FPushButton.getEnabled


FPushButton.setLabel

F > FPushButton.setLabel

FPushButton.setLabel

Доступность

Flash Player 6.

Синтаксис

myPushButton.setLabel(label)

Параметры

label Строка, содержащая текст надписи на кнопке.

Возвращается

Ничего.

Описание

Метод, меняет надпись на кнопке в режиме реального времени. Вызов этого метода переписывает значение параметра label, заданного при разработке документа.

Пример

Напишем на копке voteButton фразу Cleveland Rocks!.

voteButton.setLabel("Cleveland Rocks!");

См. также

FPushButton.getLabel


FPushButton.setSize

F > FPushButton.setSize

FPushButton.setSize

Доступность

Flash Player 6.

Синтаксис

myPushButton.setSize(width, height)

Параметры

width Целое, задающее в пикселах ширину кнопки.

height Целое, задающее в пикселах высоту кнопки.

Возвращается

Ничего.

Описание

Метод, устанавливает в режиме реального времени ширину и высоту кнопки. Вызов данного метода переопределяет установки высоты и ширины, заданные при разработке документа. Для доп. информации см. Изменение размеров компонента PushButton главы Работа с компонентами раздела Использование Flash.

Пример

В режиме реального времени зададим размер кнопки submitButton 100 x 50 пикселов.

submitButton.setSize(100, 50);


FPushButton.setStyleProperty

F > FPushButton.setStyleProperty

FPushButton.setStyleProperty

Доступность

Flash Player 6.

Синтаксис

myPushButton.setStyleProperty(styleProperty, value)

Параметры

styleProperty Строка, задающая свойство объекта FStyleFormat.

value Устанавливаемое значение свойства.

Возвращается

Ничего.

Описание

Метод, устанавливает свойство объекта FStyleFormat для отдельного экземпляра кнопки. Вызов этого метода переписывает соответствующее свойство формата стиля для этого компонента. Передача значения undefined в качестве параметра удаляет все стили этого свойства.

Чтобы установить свойства объекта FStyleFormat для нескольких компонентов, нужно создать новый формат стиля. О создании собственных форматов стилей см. Изменение цвета компонента и текста в разделе Работа с компонентами главы Использование Flash.

Пример

Делаем кнопку submitButton белой ( свойство "face" ).

submitButton.setStyleProperty("face", 0xffffff);

См. также

FStyleFormat (object)


FRadioButton (component)

F > FRadioButton (компонент)

FRadioButton (компонент)

Радиокнопки обычно используются в составе групп из двух и более кнопок, причем в одной группе в определенный момент может быть выбрана лишь одна кнопка. Компонент RadioButton используется для добавления кнопок в документ Flash посредством перетаскивания его на рабочее поле из библиотеки компонентов, он также предоставляет разработчику возможность установить основные параметры компонента. Методы компонента FRadioButton позволяют создавать и управлять радиокнопками, определяя и переопределяя параметры компонента во время выполнения клипа. При этом нет необходимости использовать конструктор для получения доступа к этим методам.

Компонент RadioButton поддерживается Flash Player'ом версии 6 и более поздними.

Методы компонента не производят проверку типов, как это делают другие встроенные объекты ActionScript, поэтому рекомендуется проверять передаваемые методам параметры.

Для дополнительной информации о том, как работать с компонентом RadioButton, устанавливать его параметры и менять цвет и внешний вид, см. Изменение цвета компонента и текста и Изменение внешнего вида компонента в разделе Работа с компонентами главы Использование Flash.

Сводная таблица методов компонента FRadioButton

Метод | Описание
FRadioButton.getData | Возвращает данные, связанные с экземпляром радиокнопки.
FRadioButton.getEnabled | Возвращает true, если радиокнопка доступна и false, если недоступна.
FRadioButton.getLabel | Возвращает в виде строки надпись, относящуюся к кнопке.
FRadioButton.getState | Возвращает состояние экземпляра радиокнопки.
FRadioButton.getValue | Возвращает данные, связанные с выбранной радиокнопкой в группе, либо надпись кнопки, если данные не заданы.
FRadioButton.registerSkinElement | Регистрирует элемент внешнего вида кнопки (скин-элемент) для свойства стиля.
FRadioButton.setChangeHandler | Определяет функцию-обработчик, вызываемую всякий раз, когда состояние кнопки было изменено.
FRadioButton.setData | Устанавливает данные, связанные с экземпляром радиокнопки.
FRadioButton.setEnabled | Определяет, будет ли кнопка доступна.
FRadioButton.setGroupName | Закрепляет экземпляр радиокнопки за определенной группой, либо дает новое имя группе кнопок.
FRadioButton.setLabel | Меняет надпись кнопки во время выполнения клипа.
FRadioButton.setLabelPlacement | Определяет, справа или слева от кнопки будет находиться надпись.
FRadioButton.setSize | Устанавливает в пикселах ширину кнопки.
FRadioButton.setState | Устанавливает состояние экземпляра радиокнопки.
FRadioButton.setStyleProperty | Задает одно свойство стиля экземпляра компонента.
FRadioButton.setValue | Выбирает радиокнопку в группе во время выполнения клипа.


FRadioButton.getData

F > FRadioButton.getData

FRadioButton.getData

Доступность

Flash Player 6.

Синтаксис

myRadioButton.getData()

Параметры

Отсутствуют.

Возвращается

Строка.

Description

Метод, возвращает данные, связанные с экземпляром радиокнопки. Для получения данных, связанных с выбранной в группе кнопкой, используйте метод FRadioButton.getValue.

Пример

В окне Output выводим данные радиокнопки flashRadio.

trace(flashRadio.getData());

См. также

FRadioButton.setData


FRadioButton.getEnabled

F > FRadioButton.getEnabled

FRadioButton.getEnabled

Доступность

Flash Player 6.

Синтаксис

myRadioButton.getEnabled()
myRadioButtonGroup.getEnabled()

Параметры

Отсутствуют.

Возвращается

Значение типа Boolean либо undefined.

Описание

Метод, определяет, доступна радиокнопка или группа, либо нет.

Синтаксис 1: Определяем, радиокнопка myRadioButton доступна (true) либо нет (false).

Синтаксис 2: Определяем, группа кнопок myRadioButtonGroup доступна (true) либо нет (false). Если некоторые кнопки в одной группе доступны, а некоторые нет, метод возвращает undefined.

Пример

Выводим в окно Output состояние доступности радиокнопки radio1.

trace(radio1.getEnabled());

См. также

FRadioButton.setEnabled


FRadioButton.getLabel

F > FRadioButton.getLabel

FRadioButton.getLabel

Доступность

Flash Player 6.

Синтаксис

myRadioButton.getLabel()

Параметры

Отсутствуют.

Возвращается

Строка.

Описание

Метод, возвращает в виде строки надпись, относящуюся к кнопке. Нельзя применять данный метод к группе кнопок, синтаксис radioButtonGroup.getLabel() недопустим.

Пример

В окне Output выводим надпись радиокнопки radio2.

trace(radio2.getLabel());

См. также

FRadioButton.setLabel


FRadioButton.getState

F > FRadioButton.getState

FRadioButton.getState

Доступность

Flash Player 6.

Синтаксис

myRadioButton.getState()

Параметры

Отсутствуют.

Возвращается

Значение типа Boolean в зависимости от того, выбрана кнопка либо нет.

Описание

Метод, если радиокнопка myRadioButton выбрана, возвращает true, иначе false.

Пример

В окне Output выводим состояние кнопки radio1.

trace(radio1.getState());

См. также

FRadioButton.setState


FRadioButton.getValue

F > FRadioButton.getValue

FRadioButton.getValue

Доступность

Flash Player 6.

Синтаксис

myRadioButtonGroup.getValue()

Параметры

Отсутствуют.

Возвращается

Строка либо undefined.

Описание

Метод, Возвращает данные, связанные с выбранной радиокнопкой в группе myRadioButtonGroup, либо надпись кнопки, если данные не заданы. В том случае, когда ни одна кнопка в группе не выбрана метод возвращает undefined.

Пример

В окно Output выводим данные выбранной радиокнопки в группе radioGroup1.

trace(radioGroup1.getValue());

См. также

FRadioButton.setValue


FRadioButton.registerSkinElement

F > FRadioButton.registerSkinElement

FRadioButton.registerSkinElement

Доступность

Flash Player 6.

Синтаксис

myRadioButton.registerSkinElement(element, styleProperty)

Параметры

element Имя экземпляра мувиклипа.

styleProperty Строка, задающая свойство формата стиля FStyleFormat.

Возвращается

Ничего.

Описание

Метод, регистрирует скин-элемент для свойства стиля. Скин-элементы регистрируются в первом кадре в слое Read Me каждого элемента внешнего вида каждого компонента.

Компоненты собраны из скин-элементов, каждый из которых состоит из скинов и каждый из которых может быть зарегистрирован в свойствах объекта формата стиля FStyleFormat. Все Flash UI компоненты по умолчанию привязаны к формату общего стиля - объекту globalStyleFormat, являющегося экземпляром объекта FStyleFormat.

Используйте этот метод для назначения собственных скинов Flash UI компоненту, редактируя код первого кадра слоя Read Me в библиотеке.

Компонент FRadioButton использует скины из папки FRadioButton Skins и скин FLabel из папки Global Skins дин раз, когда компонент добавляется к документу Flash.

Для дополнительной информации см. Изменение внешнего вида компонента в разделе Работа с компонентами главы Использование Flash.

Пример

Регистрируем собственный скин-элемент myDot_mc для свойства стиля radioDot в первом кадре слоя Read Me скина frb_dot из папки FRadioButton Skins.

radio1.registerSkinElement(myDot_mc, "radioDot");

См. также

FStyleFormat (object)


FRadioButton.setChangeHandler

F > FRadioButton.setChangeHandler

FRadioButton.setChangeHandler

Доступность

Flash Player 6.

Синтаксис

myRadioButton.setChangeHandler(functionName, [location])
myRadioButtonGroup.setChangeHandler(functionName, [location])

Параметры

functionName Строка, задающая имя функции-обработчика, вызываемой всякий раз, когда состояние кнопки поменялось. Если параметр location не задан, обработчик должен находиться в той же линейке, что и экземпляр кнопки.

location Ссылка на объект, мувиклип либо линейку, где находится обработчик. Параметр необязательный и по умолчанию указывает на родительскую линейку.

Возвращается

Ничего.

Описание

Метод, задает имя функции-обработчика, вызываемой всякий раз, когда состояние кнопки поменялось. Один и тот же обработчик можно назначать более чем одному компоненту, функция всегда принимает имя экземпляра компонента в качестве параметра. Вызов этого метода переопределяет параметр Change Handler, назначенный разработчиком.

Синтаксис 1: Зададим функцию, которая будет вызываться всякий раз, когда экземпляр радиокнопки myRadioButton поменяет свое состояние.

Синтаксис 2: Зададим функцию, которая будет вызываться всякий раз, когда в группе radioButtonGroup поменяется выбранная кнопка. Назначение обработчика группе кнопок эквиваленитно назначению этой функции каждой кнопке в группе myRadioButton.setChangeHandler.

Для дополнительной информации см. Создание функций-обработчиков для компонентов в разделе Работа с компонентами главы Использование Flash.

Пример

Синтаксис 1: Функция myHandler вызывается, когда кнопка radio1 меняет сосотояние.

radio1.setChangeHandler("myHandler");

Синтаксис 2: Функция onChange вызывается, когда кнопка в группе radioGroup1 меняет состояние.

radioGroup1.setChangeHandler("onChange");

Поскольку параметр location не указан, onChange должна находиться в той же линейке, что и группа радиокнопок. Параметр component функции onChange автоматически ссылается на компонент, вызвавший эту функцию—в нашем случае радиокнопка, изменившая свое сосотояние. Имя экземпляра этой радиокнопки выведем в окно Output.

radioGroup1.setChangeHandler("onChange");
function onChange(component){
trace(component._name);
}

Если в предыдущем примере обработчик расположен на три уровня выше линейки компонента, первая строчка должна быть такой:

radioGroup1.setChangeHandler("onChange", _parent._parent._parent);

Следующий код создает функцию onChange в экземпляре объекта myObject, а затем определяет ее в качестве обработчика для radioGroup1.

myObject = new Object();
myObject.onChange = function(component){
trace(component._name);
}
radioGroup1.setChangeHandler("onChange", myObject);


FRadioButton.setData

F > FRadioButton.setData

FRadioButton.setData

Доступность

Flash Player 6.

Синтаксис

myRadioButton.setData("data")

Параметры

data Данные, назначаемые радиокнопке.

Возвращается

Ничего.

Описание

Метод, связывает некоторые данные с экземпляром радиокнопки. Вызов метода переопределяет параметр Data, заданный разработчиком.

Пример

Свяжем строчку ActionScript с радиокнопкой flashRadio.

flashRadio.setData("ActionScript");

См. также

FRadioButton.getData, FRadioButton.setValue


FRadioButton.setEnabled

F > FRadioButton.setEnabled

FRadioButton.setEnabled

Доступность

Flash Player 6.

Синтаксис

myRadioButton.setEnabled(enable)
myRadioButtonGroup.setEnabled(enable)

Параметры

enable Значение типа Boolean определяющее, будет ли радиокнопка или целая группа кнопок доступна (true) либо нет (false).

Возвращается

Ничего.

Описание

Метод, переключает состояние доступна/недоступна радиокнопки.

Синтаксис 1: Переключает состояние радиокнопки myRadioButton.

Синтаксис 2: Переключает состояние группы radioButtonGroup. Вызов метода без параметра равносилен вызову с параметром true.

Пример

Синтаксис 1: Делаем кнопку radio1 недоступной.

radio1.setEnabled(false);

Синтаксис 2: Делаем группу кнопок radioGroup1 недоступной.

radioGroup1.setEnabled(false);

См. также

FRadioButton.getEnabled


FRadioButton.setGroupName

F > FRadioButton.setGroupName

FRadioButton.setGroupName

Доступность

Flash Player 6.

Синтаксис

myRadioButton.setGroupName(groupName)
myRadioButtonGroup.setGroupName(groupName)

Параметры

groupName Строка, задающая имя группы радиокнопок.

Возвращается

Ничего.

Описание

Метод, закрепляет экземпляр радиокнопки за определенной группой, либо дает новое имя группе кнопок во время выполнения клипа. Вызов метода переопределяет параметр Group Name, заданный разработчиком.

Синтаксис 1: Включаем радиокнопку myRadioButton в группу groupName.

Синтаксис 2: Даем группе кнопок myRadioButtonGroup новое имя.

Пример

Синтаксис 1: Включаем в группу Colors радиокнопку radioRed.

radioRed.setGroupName("Colors");

Синтаксис 2: Даем новое имя группы radioGroupToys группе кнопок radioGroupGames.

radioGroupGames.setGroupName("radioGroupToys");


FRadioButton.setLabel

F > FRadioButton.setLabel

FRadioButton.setLabel

Доступность

Flash Player 6.

Синтаксис

myRadioButton.setLabel(label)

Параметры

label Текстовая строка, задающая надпись радиокнопки.

Возвращается

Ничего.

Описание

Метод, задает надпись радиокнопки myRadioButton в режиме реального времени. Вызов метода переопределяет параметр label, заданный разработчиком. Нельзя применять метод к группе кнопок, синтаксис radioButtonGroup.setLabel недопустим.

Пример

Назначим надпись Brown eyes кнопке radio1.

radio1.setLabel("Brown eyes");

См. также

FRadioButton.getLabel


FRadioButton.setLabelPlacement

F > FRadioButton.setLabelPlacement

FRadioButton.setLabelPlacement

Доступность

Flash Player 6.

Синтаксис

myRadioButton.setLabelPlacement(labelPosition)
myRadioButtonGroup.setLabelPlacement(labelPosition)

Параметры

labelPosition Текстовая строка, принимающая значение "left" или "right".

Описание

Метод, располагает надпись слева или справа относительно кнопки. Вызов метода переопределяет параметр Label Placement, заданный разработчиком.

Синтаксис 1: задаем расположение надписи относительно одной радиокнопки.

Синтаксис 2: задаем расположение надписей всех кнопок в группе.

Пример

Синтаксис 1: Помещаем надпись слева от кнопки radio1.

radio1.setLabelPlacement("left");

Синтаксис 2: Помещаем надписи кнопок в группе Colors справа от кнопок.

Colors.setLabelPlacement("right");

См. также

FRadioButton.setLabel, FRadioButton.setLabelPlacement


FRadioButton.setSize

F > FRadioButton.setSize

FRadioButton.setSize

Доступность

Flash Player 6.

Синтаксис

myRadioButton.setSize(width)
myRadioButtonGroup.setSize(width)

Параметры

width Целое, задающее в пикселах размер радиокнопки.

Возвращается

Ничего.

Описание

Метод, задает ширину радиокнопки и перерисовывает. (Высоту кнопки изменить нельзя.) Вызов метода переопределяет соответствующий параметр, заданный разработчиком.

Синтаксис 1: Меняем размер одной радиокнопки.

Синтаксис 2: Меняем размер всех кнопок в группе.

Для доп. информации см. Изменение размеров компонента RadioButton главы Работа с Компонентами части Использование Flash.

Пример

Делаем ширину кнопки radio1 равной 200 пикселов.

radio1.setSize(200);


FRadioButton.setState

F > FRadioButton.setState

FRadioButton.setState

Доступность

Flash Player 6.

Синтаксис

myRadioButton.setState("select")

Параметры

select Значение типа Boolean задающее состояние кнопки: выбрана (true) или нет (false).

Возвращается

Ничего.

Описание

Метод, задает состояние радиокнопки myRadioButton. Только одна кнопка в группе может принимать параметр true (selected). Если метод вызван для более чем одной кнопки с значением true, срабатывает самый последний. По умолчанию значение параметра равно false.

Вызов метода переопределяет параметр Initial State, заданный разработчиком. Если метод был вызван вместе с методом FRadioButton.setValue для выбора разных кнопок в одной группе, срабатывает также последний.

Пример

Выберем радиокнопку radio1.

radio1.setState(true));

См. также

FRadioButton.getState, FRadioButton.getValue, FRadioButton.setValue


FRadioButton.setStyleProperty

F > FRadioButton.setStyleProperty

FRadioButton.setStyleProperty

Доступность

Flash Player 6.

Синтаксис

myRadioButton.setStyleProperty(styleProperty, value)
myRadioButtonGroup.setStyleProperty(styleProperty, value)

Параметры

styleProperty Строка, задающая свойство объекта FStyleFormat.

value Устанавливаемое значение свойства.

Возвращается

Ничего.

Описание

Метод, устанавливает свойство объекта FStyleFormat для отдельного экземпляра кнопки. Вызов этого метода переписывает соответствующее свойство формата стиля для этого компонента. Передача значения undefined в качестве параметра удаляет все стили этого свойства.

Чтобы установить свойства объекта FStyleFormat для нескольких компонентов, нужно создать новый формат стиля. О создании собственных форматов стилей см. Изменение цвета компонента и текста в разделе Работа с компонентами главы Использование Flash.

Пример

Устанавливаем свойство radioDot радиокнопки radioButton1 в 0xFF12AC (розовый).

radioButton1.setStyleProperty("radioDot", 0xFF12AC);

Устанавливаем свойство radioDot всех кнопок в группе radioGroup1 в 0xFF12AC (розовый).

radioGroup1.setStyleProperty("radioDot", 0xFF12AC);

См. также

FStyleFormat (object)


FRadioButton.setValue

F > FRadioButton.setValue

FRadioButton.setValue

Доступность

Flash Player 6.

Синтаксис

myRadioButtonGroup.setValue("data")

Параметры

data Данные, связанные с кнопкой, которая должна быть выбрана.

Возвращается

Ничего.

Описание

Метод, выбирает радиокнопку в группе не по имени кнопки, а по связанными с ней данными.

Вызов метода переопределяет параметр Initial Value, заданный разработчиком. Если метод вызван совместно с методом FRadioButton.setState для выбора разных кнопок в группе срабатывает метод, вызванный последним.

Пример

Выбираем кнопку с данными red в группе Colors.

Colors.setValue("red");

См. также

FRadioButton.getData, FRadioButton.getValue, FRadioButton.setState


FScrollBar (component)

F > FScrollBar (компонент)

FScrollBar (компонент)

Компонент ScrollBar в среде разработки Flash используется для добавления полосы прокрутки динамическим и полям ввода в документ Flash посредством перетаскивания его на рабочее поле из библиотеки компонентов, он также предоставляет разработчику возможность установить основные параметры компонента. Методы компонента FScrollBar позволяют создавать и управлять полосой прокрутки, определяя и переопределяя параметры компонента во время выполнения клипа. При этом нет необходимости использовать конструктор для получения доступа к этим методам. Некоторые методы компонента FScrollBar не рекомендуется использовать с прокруткой, прикрепляемой к текстовым полям; см. описание отдельных методов.

Опытные пользователи и программисты могут использовать компонент ScrollBar с другими элементами Flash при создании собственных интерфейсов и компонентов.

Методы компонента не производят проверку типов, как это делают другие встроенные объекты ActionScript, поэтому рекомендуется проверять передаваемые методам параметры.

Компонент ScrollBar поддерживается Flash Player'ом версии 6 и более поздними.

Для дополнительной информации о том, как работать с компонентом ScrollBar, устанавливать его параметры и менять цвет и внешний вид, см. Изменение цвета компонента и текста и Изменение внешнего вида компонента в разделе Работа с компонентами главы Использование Flash.

Сводная таблица методов компонента FScrollBar

Метод | Описание
FScrollBar.getEnabled | Возвращает true, если компонент доступен, иначе false.
FScrollBar.getScrollPosition | Возвращает целое число, соответствующее позиции ползунка.
FScrollBar.registerSkinElement | Регистрирует элемент внешнего вида компонента (скин-элемент) для свойства стиля.
FScrollBar.setChangeHandler | Определяет функцию-обработчик, вызываемую всякий раз, как положение прокрутки было изменено. (Нельзя использовать этот метод для текстовых полей.)
FScrollBar.setEnabled | Делает компонент доступным (true), либо нет (false).
FScrollBar.setHorizontal | Определяет, будет ли прокрутка горизонтальная (true), либо вертикальная (false).
FScrollBar.setLargeScroll | Задает число прокручиваемых позиций, когда пользователь щелкнет полосу прокрутки один раз.
FScrollBar.setScrollPosition | Устанавливает ползунок прокрутки между minPos и maxPos.
FScrollBar.setScrollProperties | Устанавливает величины pageSize, minPos, и maxPos свойств полосы прокрутки. (Нельзя использовать этот метод для текстовых полей.)
FScrollBar.setScrollTarget | Задает экземпляр текстового поля для прокрутки.
FScrollBar.setSize | Задает в пикселах длину полосы прокрутки.
FScrollBar.setSmallScroll | Задает число прокручиваемых позиций, когда пользователь щелкнет стрелку прокрутки один раз.
FScrollBar.setStyleProperty | Задает одно свойство стиля компонента.


FScrollBar.getEnabled

F > FScrollBar.getEnabled

FScrollBar.getEnabled

Доступность

Flash Player 6.

Синтаксис

myScrollBar.getEnabled()

Параметры

Отсутствуют.

Возвращается

Значение Boolean.

Описание

Метод, возвращает true, если полоса прокрутки доступна, иначе false.

Пример

В окне Output отображаем, доступна или нет полоса прокрутки scroll1.

trace(scroll1.getEnabled());

См. также

FScrollBar.setEnabled


FScrollBar.getScrollPosition

F > FScrollBar.getScrollPosition

FScrollBar.getScrollPosition

Доступность

Flash Player 6.

Синтаксис

myScrollBar.getScrollPosition()

Параметры

Отсутствуют.

Возвращается

Целое число.

Описание

Метод, возвращает целое число, определяющее позицию ползунка прокрутки, число это принадлежит диапазону прокрутки, между minPos и maxPos. Для установки значений свойств minPos и maxPos используйте метод FScrollBar.setScrollProperties.

Пример

В окне Output отобразим текущую позицию ползунка полосы прокрутки scroll2. Если у scroll2 свойство minPos равно 2 а maxPos равно 25, значение 12 говорит о том, что ползунок находится в среднем положении.

trace(scroll2.getPosition());

См. FScrollBar.setChangeHandler для другого примера использования этого метода.

См. также

FScrollBar.setChangeHandler, FScrollBar.setScrollPosition


FScrollBar.registerSkinElement

F > FScrollBar.registerSkinElement

FScrollBar.registerSkinElement

Доступность

Flash Player 6.

Синтаксис

myScrollBar.registerSkinElement(element, styleProperty)

Параметры

element Экземпляр мувиклипа.

styleProperty Строка, задающая свойство формата стиля FStyleFormat.

Возвращается

Ничего.

Описание

Метод, регистрирует скин-элемент для свойства стиля. Скин-элементы регистрируются в первом кадре в слое Read Me каждого элемента внешнего вида каждого компонента.

Компоненты собраны из скин-элементов, каждый из которых состоит из скинов и каждый из которых может быть зарегистрирован в свойствах объекта формата стиля FStyleFormat. Все Flash UI компоненты привязаны к формату общего стиля - объекту globalStyleFormat, являющегося экземпляром объекта FStyleFormat.

Используйте этот метод для назначения собственных скинов Flash UI компоненту, редактируя код первого кадра слоя Read Me в библиотеке.

Компонент FScrollBar использует скины, находящиеся в папке FScrollBar Skins, а также скин FLabel из папки Global Skins один раз, когда компонент добавляется к документу Flash. Изменение скинов в папке FScrollBar Skins изменяет внешний вид компонентов, использующих полосу прокрутки (ComboBox, ListBox, ScrollBar, и ScrollPane).

Для дополнительной информации см. Изменение внешнего вида компонента в разделе Работа с компонентами главы Использование Flash.

Пример

Регистрируем собственный скин-элемент NewArrow_mc для свойства arrow в первом кадре слоя Read Me скина fsb_downArrow из папки FScrollBar Skins.

Scroll1.registerSkinElement(NewArrow_mc, "arrow");

См. также

FStyleFormat (object)


FScrollBar.setChangeHandler

F > FScrollBar.setChangeHandler

FScrollBar.setChangeHandler

Доступность

Flash Player 6.

Синтаксис

myScrollBar.setChangeHandler(functionName, [location])

Параметры

functionName Строка, задающая имя функции-обработчика, вызываемой всякий раз, когда пользователь изменил положение ползунка. Если параметр location не задан, обработчик должен находиться в той же линейке, что и экземпляр полосы прокрутки.

location Путь, указывающий на объект, мувиклип либо линейку, где находится обработчик. Параметр необязательный.

Возвращается

Ничего.

Описание

Метод, задает функцию-обработчик, вызываемую всякий раз, когда пользователь изменил положение ползунка. Один и тот же обработчик можно назначать более чем одному компоненту, функция всегда принимает имя экземпляра компонента в качестве параметра. Вызов этого метода переопределяет параметр Change Handler, заданный в среде разработки.

Данный метод особенно полезен программистам, разрабатывающим собственные компоненты на основе ScrollBar; метод также не может быть использован с полосами прокрутки, прикрепленным к текстовым полям.

Пример

Создадим на сцене квадрат с заливкой, определим некоторые свойства горизонтальной полосы прокрутки и зададим функцию-обработчик mover. Функция mover в соответствии с изменением положения ползунка изменяет свойство _x квадрата между 50 и 250.

root.createEmptyMovieClip("square", 1);
_root.square._x = 50;
_root.square._y = 50;
with (_root.square) {
    moveTo(0, 0);
    beginFill(0x0066CC);
    lineTo(20, 0);
    lineTo(20, 20);
    lineTo(0, 20);
    lineTo(0, 0);
    endFill();
}
scrollBar._x = 50;
scrollBar.setHorizontal (true);
scrollBar.setScrollProperties (1, 50, 250);
scrollBar.setChangeHandler ("mover");
function mover () {
    _root.square._x = scrollBar.getScrollPosition();
}

Следующий код задает обработчик для экземпляра полосы прокрутки, прикрепленного к компоненту customListBox. Обработчик компонента scroll1 получает текущую позицию, используя метод FScrollBar.getScrollPosition, затем customListBox использует FScrollBar.setScrollPosition сбрасывает текущее положение так, чтоб текущий элемент отображался в верху списка. Параметр component автоматически передается обработчику.

scroll1.setChangeHandler("myHandler");
function myHandler(component)
{
  customListBox.setScrollPosition(component.getScrollPosition());
}

Если обработчик расположен на три уровня выше линейки компонента, первая строчка должна быть такой:

scroll1.setChangeHandler("myHandler", _parent._parent._parent);

Следующий код создает функцию myHandler в экземпляре объекта myObject, а затем определяет ее как обработчик для scroll1.

myObject = new Object();
myObject.myHandler = function(component){
customListBox.setScrollPosition(component.getScrollPosition());
}
scroll1.setChangeHandler("myHandler", myObject);

См. также

FScrollBar.getScrollPosition, FScrollBar.setScrollPosition, FScrollBar.setScrollProperties


FScrollBar.setEnabled

F > FScrollBar.setEnabled

FScrollBar.setEnabled

Доступность

Flash Player 6.

Синтаксис

myScrollBar.setEnabled(enable)

Параметры

enable Булевская величина, от значения которой зависит, будет ли прокрутка доступна (true), либо нет (false).

Возвращается

Ничего.

Описание

Метод, делает полосу прокрутки доступной (true) или недоступной (false). Если полоса прокрутки недоступна, она не отвечает на действия пользователя мышью и клавиатурой. Вызов метода без параметра равносилен вызову с параметром true.

Пример

Отключаем полосу прокрутки scroll2.

scroll2.setEnabled(false);

См. также

FScrollBar.getEnabled


FScrollBar.setHorizontal

F > FScrollBar.setHorizontal

FScrollBar.setHorizontal

Доступность

Flash Player 6.

Синтаксис

myScrollBar.setHorizontal(horizontalScroll)

Параметры

horizontalScroll Булевская величина, от значения которой зависит, будет ли прокрутка горизонтальной (true), либо вертикальной (false).

Возвращается

Ничего.

Описание

Метод, задает горизонтальное расположение (true) либо вертикальное (false) полосы прокрутки. По умолчанию прокрутка вертикальная .

Пример

Сделаем прокрутку scrollText горизонтальной.

scrollText.setHorizontal(true);

См. также

FScrollBar.setSize


FScrollBar.setLargeScroll

F > FScrollBar.setLargeScroll

FScrollBar.setLargeScroll

Доступность

Flash Player 6.

Синтаксис

myScrollBar.setLargeScroll(largeScroll)

Параметры

largeScroll Целое, задающее число прокручиваемых позиций после того, как пользователь один раз щелкнет полосу прокрутки. По умолчанию оно равно значению свойства pageSize, установленной методом FScrollBar.setScrollProperties.

Возвращается

Ничего.

Описание

Метод, устанавливает значение свойства largeScroll полосы прокрутки в режиме реального времени. Когда пользователь щелкнет по полосе прокрутки, ползунок переместится на число позиций, равное largeScroll.

Пример

После щелчка по полосе ползунок прокрутки scrollText1 переместится на 20 позиций.

scrollText1.setLargeScroll(20);

См. также

FScrollBar.setSmallScroll


FScrollBar.setScrollContent

F > FScrollBar.setScrollContent

FScrollBar.setScrollContent

Availability

Flash Player 6.

Usage

myScrollBar.setScrollContent(target)

Parameters

target A reference to the text field for the scroll bar.

Returns

Nothing.

Description

Method; specifies the text field instance to which the scroll bar applies. This instance must be defined in the same Timeline and on the same level as the scroll bar. Calling this method overrides the Target Text Field parameter value set during authoring. Passing undefined for the target parameter disassociates the scroll bar from the text field.

Example

The following code attaches scrollText1 to the text field with the instance name textField1.

scrollText1.setScrollContent("textField1");


FScrollBar.setScrollPosition

F > FScrollBar.setScrollPosition

FScrollBar.setScrollPosition

Доступность

Flash Player 6.

Синтаксис

myScrollBar.setScrollPosition(position)

Параметры

position Целое, находящееся в диапазоне между minPos и maxPos. См. FScrollBar.setScrollProperties для информации о свойствах minPos и maxPos.

Возвращается

Ничего.

Описание

Метод, задает позицию ползунка и вызывает обработчик, прикрепленный к полосе прокрутки методом FScrollBar.setChangeHandler.

Пример

Устанавливаем позицию ползунка прокрутки scrollText1 равной 5.

scrollText1.setScrollPosition(5);

См. FScrollBar.setChangeHandler для другого примера с этим методом.

См. также

FScrollBar.setChangeHandler, FScrollBar.setScrollProperties


FScrollBar.setScrollProperties

F > FScrollBar.setScrollProperties

FScrollBar.setScrollProperties

Доступность

Flash Player 6.

Синтаксис

myScrollBar.setScrollProperties(pageSize, minPos, maxPos)

Параметры

pageSize Целое, задающее число позиций, соответствующих одной странице.

minPos Целое, задающее минимальную позицию прокрутки.

maxPos Целое, задающее максимальную позицию прокрутки.

Возвращается

Ничего.

Описание

Метод, задает значения свойств прокрутки pageSize, minPos, и maxPos, устанавливая при этом соответствующий размер ползунка.

Метод рассчитан на программистов, создающих свои компоненты, он не может быть использован с полосой прокрутки, прикрепленной к текстовому полю, в этом случае свойства прокрутки автоматически устанавливаются в соответствии со свойствами текстового поля, и установка новых параметров разрушит это соответствие.

Пример

Устанавливаем pageSize, minPos, и maxPos для полосы прокрутки, прикрепленной к компоненту списка. Список имеет 5 из 20 видимых элементов. Свойство maxPos должно равняться общему числу элементов минус число видимых.

scrollBar.setScrollProperties(5, 0, 15);

См. также

FScrollBar.setScrollPosition


FScrollBar.setScrollTarget

F > FScrollBar.setScrollTarget

FScrollBar.setScrollTarget

Доступность

Flash Player 6.

Синтаксис

myScrollBar.setScrollTarget(target)

Параметры

target Ссылка на текстовое поле для прокрутки.

Возвращается

Ничего.

Описание

Метод, задает экземпляр текстового поля, к которому применяется прокрутка. Текстовое поле должно быть определено на той же линейке и том же уровне, что и полоса прокрутки. Вызов этого метода переопределяет параметр Target Text Field, установленный при разработке документа. Передача значения undefined в качестве параметра target разрывает связь между полосой прокрутки и текстовым полем.

Пример

Прикрепляем полосу прокрутки scrollText1 к текстовому полю textField1.

scrollText1.setScrollTarget("textField1");


FScrollBar.setSize

F > FScrollBar.setSize

FScrollBar.setSize

Доступность

Flash Player 6.

Синтаксис

myScrollBar.setSize(length)

Параметры

length Целое, задающее в пикселах длину полосы прокрутки.

Возвращается

Нисего.

Описание

Метод, устанавливает в режиме реального времени длину полосы прокрутки. (Ширину полосы таким же образом установить нельзя.) Вызов данного метода переопределяет установки размеров и масштабирования, заданные в процессе разработки клипа.

Метод не применяется к полосам прокрутки, прикрепленным к текстовым полям, в этом случае полоса прокрутки автоматически подстраивается под размер текстового поля во время разработки.

Для доп. информации см. Изменение размеров компонента ScrollBar главы Работа с компонентами раздела Использование Flash.

Пример

Делаем длину полосы прокрутки scrollText1 равной 200 пикселам.

scrollText1.setSize(200);


FScrollBar.setSmallScroll

F > FScrollBar.setSmallScroll

FScrollBar.setSmallScroll

Доступность

Flash Player 6.

Синтаксис

myScrollBar.setSmallScroll(smallScroll)

Параметры

smallScroll Целое, задающее число прокручиваемых позиций после того, как пользователь один раз щелкнет стрелку прокрутки. По умолчанию значение равно 1.

Возвращается

Ничего.

Описание

Метод, устанавливает значение свойства smallScroll полосы прокрутки в режиме реального времени, если текстовое поле находится в фокусе. Когда пользователь щелкнет стрелку прокрутки либо на клавиатуре, ползунок переместится на число позиций, равное smallScroll.

Пример

После щелчка по стрелке ползунок прокрутки scrollText1 переместится на 5 позиций

scrollText1.setSmallScroll(5);

См. также

FScrollBar.setLargeScroll


FScrollBar.setStyleProperty

F > FScrollBar.setStyleProperty

FScrollBar.setStyleProperty

Доступность

Flash Player 6.

Синтаксис

myScrollBar.setStyleProperty(styleProperty, value)

Параметры

styleProperty Строка, задающая свойство объекта FStyleFormat.

value Устанавливаемое значение свойства.

Возвращается

Ничего.

Описание

Метод, устанавливает свойство объекта FStyleFormat для отдельного экземпляра полосы прокрутки. Вызов этого метода переписывает соответствующее свойство формата стиля для этого компонента. Передача значения undefined в качестве параметра удаляет все стили этого свойства.

Чтобы установить свойства объекта FStyleFormat для нескольких компонентов, нужно создать новый формат стиля. О создании собственных форматов стилей см. Изменение цвета компонента и текста в разделе Работа с компонентами главы Использование Flash.

Пример

Делаем цвет стрелки полосы прокрутки scrollBar1 черным (0x000000).

scrollBar1.setStyleProperty("arrow", 0x000000);

См. также

FStyleFormat (object)


FScrollPane (component)

F > FScrollPane (компонент)

FScrollPane (компонент)

Компонент ScrollPane в среде разработки Flash используется для добавления окошек прокрутки в документ Flash, он также предоставляет разработчику возможность установить основные параметры компонента. Методы компонента FScrollPane позволяют создавать и управлять окнами прокрутки, определяя и переопределяя параметры компонента во время выполнения клипа. При этом нет необходимости использовать конструктор для получения доступа к этим методам.

Компонент ScrollPane обеспечивает вертикальную и горизонтальную прокрутку мувиклипов, не помещающихся целиком на сцене, а также поддержку клавиатуры и мыши.

Примечание: Компонент ScrollPane пригоден только для мувиклипов, для прокрутки текста используется компонент ScrollBar; компонент ScrollPane не работает с клипами, содержащими шрифты устройств (device fonts).

Методы компонента не производят проверку типов, как это делают другие встроенные объекты ActionScript, поэтому рекомендуется проверять передаваемые методам параметры.

Компонент ScrollPane поддерживается Flash Player'ом версии 6 и более поздними.

Для дополнительной информации о том, как работать с компонентом ScrollPane, устанавливать его параметры и менять цвет и внешний вид, см. Изменение цвета компонента и текста и Изменение внешнего вида компонента в разделе Работа с компонентами главы Использование Flash.

Сводная таблица методов компонента FScrollPane

Метод | Описание
FScrollPane.getPaneHeight | Возвращает высоту прокрутки.
FScrollPane.getPaneWidth | Возвращает ширину прокрутки.
FScrollPane.getScrollContent | Возвращает ссылку на прокручиваемый мувиклип.
FScrollPane.getScrollPosition | Возвращает координаты x и y текущей позиции.
FScrollPane.loadScrollContent | Загружает содержимое SWF или JPEG в прокрутку.
FScrollPane.refreshPane | Подстраивает размеры полос прокруток под обновленный контент.
FScrollPane.registerSkinElement | Регистрирует элемент внешнего вида компонента (скин-элемент) для свойства стиля, определенного в слое Read Me кадра 1 в соответствующем мувике в библиотеке.
FScrollPane.setDragContent | Позволяет перетаскивать содержимое прокрутки.
FScrollPane.setHScroll | Позволяет контент прокручивать горизонтально.
FScrollPane.setScrollContent | Назначает мувиклип для прокрутки.
FScrollPane.setScrollPosition | Подкручивает контент к заданным координатам x, y.
FScrollPane.setSize | Задает в пикселах ширину и высоту прокрутки.
FScrollPane.setStyleProperty | Задает одно свойство стиля компонента.
FScrollPane.setVScroll | Позволяет контент прокручивать вертикально.


FScrollPane.getPaneHeight

F > FScrollPane.getPaneHeight

FScrollPane.getPaneHeight

Доступность

Flash Player 6.

Синтаксис

myScrollPane.getPaneHeight()

Параметры

Отсутствуют.

Возвращается

Целое, равное высоте окна прокрутки в пикселях.

Описание

Метод, возвращает высоту окна прокрутки. Данный метод дает корректное значение высоты окна прокрутки только в том случае, если его размеры были заданы при помощи метода FScrollPane.setSize а не изменением свойств _width и _height.

Пример

Узнаем значения высоты и ширины окна прокрутки display1 и используем их для изменения размеров прокрутки с помощью метода FScrollPane.setSize.

var h = display1.getPaneHeight();
var w = display1.getPaneWidth();
display1.setSize(w+10, h+10);

См. также

FScrollPane.getPaneWidth, FScrollPane.setSize


FScrollPane.getPaneWidth

F > FScrollPane.getPaneWidth

FScrollPane.getPaneWidth

Доступность

Flash Player 6.

Синтаксис

myScrollPane.getPaneWidth()

Параметры

Отсутствуют.

Возвращается

Целое, равное ширине окна прокрутки в пикселях.

Описание

Метод, возвращает ширину окна прокрутки. Данный метод дает корректное значение ширины окна прокрутки только в том случае, если его размеры были заданы при помощи метода FScrollPane.setSize а не изменением свойств _width и _height.

Пример

Узнаем значения высоты и ширины окна прокрутки display1 и используем их для изменения размеров прокрутки с помощью метода FScrollPane.setSize.

var h = display1.getPaneHeight();
var w = display1.getPaneWidth();
display1.setSize(w+10, h+10);

См. также

FScrollPane.getPaneHeight, FScrollPane.setSize


FScrollPane.getScrollContent

F > FScrollPane.getScrollContent

FScrollPane.getScrollContent

Доступность

Flash Player 6.

Синтаксис

myScrollPane.getScrollContent()

Параметры

Отсутствуют.

Возвращается

Ссылка на мувиклип в окне прокрутки.

Описание

Метод, возвращает ссылку на мувиклип в окне прокрутки.

Пример

В примере ссылка на мувик, содержащийся в окне прокрутки display1, сохраняется в переменной, после чего в линейке этого мувиклипа переходим на кадр 4.

var content = display1.getScrollContent();
content.gotoAndStop(4);

См. также

FScrollPane.setScrollContent


FScrollPane.getScrollPosition

F > FScrollPane.getScrollPosition

FScrollPane.getScrollPosition

Доступность

Flash Player 6.

Синтаксис

myScrollPane.getScrollPosition()

Параметры

Отсутствуют.

Возвращается

Объект.

Описание

Метод, возвращает объект с полями .x и .y, содержащими значения позиции контента в окне прокрутки по горизонтали и вертикали.

Пример

В примере выводим горизонтальное значение позиции прокрутки scroll2 в окно Output.

trace(scroll2.getScrollPosition().х);

См. также

FScrollPane.setScrollPosition


FScrollPane.loadScrollContent

F > FScrollPane.loadScrollContent

FScrollPane.loadScrollContent

Доступность

Flash Player 6.

Синтаксис

myScrollPane.loadScrollContent(URL [, funcName, location])

Параметры

URL Строка, задающая путь к SWF или JPEG для загрузки в окно прокрутки.

funcName Строка, задающая имя функции-обработчика запускающуюся, когда контент будет загружен. Если параметр location не задан, функция должна быть определена в линейке, где находится экземпляр компонента.

location Ссылка на объект, мувиклип или линейку, содержащие функцию, параметр необязательный и по умолчанию указывает на родительскую линейку компонента.

Возвращается

Ничего.

Описание

Метод, загружает по SWF или JPEG файл в окно прокрутки. Необязательные параметры funcName и location позволяет задать свой обработчик загрузки.

URL должен находиться в том же поддомене, где находится Flash-клип. При работе с Flash Player'ом либо при тестировании клипа во Flash-редакторе, все SWF и JPEG файлы должны находиться в той же папке и их имена не должны включать в себя описания папки или диска.

Вызов этого метода переопределяет установки параметра Scroll Content, заданные при разработке клипа.

См. FScrollBar.setChangeHandler для подробной информации и примеров использования обработчиков.

Пример

Загрузим файл JPEG, расположенный на сервере, в display1.

display1.loadScrollContent("http://www.YourWebServer.com/Nice.jpg");

Добавим обработчик load, находящейся на линейке, расположенной на два уровня выше.

display1.loadScrollContent("http://www.YourWebServer.com/Nice.jpg", "load", _parent._parent);
function load(component){

//content is loaded
component.setScrollPostion(10,10);

}

См. также

FScrollPane.getPaneHeight, FScrollPane.setScrollContent


FScrollPane.refreshPane

F > FScrollPane.refreshPane

FScrollPane.refreshPane

Доступность

Flash Player 6.

Синтаксис

myScrollPane.refreshPane()

Параметры

Отсутствуют.

Возвращается

Ничего.

Описание

Метод, подстраивает размеры полос прокруток под обновленный контент. Используйте этот метод, если размеры контента были изменены с помощью свойств _width или _height.

Пример

Обновляем полосы прокрутки окна moviePane после увеличения размеров мувиклипа myContent.

var myContent = moviePane.getScrollContent();
myContent._width = 400;
moviePane.refreshPane();

См. также

FScrollPane.getScrollContent


FScrollPane.registerSkinElement

F > FScrollPane.registerSkinElement

FScrollPane.registerSkinElement

Доступность

Flash Player 6.

Синтаксис

myScrollPane.registerSkinElement(element, styleProperty)

Параметры

element Имя экземпляра мувиклипа.

styleProperty Строка, задающая свойство формата стиля FStyleFormat.

Возвращается

Ничего.

Описание

Метод, регистрирует скин-элемент для свойства стиля. Скин-элементы регистрируются в первом кадре в слое Read Me каждого элемента внешнего вида каждого компонента.

Компоненты собраны из скин-элементов, каждый из которых состоит из скинов и каждый из которых может быть зарегистрирован в свойствах объекта формата стиля FStyleFormat. Все Flash UI компоненты по умолчанию привязаны к формату общего стиля - объекту globalStyleFormat, являющегося экземпляром объекта FStyleFormat.

Используйте этот метод для назначения собственных скинов Flash UI компоненту, редактируя код первого кадра слоя Read Me в библиотеке.

Компонент FScrollPane использует скины из папки FScrollBar Skins, а также скин FLabel из папки Global Skins один раз, когда компонент добавляется к документу Flash. Редактирование любого из скинов в папке FScrollBar Skins изменит внешний видвсех компонентов в документе, использующих полосы прокрутки (ComboBox, ListBox, ScrollBar, и ScrollPane).

Для дополнительной информации см. Изменение внешнего вида компонента в разделе Работа с компонентами главы Использование Flash.

Пример

Регистрируем собственный скин-элемент NewArrow_mc для свойства arrow в первом кадре слоя Read Me скина fsb_downArrow в папке FScrollBar Skins.

Pane1.registerSkinElement(NewArrow_mc, "arrow");

См. также

FStyleFormat (object)


FScrollPane.setDragContent

F > FScrollPane.setDragContent

FScrollPane.setDragContent

Доступность

Flash Player 6.

Синтаксис

myScrollPane.setDragContent(drag)

Параметры

drag Значение типа Boolean, установка true позволяет перетаскивать содержимое окна прокрутки внутри него, false позволяет только сотреть и прокручивать.

Возвращается

Ничего.

Описание

Метод, позволяет/не позволяет пользователю перетаскивать контент внутри окна пркрутки. Вызов метода переопределяет установку параметра Drag Content, заданную в процессе разработки.

Пример

Позволим пользователям перетаскивать содержимое окна прокрутки display1.

display1.setDragContent(true);


FScrollPane.setHScroll

F > FScrollPane.setHScroll

FScrollPane.setHScroll

Доступность

Flash Player 6.

Синтаксис

myScrollPane.setHScroll(display)

Параметры

display Значение типа Boolean определяющее, будет ли всегда отображаться горизонтальная полоса прокрутки (true), либо не будет отображаться (false), а также строка, задающее автоматическое, по необходимости ее отображение ("auto").

Вызов метода переопределяет установку параметра Horizontal Scroll, заданную в процессе разработки.

Возвращается

Ничего.

Описание

Метод, определяет, будет ли всегда отображаться горизонтальная полоса прокрутки (true), либо не будет отображаться (false), либо только по необходимости ("auto"). По умолчанию значение параметра auto.

Пример

Спрячем горизонтальную полосу прокрутки у display1.

display1.setHScroll(false);

См. также

FScrollPane.setVScroll


FScrollPane.setScrollContent

F > FScrollPane.setScrollContent

FScrollPane.setScrollContent

Доступность

Flash Player 6.

Синтаксис

myScrollPane.setScrollContent(target)

Параметры

target Текстовая строка, задающая идентификатор ID мувиклипа в библиотеке либо экземпляр мувиклипа.

Возвращается

Ничего.

Описание

Метод, задает мувиклип для отображения его в окне прокрутки. Вызов метода переопределяет установку параметра Scroll Content, заданную в процессе разработки.

Пример

Зададим экземпляр мувиклипа BetsyTacy в качестве контента для display1.

display1.setScrollContent("BetsyTacy");

См. также

FScrollPane.getPaneHeight, FScrollPane.loadScrollContent


FScrollPane.setScrollPosition

F > FScrollPane.setScrollPosition

FScrollPane.setScrollPosition

Доступность

Flash Player 6.

Синтаксис

myScrollPane.setScrollPosition(x, y)

Параметры

x Неотрицательное целое, задающее количество пикселов для прокрутки контента вправо.

y Неотрицательное целое, задающее количество пикселов для прокрутки контента вниз.

Возвращается

Ничего.

Описание

Метод, подкручивает контент к заданным координатам x, y .

Пример

Перемещаем контент окна прокрутки display1 на 14 пикселов вправо и на 40 вниз.

display1.setScrollPosition(14,40);

См. также

FScrollPane.getScrollPosition


FScrollPane.setSize

F > FScrollPane.setSize

FScrollPane.setSize

Доступность

Flash Player 6.

Синтаксис

myScrollPane.setSize(width, height)

Параметры

width Целое, задающее в пикселах ширину прокрутки.

height Целое, задающее в пикселах высоту прокрутки.

Возвращается

Ничего.

Описание

Метод, позволяет задавать высоту и ширину окна прокрутки во время выполнения клипа.

Пример

Зададим размеры окна прокрутки display1 500 x 300 пикселов.

display1.setSize(500, 300);

См. также

FScrollPane.getPaneHeight, FScrollPane.getPaneWidth


FScrollPane.setStyleProperty

F > FScrollPane.setStyleProperty

FScrollPane.setStyleProperty

Доступность

Flash Player 6.

Синтаксис

myScrollPane.setStyleProperty(styleProperty, value)

Параметры

styleProperty Строка, задающая свойство объекта FStyleFormat.

value Устанавливаемое значение свойства.

Возвращается

Ничего.

Описание

Метод, устанавливает свойство объекта FStyleFormat для отдельного экземпляра окна прокрутки. Вызов этого метода переписывает соответствующее свойство формата стиля для этого компонента. Передача значения undefined в качестве параметра удаляет все стили этого свойства.

Чтобы установить свойства объекта FStyleFormat для нескольких компонентов, нужно создать новый формат стиля. О создании собственных форматов стилей см. Изменение цвета компонента и текста в разделе Работа с компонентами главы Использование Flash.

Пример

Установим значение свойства "arrow" прокрутки ScrollPane2 равным 0x000000 (черная стрелка).

ScrollPane2.setStyleProperty("arrow", 0x000000);

См. также

FStyleFormat (object)


FScrollPane.setVScroll

F > FScrollPane.setVScroll

FScrollPane.setVScroll

Доступность

Flash Player 6.

Синтаксис

myScrollBar.setVScroll(display)

Параметры

display Значение типа Boolean определяющее, будет ли всегда отображаться вертикальная полоса прокрутки (true), либо не будет отображаться (false), а также строка, задающее автоматическое, по необходимости ее отображение ("auto").

Возвращается

Ничего.

Описание

Метод, определяет, будет ли всегда отображаться вертикальная полоса прокрутки (true), либо не будет отображаться (false), либо только по необходимости ("auto"). По умолчанию значение параметра auto.

Вызов метода переопределяет установку параметра Vertical Scroll, заданную в процессе разработки.

Пример

Сделаем так, чтобы вертикальная полоса прокрутки окна display1 всегда отображалась.

display1.setVScroll(true);

См. также

FScrollPane.setHScroll


FStyleFormat (object)

F > FStyleFormat (объект)

FStyleFormat (объект)

Объект FStyleFormat позволяет задавать либо изменять свойства формата общего стиля (global style format) Flash UI компонентов, назначенных по умолчанию. При этом можно создавать новые, свои собственные форматы стилей для существующих компонентов либо созданных другими разработчиками. Объект формата общего стиля, или globalStyleFormat, представляет собой экземпляр объекта FStyleFormat, который отвечает за такие свойства Flash UI компонентов, как форматирование текста и цвет.

Чтобы создать новый формат стиля, необходимо сначала создать экземпляр объекта FStyleFormat, используя конструктор new FStyleFormat(), установить свойства FStyleFormat, которые нужно включить в формат стиля, и вызвать метод FStyleFormat.addListener, регистрирующего экземпляры компонентов для нового формата стиля. Экземпляр компонента может быть связан с более чем одним форматом стиля, однако конкретное свойство может быть привязано только к одному. Когда вы привязываете компонент к формату стиля, его используют только те свойства, которые в формате определены, все остальные свойства используют старый формат.

Вам не нужно пользоваться конструктором FStyleFormat для того, чтобы добавить в список или удалить оттуда компонент или поменять его свойства в формате общего стиля, потому что объект globalStyleFormat создается в момент помещения компонента на сцену.

Можно установить любое свойство FStyleFormat для экземпляра компонента, используя метод setStyleProperty, доступный во всех Flash UI компонентах. Метод setStyleProperty позволяет устанавливать свойства компонента, пропуская создание экземпляра объекта FStyleFormat. Метод setStyleProperty переписывает установки конкретного свойства, без изменения остальных. Для дополнительной информации см. setStyleProperty для отдельных компонентов.

Когда вы задаете цвет в свойствах FStyleFormat, его необходимо прописывать в виде: 0xRRGGBB.

Для дополнительной информации о формате общего стиля и создании собственных форматов стиля см. Изменение цвета и текста компонента в разделе Использование компонентов главы Использование Flash.

Таблица методов объекта FStyleFormat

Метод | Описание
FStyleFormat.addListener | Регистрирует компонент для формата стиля.
FStyleFormat.applyChanges | Применяет изменения, внесенные в свойство формата стиля.
FStyleFormat.removeListener | Удаляет компонент из списка зарегистрированных для формата стиля.


Property summary for the FStyleFormat object

F > Список свойств объекта FStyleFormat

Список свойств объекта FStyleFormat

Сводная таблица свойств объекта FStyleFormat.

Войство | Описание
FStyleFormat.arrow | Цвет стрелки на кнопке в полосе прокрутки и выпадающем списке.
FStyleFormat.background | Цвет фона компонента.
FStyleFormat.backgroundDisabled | Цвет фона недоступного компонента.
FStyleFormat.check | Цвет галочки в чекбоксе (check box).
FStyleFormat.darkshadow | Цвет внутреннего бордюра либо темной части тени компонента.
FStyleFormat.face | Основной цвет компонента.
FStyleFormat.foregroundDisabled | Цвет недоступного компонента.
FStyleFormat.highlight | Цвет внутреннего бордюра либо темной части тени компонента в момент, когда он выделен.
FStyleFormat.highlight3D | Цвет внешнего бордюра либо светлой части тени компонента в момент, когда он выделен.
FStyleFormat.radioDot | Цвет точки переключателя (radio button).
FStyleFormat.scrollTrack | Цвет полосы прокрутки в компоненте scroll bar.
FStyleFormat.selection | Цвет подсветки элементов списка.
FStyleFormat.selectionDisabled | Цвет подсветки элементов списка, когда компонент недоступен.
FStyleFormat.selectionUnfocused | Цвет подсветки элементов списка, когда компонент находится не в фокусе ввода.
FStyleFormat.shadow | Цвет внешнего бордюра либо светлой части тени компонента.
FStyleFormat.textAlign | Выравнивание (по левому краю, правому, по центру) текста компонента.
FStyleFormat.textBold | Делает текст жирным (true) или нормальным (false).
FStyleFormat.textColor | Цвет текста по умолчанию всех компонентов, привязанных к формату стиля.
FStyleFormat.textDisabled | Цвет текста недоступного компонента.
FStyleFormat.textFont | Название шрифта текста.
FStyleFormat.textIndent | Отступ в пикселах от левого края до первого символа текста.
FStyleFormat.textItalic | Делает текст наклонным (true) или нет (false).
FStyleFormat.textLeftMargin | Левый край параграфа текста в пикселах.
FStyleFormat.textRightMargin | Правый край параграфа текста в пикселах.
FStyleFormat.textSelected | Цвет выделенного элемента в списке.
FStyleFormat.textSize | Размер текста в пунктах (points).
FStyleFormat.textUnderline | Делает текст подчеркнутым (true) или нет (false).

Конструктор объекта FStyleFormat

Доступность

Flash Player 6.

Синтаксис

formStyleFormat = new FStyleFormat();

Параметры

Отсутствуют.

Возвращается

Экземпляр объекта FStyleFormat.

Описание

Метод, создает новый объект типа FStyleFormat. После этого можно определять цветовые и текстовые свойства собственных форматов стилей и прикреплять к ним свои компоненты или Flash UI компоненты. Все Flash UI компоненты по умолчанию привязаны к объекту globalStyleFormat, тоже экземпляру FStyleFormat. Заметьте, что вам не нужно создавать новый объект FStyleFormat, чтобы изменить свойства формата общего стиля, т.к. он уже создан. Можно также воспользоваться методом setStyleProperty, чтобы изменить свойства конкретных экземпляров компонентов, не используя при этом конструктор.

Для дополнительной информации см. setStyleProperty, метод, доступный для каждошо компонента—FCheckBox.setStyleProperty, FComboBox.setStyleProperty, и т.д. См. также Изменение цвета и текста компонента раздела Использование компонентов главы Использование Flash.

Пример

Создаем новый формат стиля formStyleFormat.

formStyleFormat = new FStyleFormat();


FStyleFormat.addListener

F > FStyleFormat.addListener

FStyleFormat.addListener

Доступность

Flash Player 6.

Синтаксис

myStyleFormat.addListener(component1 [, component2, ...componentN])

Параметры

component1 ... componentN Экземпляры компонентов, связываемых с новым форматом стиля myStyleFormat.

Возвращается

Ничего.

Описание

Метод, связывает указанные компоненты с объектом myStyleFormat. Применяется, когда нужно зарегистрировать экземпляры Flash UI компонентов либо собственных в новом формате стиля. Допускается также использование этого метода для привязки собственного компонента к формату общего стиля, используемого по умолчанию всеми Flash UI компонентами:

globalStyleFormat.addListener(customComponent);

Пример

Привязываем к объекту formStyleFormat компоненты myListBox, myComboBox, и myScrollBar.

formStyleFormat.addListener(myListBox, myComboBox, myScrollBar);

См. также

FStyleFormat.applyChanges, FStyleFormat.removeListener


FStyleFormat.applyChanges

F > FStyleFormat.applyChanges

FStyleFormat.applyChanges

Доступность

Flash Player 6.

Синтаксис

myStyleFormat.applyChanges([propertyName1, ...propertyNameN])
myStyleFormat.applyChanges()

Параметры

propertyName1...propertyNameN Названия свойств, которые нужно обновить в компонентах, связанных с объектом myStyleFormat.

Возвращается

Ничего.

Описание

Метод, обновляет экземпляр заданного объекта стилевого формата и применяет эти изменения ко всем связанным с этим форматом компонентам. Необходимо вызывать этод метод всякий раз, когда вы удаляете либо добавляете компонент в список связанных с этим форматом стиля, либо просто изменяете его свойства. При этом, когда вы вносите изменения лишь в свойства, рекомендуется пользоваться синтаксисом с явной передачей параметров (свойств, которые изменились).

Случай применения 1: Обновляем только свойства, указанные в параметрах.

Случай применения 2: Обновляем все данные формата стиля, независимо от того, были они изменены или нет.

Пример

Случай применения 1: Обновляем свойства (в объекте formStyleFormat) arrow и background, но при этом не трогаем check и highlight.

formStyleFormat.arrow = 0x00ffaa;
formStyleFormat.background = 0xaabbcc;
formStyleFormat.check = 0x000000;
formStyleFormat.highlight = 0xffffff;
formStyleFormat.applyChanges("arrow", "background");

Случай применения 2: Теперь обновляем все свойства объекта formStyleFormat—arrow, background, check, и highlight.

formStyleFormat.arrow = 0x00ffaa;
formStyleFormat.background = 0xaabbcc;
formStyleFormat.check = 0x000000;
formStyleFormat.highlight = 0xffffff;
formStyleFormat.applyChanges();

См. также

FStyleFormat.addListener, FStyleFormat.removeListener


FStyleFormat.arrow

F > FStyleFormat.arrow

FStyleFormat.arrow

Доступность

Flash Player 6.

Синтаксис

myStyleFormat.arrow

Описание

Свойство, меняет RGB-значение цвета стрелки (arrow) на кнопке в полосе прокрутки и выпадающем списке. Формат задания цвета такой: 0xRRGGBB.

Для вступления изменений в силу необходимо после этого вызвать FStyleFormat.applyChanges.

Пример

Меняем цвет стрелки на пурпурный (0x800080) в объекте формата стиля formStyleFormat.

formStyleFormat.arrow = 0x800080;


FStyleFormat.background

F > FStyleFormat.background

FStyleFormat.background

Доступность

Flash Player 6.

Синтаксис

myStyleFormat.background

Описание

Свойство, меняет RGB-значение цвета фона компонента. Например, в переключателе (radio button) или флажке (check box) фоном является пространство внутри области выделения. Формат задания цвета такой: 0xRRGGBB.

Для вступления изменений в силу необходимо после этого вызвать FStyleFormat.applyChanges.

Пример

Выставляем цвет фона, когда компонент, связанный с formStyleFormat, доступен, в 0xFFE4E1.

formStyleFormat.background = 0xFFE4E1;

См. также

FStyleFormat.face


FStyleFormat.backgroundDisabled

F > FStyleFormat.backgroundDisabled

FStyleFormat.backgroundDisabled

Доступность

Flash Player 6.

Синтаксис

myStyleFormat.backgroundDisabled

Описание

Свойство, RGB значение цвета фона недоступного компонента; обычно он имеет серый цвет. Формат задания цвета такой: 0xRRGGBB.

Для вступления изменений в силу необходимо после этого вызвать FStyleFormat.applyChanges.

Пример

Ниже мы назначаем цвет 0x808080 (серый) свойству backgroundDisabled объекта formStyleFormat, делая тем самым цвет фона компонента серым, когда он недоступен.

formStyleFormat.backgroundDisabled = 0x808080;

См. также

FStyleFormat.foregroundDisabled


FStyleFormat.check

F > FStyleFormat.check

FStyleFormat.check

Доступность

Flash Player 6.

Синтаксис

myStyleFormat.check

Описание

Свойство, RGB значение цвета "галочки" в компоненте check box. Формат задания цвета такой: 0xRRGGBB.

Для вступления изменений в силу необходимо после этого вызвать FStyleFormat.applyChanges.

Пример

Ниже мы зададим цвет 0x228B22 свойству check объекта formStyleFormat, делая "галочку" темно-зеленой.

formStyleFormat.check = 0x228B22;


FStyleFormat.darkshadow

F > FStyleFormat.darkshadow

FStyleFormat.darkshadow

Доступность

Flash Player 6.

Синтаксис

myStyleFormat.darkshadow

Описание

Свойство, RGB значение цвета внутреннего бордюра либо темной части тени компонента—например, внутренние края невыбранных компонентов radio button и check box. Формат задания цвета такой: 0xRRGGBB.

Для вступления изменений в силу необходимо после этого вызвать FStyleFormat.applyChanges.

Пример

Ниже мы назначим значение 0x0000CD свойству darkshadow объекта formStyleFormat, делая цвет внутреннего бордюра светло-синим.

formStyleFormat.darkshadow = 0x0000CD;

См. также

FStyleFormat.highlight, FStyleFormat.shadow


FStyleFormat.face

F > FStyleFormat.face

FStyleFormat.face

Доступность

Flash Player 6.

Синтаксис

myStyleFormat.face

Описание

Свойство, RGB значение основного цвета компонента—например, используется серый цвет для PushButton компонента ScrollBar. Формат задания цвета такой: 0xRRGGBB.

Для вступления изменений в силу необходимо после этого вызвать FStyleFormat.applyChanges.

Пример

Ниже мы присваиваем значение 0x32CD32 свойству face объекта formStyleFormat, меняя цвет кнопок на светло-зеленый.

formStyleFormat.face = 0x32CD32;


FStyleFormat.foregroundDisabled

F > FStyleFormat.foregroundDisabled

FStyleFormat.foregroundDisabled

Доступность

Flash Player 6.

Синтаксис

myStyleFormat.foregroundDisabled

Описание

Свойство, RGB значение цвета недоступного элемента; обычно такие элементы окрашены в светло-серый цвет. Формат задания цвета такой: 0xRRGGBB.

Для вступления изменений в силу необходимо после этого вызвать FStyleFormat.applyChanges.

Пример

Ниже присваивается значение 0x708090 свойству foregroundDisabled объекта formStyleFormat, окрашивая тем самым недоступные элементы в серый цвет.

formStyleFormat.foregroundDisabled = 0x708090;

См. также

FStyleFormat.backgroundDisabled


FStyleFormat.highlight

F > FStyleFormat.highlight

FStyleFormat.highlight

Доступность

Flash Player 6.

Синтаксис

myStyleFormat.highlight

Описание

Свойство, RGB значение цвета внутреннего бордюра либо темной части тени компонента в момент, когда он выделен#151;например, внутренняя сторона радиокнопки и чекбокса. Формат задания цвета такой: 0xRRGGBB.

Для вступления изменений в силу необходимо после этого вызвать FStyleFormat.applyChanges.

Пример

Ниже присваивается значение 0xFF00FF свойству highlight объекта formStyleFormat, делая внутреннюю рамку компонента ярко-желтой.

formStyleFormat.highlight = 0xFF00FF;

См. также

FStyleFormat.darkshadow


FStyleFormat.highlight3D

F > FStyleFormat.highlight3D

FStyleFormat.highlight3D

Доступность

Flash Player 6.

Синтаксис

myStyleFormat.highlight3D

Описание

Свойство, RGB значение цвета внешнего бордюра либо светлой части тени компонента в момент, когда он выделен—например, внешняя сторона радиокнопки и чекбокса. Формат задания цвета такой: 0xRRGGBB.

Для вступления изменений в силу необходимо после этого вызвать FStyleFormat.applyChanges.

Пример

Ниже присваивается значение 0x40E0D0 свойству highlight3D объекта formStyleFormat, делая внешнюю рамку компонента, когда он выделен, сине-зеленой.

formStyleFormat.highlight3D = 0x40E0D0;

См. также

FStyleFormat.shadow


FStyleFormat.radioDot

F > FStyleFormat.radioDot

FStyleFormat.radioDot

Доступность

Flash Player 6.

Синтаксис

myStyleFormat.radioDot

Описание

Свойство, RGB значение цвета точки переключателя (radio button). Формат задания цвета такой: 0xRRGGBB.

Для вступления изменений в силу необходимо после этого вызвать FStyleFormat.applyChanges.

Пример

Ниже присваиваем значение 0xFF12AC свойству radioDot объекта formStyleFormat, окрашивая точку в розовый цвет.

formStyleFormat.radioDot = 0xFF12AC;


FStyleFormat.removeListener

F > FStyleFormat.removeListener

FStyleFormat.removeListener

Доступность

Flash Player 6.

Синтаксис

myStyleFormat.removeListener(component)

Параметры

component Компонент, подлежащий удалению из формата стиля.

Описание

Метод, разрывает связь компонента с форматом стиля.

Если вы удаляете Flash UI компоненты из формата общего стиля и не связываете их с собственными стилевыми форматами, они будут выглядеть так, как они выглядели в момент создания.

Если вы удаляете Flash UI компоненты из собственного формата стиля, все значения свойств заменяются на соответствующие значения формата общего стиля.

Если вы удаляете собственные компоненты из собственного формата стиля без привязки к новому формату, компонент по возможности использует формат общего стиля, в противном случае элементы выглядят так же, как в момент их создания.

Пример

Ниже компонент check1 удаляется из формата стиля globalStyleFormat.

globalStyleFormat.removeListener(check1);

См. также

FStyleFormat.addListener, FStyleFormat.applyChanges


FStyleFormat.scrollTrack

F > FStyleFormat.scrollTrack

FStyleFormat.scrollTrack

Доступность

Flash Player 6.

Синтаксис

myStyleFormat.scrollTrack

Описание

Свойство, RGB значение цвета полосы прокрутки в компоненте scroll bar. Компонент ScrollBar используется компонентами ScrollPane, ListBox, и ComboBox, и замена значения свойства scrollTrack в формате общего стиля повлечет за собой изменение цвета полосы прокрутки во всех этих компонентах. Формат задания цвета такой: 0xRRGGBB.

Для вступления изменений в силу необходимо после этого вызвать FStyleFormat.applyChanges.

Пример

Ниже присваиваем значение 0xA0522D свойству scrollTrack объекта formStyleFormat, делая полосу прокрутки коричневой.

formStyleFormat.scrollTrack = 0xA0522D;


FStyleFormat.selection

F > FStyleFormat.selection

FStyleFormat.selection

Доступность

Flash Player 6.

Синтаксис

myStyleFormat.selection

Описание

Свойство, RGB значение цвета подсветки элементов списка. Меняя значение этого свойства, следует помнить про свойство FStyleFormat.textSelected, отвечающее за цвет текста подсвеченного элемента; необходимо избегать такого сочетания этих цветов, при котором чтение становится затрудненным или невозможным. Например, в формате общего стиля свойству selection присвоен синий цвет а свойству textSelected белый, что обеспечивает хорошую читабельность. Формат задания цвета такой: 0xRRGGBB.

Для вступления изменений в силу необходимо после этого вызвать FStyleFormat.applyChanges.

Пример

Ниже присваиваем значение 0x87CEEB свойству selection объекта formStyleFormat, меняя подсветку на светло-синий.

formStyleFormat.selection = 0x87CEEB;

См. также

FStyleFormat.textSelected


FStyleFormat.selectionDisabled

F > FStyleFormat.selectionDisabled

FStyleFormat.selectionDisabled

Доступность

Flash Player 6.

Синтаксис

myStyleFormat.selectionDisabled

Описание

Свойство, RGB значение цвета подсветки элементов списка, когда компонент недоступен. Формат задания цвета такой: 0xRRGGBB.

Для вступления изменений в силу необходимо после этого вызвать FStyleFormat.applyChanges.

Пример

Ниже присваиваем значение 0x708090 свойству selectionDisabled объекта formStyleFormat, делая подсветку элементов недоступного компонента темно-серой.

formStyleFormat.selectionDisabled = 0x708090;

См. также

FStyleFormat.selection


FStyleFormat.selectionUnfocused

F > FStyleFormat.selectionUnfocused

FStyleFormat.selectionUnfocused

Доступность

Flash Player 6.

Синтаксис

myStyleFormat.selectionUnfocused

Описание

Свойство, RGB значение цвета подсветки элементов списка, когда компонент находится не в фокусе ввода с клавиатуры. Формат задания цвета такой: 0xRRGGBB.

Для вступления изменений в силу необходимо после этого вызвать FStyleFormat.applyChanges.

Пример

Ниже присваиваем значение 0xaabbcc свойству selectionUnfocused объекта formStyleFormat.

formStyleFormat.selectionUnfocused = 0xaabbcc;

См. также

FStyleFormat.selection


FStyleFormat.shadow

F > FStyleFormat.shadow

FStyleFormat.shadow

Доступность

Flash Player 6.

Синтаксис

myStyleFormat.shadow

Описание

Свойство, RGB значение цвета внешнего бордюра либо светлой части тени компонента—например, внешняя сторона невыделенного чекбокса или радиокнопки. Формат задания цвета такой: 0xRRGGBB.

Для вступления изменений в силу необходимо после этого вызвать FStyleFormat.applyChanges.

Пример

Ниже присваиваем значение 0x008080 свойству shadow объекта formStyleFormat, делая цвет бордюра темно-бирюзовым.

formStyleFormat.shadow = 0x008080;

См. также

FStyleFormat.check


FStyleFormat.textAlign

F > FStyleFormat.textAlign

FStyleFormat.textAlign

Доступность

Flash Player 6.

Синтаксис

myStyleFormat.textAlign

Описание

Свойство, выравнивает (по левому краю, правому, по центру) текст компонентов, связанных с этим форматом стиля. По умолчанию стоит left.

Для вступления изменений в силу необходимо после этого вызвать FStyleFormat.applyChanges.

Пример

Выравниваем текст всех компонентов, связанных с formStyleFormat, по правому краю.

formStyleFormat.textAlgin = "right";

См. также

FStyleFormat.textIndent, FStyleFormat.textLeftMargin, FStyleFormat.textRightMargin


FStyleFormat.textBold

F > FStyleFormat.textBold

FStyleFormat.textBold

Доступность

Flash Player 6.

Синтаксис

myStyleFormat.textBold

Описание

Свойство, булевское значение; Делает текст жирным (true) или нормальным (false). По умолчанию стоит false.

Для вступления изменений в силу необходимо после этого вызвать FStyleFormat.applyChanges.

Пример

Делаем начертание символов для всех компонентов, связанных с formStyleFormat, жирным.

formStyleFormat.textBold = true;

См. также

FStyleFormat.textItalic, FStyleFormat.textUnderline


FStyleFormat.textColor

F > FStyleFormat.textColor

FStyleFormat.textColor

Доступность

Flash Player 6.

Синтаксис

myStyleFormat.textColor

Описание

Свойство, RGB значение цвета текста по умолчанию для всех компонентов, привязанных к формату стиля. Формат задания цвета такой: 0xRRGGBB.

Для вступления изменений в силу необходимо после этого вызвать FStyleFormat.applyChanges.

Пример

Присваиваем значение 0x000000 свойству textColor объекта formStyleFormat, окрашивая текст в черный.

formStyleFormat.textColor = 0x000000;

См. также

FStyleFormat.textDisabled, FStyleFormat.textSelected


FStyleFormat.textDisabled

F > FStyleFormat.textDisabled

FStyleFormat.textDisabled

Доступность

Flash Player 6.

Синтаксис

myStyleFormat.textDisabled

Описание

Свойство, RGB значение цвета текста недоступного компонента. Формат задания цвета такой: 0xRRGGBB.

Для вступления изменений в силу необходимо после этого вызвать FStyleFormat.applyChanges.

Пример

Присваиваем значение 0xCOCOC0 свойству textDisabled объекта formStyleFormat, окрашивая недоступный текст в серебряный цвет.

formStyleFormat.textDisabled = 0xCOCOC0;

См. также

FStyleFormat.textAlign, FStyleFormat.textSelected


FStyleFormat.textFont

F > FStyleFormat.textFont

FStyleFormat.textFont

Доступность

Flash Player 6.

Синтаксис

myStyleFormat.textFont

Описание

Свойство, назначает шрифт для отображения текста.

Для вступления изменений в силу необходимо после этого вызвать FStyleFormat.applyChanges.

Пример

Присваиваем значение Arial свойству textFont объекта formStyleFormat.

formStyleFormat.textFont = "Arial";


FStyleFormat.textIndent

F > FStyleFormat.textIndent

FStyleFormat.textIndent

Доступность

Flash Player 6.

Синтаксис

myStyleFormat.textIndent

Описание

Свойство, целое число, равное отступу в пикселах от левого края до первого символа текста.

Пример

Делаем отступ текста равным 5 пикселов для всех компонентов стиля formStyleFormat.

formStyleFormat.textIndent = 5;

См. также

FStyleFormat.textAlign, FStyleFormat.textLeftMargin


FStyleFormat.textItalic

F > FStyleFormat.textItalic

FStyleFormat.textItalic

Доступность

Flash Player 6.

Синтаксис

myStyleFormat.textItalic

Описание

Свойство, булевская величина; Делает текст наклонным (true) или нет (false). По умолчанию стоит false.

Для вступления изменений в силу необходимо после этого вызвать FStyleFormat.applyChanges.

Пример

Делаем текст всех компонентов, привязанных к формату общего стиля, наклонным.

formStyleFormat.textItalic = true;

See also

FStyleFormat.textBold


FStyleFormat.textLeftMargin

F > FStyleFormat.textLeftMargin

FStyleFormat.textLeftMargin

Доступность

Flash Player 6.

Синтаксис

myStyleFormat.textLeftMargin

Описание

Свойство, целое число, равное значению левого края параграфа текста в пикселах.

Для вступления изменений в силу необходимо после этого вызвать FStyleFormat.applyChanges.

Пример

Назначаем 4 пиксела свойству textLeftMargin объекта formStyleFormat.

formStyleFormat.textLeftMargin = 4;

См. также

FStyleFormat.textRightMargin


FStyleFormat.textRightMargin

F > FStyleFormat.textRightMargin

FStyleFormat.textRightMargin

Доступность

Flash Player 6.

Синтаксис

myStyleFormat.textRightMargin

Описание

Свойство, целое число, равное значению правого края параграфа текста в пикселах.

Для вступления изменений в силу необходимо после этого вызвать FStyleFormat.applyChanges.

Пример

Назначаем 4 пиксела свойству textRightMargin объекта formStyleFormat.

formStyleFormat.textRightMargin = 4;

См. также

FStyleFormat.textLeftMargin


FStyleFormat.textSelected

F > FStyleFormat.textSelected

FStyleFormat.textSelected

Доступность

Flash Player 6.

Синтаксис

myStyleFormat.textSelected

Описание

Свойство, RGB значение цвета элементов списка. Меняя значение этого свойства, следует помнить про свойство FStyleFormat.selection; необходимо избегать такого сочетания этих цветов, при котором чтение становится затрудненным или невозможным. Например, в формате общего стиля свойству selection присвоен синий цвет а свойству textSelected белый, что обеспечивает хорошую читабельность. Формат задания цвета такой: 0xRRGGBB.

Для вступления изменений в силу необходимо после этого вызвать FStyleFormat.applyChanges.

Пример

Ниже присваиваем значение 0xffffff свойству textSelected объекта formStyleFormat, делая цвет текста выделенного элемента белым.

formStyleFormat.textSelected = 0xffffff;

См. также

FStyleFormat.selection, FStyleFormat.textDisabled


FStyleFormat.textSize

F > FStyleFormat.textSize

FStyleFormat.textSize

Доступность

Flash Player 6.

Синтаксис

myStyleFormat.textSize

Описание

Свойство, целое число равное размеру текста в пунктах (points). По умолчанию стоит 12.

Для вступления изменений в силу необходимо после этого вызвать FStyleFormat.applyChanges.

Пример

Делаем текст высотой 10 пунктов для всех компонентов связанных с formStyleFormat.

formStyleFormat.textSize = 10;

См. также

FStyleFormat.textFont


FStyleFormat.textUnderline

F > FStyleFormat.textUnderline

FStyleFormat.textUnderline

Доступность

Flash Player 6.

Синтаксис

myStyleFormat.textUnderline

Описание

Свойство, булевское значение; Делает текст подчеркнутым (true) или нет (false). По умолчанию стоит false.

Для вступления изменений в силу необходимо после этого вызвать FStyleFormat.applyChanges.

Пример

Делаем все надписи подчеркнутыми.

formStyleFormat.textUnderline = true;

См. также

FStyleFormat.textBold, FStyleFormat.textItalic


Function (object)

F > Function (объект)

Function (объект)

Объект Function стал доступен в Flash MX.

Свойства объекта Function

Свойство | Описание
Function.prototype | Указывает на объект-прототип класса.

Методы объекта Function

Метод | Описание
Function.apply | Позволяет коду ActionScript вызвать функцию.
Function.call | Вызывает функцию, которую представляет объект Function.


Function.apply

F > Function.apply

Function.apply

Доступность

Flash Player 6.

Синтаксис

myFunction.apply(thisObject, argumentsObject)

Параметры

thisObject Объект, к которому применяется myFunction.

argumentsObject Массив, чьи элементы передаются myFunction в качестве параметров.

Возвращает

Любое значение, определенное в вызываемой функции.

Описание

Метод, задает значение this, которое используется в вызываемой функции. Метод задает также параметры, передаваемые в вызываемую функцию. Поскольку метод apply является методом объекта Function, он также является методом любой функции-объекта в ActionScript.

Параметры задаются в виде массива, это часто бывает полезно, т.к. до выполнения скрипта не всегда известно количество параметров.

Пример

Следующие вызовы функций эквивалентны:

Math.atan2(1, 0)
Math.atan2.apply(null, [1, 0])

Допустим, вы создает Flash-клип, где есть поля ввода, позволяющие пользователю задать имя функции и некоторое количество параметров для передачи ей. После нажатия на кнопку "Call" сработает метод apply, вызвыв заданную функцию с заданными параметрами.

Допустим, что имя функции задается в поле functionName, число параметров в поле numParameters, а сами параметры от 1 до 10 соответственно в полях parameter1 - parameter10.

on (release) {
  callTheFunction();
}
...
function callTheFunction()
{
   var theFunction = eval(functionName.text);
   var n = Number(numParameters);
   var parameters = [];
   for (var i = 0; i < n; i++) {
      parameters.push(eval("parameter" + i));
   }
   theFunction.apply(null, parameters);
}


Function.call

F > Function.call

Function.call

Доступность

Flash Player 6.

Синтаксис

myFunction.call(thisObject, parameter1, ..., parameterN)

Параметры

thisObject Задает значение this в теле функции.

parameter1 Параметр, передаваемый myFunction. Можно задать любое количество параметров, включая ноль.

parameterN

Возвращается

Ничего.

Описание

Метод, вызывает функцию, представленную объектом Function. Все функции в языке ActionScript представлены объектом Function, поэтому все они содержат метод call.

В большинстве случаев операто вызова функции (()) может быть с успехом использован вместо метода call. Оператор вызова функции, конечно, более простой при написании. Метод call прежде всего удобен там, где необходимо явно проконтролировать, куда указывает параметр this вызова функции. Обычно когда функция вызывается как метод объекта, в теле функции this указывает на этот объект myObject, как здесь:

myObject.myMethod(1, 2, 3);

В некоторых ситуациях вам захочется, чтобы this указывал в другое место, например, если функция должна вызываться как метод какого-то объекта, на самом деле методом этого объекта не являющаяся.

myObject.myMethod.call(myOtherObject, 1, 2, 3);

Указывайте null в поле параметра thisObject при вызове обычной функции, а не метода объекта, например, следующие вызовы эквивалентны:

Math.sin(Math.PI / 4)
Math.sin.call(null, Math.PI / 4)

Example

В примере метод call делает поведение функции таким, как если бы она была методом другого объекта, на самом деле ему не принадлежащая.

function MyObject() {
}
function MyMethod(obj) {
  trace("this == obj? " + (this == obj));
}
var obj = new MyObject();
MyMethod.call(obj, obj);

В окне Output появится строка:

this == obj? true


Function.prototype

F > Function.prototype

Function.prototype

Доступность

Flash Player 6.

Синтаксис

myFunction.prototype

Описание

Свойство, в функции-конструкторе свойство prototype указывает на объект-прототип класса. Каждый экземпляр, созданный с помощью конструктора, наследует все свойства объекта-прототипа.


fscommand

F > fscommand

fscommand

Доступность

Flash Player 3.

Синтаксис

fscommand("command", "parameters")

Параметры

command Строка, передаваемая приложению-хозяину, часто в качестве команды Flash Player'у.

parameters Строка, передаваемая приложению-хозяину, часто в качестве аргумента Flash Player'у.

Возвращается

Ничего.

Описание

Команда, позволяет Flash-клипу связатся с автономным проигрывателем либо приложением - хозяином проигрывателя, например браузером. Возможно также с помощью команды fscommand передавать сообщения Macromedia Director, Visual Basic, Visual C++, или любым другим программам, поддерживающим ActiveX.

Синтаксис 1: Для передачи сообщения Flash Player'у, используйте следующие предопределенные команды (command) и аргументы (parameters):

Команда | Аргумент | Описание
quit | Нет | Закрывает клип и выходит из проектора Flash.
fullscreen | true или false | Значение true переводит Flash Player в полноэкранный режим. Значение false возвращает окно Flash Player'а в нормальный режим.
allowscale | true или false | Значение false предотвращает масштабирование клипа при изменении окна Flash Player'а. Значение true заставляет клип подстраиваться под окошко Flash Player'а.
showmenu | true или false | Значение true позволяет отображать полное контекстное меню. Задание false позволяет отображать только пункт About Flash Player.
exec | Путь к приложению | Позволяет запустить внешнее приложение.
trapallkeys | true или false | При заданном true все нажатия клавиш, даже клавиш сокращенного набора, отсылаются обработчику onClipEvent(keyDown/keyUp) во Flash-клипе.

Синтаксис 2: Для того, чтобы использовать команду fscommand для передачи сообщения скрипту, например JavaScript в Web-броузере, необходимо передать два параметра в полях command и parameters. Это могут быть строки или выражения, которые использует функция-обработчик команды fscommand языка JavaScript.

В Web-броузере fscommand повлечет вызов специальной функции JavaScript с именем moviename_DoFScommand в HTML странице, содержащей Flash клип. Здесь moviename является именем, указанном в атрибуте NAME тэга EMBED, либо в ID тэга OBJECT. Если, допустим, в этих атрибутах Flash Player имеет имя myMovie, функция JavaScript примет вид myMovie_DoFScommand.

Синтаксис 3: Команда fscommand способна передавать сообщения в клип Macromedia Director в виде строк, событий языка Lingo, или как выполняемый код Lingo. Если сообщение суть строка или событие, необходимо в клипе Director предусмотреть специальный обработчик команды fscommand. Для дополнительной информации см. Director Support Center.

Синтаксис 4: В программах на Visual Basic, Visual C++ либо любых других, поддерживающих ActiveX, fscommand передает VB-событие с двумя строками, которые обрабатываются в программой. Для дополнительной информации см. Flash Support Center, используя для поиска ключевое слово Flash method.

Пример

Синтаксис 1: В этом примере команда fscommand при нажатии кнопки разворачивает окно Flash Player'а на весь экран.

on(release){
    fscommand("fullscreen", true);
}

Синтаксис 2: В этом примере команда fscommand при нажатии на кнопку во Flash-клипе открывает окно сообщения JavaScript в странице HTML. Само сообщение передается в качестве параметра команды fscommand.

Сначала необходимо добавить функцию в HTML страницу, содержащую Flash-клипе. Функция с именем myMovie_DoFSCommand будет ожидать команды fscommand. Когда пользователь, допустим, нажмет кнопку в клипе Flash, строчки command и parameter передадутся функции myMovie_DoFSCommand . Эти строчки в коде JavaScript или VBScript вы можете обработать как угодно. В нашем примере функция содержит условный оператор if, который проверяет, содержит ли первый параметр строку "messagebox". Если да, окно сообщения JavaScript отобразит содержимое строки parameters.

function myMovie_DoFSCommand(command, args) {
    if (command == "messagebox") {
        alert(args);
    }

}

В документе Flash присвойте кнопке такой код:

fscommand("messagebox", "This is a message box called from within Flash.")

Естественно, параметры могут являться выражениями, как здесь:

fscommand("messagebox", "Hello, " + name + ", welcome to our Web site!")

Проверьте клип File > Publish Preview > HTML.

Примечание: Если вы публикуете клип с помощью шаблона FSCommand в закладке HTML Publish Settings, функция myMovie_DoFSCommand вставится автоматически. Атрибуты NAME и ID будут те же, что и имя документа, например, для файла myMovie.fla атрибуты будут myMovie.


function

F > function

function

Доступность

Flash Player 5.

Синтаксис

function functionname ([parameter0, parameter1,...parameterN]){
    statement(s)
}
function ([parameter0, parameter1,...parameterN]){
    statement(s)
}

Параметры

functionname Имя новой функции.

parameter Идентификатор, являющийся необязательным параметром.

statement(s) Команды ActionScript, представляющие собой тело функции function.

Возвращается

Ничего.

Описание

Команда, набор выражений, выполняющих определенную задачу. Вы можете единожды объявить, или определить функцию, чтобы затем вызывать ее из различных мест клипа. При определении функции возможно также задание ее параметров. Параметры являются переменными, содержащими некую информацию, с которой функция оперирует. При каждом вызове функции можно передавать различные параметры, что позволяет по-разному использовать функцию в различных ситуациях.

Используйте команду return в теле функции (statement(s)), чтобы функция могла возвращать какое-то значение.

Синтаксис 1: Объявим функцию с именем, параметрами , и телом функции. При вызове функции выполнится код, заключенный в фигурные скобки (тело функции). Допускается в одном блоке кода сначала вызывать функцию, а потом объявлять ее, причем каждое последующее объявление той же функции заменяет предыдущее.

Синтаксис 2: Создадим безымянную функцию, или литерал функции. Литералы часто используются для добавления методов объектам.

Пример

Синтаксис 1: Функция sqr принимает один параметр x и возвращает его квадрат x*x.

y=sqr(3);

function sqr(x) {
    return x*x;
}

Синтаксис 2: Следующая функция создает объект Circle:

function Circle(radius) {
 this.radius = radius;
}

Выражение ниже определяет литерал функции, вычисляющей площадь круга, и делает эту функцию методом объекта Circle:

Circle.prototype.area = function () {return Math.PI * this.radius * this.radius}


ge (greater than or equal to—string specific)

G-L > ge (greater than or equal to—string specific)

ge (больше или равно, для строк)

Доступность

Flash Player 4. Этот оператор является устаревшим, рекомендуется использование нового оператора >= (больше или равно).

Синтаксис

expression1 ge expression2

Параметры

expression1, expression2 Числа, строки или переменные.

Возвращается

Ничего.

Описание

Оператор (сравнения), сравнивает строку expression1 со строкой expression2 и возвращает true, если expression1 больше или равна expression2, иначе возвращает false.

Смотри также

>= (больше или равно)


getProperty

G-L > getProperty

getProperty

Доступность

Flash Player 4.

Синтаксис

getProperty(instancename, property)

Параметры

instancename Имя экземпляра мувиклипа, свойство которого необходимо получить.

property Имя свойства мувиклипа.

Возвращается

Ничего.

Описание

Функция, возвращает значение указанного свойства (property) мувиклипа instancename.

Пример

Здесь мы получаем горизонтальную координату (_x) для мувиклипа myMovie и присваиваем ее переменной myMovieX:

myMovieX = getProperty(_root.myMovie, _x);


getTimer

G-L > getTimer

getTimer

Доступность

Flash Player 4.

Синтаксис

getTimer()

Параметры

Нет.

Возвращается

Ничего.

Описание

Функция, возвращает количество миллисекунд, прошедших с момента старта муви-клипа.


getURL

G-L > getURL

getURL

Доступность

Flash 2. Выбор GET и POST типа метода доступен, начиная с 4 версии.

Синтаксис

getURL(url [, window [, "variables"]])

Параметры

url Адрес (URL), с которого необходимо получить документ.

window Необязательный аргумент, определяющий окно или фрейм (frame) в HTML, куда должен быть помещен документ. Укажите здесь имя окна/фрейма, либо укажите одно из зарезервированных слов:

_self указывает на то же окно/тот же фрейм, откуда вызывается функция.

_blank указывает на новое окно.

_parent указывает на родительское по отношению к текущему окно.

_top указывает на самый верхний фрейм в окне.

variables Необязательный аргумент, указывающий на метод GET или POST, которым надо пересылать переменные. Если переменные передавать не надо, пропустите этот аргумент. Метод GET добавляет имена переменных вместе со значениями в конец URL и обычно используется для небольшого количества переменных. Метод POST посылает переменные в заголовке HTTP и используется для передачи длинных строк или больших по объему данных.

Возвращается

Ничего.

Описание

Команда, загружает документ с указанного адреса (URL) в окно, или передает переменные другому приложению по URL. Чтобы это действие сработало, убедитесь в наличии целевого документа. Чтобы использовать абсолютные URL (например, http://www.myserver.com), вам необходимо активное сетевое соединение.

Пример

Этот пример загружает документ с указанным URL в новое окно браузера. В качестве параметра url, в команде getURL указана переменная incomingAd, поэтому можно менять адрес загружаемого документа без редактирования клипа. Значение переменной incomingAd берется во Flash ранее из внешнего файла с помощью команды loadVariables.

on(release) {
    getURL(incomingAd, "_blank");
}

Смотри также

loadVariables, XML.send, XML.sendAndLoad, XMLSocket.send


getVersion

G-L > getVersion

getVersion

Доступность

Flash Player 5.

Синтаксис

getVersion()

Параметры

Нет.

Возвращается

Ничего.

Описание

Функция, возвращает строку, в которой содержится версия плейера и информация о платформе.

Функция getVersion возвращает значение только для версий 5 и выше.

Пример

Здесь показан вариант строчки, возвращаемой функцией getVersion:

WIN 5,0,17,0

Она означает, что платформа - Windows, старшая версия плейера - 5, младшая версия - 17(5.0r17).


_global

G-L > _global

_global

Доступность

Flash Player 6.

Синтаксис

_global.identifier

Параметры

Нет.

Возвращается

Ссылка на глобальный объект, содержащий ядро ActionScript классов, таких как String, Object, Math и Array.

Описание

Идентификатор, создает глобальные переменные, объекты или классы. Например, можно создать библиотеку, которая будет показана, как глобальный ActionScript объект, подобный объекту Math или Date. В отличие от переменных объявленных локально или на отдельной линейке (Timeline), область видимости глобальных переменных и функций - весь клип, если они не перекрыты идентификаторами с теми же именами во внутренних областях видимости.

Пример

В этом примере создается глобальная функция factorial, доступная с любой линейки и всем клипом, в качестве области видимости:

_global.factorial = function (n) {
  if (n <= 1) {
    return 1;
  } else {
    return n * factorial(n-1);
  }
}

Смотри также

var, set variable


globalStyleFormat

G-L > globalStyleFormat

globalStyleFormat

Доступность

Flash Player 6.

Синтаксис

globalStyleFormat.styleProperty

Параметры

styleProperty Свойство объекта FStyleFormat.

Возвращается

Ничего.

Описание

Экземпляр объекта, экземпляр объекта FStyleFormat, описывающий свойства формата стиля Flash UI компонентов. Экземпляр globalStyleFormat доступен, при помещении компонента на сцену (Stage). Установка или изменение свойств компонентов осуществляется редактированием свойств экземпляра объекта globalStyleFormat. Подробнее см. Определение цветов и текстов компонента в главе Использование компонентов.

Пример

В примере задается свойство arrow, экземпляра globalStyleFormat.

globalStyleFormat.arrow = 0x800080;

Смотри также

FStyleFormat (object)


gotoAndPlay

G-L > gotoAndPlay

gotoAndPlay

Доступность

Flash 2.

Синтаксис

gotoAndPlay(scene, frame)

Параметры

scene Имя сцены, в которую перемещается воспроизведение клипа.

frame Номер или метка кадра, на который перемещается воспроизведение.

Возвращается

Ничего.

Описание

Команда, перемещает воспроизведение клипа на указанный кадр указанной сцены. Если сцена не указана, переход происходит в текущей сцене.

Пример

Когда пользователь нажимает на кнопку, которой присвоена команда gotoAndPlay, начинается воспроизведение с 16 кадра.

on(release) {
    gotoAndPlay(16);
}


gotoAndStop

G-L > gotoAndStop

gotoAndStop

Доступность

Flash 2.

Синтаксис

gotoAndStop(scene, frame)

Параметры

scene Имя сцены, в которую перемещается воспроизведение клипа.

frame Номер или метка кадра, на который перемещается воспроизведение.

Возвращается

Ничего.

Описание

Команда, перемещает воспроизведение клипа на указанный кадр указанной сцены и останавливает его. Если сцена не указана, переход происходит в текущей сцене.

Пример

Когда пользователь нажимает на кнопку, которой присвоена команда gotoAndStop, воспроизведение перемещается на кадр 5 и останавливается.

on(release) {
    gotoAndStop(5);
}


gt (greater than —string specific)

G-L > gt (greater than —string specific)

gt (больше чем, для строк)

Доступность

Flash Player 4. Этот оператор является устаревшим, рекомендуется использование нового оператора > (больше чем).

Синтаксис

expression1 gt expression2

Параметры

expression1, expression2 Числа, строки или переменные.

Описание

Оператор (сравнения), сравнивает строки expression1 и expression2 и возвращает true если expression1 больше, чем expression2, иначе возвращает false.

Смотри также

> (больше чем)


_highquality

G-L > _highquality

_highquality

Доступность

Flash Player 4.

Синтаксис

_highquality

Описание

Свойство (глобальное), указывает качество сглаживания, применяемого к клипу:

2 (BEST) - максимальное качество сглаживания;
1 (high quality) - будет сглаживаться только неанимированная, статичная растровая графика;
0 (low quality) - без сглаживания.

Пример

_highquality = 1;

Смотри также

_quality, toggleHighQuality


if

G-L > if

if

Доступность

Flash Player 4.

Синтаксис

if(condition) {
    statement(s);
}

Параметры

condition Выражение, возвращающее true или false.

statement(s) Код, который должен выполняться, если значение condition равно true.

Возвращается

Ничего.

Описание

Команда, вычисляет условие, определяющее последующее поведение клипа. Если значение условия true, Flash исполняет код, следующий за условием в фигурных скобках ({}). Если значение условия false, Flash пропускает код заключенный в фигурные скобки и передает управление операторам, следующим за ними. Используйте if, для создания логического ветвление в скриптах.

Пример

В следующем примере, условие внутри круглых скобок сравнивает переменную name с литеральным значением "Erica". В положительном случае запускается команда play внутри фигурных скобок.

if(name == "Erica"){
    play();
}

Пример

В следующем примере используется команда if для определения момента, когда перетаскиваемый объект отпущен пользователем. Если он был отпущен менее чем за 300 миллисекунд после его перемещения, условие будет соответствовать true и команды внутри фигурных скобок будут выполнены. Если объект был отпущен после прошествия 300 миллисекунд после его перемещения, условие вычисляется как false и все содержимое фигурных скобок игнорируется.

if (getTimer()<timePressed+300) {
        // if the condition is true,
        // the object was thrown.
        // what is the new location of this object?
        xNewLoc = this._x;
        yNewLoc = this._y;
        // how hard did they throw it?
        xTravel = xNewLoc-xLoc;
        yTravel = yNewLoc-yLoc;
        // setting the speed of the object depending on
        // how far they travelled with it
        xInc = xTravel/2;
        yInc = yTravel/2;
        timePressed = 0;
    }

Смотри также

else


ifFrameLoaded

G-L > ifFrameLoaded

ifFrameLoaded

Доступность

Flash Player 3. The ifFrameLoaded action is deprecated in Flash 5; use of the MovieClip._framesloaded action is encouraged.

Синтаксис

ifFrameLoaded(scene, frame) {
    statement;
}
ifFrameLoaded(frame) {
    statement;
}

Параметры

scene Сцена, которая должна быть загружена.

frame Номер или метка кадра, который должен быть загружен до начала выполнения последующих команд.

statement(s) Команды, исполняемые в случае окончания загрузки указанных кадра или сцены и кадра.

Возвращается

Ничего.

Описание

Команда, проверяет, доступно ли содержимое указанного кадра локально (скачано ли уже?). ifFrameLoaded используется для создания прелоадера, то есть небольшой анимации, воспроизводящейся пока загружается остальная часть клипа. Разница между использованием _framesloaded и ifFrameLoaded в том, что _framesloaded позволяет добавить операторы if или else.

Смотри также

MovieClip._framesloaded


#include

G-L > #include

#include

Доступность

N/A

Синтаксис

#include "filename.as"

Параметры

filename.as Имя включаемого файла со скриптом, .as - рекомендованное разрешение файла.

Возвращается

Ничего.

Описание

Команда, включающая во Flash содержимое указанного файла в момент его тестирования, публикации или экспорта. Команда #include проверяется при проверке синтаксиса.


#initclip

G-L > #initclip

#initclip

Доступность

Flash Player 6.

Синтаксис

#initclip order

Параметры

order Целое число, определяющее порядок выполнения блоков кода #initclip, это необязательный параметр.

Описание

Команда, обозначает начало блока команд инициализации компонента. Когда инициализируется несколько клипов одновременно, можно воспользоваться параметром order, для определения инициализации проиcходящей в первую очередь. Исполнение команд инициализации компонента происходит, когда мувиклип определен. Если мувиклип экспортирован, команды инициализации компонента выполняются перед командами первого кадра SWF-файла. Иначе, они выполняются немедленно перед командами кадра, в котором впервые появился экземпляр этого мувиклипа.

Исполнение команд инициализации компонента происходит только один раз в момент воспроизведения клипа и должны использоваться для их одноразовых инициализаций, таких как определение класса и регистрации.

Пример

Код этого примера назначается первому кадру клипа, являющегося чекбокс компонентом. Команды #initclip и #endinitclip указывают на блок выражений, включенных в команды инициализации компонента. В этом блоке происходит регистрация класса и сохранение методов в прототипе объекта.

#initclip
if (typeof(CheckBox) == "undefined") {
  // Define constructor for (and thus define) CheckBox class
  function CheckBox() {
    // Set up our data bindings
    this.watch ('value', function (id, oldval, newval) { ... };
    this.watch ('label', function (id, oldval, newval) { ... };
  }
  // Set CheckBox prototype chain to inherit from MovieClip
  CheckBox.prototype = new MovieClip();
  // Register CheckBox as the class for symbol "Check Box"
  Object.registerClass("Check Box", CheckBox);
  // Set up some methods
  CheckBox.prototype.enable = function () { ... };
  CheckBox.prototype.show = function () { ... };
  CheckBox.prototype.hide = function () { ... };
  // Set up a convenience function to instantiate
  // check boxes
  CheckBox.create = function (parentMovieClip, instanceName, depth) {
    parentMovieClip.attachMovie("CheckBox", instanceName, depth);
  };
}
#endinitclip

Примечание: если просто скопировать и вставить указанный пример в панель Actions, то при попытки компиляции будет выдана ошибка из-за того, что используемые в коде функции не определены ({...})

Смотри также

#endinitclip


instanceof

G-L > instanceof

instanceof

Доступность

Flash Player 6.

Синтаксис

object instanceof class

Параметры

object ActionScript объект.

class Ссылка на ActionScript функцию конструктора, типа String или Date.

Возвращается

Если object является экземпляром class, instanceof возвращает true, иначе - false.

Описание

Оператор, определяет, принадлежит ли объект к точно установленному классу. Проверяет, является ли object экземпляром class.

Объект ActionScript считается экземпляром класса, если конструкторская функция объекта находится в цепочке прототипа ActionScript объекта.

Оператор instanceof не конвертирует исходные типы в свернутые объекты. Например, следующий код возвращает true:

new String("Hello") instanceof String

В то же время, этот код возвращает false:

"Hello" instanceof String

Пример

Пример показывает, как выглядит оператор instanceof, если он кодируется в виде ActionScript функции.

function instanceof (theObject, theClass){
    while ((theObject = theObject.__proto__) != null) {
           if (theObject == theClass.prototype) {
                  return true;
           }
    }
    return false;
}

Смотри также

typeof


int

G-L > int

int

Доступность

Flash Player 4. Эта функция устарела, вместо нее рекомендуется использовать метод Math.floor.

Синтаксис

int(value)

Параметры

value Округляемое число.

Возвращается

Число.

Описание

Функция, округляет десятичное число до ближайшего целого.

Смотри также

Math.floor


isFinite

G-L > isFinite

isFinite

Доступность

Flash Player 5.

Синтаксис

isFinite(expression)

Параметры

expression Булево выражение, переменная или другое выражение, которое необходимо проверить.

Возвращается

Булеан.

Описание

Глобальная функция, вычисляет аргумент и возвращает true, если это конечное число, и false, если результат бесконечен (плюс или минус бесконечность). Обычно бесконечность возникает как математическая ошибка при делении на 0.

Пример

Это примеры вызовов функции isFinite:

isFinite(56)
// returns true

isFinite(Number.POSITIVE_INFINITY)
// returns false


isNaN

G-L > isNaN

isNaN

Доступность

Flash Player 5.

Синтаксис

isNaN(expression)

Параметры

expression Булево выражение, переменная или другое выражение, которое необходимо проверить.

Возвращается

Булеан.

Описание

Глобальная функция, вычисляет аргумент и возвращает true, если это значение не есть число (NaN), проверка наличия математических ошибок.

Пример

Примеры применения функции isNan:

isNan("Tree")

// возвращает true

isNan(56)

// возвращает false

isNaN(Number.POSITIVE_INFINITY)
// возвращает false


Key (object)

G-L > Key (object)

Key (object)

Объект Key является глобальным объектом, к которому можно обращаться без использования конструктора. Методы этого объекта полезны для построения управляемого с клавиатуры интерфейса. Свойства объекта Key - константы, представляющие коды клавиш клавиатуры, обычно используемые для управления в играх. Полный список значений кодов смотри в приложении Клавиши клавиатуры и их коды.

Пример

Следующий скрипт использует объект Key для идентификации нажимаемых пользователем управляющих клавиш.

onClipEvent (enterFrame) {
    if(Key.isDown(Key.RIGHT)) {
        this._x=_x+10;
    } else if (Key.isDown(Key.DOWN)) {
        this._y=_y+10;
    }
}

Обзор методов объекта Key

Метод | Описание
Key.addListener | Указывает объект, получающий уведомление при вызове методов onKeyDown и onKeyUp.
Key.getAscii | Возвращает ASCII-код последней нажатой клавиши.
Key.getCode | Возвращает виртуальный код последней нажатой клавиши.
Key.isDown | Возвращает true, если нажата клавиша, указанная в качестве аргумента.
Key.isToggled | Возвращает true, если активированы клавиши Num Lock или Caps Lock.
Key.removeListener | Удаляет объект, предварительно зарегистрированный методом addListener.

Обзор свойств объекта Key

Все свойства объекта Key - константы.

Свойство | Описание
Key.BACKSPACE | Константа, значение которой равно коду клавиши Backspace (8).
Key.CAPSLOCK | Константа, значение которой равно коду клавиши Caps Lock (20).
Key.CONTROL | Константа, значение которой равно коду клавиши Control (17).
Key.DELETEKEY | Константа, значение которой равно коду клавиши Delete (46).
Key.DOWN | Константа, значение которой равно коду клавиши Down Arrow (40).
Key.END | Константа, значение которой равно коду клавиши End (35).
Key.ENTER | Константа, значение которой равно коду клавиши Enter (13).
Key.ESCAPE | Константа, значение которой равно коду клавиши Escape (27).
Key.HOME | Константа, значение которой равно коду клавиши Home (36).
Key.INSERT | Константа, значение которой равно коду клавиши Insert (45).
Key.LEFT | Константа, значение которой равно коду клавиши Left Arrow (37).
Key.PGDN | Константа, значение которой равно коду клавиши Page Down (34).
Key.PGUP | Константа, значение которой равно коду клавиши Page Up (33).
Key.RIGHT | Константа, значение которой равно коду клавиши Right Arrow (39).
Key.SHIFT | Константа, значение которой равно коду клавиши Shift (16).
Key.SPACE | Константа, значение которой равно коду клавиши Spacebar (32).
Key.TAB | Константа, значение которой равно коду клавиши Tab (9).
Key.UP | Константа, значение которой равно коду клавиши Up Arrow (38).

Обзор листенеров объекта Key

Метод | Описание
Key.onKeyDown | Сообщает о нажатии клавиши.
Key.onKeyUp | Сообщает об отпускании клавиши.


Key.addListener

G-L > Key.addListener

Key.addListener

Доступность

Flash Player 6.

Синтаксис

Key.addListener (newListener)

Параметры

newListener Объект с методами onKeyDown и onKeyUp.

Возвращается

Ничего.

Описание

Метод, регистрирует объект, получающий уведомления onKeyDown и onKeyUp. При нажатии и отжатии клавиши, независимо от местонахождения фокуса ввода, во всех "слушающих" объектах, зарегистрированных при помощи addListener, вызываются методы onKeyDown или onKeyUp. Сложные объекты могут отслеживать вызовы клавиатуры. Если листенер newListener уже зарегистрирован, никаких изменений не происходит.

Пример

В примере создается новый листенер и описывается функция для onKeyDown and onKeyUp. В последней строке используется метод addListener method для регистрации листенера с объектом Key, получающим уведомление о нажатии и отжатии клавиши.

myListener = new Object();
myListener.onKeyDown = function () {
  trace ("Клавиша нажата.");
}
myListener.onKeyUp = function () {
  trace ("Клавиша отпущена.");
}
Key.addListener(myListener);


Key.BACKSPACE

G-L > Key.BACKSPACE

Key.BACKSPACE

Доступность

Flash Player 5.

Синтаксис

Key.BACKSPACE

Описание

Свойство, константа, значение которой равно коду клавиши Backspace (8).


Key.CAPSLOCK

G-L > Key.CAPSLOCK

Key.CAPSLOCK

Доступность

Flash Player 5.

Синтаксис

Key.CAPSLOCK

Описание

Свойство, константа, значение которой равно коду клавиши Caps Lock (20).


Key.CONTROL

G-L > Key.CONTROL

Key.CONTROL

Доступность

Flash Player 5.

Синтаксис

Key.CONTROL

Описание

Свойство, константа, значение которой равно коду клавиши Control (17).


Key.DELETEKEY

G-L > Key.DELETEKEY

Key.DELETEKEY

Доступность

Flash Player 5.

Синтаксис

Key.DELETEKEY

Описание

Свойство, константа, значение которой равно коду клавиши Delete (46).


Key.DOWN

G-L > Key.DOWN

Key.DOWN

Доступность

Flash Player 5.

Синтаксис

Key.DOWN

Описание

Свойство, константа, значение которой равно коду клавиши Down Arrow (40).


Key.END

G-L > Key.END

Key.END

Доступность

Flash Player 5.

Синтаксис

Key.END

Описание

Свойство, константа, значение которой равно коду клавиши End (35).


Key.ENTER

G-L > Key.ENTER

Key.ENTER

Доступность

Flash Player 5.

Синтаксис

Key.ENTER

Описание

Свойство, константа, значение которой равно коду клавиши Enter (13).


Key.ESCAPE

G-L > Key.ESCAPE

Key.ESCAPE

Доступность

Flash Player 5.

Синтаксис

Key.ESCAPE

Описание

Свойство, константа, значение которой равно коду клавиши Escape (27).


Key.getAscii

G-L > Key.getAscii

Key.getAscii

Доступность

Flash Player 5.

Синтаксис

Key.getAscii();

Параметры

Нет.

Возвращается

Ничего.

Описание

Метод, возвращает ASCII код последней нажатой или отпущенной клавиши. Возвращенные значения ASCII кодов соответствуют английской раскладке клавиш. Например, если нажать shift+2, Key.getAscii вернет символ @ хоть на японской клавиатуре, так как это делается на английской.


Key.getCode

G-L > Key.getCode

Key.getCode

Доступность

Flash Player 5.

Синтаксис

Key.getCode();

Параметры

Нет.

Возвращается

Ничего.

Описание

Метод, возвращает код последней нажатой клавиши. Используйте информацию из приложения Клавиши клавиатуры и их коды для того, чтобы определить, какой клавише назначен полученный код на стандартной клавиатуре.


Key.HOME

G-L > Key.HOME

Key.HOME

Доступность

Flash Player 5.

Синтаксис

Key.HOME

Описание

Свойство, константа, значение которой равно коду клавиши Home (36).


Key.INSERT

G-L > Key.INSERT

Key.INSERT

Доступность

Flash Player 5.

Синтаксис

Key.INSERT

Описание

Свойство, константа, значение которой равно коду клавиши Insert (45).


Key.isDown

G-L > Key.isDown

Key.isDown

Доступность

Flash Player 5.

Синтаксис

Key.isDown(keycode);

Параметры

keycode Код, присвоенный либо определенной клавише, либо одно из свойств объекта Key, ассоциированное с клавишей. Приложение B, Клавиши клавиатуры и их коды дает полный список всех кодов на стандартной клавиатуре.

Возвращается

Ничего.

Описание

Метод, возвращает true, если нажата клавиша keycode. На компьютерах Macintosh, коды клавиш Caps Lock и Num Lock идентичны.


Key.isToggled

G-L > Key.isToggled

Key.isToggled

Доступность

Flash Player 5.

Синтаксис

Key.isToggled(keycode)

Параметры

keycode код Caps Lock (20) или Num Lock (144).

Возвращается

Ничего.

Описание

Метод, возвращает true, если активизирована Caps Lock или Num Lock. На компьютерах Macintosh коды этих двух клавиш идентичны.


Key.LEFT

G-L > Key.LEFT

Key.LEFT

Доступность

Flash Player 5.

Синтаксис

Key.LEFT

Описание

Свойство, константа, значение которой равно коду клавиши Left Arrow (37).


Key.onKeyDown

G-L > Key.onKeyDown

Key.onKeyDown

Доступность

Flash Player 6.

Синтаксис

someListener.onKeyDown

Описание

Листенер, сообщает о нажатии клавиши. Для использования onKeyDown необходимо создать объект Листенер. Затем можно определить функцию для onKeyDown и использовать метод addListener для регистрации листенера с объектом Key, как это сделано ниже:

someListener = new Object();
someListener.onKeyDown = function () { ... };
Key.addListener(someListener);

Листенеры объединяют разные части кода для взаимодействия, т.к. несколько листенеров могут получать уведомление об одном событии.

Смотри также

Key.addListener


Key.onKeyUp

G-L > Key.onKeyUp

Key.onKeyUp

Доступность

Flash Player 6.

Синтаксис

someListener.onKeyUp

Описание

Листенер, сообщает об отжатии клавиши. Для использования onKeyUp необходимо создать объект Листенер. Затем можно определить функцию для onKeyUp и использовать метод addListener для регистрации листенера с объектом Key, как это сделано ниже:

someListener = new Object();
someListener.onKeyUp = function () { ... };
Key.addListener(someListener);

Листенеры объединяют разные части кода для взаимодействия, т.к. несколько листенеров могут получать уведомление об одном событии.

Смотри также

Key.addListener


Key.PGDN

G-L > Key.PGDN

Key.PGDN

Доступность

Flash Player 5.

Синтаксис

Key.PGDN

Описание

Свойство, константа, значение которой равно коду клавиши Page Down (34).


Key.PGUP

G-L > Key.PGUP

Key.PGUP

Доступность

Flash Player 5.

Синтаксис

Key.PGUP

Описание

Свойство, константа, значение которой равно коду клавиши Page Up (33).


Key.removeListener

G-L > Key.removeListener

Key.removeListener

Доступность

Flash Player 6.

Синтаксис

Key.removeListener (listener)

Параметры

listener объект.

Возвращается

Если listener был успешно удален, метод возвращает true. Если listener удалить не удалось, например если listener не был в списке листенеров объекта Key, метод возвращает false.

Описание

Метод, удаляет объект, ранее зарегистрированный методом addListener.


Key.RIGHT

G-L > Key.RIGHT

Key.RIGHT

Доступность

Flash Player 5.

Синтаксис

Key.RIGHT

Описание

Свойство, константа, значение которой равно коду клавиши Right Arrow (39).


Key.SHIFT

G-L > Key.SHIFT

Key.SHIFT

Доступность

Flash Player 5.

Синтаксис

Key.SHIFT

Описание

Свойство, константа, значение которой равно коду клавиши Shift (16).


Key.SPACE

G-L > Key.SPACE

Key.SPACE

Доступность

Flash Player 5.

Синтаксис

Key.SPACE

Описание

Свойство, константа, значение которой равно коду клавиши Spacebar (32).


Key.TAB

G-L > Key.TAB

Key.TAB

Доступность

Flash Player 5.

Синтаксис

Key.TAB

Описание

Свойство, константа, значение которой равно коду клавиши Tab (9).


Key.UP

G-L > Key.UP

Key.UP

Доступность

Flash Player 5.

Синтаксис

Key.UP

Описание

Свойство, константа, значение которой равно коду клавиши Up Arrow (38).


le (less than or equal to — string specific)

G-L > le (less than or equal to — string specific)

le (меньше или равно — строковой оператор)

Доступность

Flash Player 4. Этот оператор считается устаревшим, рекомендовано использование нового оператора <= (меньше или равно).

Синтаксис

expression1 le expression2

Параметры

expression1,expression2 Числа, строки или переменные.

Возвращается

Ничего.

Описание

Оператор (сравнения), сравнивает expression1 с expression2 и возвращает true, если expression1 меньше чем или равно expression2, в противном случае возвращает false.

Смотри также

<= (меньше или равно)


length

G-L > length

length

Доступность

Flash Player 4. Эта функция, так же, как и другие строковые функции, считается устаревшей. Рекомендуется использовать методы и свойства length объекта String для выполнения операций со строками.

Синтаксис

length(expression)
length(variable)

Параметры

expression Любая строка.

variable Имя переменной.

Возвращается

Число.

Описание

Строковая функция, возвращает длину строки, указанной в качестве аргумента.

Пример

Следующий примеры возвращает длину строки Hello.

length("Hello");

The result is 5.

Смотри также

" " (string delimiter), String.length


_level

G-L > _level

_level

Доступность

Flash Player 4.

Синтаксис

_levelN

Описание

Свойство, возвращает ссылку на корневой (root) мувиклип на линейке (Timeline) _levelN. Перед обращением к свойству _level мувиклипа, его необходимо загрузить командой loadMovieNum. Также можно использовать _levelN в качестве пути, для обращения к мувиклипу на уровне N.

Первоначальный (основной) клип загружается во Flash Player на нулевой уровень - _level0. Этот клип устанавливает используемую частоту кадров, цвет задника и размер окна для всех возможных подгружаемых впоследствии мувиклипов. Другие мувиклипы подгружаются на уровни выше нулевого, с номерами больше нуля.

При использовании команды loadMovieNum, необходимо указать номер соответствующего уровень для загрузки каждого мувиклипа. Назначать уровни можно в любом порядке. Если указать уровень на котором уже имеется подгруженный ранее SWF-файл (включая _level0), этот мувиклип будет выгружен и заменен новым, указанным в команде loadMovieNum.

Пример

Следующий пример останавливает воспроизведение клипа на уровне _level9.

_level9.stop();

Этот пример переводит воспроизведение клипа на 4-м уровне на пятый кадр, мувиклип на 4-м уровне должен быть предварительно загружен с помощью команды loadMovieNum.

_level4.gotoAndStop(5);

Смотри также

loadMovie, MovieClip.swapDepths


loadMovie

G-L > loadMovie

loadMovie

Доступность

Flash Player 3.

Синтаксис

loadMovie("url",level/target[, variables])

Параметры

url Абсолютный или относительный адрес, с которого будет загружаться SWF или JPEG файл. При подгрузке в сети, файл должен находиться в том же поддомене, что и исходный клип. В случае локального использования Flash Player и тестирования мувика из Flash-редактора, все подгружаемые файлы должны находиться в том же каталоге, имена файлов не должны содержать имен дисков или каталогов.

target Целевой путь до мувиклипа, указывающий, какой муви-клип будет заменен вновь загруженным клипом или имиджем. Необходимо четко определить target мувик или level в качестве целевого мувика, указывать оба параметра нет необходимости.

level Целое, указывающее уровень, на который загружается мувик. При загрузке мувиклипа или имиджа на уровень, команда loadMovie в нормальном режиме панели Actions переключится на loadMovieNum, в экспертном режиме, необходимо определить ее самостоятельно или выбрать из списка команд.

variables Необязательный аргумент, указывающий HTTP-метод передачи переменных. Аргумент должен быть строкой GET или POST. Если никакие переменные не передаются, этот параметр опускается. Метод GET добавляет переменные к концу строки URL и используется для передачи небольших переменных (и небольшого их количества). Метод POST отсылает переменные в HTTP-заголовке файла и используется для передачи больших строковых переменных.

Возвращается

Ничего.

Описание

Команда, загружает SWF или JPEG файл во Flash Player во время воспроизведения клипа. Команда loadMovie позволяет использовать один клип для подгрузки в него других, без обращения к новому HTML-документу. Без использования loadMovie, Flash Player воспроизводит только основной клип.

При использовании команды loadMovie, необходимо определить или уровень во Flash Player для загрузки или принимающий мувик, куда будет произведена загрузка нового клипа. Если выбран уровень, команда изменится на loadMovieNum.

Новый клип или имидж, введенный в адресный мувик, наследует его положение, свойства поворота и масштабирования. Верхний левый угол загруженного изображения или клипа совмещается с точкой регистрации (registration point) целевого мувика. Аналогично, если адресат _root (главная линейка), верхний левый угол подгружаемого изображения или клипа совмещается с верхним левым углом сцены.

Используйте команду unloadMovie, чтобы выгрузить мувик, загруженный с помощью loadMovie.

Пример

Команда loadMovie назначена навигационной кнопке, названной Products. В мувике существует невидимый клип, который называется dropZone. Команда loadMovie использует этот мувиклип для загрузки в него SWF-файла:

on(release) {
    loadMovie("products.swf",_root.dropZone);
}

Пример ввода JPEG-файла:

loadMovie("image45.jpeg", "ourMovieClip");

Смотри также

loadMovieNum, unloadMovie, unloadMovieNum , _level


loadMovieNum

G-L > loadMovieNum

loadMovieNum

Доступность

Flash Player 4. Файлы Flash 4, открытые во Flash 5, будут сконвертированы в корректный синтаксис.

Синтаксис

loadMovieNum("url",level[, variables])

Параметры

url Абсолютный или относительный адрес, с которого будет загружаться SWF или JPEG файл. Относительность пути должна быть связана с SWF-файлом, находящемся на нулевом уровне. При подгрузке в сети, файл должен находиться в том же поддомене, что и исходный клип. В случае локального использования Flash Player и тестирования мувика из Flash-редактора, все подгружаемые файлы должны находиться в том же каталоге, имена файлов не должны содержать имен дисков или каталогов.

level Целое, указывающее уровень, на который загружается мувик.

variables Необязательный аргумент, указывающий HTTP-метод передачи переменных. Аргумент должен быть строкой GET или POST. Если никакие переменные не передаются, этот параметр опускается. Метод GET добавляет переменные к концу строки URL и используется для передачи небольших переменных (и небольшого их количества). Метод POST отсылает переменные в HTTP-заголовке файла и используется для передачи больших строковых переменных.

Возвращается

Ничего.

Описание

Команда, загружает SWF или JPEG файл на указанный уровень Flash Player'а во время воспроизведения основного клипа. При подгрузке клипа в уровень, команда loadMovie в нормальном режиме переключится на команду loadMovieNum, в экспертном режиме необходимо инициировать loadMovieNum самому или выбрать ее из списка команд. Команда loadMovieNum позволяет подгружать мувиклипы по мере необходимости, без перегрузки HTML-документа.

Порядок следования уровней во Flash Player'е начинается с нулевого уровня. Эти уровни подобны прозрачным пленкам, через которые просвечивают объекты, находящиеся на них. При использовании команды loadMovieNum, вы должны указать уровень, на которой будет загружен мувиклип. После его загрузки становится возможно использовать синтаксис _levelN, где N - номер уровня, содержащий мувиклип.

Для подгрузки клипа можно задать любой номер уровня, в том числе тот, в котором уже имеется подгруженный мувиклип. В этом случае новый клип заменит собой старый. Если загрузить новый клип на нулевой уровень, все загруженные до этого клипы будут удалены, а новый клип заменит собой старый основной мувик. Основной клип на нулевом уровне устанавливает используемую частоту кадров, цвет заднего фона и размер окна для всех других загружаемый мувиклипов.

Команда loadMovieNum также позволяет загружать JPEG-файлы во Flash-клип в процессе его воспроизведения. И картинки и SWF-файлы выравниваются по верхнему левому углу сцены. Также в обоих случаях, загруженные файлы наследуют вращение и масштабирование предыдущего перезаписанного содержания.

Используйте команду unloadMovieNum, чтобы выгрузить мувик, загруженный с помощью loadMovieNum.

Пример

В этом примере загружается JPEG-файл "image45.jpg" на второй уровень 2 Flash Player'а.

loadMovieNum("http://www.blag.com/image45.jpg", 2); //

Смотри также

loadMovie, unloadMovie, unloadMovieNum, _level


loadVariables

G-L > loadVariables

loadVariables

Доступность

Flash Player 4.

Синтаксис

loadVariables ("url" ,level/"target" [, variables])

Параметры

url Абсолютный или относительный адрес, где находятся переменные. При доступе к клипу через броузер, файл должен находиться в том же поддомене, что и исходный клип.

level Целое, указывающее уровень Flash Player'а, получающего переменные. При вводе переменных в уровень, команда в панели Actions в нормальном режиме принимает вид loadVariablesNum, в экспертном режиме необходимо инициировать ее самостоятельно или выбрать из списка команд.

target Целевой путь до мувиклипа, указывающий, в какой мувиклип в который будут загружаться переменные. Необходимо четко определить target мувик или level во Flash Player, указывать оба параметра нет необходимости.

variables Необязательный аргумент, указывающий HTTP-метод передачи переменных. Аргумент должен быть строкой GET или POST. Если никакие переменные не передаются, этот параметр опускается. Метод GET добавляет переменные к концу строки URL и используется для передачи небольших переменных (и небольшого их количества). Метод POST отсылает переменные в HTTP-заголовке файла и используется для передачи больших строковых переменных.

Возвращается

Ничего.

Описание

Команда, считывает данные из внешнего файла, например, обычного текстового или текста сгенерированного серверным скриптом. Эта команда также может обновлять значения переменных в клипе, заменяя их на новые.

Текст в указанном URL должен быть в стандартном MIME-формате application/x-www-form-urlencoded (стандартный формат, использующийся CGI скриптами). Клип и подгружаемые переменные должны находится в том же самом поддомене. Можно использовать любое количество переменных. Например в следующей фразе описано несколько переменных:

company=Macromedia&address=600+Townsend&city=San+Francisco&zip=94103

Исходный клип загружается на нулевой уровень Flash Player'а (_level0). При использовании команды loadMovie или loadMovieNum для подгрузки других клипов, необходимо точно указывать номер уровня Flash Player'а или целевой мувиклип. Аналогично для команды loadVariables, необходимо точно указать уровень Flash Player'а или целевой мувик для подгрузки в них переменных.

Пример

В этом примере информация загружается из текст-файла в мувик varTarget на главной линейке. Названия переменных текстовых полей должны соответствовать именам переменных, подгружаемых из data.txt файла.

on(release) {
    loadVariables("data.txt", "_root.varTarget");
}

Смотри также

loadVariablesNum, loadMovie, loadMovieNum, getURL, MovieClip.loadMovie , MovieClip.loadVariables


loadVariablesNum

G-L > loadVariablesNum

loadVariablesNum

Доступность

Flash Player 4. Файлы Flash 4, открытые во Flash 5, будут сконвертированы в корректный синтаксис.

Синтаксис

loadVariables ("url" ,level [, variables])

Параметры

url Абсолютный или относительный адрес, где находятся переменные. При доступе к клипу через броузер, файл должен находиться в том же поддомене, что и исходный клип.

level Целое, указывающее уровень Flash Player'а, получающего переменные.

variables Необязательный аргумент, указывающий HTTP-метод передачи переменных. Аргумент должен быть строкой GET или POST. Если никакие переменные не передаются, этот параметр опускается. Метод GET добавляет переменные к концу строки URL и используется для передачи небольших переменных (и небольшого их количества). Метод POST отсылает переменные в HTTP-заголовке файла и используется для передачи больших строковых переменных.

Возвращается

Ничего.

Описание

Команда, считывает данные из внешнего файла, например, обычного текстового или текста сгенерированного серверным скриптом. Эта команда также может обновлять значения переменных в клипе, заменяя их на новые. Когда переменные вводятся в уровень, в панели Actions в нормальном режиме будет команда loadVariablesNum, в экспертном режиме, необходимо определить ее самостоятельно или выбрать из списка команд.

Текст в указанном URL должен быть в стандартном MIME-формате application/x-www-form-urlencoded (стандартный формат, использующийся CGI скриптами). Клип и подгружаемые переменные должны находится в том же самом поддомене. Можно использовать любое количество переменных. Например в следующей фразе описано несколько переменных:

company=Macromedia&address=600+Townsend&city=San+Francisco&zip=94103

Исходный клип загружается на нулевой уровень Flash Player'а (_level0). При использовании команды loadMovie или loadMovieNum для подгрузки других клипов, необходимо точно указывать номер уровня Flash Player'а или целевой мувиклип. Аналогично для команды loadVariablesNum, необходимо точно указать уровень Flash Player'а для подгрузки в него переменных.

Пример

В примере информация из текст-файла вводится в основную линейку клипа на нулевом уровне. Названия переменных текстовых полей должны соответствовать именам переменных, подгружаемых из data.txt файла.

on(release) {
    loadVariablesNum("data.txt", 0);
}

Смотри также

getURL, loadMovie, loadMovieNum, loadVariables, MovieClip.loadMovie , MovieClip.loadVariables


LoadVars (object)

G-L > LoadVars (object)

LoadVars (object)

Объект LoadVars является альтернативой команде loadVariables для пересылки переменных между Flash-клипом и сервером.

Объект LoadVars можно использовать для получения данных об ошибках, демонстрации процесса и потока данных во время их загрузки. В работе объект LoadVars похож на объект XML, для связи с сервером он использует методы load, send и sendAndLoad. Основное различие между объектами LoadVars и XML в том, что LoadVars передает имена и значения быстрее, чем XML DOM дерево, сохраненное в объекте XML.

Объект LoadVars следует тем же самым ограничениям в безопасности, что и объект XML

До начала вызова методов объекта LoadVars, необходимо использовать его конструктор new LoadVars() для соэдания экземпляра объекта LoadVars.

Объект LoadVars поддерживается начиная с версии Flash Player 6.

Обзор методов объекта LoadVars

Метод | Описание
LoadVars.load | Загружает переменные с указанного URL.
LoadVars.getBytesTotal | Возвращает количество байт, загруженных методом load или sendAndLoad.
LoadVars.getBytesTotal | Возвращает общее количество байт, загружаемых методом load или sendAndLoad.
LoadVars.send | Отсылает переменные из объекта LoadVars в URL.
LoadVars.sendAndLoad | Отсылает переменные из объекта LoadVars в URL и загружает ответ сервера в целевой объект.
LoadVars.toString | возвращает кодированную строку, содержащую все перечисленные переменные в объекте LoadVars.

Обзор свойств объекта LoadVars

Свойство | Описание
LoadVars.contentType | Указывает MIME-тип данных.
LoadVars.load | Булеан, указывающий на окончание операции load или sendAndLoad.

Обзор методов объекта LoadVars

Метод | Описание
LoadVars.onLoad | Вызов, происходящий при окончании операции load или sendAndLoad.

Конструктор объекта LoadVars

Доступность

Flash Player 6.

Синтаксис

new LoadVars()

Параметры

Нет.

Возвращается

Ничего.

Описание

Конструктор, создает экземпляр объекта LoadVars. После этого становится возможным использование его методов для отсылки и приема данных.

Пример

Создание экземпляра объекта LoadVars с названием myLoadVars:

myLoadVars = new LoadVars();


LoadVars.contentType

G-L > LoadVars.contentType

LoadVars.contentType

Доступность

Flash Player 6.

Синтаксис

myLoadVars.contentType

Описание

Свойство, MIME тип, отсылаемый на сервер при вызове методов LoadVars.send или LoadVars.sendAndLoad. По умолчанию application/x-www-urlform encoded.

Смотри также

LoadVars.send, LoadVars.sendAndLoad


LoadVars.getBytesLoaded

G-L > LoadVars.getBytesLoaded

LoadVars.getBytesLoaded

Доступность

Flash Player 6.

Синтаксис

myLoadVars.getBytesLoaded()

Параметры

Нет.

Возвращается

Целое.

Описание

Метод, возвращает число байт, загруженных методом load или sendAndLoad. Метод getBytesLoaded возвращает undefined если операция load не идет или еще не начата.


LoadVars.getBytesTotal

G-L > LoadVars.getBytesTotal

LoadVars.getBytesTotal

Доступность

Flash Player 6.

Usage

myLoadVars.getBytesTotal()

Параметры

Нет.

Возвращается

Целое.

Описание

Метод, возвращает общее число байт, загружаемых операцией load или sendAndLoad. Метод getBytesTotal возвращает undefined если операция load не идет или еще не начата, а так же в том случае если общее количество байтов не может быть определено, например в случае, когда загрузка была начата, но сервер не сообщил размер HTTP-контента.


LoadVars.load

G-L > LoadVars.load

LoadVars.load

Доступность

Flash Player 6.

Синтаксис

myLoadVars.load(url)

Параметры

url URL, с которого грузятся переменные.

Возвращается

A string.

Описание

Метод, загружает переменные с указанного URL, анализирует данные и их местонахождение в loadVarsObject. Перезаписываются любые свойства в loadVarsObject, имеющие те же самые имена, как загружаемые. Сохраняются любые свойства в loadVarsObject, имеющие отличные от загружаемых имена. Это асинхронная команда.

Загружаемые данные должны быть в MIME-формате типа application/x-www-urlform-encoded. Этот же формат используется loadVariables.

Этот метод аналогичен методу XML.load объекта XML.


LoadVars.loaded

G-L > LoadVars.loaded

LoadVars.loaded

Доступность

Flash Player 6.

Синтаксис

myLoadVars.loaded

Описание

Свойство, по умолчанию неопределено. В момент старта операции load или sendAndLoad, свойство loaded устанавливается в false. По окончании опции load или sendAndLoad, свойство loaded устанавливается в true. Если опция загрузки еще не закончена или прекращена вследствие ошибки, свойство loaded устанавливается в false.

Свойство LoadVars.loaded аналогично свойству XML.loaded объекта XML.


LoadVars.onLoad

G-L > LoadVars.onLoad

LoadVars.onLoad

Доступность

Flash Player 6.

Синтаксис

myLoadVars.onLoad(success)

Параметры

success Параметр, указывающий закончилась ли операция загрузки успешно (true) или нет (false).

Возвращается

Булеан.

Описание

Обработчик, вызывается по окончании операции load или sendAndLoad. Если операция была успешной, loadVarsObject заполняется переменными, загруженными в процессе опции load или sendAndLoad, и в случае вызова в onLoad, эти переменные доступны.

Этот метод по умолчанию имеет undefined, вы можете определять это, приписывая его функции повторного вызова.

Этот метод аналогичен методу XML.onLoad объекта XML.


LoadVars.send

G-L > LoadVars.send

LoadVars.send

Доступность

Flash Player 6.

Синтаксис

loadVarsObject.send(url [,target, method] )

Параметры

loadVarsObject Объект LoadVars, отсылающий переменные.

url URL принимающий переменные.

target фрейм броузера.

method "GET" или "POST" метод HTTP протокола.

Возвращается

Строка.

Описание

Метод, отсылает переменные объекта myLoadVars в указанный URL. Все переменные, перечисленные в объекте myLoadVars, объединяются в строку формата application/x-www-urlform-encoded по умолчанию, которая отсылается на указанный URL с использованием HTTP POST метода. Это тот же самый формат, который используется в команде loadVariables. MIME формат отсылает в HTTP заголовке запроса значения myLoadVars.contentType или по умолчанию application/x-www-urlform-encoded. Используется метод "POST", если не задан метод "GET".

Если задан параметр target, сервер выдает результат в соответствующем фрейме броузера. Если параметр target опущен, сервер его игнорирует.

Этот метод аналогичен методу XML.send объекта XML.


LoadVars.sendAndLoad

G-L > LoadVars.sendAndLoad

LoadVars.sendAndLoad

Доступность

Flash Player 6.

Синтаксис

myLoadVars.sendAndLoad(url, targetObject[,method])

Параметры

loadVarsObject объект LoadVars, отсылающий переменные.

url URL принимающий переменные.

targetObject объект LoadVars, получающий загружаемые переменные.

method "GET" или "POST" метод HTTP протокола.

Возвращается

Строка.

Описание

Метод, отсылает переменные объекта myLoadVars в указанный URL. Полученные с сервера переменные анализируются, результат помещается в объект targetObject.

Переменные отсылаются тем же самым способом, как LoadVars.send. Переменные загружаются в targetObject тем же самым способом, как LoadVars.load.

Этот метод аналогичен методу XML.sendAndLoad объекта XML.


LoadVars.toString

G-L > LoadVars.toString

LoadVars.toString

Доступность

Flash Player 6.

Синтаксис

loadVarsObject.toString()

Параметры

Нет.

Возвращается

Строка.

Описание

Метод, возвращает строку, содержащую все перечисленные переменные в объекте LoadVars, в MIME кодированном виде application/x-www-urlform-encoded.

Пример

var myVars = new LoadVars();
myVars.name = "Gary";
myVars.age = 26;
trace (myVars.toString());
would output
name=Gary&age=26


lt (less than — string specific)

G-L > lt (less than — string specific)

lt (меньше чем, строковой оператор)

Доступность

Flash Player 4. Этот оператор считается устаревшим, рекомендовано использование нового оператора < (меньше чем) operator.

Синтаксис

expression1 lt expression2

Параметры

expression1, expression2 Числа, строки или переменные.

Описание

Оператор (сравнения), сравнивает expression1 и expression2 и возвращает true, если expression1 меньше, чем expression2. В противном случае возвращает false.

Смотри также

< (меньше чем)


Math (object)

M > Math (объект)

Math (объект)

Объект Math является объектом верхнего уровня, к которому можно обращаться без использования конструктора.

Используйте методы и свойства этого объекта для обращения к математическим константам и функциям и манипулирования ими. Все методы и свойства объекта Math являются статическими и должны вызываться с использованием синтаксиса Math.method(parameter) или Math.constant. В ActionScript константы определены с максимальной точностью, определенной ИИЭР-754 (IEEE-754) для чисел с плавающей точкой и с удвоенной точностью.

Некоторые методы объекта Math принимают в качестве аргумента значение угла в радианах. Вы можете использовать нижеприведенную формулу, чтобы вычислить значение радиана или просто передать формулу (введя значение в градусах) для аргумента.

Для вычисления значения в радианах используйте следующую формулу:

radian = Math.PI/180 * degree

Следующий пример использования передачи в аргумент формулы вычисления радианов для вычисления синуса угла 45 градусов:

Math.SIN(Math.PI/180 * 45) is the same as Math.SIN(.7854)

Объект Math полностью поддерживается во Flash Player 5. Во Flash Player 4 Вы можете использовать методы объекта Math, но они эмулируются с использованием приближенных значений и могут быть не такими точными, как не эмулированные математические функции, поддерживаемые Flash Player 5.

Таблица методов объекта Math

Метод | Описание
Math.abs | Вычисляет абсолютное значение.
Math.acos | Вычисляет арккосинус.
Math.asin | Вычисляет арксинус.
Math.atan | Вычисляет арктангенс.
Math.atan2 | Вычисляет угол от оси Х до точки.
Math.ceil | Округляет значение вверх до ближайшего целого.
Math.cos | Вычисляет косинус.
Math.exp | Вычисляет экспоненциальное значение.
Math.floor | Округляет значение вниз до ближайшего целого.
Math.log | Вычисляет натуральный логарифм.
Math.max | Возвращает большее число из двух целых чисел.
Math.min | Возвращает меньшее число из двух целых чисел.
Math.pow | Вычисляет значение x возведенное в степень y.
Math.random | Генерирует случайное число между 0.0 и 1.0.
Math.round | Округляет до ближайшего целого числа.
Math.sin | Вычисляет синус.
Math.sqrt | Вычисляет квадратный корень.
Math.tan | Вычисляет тангенс.

Таблица свойств объекта Math

Все свойства объекта Math являются константами.

Свойство | Описание
Math.E | Константа Эйлера. Основание натуральных логарифмов (примерно 2.718).
Math.LN2 | Натуральный логарифм числа 2 (примерно 0.693).
Math.LOG2E | Логарифм e по основанию 2 (примерно 1.442).
Math.LN10 | Натуральный логарифм числа 10 (примерно 2.302).
Math.LOG10E | Логарифм e по основанию 10 (примерно 0.434).
Math.PI | Отношение длины окружности к ее диаметру (примерно 3.14159).
Math.SQRT1_2 | Квадратный корень из 1/2 (примерно 0.707).
Math.SQRT2 | Квадратный корень из 2 (примерно 1.414).


Math.abs

M > Math.abs

Math.abs

Доступность

Flash Player 5. Во Flash Player 4 методы и свойства объекта Math эмулируются с использованием приближенных значений и могут быть не такими точными, как не эмулированные математические функции, поддерживаемые Flash Player 5.

Синтаксис

Math.abs(x)

Параметры

x Положительное или отрицательное число.

Возвращает

Положительное число.

Описание

Метод, вычисляет и возвращает абсолютное значение числа, заданного в аргументе x. Этот метод оставляет положительные числа неизменными, а отрицательные превращает в положительные с той же величиной.


Math.acos

M > Math.acos

Math.acos

Доступность

Flash Player 5. Во Flash Player 4 методы и свойства объекта Math эмулируются с использованием приближенных значений и могут быть не такими точными, как не эмулированные математические функции, поддерживаемые Flash Player 5.

Синтаксис

Math.acos(x)

Параметры

x Число между -1.0 и 1.0 (косинус угла).

Возвращает

Число (угол в радианах).

Описание

Метод, вычисляет и возвращает арккосинус числа в радианах, заданного в аргументе x.


Math.asin

M > Math.asin

Math.asin

Доступность

Flash Player 5. Во Flash Player 4 методы и свойства объекта Math эмулируются с использованием приближенных значений и могут быть не такими точными, как не эмулированные математические функции, поддерживаемые Flash Player 5.

Синтаксис

Math.asin(x);

Параметры

x Число от -1.0 до 1.0 (синус угла).

Возвращает

Число (угол в радианах).

Описание

Метод, вычисляет и возвращает значение арксинуса числа в радианах, заданного в аргументе x.


Math.atan

M > Math.atan

Math.atan

Доступность

Flash Player 5. Во Flash Player 4 методы и свойства объекта Math эмулируются с использованием приближенных значений и могут быть не такими точными, как не эмулированные математические функции, поддерживаемые Flash Player 5.

Синтаксис

Math.atan(x)

Параметры

x Число от -Infinity до Infinity (тангенс угла).

Возвращает

Число (угол в радианах).

Описание

Метод, вычисляет и возвращает значение арктангенса для числа в радианах, заданного в аргументе x. Возвращаемое значение находится между -PI/2 (примерно -1.5707) и PI/2 (примерно 1.5707).


Math.atan2

M > Math.atan2

Math.atan2

Доступность

Flash Player 5. Во Flash Player 4 методы и свойства объекта Math эмулируются с использованием приближенных значений и могут быть не такими точными, как не эмулированные математические функции, поддерживаемые Flash Player 5.

Синтаксис

Math.atan2(y, x)

Параметры

x Число, определяющее Х-координату точки.

y Число, определяющее Y-координату точки.

Возвращает

Число (угол в радианах).

Описание

Метод, вычисляет и возвращает значение арктангенса y/x в радианах. Возвращаемое значение представляет собой дополняющий угол того угла прямоугольного треугольника, для которого x - это длина смежной стороны, а y - длина противоположной стороны.


Math.ceil

M > Math.ceil

Math.ceil

Доступность

Flash Player 5. Во Flash Player 4 методы и свойства объекта Math эмулируются с использованием приближенных значений и могут быть не такими точными, как не эмулированные математические функции, поддерживаемые Flash Player 5.

Синтаксис

Math.ceil(x)

Параметры

x Число или выражение.

Возвращает

Целое положительное или отрицательное число.

Описание

Метод, преобразует число с плавающей точкой в ближайшее целое число, которое больше или равно x.


Math.cos

M > Math.cos

Math.cos

Доступность

Flash Player 5. Во Flash Player 4 методы и свойства объекта Math эмулируются с использованием приближенных значений и могут быть не такими точными, как не эмулированные математические функции, поддерживаемые Flash Player 5.

Синтаксис

Math.cos(x)

Параметры

x Число в диапазоне от 0 до 2*PI (примерно 6.2832).

Возвращает

Число (косинус).

Описание

Метод, возвращает косинус угла (значение от -1.0 до 1.0), определенного аргументом x. Угол x должен быть в радианах. Используйте информацию в ведении объекта Math для вычисления радиана.


Math.E

M > Math.E

Math.E

Доступность

Flash Player 5. Во Flash Player 4 методы и свойства объекта Math эмулируются с использованием приближенных значений и могут быть не такими точными, как не эмулированные математические функции, поддерживаемые Flash Player 5.

Синтаксис

Math.E

Параметры

Нет.

Возвращает

Ничего.

Описание

Свойство. Математическая константа, представляющая собой основание натуральных логарифмов и обозначаемая через e. Примерное значение e 2.71828.


Math.exp

M > Math.exp

Math.exp

Доступность

Flash Player 5. Во Flash Player 4 методы и свойства объекта Math эмулируются с использованием приближенных значений и могут быть не такими точными, как не эмулированные математические функции, поддерживаемые Flash Player 5.

Синтаксис

Math.exp(x)

Параметры

x Показатель степени; число или выражение.

Возвращает

Число.

Описание

Метод, возвращает значение основания натурального логарифма (e), возведенного в степень x. Константа Math.E может предоставлять значение e.


Math.floor

M > Math.floor

Math.floor

Доступность

Flash Player 5. Во Flash Player 4 методы и свойства объекта Math эмулируются с использованием приближенных значений и могут быть не такими точными, как не эмулированные математические функции, поддерживаемые Flash Player 5.

Синтаксис

Math.floor(x)

Параметры

x Число или выражение.

Возвращает

Число.

Описание

Метод, возвращает ближайшее целое число, меньшее или равное по значению числу или выражению, заданного аргументом x.

Пример

Следующий код возвращает значение 12:

Math.floor(12.5);


Math.log

M > Math.log

Math.log

Доступность

Flash Player 5. Во Flash Player 4 методы и свойства объекта Math эмулируются с использованием приближенных значений и могут быть не такими точными, как не эмулированные математические функции, поддерживаемые Flash Player 5.

Синтаксис

Math.log(x)

Параметры

x Число или выражение со значением больше 0.

Возвращает

Число.

Описание

Метод, возвращает натуральный логарифм аргумента x.


Math.LOG2E

M > Math.LOG2E

Math.LOG2E

Доступность

Flash Player 5. Во Flash Player 4 методы и свойства объекта Math эмулируются с использованием приближенных значений и могут быть не такими точными, как не эмулированные математические функции, поддерживаемые Flash Player 5.

Синтаксис

Math.LOG2E

Параметры

Нет.

Возвращает

Ничего.

Описание

Свойство. Математическая константа, представляющая собой значение логарифма с основанием 2 константы e (Math.E), выражается через log2е с приблизительным значением 1.442695040888963387.


Math.LOG10E

M > Math.LOG10E

Math.LOG10E

Доступность

Flash Player 5. Во Flash Player 4 методы и свойства объекта Math эмулируются с использованием приближенных значений и могут быть не такими точными, как не эмулированные математические функции, поддерживаемые Flash Player 5.

Синтаксис

Math.LOG10E

Параметры

Нет.

Возвращает

Ничего.

Описание

Свойство. Математическая константа, представляющая собой значение логарифма с основанием 10 константы e (Math.E), выражается через log10e с приблизительным значением 0.43429448190325181667.


Math.LN2

M > Math.LN2

Math.LN2

Доступность

Flash Player 5. Во Flash Player 4 методы и свойства объекта Math эмулируются с использованием приближенных значений и могут быть не такими точными, как не эмулированные математические функции, поддерживаемые Flash Player 5.

Синтаксис

Math.LN2

Параметры

Нет.

Возвращает

Ничего.

Описание

Свойство. Математическая константа, представляющая собой значение натурального логарифма числа 2, выражается через ln2 с приблизительным значением 0.69314718055994528623.


Math.LN10

M > Math.LN10

Math.LN10

Доступность

Flash Player 5. Во Flash Player 4 методы и свойства объекта Math эмулируются с использованием приближенных значений и могут быть не такими точными, как не эмулированные математические функции, поддерживаемые Flash Player 5.

Синтаксис

Math.LN10

Параметры

Нет.

Возвращает

Ничего.

Описание

Свойство. Математическая константа, представляющая собой значение натурального логарифма числа 10, выражается через ln10 с приблизительным значением 2.3025850929940459011.


Math.max

M > Math.max

Math.max

Доступность

Flash Player 5. Во Flash Player 4 методы и свойства объекта Math эмулируются с использованием приближенных значений и могут быть не такими точными, как не эмулированные математические функции, поддерживаемые Flash Player 5.

Синтаксис

Math.max(x , y)

Параметры

x Число или выражение.

y Число или выражение.

Возвращает

Число.

Описание

Метод, сравнивает x и y и возвращает большее значение.


Math.min

M > Math.min

Math.min

Доступность

Flash Player 5. Во Flash Player 4 методы и свойства объекта Math эмулируются с использованием приближенных значений и могут быть не такими точными, как не эмулированные математические функции, поддерживаемые Flash Player 5.

Синтаксис

Math.min(x, y)

Параметры

x Число или выражение.

y Число или выражение.

Возвращает

Число.

Описание

Метод, сравнивает x и y и возвращает меньшее значение.


Math.PI

M > Math.PI

Math.PI

Доступность

Flash Player 5. Во Flash Player 4 методы и свойства объекта Math эмулируются с использованием приближенных значений и могут быть не такими точными, как не эмулированные математические функции, поддерживаемые Flash Player 5.

Синтаксис

Math.PI

Параметры

Нет.

Возвращает

Число.

Описание

Свойство. Математическая константа, представляющая собой значение отношения длины окружности к ее диаметру, выражается через PI с приблизительным значением 3.14159265358979.


Math.pow

M > Math.pow

Math.pow

Доступность

Flash Player 5. Во Flash Player 4 методы и свойства объекта Math эмулируются с использованием приближенных значений и могут быть не такими точными, как не эмулированные математические функции, поддерживаемые Flash Player 5.

Синтаксис

Math.pow(x, y)

Параметры

x Число, которое должно быть возведено в степень.

y Число, задающее степень, в которую должен быть возведен аргумент x.

Возвращает

Число.

Описание

Метод, вычисляет и возвращает значение x возведенное в степень y.


Math.random

M > Math.random

Math.random

Доступность

Flash Player 5. Во Flash Player 4 методы и свойства объекта Math эмулируются с использованием приближенных значений и могут быть не такими точными, как не эмулированные математические функции, поддерживаемые Flash Player 5.

Синтаксис

Math.random()

Параметры

Нет.

Возвращает

Число.

Описание

Метод, возвращает число равное или больше 0, но меньше 1.

См. также

random


Math.round

M > Math.round

Math.round

Доступность

Flash Player 5. Во Flash Player 4 методы и свойства объекта Math эмулируются с использованием приближенных значений и могут быть не такими точными, как не эмулированные математические функции, поддерживаемые Flash Player 5.

Синтаксис

Math.round(x)

Параметры

x Число.

Возвращает

Число.

Описание

Метод, округляет значение аргумента x вверх или вниз до ближайшего целого и возвращает это значение.


Math.sin

M > Math.sin

Math.sin

Доступность

Flash Player 5. Во Flash Player 4 методы и свойства объекта Math эмулируются с использованием приближенных значений и могут быть не такими точными, как не эмулированные математические функции, поддерживаемые Flash Player 5.

Синтаксис

Math.sin(x)

Параметры

x Угол, заданный в радианах.

Возвращает

Число.

Описание

Метод, вычисляет и возвращает синус заданного угла в радианах. Для вычисления значения угла в радианах используйте способ, описанный в введении объекта Math.


Math.sqrt

M > Math.sqrt

Math.sqrt

Доступность

Flash Player 5. Во Flash Player 4 методы и свойства объекта Math эмулируются с использованием приближенных значений и могут быть не такими точными, как не эмулированные математические функции, поддерживаемые Flash Player 5.

Синтаксис

Math.sqrt(x)

Параметры

x Число или выражение больше или равно 0.

Возвращает

Число.

Описание

Метод, вычисляет и возвращает квадратный корень заданного числа.


Math.SQRT1_2

M > Math.SQRT1_2

Math.SQRT1_2

Доступность

Flash Player 5. Во Flash Player 4 методы и свойства объекта Math эмулируются с использованием приближенных значений и могут быть не такими точными, как не эмулированные математические функции, поддерживаемые Flash Player 5.

Синтаксис

Math.SQRT1_2

Параметры

Нет.

Возвращает

Число.

Описание

Свойство. Математическая константа, представляющая собой значение квадратного корня из (1/2) с примерным значением 0.707106781186.


Math.SQRT2

M > Math.SQRT2

Math.SQRT2

Доступность

Flash Player 5. Во Flash Player 4 методы и свойства объекта Math эмулируются с использованием приближенных значений и могут быть не такими точными, как не эмулированные математические функции, поддерживаемые Flash Player 5.

Синтаксис

Math.SQRT2

Параметры

Нет.

Возвращает

Число.

Описание

Свойство. Математическая константа, представляющая собой значение квадратного корня из 2 с приблизительным значением 1.414213562373.


Math.tan

M > Math.tan

Math.tan

Доступность

Flash Player 5. Во Flash Player 4 методы и свойства объекта Math эмулируются с использованием приближенных значений и могут быть не такими точными, как не эмулированные математические функции, поддерживаемые Flash Player 5.

Синтаксис

Math.tan(x)

Параметры

x Угол, заданный в радианах.

Возвращает

Число.

Описание

Метод, вычисляет и возвращает тангенс заданного угла. Для вычисления значения угла в радианах используйте способ, описанный в ведении объекта Math.


maxscroll

M > maxscroll

maxscroll

Доступность

Flash Player 4. Во Flash Player 5 объявлено устаревшим. Вместо него рекомендуется использовать TextField.maxscroll.

Синтаксис

variable_name.maxscroll

где variable_name это имя переменной, ассоциированной с текстовым полем.

Возвращает

Положительное целое число.

Описание

Свойство (только для чтения), устаревшее свойство, указываеющее номер последней строки текста, находящегося за пределами текстового поля, отчет начинается с последней строки, видимой в текстовом поле.[ 1 ] Свойство maxscroll работает со свойством scroll для контроля отображения информации в текстовом поле. Это свойство можно получить, но нельзя изменить.

См. также

TextField.maxscroll, TextField.scroll

От редактора:

  1. Это легко понять на простом примере. Создайте динамическое, многострочное текстовое поле (ТП) и присвойте его переменной имя txt. В первый кадр линейки поместите следующий код:

    N=10;
txt=i=1;
while(i++<N)txt+=chr(13)+i;
trace(txt.maxscroll);

    Этот текст содержит десять (N=10) пронумерованных от 1 до 10 строк, допустим в ТП отображается 4, в этом случае maxscroll будет равен 7, т.е. 6 строк находятся за пределами ТП, плюс нижняя строка, которая видна.


mbchr

M > mbchr

mbchr

Доступность

Flash Player 4. Эта функция во Flash Player 5 объявлена устаревшей. Вместо нее рекомендовано использовать String.fromCharCode .

Синтаксис

mbchr(number)

Параметры

number Число, преобразуемое в многобайтный символ.

Возвращает

Строку (String).

Описание

Строковая функция, преобразует число ASCII-кода в многобайтный символ.

См. также

String.fromCharCode


mblength

M > mblength

mblength

Доступность

Flash Player 4. Эта функция во Flash Player 5 объявлена устаревшей. Вместо нее рекомендовано использовать String (объект).

Синтаксис

mblength(string)

Параметры

string Строка.

Возвращает

Число.

Описание

Строковая функция, возвращает длину строки многобайтных символов.


mbord

M > mbord

mbord

Доступность

Flash Player 4. Эта функция во Flash Player 5 объявлена устаревшей. Вместо нее рекомендовано использовать String.charCodeAt.

Синтаксис

mbord(character)

Параметры

character Символ, преобразуемый в многобайтное число.

Возвращает

Число.

Описание

Строковая функция, преобразует заданный символ в многобайтное число.

См. также

String.fromCharCode


mbsubstring

M > mbsubstring

mbsubstring

Доступность

Flash Player 4. Эта функция во Flash Player 5 объявлена устаревшей. Вместо нее рекомендовано использовать String.substr.

Синтаксис

mbsubstring(value, index, count)

Параметры

value Многобайтная строка, из которой извлекается новая многобайтная строка.

index Номер первого извлекаемого символа.

count Количество символов, которые должны войти в извлекаемую строку, кроме символа index.

Возвращает

Строку (String).

Описание

Строковая функция, извлекает новую строку многобайтных символов.

См. также

String.substr


method

M > method

method

Доступность

Flash Player 6.

Синтаксис

object.method = function ([parameters]) {
    ...тело функции...
};

Параметры

object Идентификатор для объекта.

method Идентификатор для метода.

parameters Параметры, отсылаемые в функцию. Необязательный параметр.

Возвращает

Ничего.

Описание

Команда, доступна только в обычном режиме (Normal Mode), позволяет определять методы для объектов, используя обычный режим ввода кода на панели Actions. Для большей информации о задании методов для объектов, читайте в Использование Flash.


Mouse (object)

M > Mouse (объект)

Mouse (Объект)

Объект Mouse является объектом верхнего уровня, который может быть доступен без использования конструктора. Можно использовать методы объекта Mouse, чтобы скрыть или показать курсор во Flash-клипе. Курсор "стрелка" по умолчанию виден, но его можно скрыть и использовать пользовательский курсор-мувиклип.

Таблица методов объекта Mouse

Метод | Описание
Mouse.addListener | Регистрирует и добавляет листенеры onMouseDown, onMouseMove и onMouseUp.
Mouse.hide | Скрывает отображение курсора во Flash-клипе.
Mouse.removeListener | Удаляет листенеры, зарегистрированные методом addListener .
Mouse.show | Включает отображение курсора во Flash-клипе.

Таблица листенеров объекта Mouse

Метод | Описание
Mouse.onMouseDown | Уведомляет о нажатии кнопки мыши.
Mouse.onMouseMove | Уведомляет о перемещении мыши.
Mouse.onMouseUp | Уведомляет об отжатии кнопки мыши.


Mouse.addListener

M > Mouse.addListener

Mouse.addListener

Доступность

Flash Player 6.

Синтаксис

Mouse.addListener (newListener)

Параметры

newListener Объект.

Возвращает

Ничего.

Описание

Метод, регистрирует объект, получающий уведомления обработчиков onMouseDown, onMouseMove и onMouseUp.

Параметр newListener должен содержать объект с методами, определенными для событий onMouseDown, onMouseMove и onMouseUp.

При нажатии, отжатии клавиш мыши и ее перемещении, независимо от местонахождения фокуса ввода, во всех "слушающих" объектах (листенерах), зарегистрированных при помощи метода addListener, вызываются любой из методов onMouseDown, onMouseMove или onMouseUp. Сложные объекты могут отслеживать вызовы клавиатуры. Если листенер newListener уже зарегистрирован, никаких изменений не происходит.


Mouse.hide

M > Mouse.hide

Mouse.hide

Доступность

Flash Player 5.

Синтаксис

Mouse.hide()

Параметры

Нет.

Возвращает

Ничего.

Описание

Метод, позволяет скрыть курсор во Flash-клипе. По умолчанию курсор виден.

Пример

Следующий код, вставленный в мувиклип customCursorMC, находящийся на главной линейке (Timeline), скрывает стандартный курсор и присваивает этому мувиклипу координаты курсора мыши.

onClipEvent(enterFrame){
    Mouse.hide();
    customCursorMC._x = _root._xmouse;
    customCursorMC._y = _root._ymouse;
}

См. также

Mouse.show, MovieClip._xmouse, MovieClip._ymouse


Mouse.onMouseDown

M > Mouse.onMouseDown

Mouse.onMouseDown

Доступность

Flash Player 6.

Синтаксис

someListener.onMouseDown

Описание

Листенер, сообщает о нажатии клавиши мыши. Для использования листенера onMouseDown необходимо создать объект Листенер. Затем можно определить функцию для onMouseDown и использовать метод addListener для регистрации листенера с объектом Mouse, как это сделано ниже:

someListener = new Object();
someListener.onMouseDown = function () { ... };
Mouse.addListener(someListener);

Листенеры объединяют разные части кода для взаимодействия, т.к. несколько листенеров могут получать уведомление об одном событии.

See also

Mouse.addListener


Mouse.onMouseMove

M > Mouse.onMouseMove

Mouse.onMouseMove

Доступность

Flash Player 6.

Синтаксис

someListener.onMouseMove

Описание

Листенер, сообщает о перемещении мыши. Для использования листенера onMouseMove необходимо создать объект Листенер. Затем можно определить функцию для onMouseMove и использовать метод addListener для регистрации листенера с объектом Mouse, как это сделано ниже:

someListener = new Object();
someListener.onMouseMove = function () { ... };
Mouse.addListener(someListener);

Листенеры объединяют разные части кода для взаимодействия, т.к. несколько листенеров могут получать уведомление об одном событии.

See also

Mouse.addListener


Mouse.onMouseUp

M > Mouse.onMouseUp

Mouse.onMouseUp

Доступность

Flash Player 6.

Синтаксис

someListener.onMouseUp

Описание

Листенер, сообщает об отжатии клавиши мыши. Для использования листенера onMouseDown необходимо создать объект Листенер. Затем можно определить функцию для onMouseUp и использовать метод addListener для регистрации листенера с объектом Mouse, как это сделано ниже:

someListener = new Object();
someListener.onMouseUp = function () { ... };
Mouse.addListener(someListener);

Листенеры объединяют разные части кода для взаимодействия, т.к. несколько листенеров могут получать уведомление об одном событии.

See also

Mouse.addListener


Mouse.removeListener

M > Mouse.removeListener

Mouse.removeListener

Доступность

Flash Player 6.

Синтаксис

Mouse.removeListener (listener)

Параметры

listener An object.

Возвращает

Если объект listener был успешно удален, метод возвращает true. Если listener удалить не удалось, например если listener не был в списке листенеров объекта Mouse, метод возвращает false.

Описание

Метод, удаляет объект, ранее зарегистрированный методом addListener.


Mouse.show

M > Mouse.show

Mouse.show

Доступность

Flash Player 5.

Синтаксис

Mouse.show()

Параметры

Нет.

Возвращает

Ничего.

Описание

Метод, отображает курсор мыши во Flash-клипе. По умолчанию курсор виден.

См. также

Mouse.show, MovieClip._xmouse, MovieClip._ymouse


MovieClip (object)

M > MovieClip (объект)

MovieClip (объект)

Методы для объекта MovieClip предоставляют те же функциональные возможности, что и стандартные команды для мувиклипов. Существуют также и дополнительные методы, которые недоступны в Toolbox на панели Actions.

Вам не нужно использовать конструктор для вызова методов объекта MovieClip. Вместо этого вы обращаетесь к мувиклипу по имени, используя следующий синтаксис::

myMovieClip.play();
myMovieClip.gotoAndPlay(3);

Таблица методов объекта MovieClip

Метод | Описание
MovieClip.attachMovie | Присоединяет мувиклип, находящийся в библиотеке.
MovieClip.createEmptyMovieClip | Создает пустой мувиклип.
MovieClip.createTextField | Создает пустое текстовое поле.
MovieClip.duplicateMovieClip | Создает копию указанного мувиклипа.
MovieClip.getBounds | Возвращает минимальные и максимальные значения координат x и y мувиклипа в заданном координатном пространстве.
MovieClip.getBytesLoaded | Возвращает количество загруженных байтов для указанного мувиклипа.
MovieClip.getBytesTotal | Возвращает размер мувиклипа в байтах.
MovieClip.getDepth | Возвращает глубину вложенности (Depth) мувиклипа.
MovieClip.getURL | Отыскивает и загружает документ по URL-адресу.
MovieClip.globalToLocal | Преобразует точку объекта из координат главного рабочего стола в координаты мувиклипа.
MovieClip.gotoAndPlay | Переводит воспроизводящую головку (Playhead) в определенный кадр шкалы времени мувиклипа, при этом воспроизвдение мувиклипа продолжается.
MovieClip.gotoAndStop | Переводит воспроизводящую головку (Playhead) в определенный кадр шкалы времени мувиклипа, при этом воспроизвдение мувиклипа останавливается.
MovieClip.hitTest | Возвращает true, если указанный мувиклип пересекается или перекрывается другим мувиклипом.
MovieClip.loadMovie | Загружает Flash-клип в указанный мувиклип.
MovieClip.loadVariables | Загружает переменные, расположенные по URL-адресу или другого места в мувиклип.
MovieClip.localToGlobal | Преобразует точку объекта из локальных координат мувиклипа в координаты главного рабочего стола.
MovieClip.nextFrame | Переводит воспроизводящую головку (Playhead) в следующий кадр шкалы времени мувиклипа.
MovieClip.play | Воспроизводит указанный мувиклип.
MovieClip.prevFrame | Переводит воспроизводящую головку (Playhead) в предыдущий кадр шкалы времени мувиклипа.
MovieClip.removeMovieClip | Удаляет мувиклип с линейки (Timeline), если он был создан командой duplicateMovieClip или методом attachMovie .
MovieClip.setMask | Определяет мувиклип как маску для других мувиклипов.
MovieClip.startDrag | Определяет мувиклип как перетаскиваемый и начинает его перемещать.
MovieClip.stop | Останавливает воспроизведение текущего мувиклипа.
MovieClip.stopDrag | Останавливает перемещение любого мувиклипа, который является перетаскиваемым.
MovieClip.swapDepths | Меняет местами уровень глубины вложенности (Depth Level) двух мувиклипов.
MovieClip.unloadMovie | Удаляет (выгружает) Flash-клип, который был загружен командой loadMovie .

Таблица методов рисования объекта MovieClip

Метод | Описание
MovieClip.beginFill | Начинает рисование сплошной заливки (Fill) на рабочем столе.
MovieClip.beginGradientFill | Начинает рисование градиентной заливки (Gradient Fill) на рабочем столе.
MovieClip.clear | Удаляет всю графику в мувиклипе, созданную программно.
MovieClip.curveTo | Рисует кривую, используя последний применявшийся стиль линии (Line Style).
MovieClip.endFill | Завершает рисование заливки, начатой методом beginFill или beginGradientFill.
MovieClip.lineStyle | Определяет контур линий, созданных методами lineTo и curveTo.
MovieClip.lineTo | Рисует линию, используя текущий стиль линии (Line Style).
MovieClip.moveTo | Задает новую текущую точку рисования.

Таблица свойств объекта MovieClip

Свойство | Описание
MovieClip._alpha | Значение прозрачности мувиклипа.
MovieClip._currentframe | Номер кадра, в котором расположена воспроизводящая головка (Playhead).
MovieClip._droptarget | Абсолютный путь к мувиклипу (в слэш-нотации) над которым находится или был отпущен (брошен) перетаскиваемый мувиклип.
MovieClip.enabled | Разрешает или запрещает доступ к мувиклипу.
MovieClip.focusEnabled | Разрешает или запрещает получать мувиклипу фокус.
MovieClip._focusrect | Отвечает за то, будет ли иметь мувиклип желтую рамку, когда на нем находится фокус.
MovieClip._framesloaded | Количество загруженных кадров.
MovieClip._height | Высота экземпляра мувиклипа в пикселях.
MovieClip.hitArea | Определяет другой мувиклип, чтобы использования его в качестве "горячей" области (Hit Area) мувиклипа-кнопки.
MovieClip._highquality | Задает качество сглаживания графики во Flash-клипе.
MovieClip._name | Имя экземпляра мувиклипа.
MovieClip._parent | Ссылка на мувиклип, содержащий текущий мувиклип.
MovieClip._rotation | Угол поворота экземпляра мувиклипа.
MovieClip._soundbuftime | Количество секунд перед воспроизведением потокового (Stream) звука.
MovieClip.tabChildren | Показывает, включены ли мувиклипы, вложенные в текущий мувиклип, в автоматический порядок обхода при нажатии клавиш Tab или Shift+Tab.
MovieClip.tabEnabled | Показывает, включен ли мувиклип в автоматический порядок обхода при нажатии клавиш Tab или Shift+Tab.
MovieClip.tabIndex | Показывает место текущего мувиклипа в порядке обхода при нажатии клавиш Tab или Shift+Tab.
MovieClip._target | Абсолютный путь к текущему экземпляру мувиклипа (в слэш-нотации).
MovieClip._totalframes | Общее количество кадров в мувиклипе.
MovieClip.trackAsMenu | Указывает, могут ли другие мувиклипы-кнопки откликаться на событие мыши.
MovieClip._url | URL-адрес файла SWF, откуда был взят этот файл.
MovieClip.useHandCursor | Определяет, будет ли курсор менять свой внешний вид на руку (Hand), когда пользователь наведет его на текущий мувиклип-кнопку.
MovieClip._visible | Булево значение, определяющее, будет ли виден экземпляр мувиклипа или нет.
MovieClip._width | Ширина экземпляра мувиклипа в пикселях.
MovieClip._x | Горизонтальная координата экземпляра мувиклипа.
MovieClip._xmouse | Горизонтальная координат курсора в экземпляре мувиклипа.
MovieClip._xscale | Значение, определяющее масштаб экземпляра мувиклипа по горизонтали в процентах.
MovieClip._y | Вертикальная координата экземпляра мувиклипа.
MovieClip._ymouse | Вертикальная координата курсора в экземпляре мувиклипа.
MovieClip._yscale | Значение, определяющее масштаб экземпляра мувиклипа по вертикале в процентах.

Таблица обработчиков событий объекта MovieClip

Свойство | Описание
MovieClip.onData | Наступает, когда все данные загрузятся в мувиклип.
MovieClip.onDragOut | Наступает, когда курсор уводится с мувиклипа-кнопки. Кнопка мыши была нажата над мувиклипом-кнопкой, затем оставаясь нажатой уводится с этого мувиклипа-кнопки.
MovieClip.onDragOver | Наступает при наведении курсора на мувиклип-кнопку. Кнопка мыши была нажата за пределами мувиклипа, затем в нажатом состоянии была наведена на текущий мувиклип.
MovieClip.onEnterFrame | Происходит непрерывно с частотой смены кадров с секунду, установленной в настройках Flash-клипа. Команды, связанные с событием мувиклипа enterFrame обрабатываются прежде, чем скрипты, назначенные любому кадру этого мувиклипа.
MovieClip.onKeyDown | Происходит, когда нажимается клавиша на клавиатуре. Используйте методы Key.getCode и Key.getAscii, чтобы получить информацию о последней нажатой клавише.
MovieClip.onKeyUp | Наступает после отпускания клавиши на клавиатуре.
MovieClip.onKillFocus | Наступает, когда текущий мувиклип-кнопка теряет фокус ввода.
MovieClip.onLoad | Наступает, когда мувиклип полностью загрузился и появился на линейке (Timeline).
MovieClip.onMouseDown | Наступает, когда нажимается левая кнопка мыши.
MovieClip.onMouseMove | Наступает каждый раз, когда происходит движение мыши.
MovieClip.onMouseUp | Происходит, когда отпускается левая кнопка мыши.
MovieClip.onPress | Наступает, когда пользователь нажимает левую кнопку мыши над этим мувиклипом-кнопкой.
MovieClip.onRelease | Наступает, когда пользователь отпускает левую кнопку мыши над этим мувиклипом-кнопкой (ранее она была нажата так же над этим мувиклипом-кнопкой).
MovieClip.onReleaseOutside | Наступает, когда левая кнопка мыши была нажата над текущим мувиклипом-кнопкой, затем отпущена, когда курсор находился за пределами мувиклипа-кнопки.
MovieClip.onRollOut | Наступает, когда курсор уходит с области текущего мувиклипа-кнопки.
MovieClip.onRollOver | Наступает, когда курсор мыши наводится на текущий мувиклип-кнопку.
MovieClip.onSetFocus | Наступает, когда текущий мувиклип-кнопка получает фокус (после отпускания клавиши Tab).
MovieClip.onUnload | Наступает, когда мувиклип удаляется (выгружается) с линейки (Timeline) (наступает в первом кадре, в котором уже отсутствует текущий мувиклип). Команды, связанные с обработчиком событий мувиклипа Unload обрабатываются прежде, чем любые команды, назначенные кадрам этого мувиклипа.


MovieClip._alpha

M > MovieClip._alpha

MovieClip._alpha

Доступность

Flash Player 4.

Синтаксис

myMovieClip._alpha

Описание

Свойство, устанавливает или восстанавливает значение прозрачности (alpha) мувиклипа myMovieClip. Допустимые значения от 0 (полная прозрачность) до 100 (полная непрозрачность). Объекты в мувиклипе с _alpha равной 0 являются активными, хотя полностью невидимы. Например, Вы можете спокойно щелкнуть по кнопке, находящийся в прозрачном (_alpha = 0) мувиклипе.

Пример

Следующий пример устанавливает свойство прозрачности (_alpha) мувиклипа star в 30%, если щелкнуть по кнопке, в которой прописан данный код:

on(release) {
    star._alpha = 30;
}


MovieClip.attachMovie

M > MovieClip.attachMovie

MovieClip.attachMovie

Доступность

Flash Player 5.

Синтаксис

myMovieClip.attachMovie( idName, newName, depth [, initObject] )

Параметры

idName Связывающее имя (идентификатор) символа мувиклипа в библиотеке для помещения его на сцену программным способом. Это имя вводится в поле Identifier диалогового окна Symbol Linkage Properties.

newname Уникальное имя для присоединенного экземпляра мувиклипа.

depth Целое число, определяющее уровень глубины вложенности (Depth Level) присоединенного мувиклипа.

initObject Объект, содержащий свойства, которые наследует присоединенный мувиклип. Этот параметр позволяет динамически созданным мувиклипам получать свойства указанного объекта. Если initObject не является объектом, он игнорируется. Все свойства initObject копируются в новый экземпляр. Свойства, указанные в initObject доступны функции-конструктору. Этот параметр является не обязательным.

Возвращает

Ничего.

Описание

Метод, достает из библиотеки символ-мувиклип с идентификатором idName и помещает его на сцену в мувиклип myMovieClip. Используйте команду removeMovieClip или метод unloadMovie, чтобы удалить мувиклип, помещенный на сцену методом attachMovie .

Пример

Следующий пример помещает из библиотеке символ-мувиклип с идентификатором circle в мувиклип thing (на уровень 2), который находится на главной сцене и присваивает экземпляру новое имя circle1:

on (release) {
    thing.attachMovie( "circle", "circle1", 2 );
}

См. также

MovieClip.removeMovieClip, MovieClip.unloadMovie, Object.registerClass, removeMovieClip


MovieClip.beginFill

M > MovieClip.beginFill

MovieClip.beginFill

Доступность

Flash Player 6.

Синтаксис

myMovieClip.beginFill ([rgb[, alpha]])

Параметры

rgb Шестнадцатеричное значение цвета (например красный: 0xFF0000, синий: 0x0000FF и т.д.). Если это значение не предоставляется или не определено, заливка не создается.

alpha Целое число от 0 до 100, которое определяет значение прозрачности заливки. Если значение не задано, используется значение 100. Если значение меньше 0, Flash использует 0. Если больше 100, использует 100.

Возвращает

Ничего.

Описание

Метод, заливает рисунок однотонным цветом. Если существует незамкнутый путь (т.е. если позиция текущего рисования не равняется предыдущей позиции, указанной в методе moveTo) и с ним была связана заливка, тогда путь автоматически замыкается прямой линией и затем выполняется заливка. Это подобно тому, когда вызывается метод endFill.

См. также

MovieClip.beginGradientFill, MovieClip.endFill


MovieClip.beginGradientFill

M > MovieClip.beginGradientFill

MovieClip.beginGradientFill

Доступность

Flash Player 6.

Синтаксис

myMovieClip.beginGradientFill (fillType, colors, alphas, ratios, matrix)

Параметры

fillType Тип заливки: "linear" (линейный) или "radial" (радиальный). Указывается в виде строки (String).

colors Массив значений шестнадцатеричного RGB-цвета, использующийся в градиенте (например, красный - 0xFF0000, синий - 0x0000FF и т.д.).

alphas Массив значений прозрачности, соответствующий цветам в массиве colors, допустимые значения от 0 до 100. Если значение меньше 0, Flash использует 0. Если значение больше 100, Flash использует 100.

ratios Массив распределения пропорций цветов. Допустимые значения от 0 до 255. Это значение определяет процент ширины занимаемый цветом, 255 эквивалентно 100 процентам.

matrix Таблица трансформации, являющаяся объектом, с любыми следующими двумя установками свойств.

a, b, c, d, e, f, g, h, i, которые могут быть использованы для описания таблицы 3 x 3 следующей формы:

a 	b 	c
d 	e 	f
g 	h 	i

Следующий пример использует метод beginGradientFill с параметром matrix, который является объектом с этими свойствами:

_root.createEmptyMovieClip( "grad", 1 );
              with ( _root.grad )
              {

              colors = [ 0xFF0000, 0x0000FF ];
              alphas = [ 100, 100 ];
              ratios = [ 0, 0xFF ];
              matrix = { a:200, b:0, c:0, d:0, e:200, f:0, g:200, h:200, i:1 };
              beginGradientFill( "linear", colors, alphas, ratios, matrix );
              moveTo(100,100);
              lineTo(100,300);
              lineTo(300,300);
              lineTo(300,100);
              lineTo(100,100);
              endFill();

              }

Если свойство matrixType не существует, тогда все оставшиеся параметры обязательны. Функция не работает, если любой из них отсутствует. Эта таблица масштабирует, пересчитывает, вращает и искажает блок градиента, который определен в (-1,-1) и (1,1).

matrixType, x, y, w, h, r.

Эти свойства указывают следующее: matrixType - это строка "box" (контейнер), x - это горизонтальная позиция относительно точки регистрации мувиклипа-родителя для верхнего левого угла градиента, y - это вертикальная позиция относительно точки регистрации мувиклипа-родителя для верхнего левого угла градиента, w - ширина градиента, h - высота градиента и r - угол вращения градиента в радианах.

Следующий пример использует метод beginGradientFill с параметром matrix, который является объектом с этими свойствами:

_root.createEmptyMovieClip( "grad", 1 );
              with ( _root.grad )

              {

              colors = [ 0xFF0000, 0x0000FF ];
              alphas = [ 100, 100 ];
              ratios = [ 0, 0xFF ];
              matrix = { matrixType:"box", x:100, y:100, w:200, h:200, r:(45/180)*Math.PI };
              beginGradientFill( "linear", colors, alphas, ratios, matrix );
              moveTo(100,100);
              lineTo(100,300);
              lineTo(300,300);
              lineTo(300,100);
              lineTo(100,100);
              endFill();
              }

Если свойство matrixType существует, то оно должно быть эквивалентно "box" и все оставшиеся параметры обязательны. Функция не работает, если любое из этих условий не выполнено.

Возвращает

Ничего.

Описание

Метод, заливает рисунок градиентом. Если первый параметр undefined или если не передаются никакие параметры, заливки не происходит. Если существует незамкнутый путь (т.е. если позиция текущего рисования не равняется предыдущей позиции, указанной в методе moveTo) и с ним была связана заливка, тогда путь автоматически замыкается прямой линией и затем выполняется заливка. Это подобно тому, вызову метода endFill.

Этот метод не работает, если существует любое из следующих условий:

Не совпадают между собой количество единиц параметров colors, alphas и ratios.

Значение параметра fillType не соответствует "linear" или "radial".

Любое из полей объекта для параметра matrix пропущено или ошибочно.

Пример

Следующий пример использует оба метода заливки.

_root.createEmptyMovieClip("goober",1);
with ( _root.goober )
{
    colors = [ 0xFF0000, 0x0000FF ];
    alphas = [ 100, 100 ];
    ratios = [ 0, 0xFF ];
    lineStyle( 5, 0x00ff00 );
    matrix = { a:500,b:0,c:0,d:0,e:200,f:0,g:350,h:200,i:1};
    beginGradientFill( "linear", colors, alphas, ratios, matrix );
    moveto(100,100);
    lineTo(100,300);
    lineTo(600,300);
    lineTo(600,100);
    lineTo(100,100);
    endFill();
    matrix = { matrixType:"box", x:100, y:310, w:500, h:200, r:(0/180)*Math.PI };
    beginGradientFill( "linear", colors, alphas, ratios, matrix );
    moveTo(100,310);
    lineTo(100,510);
    lineTo(600,510);
    lineTo(600,310);
    lineTo(100,310);
    endFill();
}

См. также

MovieClip.beginFill, MovieClip.endFill, MovieClip.lineStyle , MovieClip.lineTo, MovieClip.moveTo


MovieClip.clear

M > MovieClip.clear

MovieClip.clear

Доступность

Flash Player 6.

Синтаксис

myMovieClip.clear()

Параметры

Нет.

Возвращает

Ничего.

Описание

Метод, удаляет все рисунки, созданные программным способом и ассоциированы с текущим мувиклипом. Формы и линии, нарисованные в среде разработки Flash инструментами рисования не затрагиваются. Вызов метода clear удаляет так же и текущий стиль линии (Style Line).

См. также

MovieClip.lineStyle


MovieClip.createEmptyMovieClip

M > MovieClip.createEmptyMovieClip

MovieClip.createEmptyMovieClip

Доступность

Flash Player 6.

Синтаксис

myMovieClip.createEmptyMovieClip (instanceName, depth)

Параметры

instanceName Строка, задает имя создаваемого мувиклипа.

depth Целое число, задает глубину вложенности (Depth) создаваемого мувиклипа.

Возвращает

Ничего.

Описание

Метод, создает пустой мувиклип, который является дочерним (вложенным) по отношению к myMovieClip. Этот метод очень схож с методом attachMovie, но Вам не нужно указывать ID-имя (Linkage Name). Точка регистрации (Registration Point) для созданного мувиклипа является верхний левый угол. Этот метод не работает, если отсутствует какой-либо параметр.

См. также

MovieClip.attachMovie


MovieClip.createTextField

M > MovieClip.createTextField

MovieClip.createTextField

Доступность

Flash Player 6.

Синтаксис

myMovieClip.createTextField (instanceName, depth, x, y, width, height)

Параметры

instanceName Строка (String), задает имя создаваемого текстового поля.

depth Целое положительное число, задает глубину вложенности (Depth) создаваемого текстового поля.

x Целое число, задает горизонтальную координату создаваемого текстового поля.

y Целое число, задает вертикальную координату создаваемого текстового поля.

width Положительное целое число, задает ширину создаваемого текстового поля.

height Положительное целое число, задает высоту создаваемого текстового поля.

Возвращает

Ничего.

Описание

Метод, создает новое пустое текстовое поле, которое будет вложено в мувиклип myMovieClip. Метод createTextField используется для динамического создания (т.е. "на лету", во время воспроизведения текущего мувиклипа) текстовых полей. Текстовое поле размещается в координатах x и y, с размерами width (ширина) и height (высота). Параметры x и y указываются относительно мувиклипа-контейнера и соответствуют свойствам _x и _y текстового поля. Параметры width и height соответствуют свойствам _width и _height текстового поля.

По умолчанию свойства текстового поля следующие:

type = "dynamic" (динамическое текстовое поле),
border = false (не будет иметь рамку),
background = false (не будет иметь собственного фона),
password = false (будут выводиться обычные символы, а не "звездочки"),
multiline = false (однострочное),
html = false (не поддерживающее HTML),
embedFonts = false (без внудренных шрифтов),
variable = null (ассоциированной переменной нет),
maxChars = null (количество символов никак не ограничено)

Текстовое поле, созданное методом createTextField имеет следующие свойства объекта TextFormat:

font = "Times New Roman" (шрифт)
size = 12 (размер)
textColor = 0x000000 (цвет)
bold = false (не полужирный)
italic = false (не курсив)
underline = false (не подчеркнутый)
url = "" (не гиперссылка)
target = "" (дополнительных параметров для текста-гиперссылки нет)
align = "left" (выравнивание по левому краю)
leftMargin = 0 (левая граница)
rightMargin = 0 (правая граница)
indent = 0 (отступ красной строки)
leading = 0 (интервал)
bullet = false (без буллита)
tabStops = [] (пустой массив)

Пример

Следующий пример создает многострочное текстовое поле mytext, с автоматическим переходом на новую строку, шириной в 300 и высотой в 100 пикселей, с координатами x - 100, y - 100, без рамки, c красным подчеркнутым текстом this is my first test field object text, шрифтом "Times New Roman" и без буллита.

_root.createTextField("mytext",1,100,100,300,100);
mytext.multiline = true;
mytext.wordWrap = true;
mytext.border = false;
þ
myformat = new TextFormat();
myformat.color = 0xff0000;
myformat.bullet = false;
myformat.underline = true;
þ
mytext.text = "this is my first test field object text";
mytext.setTextFormat(myformat);

См. также

TextFormat (объект)


MovieClip._currentframe

M > MovieClip._currentframe

MovieClip._currentframe

Доступность

Flash Player 4.

Синтаксис

myMovieClip._currentframe

Описание

Свойство (только для чтения), возвращает номер кадра, в котором находится воспроизводящая головка (Playhead) на линейке (Timeline) мувиклипа myMovieClip.

Пример

Следующий пример использует свойство _currentframe, чтобы переместить воспроизводящую головку (Playhead) мувиклипа actionClip на пять кадров дальше, по отношению к ее текущему расположению:

actionClip.gotoAndStop(_currentframe + 5);


MovieClip.curveTo

M > MovieClip.curveTo

MovieClip.curveTo

Доступность

Flash Player 6.

Синтаксис

myMovieClip.curveTo (controlX, controlY, anchorX, anchorY)

Параметры

controlX Целое число, задающее горизонтальную позицию управляющей точки относительно точки регистрации (Registration Point) родительского мувиклипа.

controlY Целое число, задающее вертикальную позицию управляющей точки относительно точки регистрации родительского мувиклипа.

anchorX Целое число, задающее горизонтальную позицию следующей опорной точки относительно точки регистрации родительского мувиклипа.

anchorY Целое число, задающее вертикальную позицию следующей опорной точки относительно точки регистрации родительского мувиклипа.

Возвращает

Ничего.

Описание

Метод, рисует кривую линию из текущей позиции рисования в точку с координатами (anchorX, anchorY), используя контрольную точку, указанную в координатах (controlX, controlY), после чего позиция (anchorX, anchorY) становится текущей. Если мувиклип, в котором происходит рисование, содержит графику, созданную во Flash-редакторе (т.е. не программно), она перекрывает всю "программную" графику, созданную методом curveTo. Если метод curveTo вызывается до вызова метода moveTo, текущей точкой рисования будет (0, 0). Если какой-нибудь из параметров отсутствует, метод не работает и текущая позиция рисования не изменяется.

Пример

Следующий пример рисует окружность сплошной линией синего цвета, "волосяной" толщины и заполняет ее однотонным красным цветом.

_root.createEmptyMovieClip( "circle", 1 );
with ( _root.circle )
{
    lineStyle( 0, 0x0000FF, 100 );
    beginFill( 0xFF0000 );
    moveTo( 500, 500 );
    curveTo( 600, 500, 600, 400 );
    curveTo( 600, 300, 500, 300 );
    curveTo( 400, 300, 400, 400 );
    curveTo( 400, 500, 500, 500 );
    endFill();
}

См. также

MovieClip.beginFill, MovieClip.createEmptyMovieClip, MovieClip.endFill, MovieClip.lineStyle, MovieClip.lineTo, MovieClip.moveTo


MovieClip._droptarget

M > MovieClip._droptarget

MovieClip._droptarget

Доступность

Flash Player 4.

Синтаксис

myMovieClip._droptarget

Описание

Свойство (только для чтения), возвращает абсолютный путь до экземпляра мувиклипа MovieClip в слэш-нотации. Свойство _droptarget всегда возвращает значение пути, начинающееся слэшем (/). Для сравнения свойства экземпляра _droptarget со ссылкой, используйте функцию eval, конвертирующую возвращаемое значение из слэш- в дот-синтаксис.

Пример

Следующий пример вычисляет свойство _droptarget мувика garbage и использует eval для конвертации его слэш- в дот-синтаксис. Ссылка на garbage сравнивается со ссылкой на экземпляр мувика trash. Если они эквивалентны, свойство видимости garbage устанавливается в false. В противном случае, экземпляр garbage восстанавливается в его первоначальной позиции.

if (eval(garbage._droptarget) == _root.trash) {
    garbage._visible = false;
} else {
    garbage._x = x_pos;
    garbage._y = y_pos;
}

Переменные x_pos и y_pos задаются в первом кадре клипа следующим скриптом:

x_pos = garbage._x;
y_pos = garbage._y;

См. также

startDrag


MovieClip.duplicateMovieClip

M > MovieClip.duplicateMovieClip

MovieClip.duplicateMovieClip

Доступность

Flash Player 5.

Синтаксис

myMovieClip.duplicateMovieClip(newname, depth [,initObject])

Параметры

newname Уникальное имя-идентификатор для нового мувиклипа.

depth Уникальное число, определяющее глубину вложенности (Depth), куда помещается дублированный мувиклип.

initObject Объект, содержащий свойства, которые наследует новый мувиклип. Этот аргумент позволяет динамически созданным мувиклипам получать свойства указанного объекта. Если initObject не является объектом, он игнорируется. Все свойства initObject копируются в новый экземпляр. Свойства, указанные в initObject доступны функции-конструктору. Этот параметр является не обязательным.

Возвращает

Ничего.

Описание

Метод, создает экземпляр указанного мувиклипа во время воспроизведения Flash-клипа. Дублированный мувиклип всегда начинает воспроизводиться с первого кадра, при этом не имеет значения какой кадр является текущим в оригинальном мувиклипе, в момент вызова метода duplicateMovieClip. Переменные из родительского мувиклипа в дублированный мувиклип не копируются. Мувиклипы, созданные методом duplicateMovieClip не создаются, если их родителя Вы вызываете методом duplicateMovieClip. Если родительский мувиклип удаляется, дублированный мувиклип продолжает жить своей жизнью. Мувиклипы, добавленные при помощи duplicateMovieClip могут быть удалены командой или методом removeMovieClip .

См. также

duplicateMovieClip, MovieClip.removeMovieClip , removeMovieClip


MovieClip.enabled

M > MovieClip.enabled

MovieClip.enabled

Доступность

Flash Player 6.

Синтаксис

myMovieClip.enabled

Описание

Свойство, разрешающее или запрещающее доступ к мувиклипу-кнопке (т.е. будет ли реагировать мувиклип-кнопка на щелчки). По умолчанию значение enabled установлено в true. Если enabled установлено в false, методы повторного вызова и команды события on не вызываются, соответственно блокируются кадры Over, Down и Up. Свойство enabled не затрагивает линейку мувиклипа-кнопки. Мувиклип продолжает получать события мувиклипа (например, mouseDown, mouseUp, keyDown и keyUp).

Свойство enabled управляет только свойствами мувиклипа-кнопки, подобными свойствам кнопок. Вы можете изменить свойство enabled в любое время. Измененный мувиклип-кнопка будет немедленно доступен или заблокирован. Свойство enabled может читаться из объекта прототипа (Prototype). Если enabled установлено в false, объект не включается в автоматический порядок обхода клавишами Tab или Shift+Tab.


MovieClip.endFill

M > MovieClip.endFill

MovieClip.endFill

Доступность

Flash Player 6.

Синтаксис

myMovieClip.endFill()

Параметры

Нет.

Возвращает

Ничего.

Описание

Метод, завершает рисование заливки, которая была вызвана методом beginFill или beginGradientFill. Flash использует заливку, которая была определена в предыдущем вызове метода beginFill или beginGradientFill. Если текущая позиция рисования не равняется предыдущей позиции, определенной в методе moveTo, путь между ними замыкается линией, затем происходит закрашивание.


MovieClip.focusEnabled

M > MovieClip.focusEnabled

MovieClip.focusEnabled

Доступность

Flash Player 6.

Синтаксис

myMovieClip.focusEnabled

Описание

Свойство. Если значение undefined или false, мувиклип не может получить фокус ввода, если только этот мувиклип не мувиклип-кнопка. Если значение свойства focusEnabled является true, мувиклип может получать фокус ввода, если он не мувиклип-кнопка.


MovieClip._focusrect

M > MovieClip._focusrect

MovieClip._focusrect

Доступность

Flash Player 6.

Синтаксис

myMovieClip._focusrect

Описание

Свойство, принимающее булево значение, определяет, будет ли иметь мувиклип желтую рамку, когда на ней находится фокус ввода. Это свойство может быть заменено глобальным свойством _focusrect.


MovieClip._framesloaded

M > MovieClip._framesloaded

MovieClip._framesloaded

Доступность

Flash Player 4.

Синтаксис

myMovieClip._framesloaded

Описание

Свойство (только для чтения), определяет количество кадров Flash-клипа, загруженных во Flash Player. Это свойство полезно при создании предварительных загрузчиков (Preloaders), приостанавливающих воспроизведение до загрузки достаточного числа кадров. Например, для отображения процесса загрузки клипа во Flash Player, показывая, сколько кадров уже загружено и сколько еще осталось загрузить.

Пример

Следующий пример использует свойство _framesloaded, чтобы начать воспроизведение Flash-клипа, когда загрузятся все кадры. Если загружены еще не все кадры, свойство _xscale будет увеличивать мувиклип loader, выполняющий роль шкалы, пропорционально процессу загрузки кадров.

if (_framesloaded >= _totalframes) {
    gotoAndPlay ("Scene 1", "start");
} else {
    _root.loader._xscale = (_framesloaded/_totalframes)*100);
}


MovieClip.getBounds

M > MovieClip.getBounds

MovieClip.getBounds

Доступность

Flash Player 5.

Синтаксис

myMovieClip.getBounds(targetCoordinateSpace)

Параметры

targetCoordinateSpace Целевой путь к линейке (Timeline), координаты которой Вы хотите использовать.

Возвращает

Объект со свойствами xMin, xMax, yMin и yMax.

Описание

Метод, возвращает максимальные и минимальные значения координат x и y мувиклипа myMovieClip, в системе координат, заданной в аргументе targetCoordinateSpace.

Примечание: Используйте методы localToGlobal и globalToLocal объекта MovieClip для преобразования локальных координат мувиклипа в глобальные или глобальных в локальные соответственно.

Пример

В следующем примере объект, который возвращает метод getBounds ассоциирован с переменной clipBounds. Затем Вы можете иметь доступ к каждому значению свойства и использовать их в сценарии. В этом сценарии другой экземпляр мувиклипа clip2 размещается рядом с экземпляром clip.

clipBounds = clip.getBounds(_root);
clip2._x = clipBounds.xMax;

См. также

MovieClip.globalToLocal, MovieClip.localToGlobal


MovieClip.getBytesLoaded

M > MovieClip.getBytesLoaded

MovieClip.getBytesLoaded

Доступность

Flash Player 5.

Синтаксис

myMovieClip.getBytesLoaded()

Параметры

Нет.

Возвращает

Целое число, отображающее количество загруженных байтов во Flash Player.

Описание

Метод, возвращает количество загруженных байтов, указанного объекта myMovieClip. Вы можете сравнивать значение метода getBytesLoaded со значением метода getBytesTotal, чтобы установить, сколько процентов от объема мувиклипа уже загружено.

См. также

MovieClip.getBytesTotal


MovieClip.getBytesTotal

M > MovieClip.getBytesTotal

MovieClip.getBytesTotal

Доступность

Flash Player 5.

Синтаксис

myMovieClip.getBytesTotal()

Параметры

Нет.

Возвращает

Целое число, показывающее размер myMovieClip в байтах.

Описание

Метод, возвращает размер мувиклипа myMovieClip в байтах. Для внешних мувиклипов (Flash-клип или мувиклип, который осуществляет загрузку в определенный мувиклип или на заданный уровень) возвращаемое значение является размером SWF-файла.

См. также

MovieClip.getBytesLoaded


MovieClip.getDepth

M > MovieClip.getDepth

MovieClip.getDepth

Доступность

Flash Player 6.

Синтаксис

myMovieClip.getDepth

Параметры

Нет.

Возвращает

Целое положительное число.

Описание

Метод, возвращает глубину вложенности (Depth) экземпляра мувиклипа.


MovieClip.getURL

M > MovieClip.getURL

MovieClip.getURL

Доступность

Flash Player 5.

Синтаксис

myMovieClip.getURL(URL [,window, variables])

Параметры

URL URL-адрес, с которого необходимо получить документ.

window Необязательный аргумент, задающий имя, фрейм или выражение, определяющие окно или HTML-фрейм, в которое должен быть загружен документ. Можно также использовать одно из зарезервированных целевых имен: _self задает текущий фрейм в текущем окне, _blank задает новое окно, _parent задает родителя текущего фрейма, _top задает фрейм вернего уровня в текущем окне.

variables Необязательный аргумент, определяющий метод отсылки переменных из клипа на сервер. Если отсылать переменные не требуется, этот агрумент опускается. В противном случае, указывается метод GET или POST. GET прицепляет переменные к концу URL и используется в случае малого количества переменных (длина запроса ограничена 256 символами). POST отправляет переменные в отдельном HTTP заголовке и используется для длинных строковых переменных.

Возвращает

Ничего.

Описание

Метод, загружает документ с заданного URL-адреса в заданное окно. Метод getURL также может быть использован для передачи переменных другим приложениям, определенным через URL с помощью методов GET или POST .

См. также

getURL


MovieClip.globalToLocal

M > MovieClip.globalToLocal

MovieClip.globalToLocal

Доступность

Flash Player 5.

Синтаксис

myMovieClip.globalToLocal(point)

Параметры

point Имя или идентификатор объекта, созданного с помощью общего объекта Object, с координатами x и y в качестве свойств.

Возвращает

Ничего.

Описание

Метод, конвертирует глобальные координаты объекта point из координат сцены (глобальные) в координаты мувиклипа (локальные).

Пример

Следующий пример преобрпзует глобальные координаты объекта point в локальные координаты мувиклипа.

onClipEvent(mouseMove) {
    point = new object();
    point.x = _root._xmouse;
    point.y = _root._ymouse;
    globalToLocal(point);
    trace(_root._xmouse + " " + _root._ymouse);
    trace(point.x + " " + point.y);
    updateAfterEvent();
}

См. также

MovieClip.getBounds, MovieClip.localToGlobal


MovieClip.gotoAndPlay

M > MovieClip.gotoAndPlay

MovieClip.gotoAndPlay

Доступность

Flash Player 5.

Синтаксис

myMovieClip.gotoAndPlay(frame)

Параметры

frame Номер кадра, на который должна перейти воспроизводящая головка (Playhead).

Возвращает

Ничего.

Описание

Метод, начинает воспроизведение мувиклипа с определенного кадра.

См. также

gotoAndPlay


MovieClip.gotoAndStop

M > MovieClip.gotoAndStop

MovieClip.gotoAndStop

Доступность

Flash Player 5.

Синтаксис

myMovieClip.gotoAndStop(frame)

Параметры

frame Номер кадра, на который должна перейти воспроизводящая головка (Playhead).

Возвращает

Ничего.

Описание

Метод, переводит воспроизводящую головку (Playhead) в определенный кадр и останавливает ее в нем.

См. также

gotoAndStop


MovieClip._height

M > MovieClip._height

MovieClip._height

Доступность

Flash Player 4.

Синтаксис

myMovieClip._height

Описание

Свойство, получает или задает высоту мувиклипа в пикселях.

Пример

Следующий код устанавливает высоту и ширину мувиклипа в 200 пикселей, когда пользователь щелкает мышкой:

onClipEvent(mouseDown) {
    _width=200;
    _height=200;
}


MovieClip._highquality

M > MovieClip._highquality

MovieClip._highquality

Доступность

Flash Player 6.

Синтаксис

myMovieClip._highquality

Описание

Глобальное свойство, определяющее уровень сглаживания в текущем Flash-клипе. Значение 2 (BEST) всегда применять сглаживание к растровым рисункам. Значение 1 (High Quality) применять сглаживание растровых рисунков, если Flash-клип не содержит анимации. Значение 0 (Low Quality) не производить сглаживание. Это свойство может быть заменено глобальным свойством _highquality.

Пример

myMovieClip._highquality = 1;

См. также

_quality, toggleHighQuality


MovieClip.hitArea

M > MovieClip.hitArea

MovieClip.hitArea

Доступность

Flash Player 6.

Синтаксис

myMovieClip.hitArea

Возвращает

Ссылку на мувиклип.

Описание

Свойство, позволяющее задать другой мувиклип в качестве "горячей" области мувиклипа-кнопки. Если свойство hitArea равно null или undefined, в качестве горячей области используется текущий мувиклип-кнопка. Значение свойства hitArea может ссылаться на объект Movie Clip.

Свойство hitArea можно изменить в любой момент. Измененный мувиклип-кнопка тотчас примет новую "горячую" область. Мувиклип, назначенный в качестве "горячей" области, не обязательно должен быть видим (_visible). Его графическая форма хотя и не видна, проверяется на нажатие. Свойство hitArea может читаться из объекта прототипа (Prototype).


MovieClip.hitTest

M > MovieClip.hitTest

MovieClip.hitTest

Доступность

Flash Player 5.

Синтаксис

myMovieClip.hitTest(x, y, shapeFlag)
myMovieClip.hitTest(target)

Параметры

x Горизонтальная координата "горячей" области (Hit Area) сцены.

y Вертикальная координата "горячей" области (Hit Area) сцены.

Координаты x и y определены в глобальном координатном пространстве.

target Целевой путь "горячей" области (Hit Area), которая может пересекаться или перекрываться экземпляром, определенным в myMovieClip. Параметр target обычно представляет собой кнопку или динамическое текстовое поле.

shapeFlag Булево значение, указывающее воспринимать ли только площадь, занимаемую мувиклипом - (true) или нужно делать проверку, относительно рамки myMovieClip - (false). Этот аргумент может быть задан только в том случае, если "горячая" область идентифицирована с использованием координат-аргументов x и y.

Возвращает

Булево значение.

Описание

Метод, вычисляет пересечение или перекрытие myMovieClip или "горячей" области, указанной через target или координат x и y .

Первый способ использования: Проверяет координаты x и y в графической форме (true) или ограничивающей рамке (false), согласно значению shapeFlag. Если параметр shapeFlag установлен в true, проверяется только область, фактически занятая экземпляром на сцене и если точка x, y пересекается, возвращается значение true. Это полезно для определения, находится ли мувиклип в определенной области.

Второй способ использования: Проверяет ограничивающие рамки target и myMovieClip, и возвращает true если они пересеклись/перекрылись в какой-либо точке.

Пример

Следующий пример использует метод hitTest со свойствами _xmouse и _ymouse, чтобы проверить, находится ли курсор над ограничивающей мувиклип рамкой:

if (hitTest( _root._xmouse, _root._ymouse, false));

Следующий пример использует метод hitTest для определения, перекрывает/пересекается ли мувиклип ball с мувиклипом square:

if(_root.ball, hitTest(_root.square)){
    trace("ball столкнулся с square");
}

См. также

MovieClip.getBounds, MovieClip.globalToLocal, MovieClip.localToGlobal


MovieClip.lineStyle

M > MovieClip.lineStyle

MovieClip.lineStyle

Доступность

Flash Player 6.

Синтаксис

myMovieClip.lineStyle ([thickness[, rgb[, alpha]]])

Параметры

thickness Положительное число, которое задает толщину линии в пикселях. Допустимые значения от 0 до 255. Если число не задано или параметр возвратит undefined, линия не нарисуется. Если значение меньше 0, Flash использует 0. Значение 0 соответствует толщине "волоска" (Hairline). 255 - это максимальная толщина. Если значение больше 255, Flash использует 255.

rgb Шестнадцатеричное значение цвета линии(например, красный - 0xFF0000, синий - 0x0000FF и т.д.). Если значение не задано, Flash использует 0x000000 (черный).

alpha Положительное число, которое задает прозрачность цвета линии. Допустимые значения от 0 до 100. Если значение не задано, Flash использует 100 (полная непрозрачность). Если значение меньше 0, Flash использует 0. Если значение больше 100, Flash использует 100.

Возвращает

Ничего.

Описание

Метод, определяет стиль линии, использующийся для методов lineTo и curveTo до тех пор, пока не будет вызван метод lineStyle с другими параметрами. Метод lineStyle можно вызвать в середине пути рисования, таким образом можно задавать различные стили для разных частей дорожки.

Примечание: Вызов метода MovieClip.clear сбрасывает все ранее созданные стили линий и метод lineStyle возвратит undefined.

Пример

Следующий код нарисует треугольник сплошной непрозрачной линией пурпурного цвета без заливки:

_root.createEmptyMovieClip ("triangle", 1);
with (_root.triangle) {

    lineStyle (5, 0xff00ff, 100);
    moveTo (200, 200);
    lineTo (300, 300);
    lineTo (100, 300);
    lineTo (200, 200);

}

См. также

MovieClip.beginFill, MovieClip.beginGradientFill, MovieClip.clear, MovieClip.curveTo, MovieClip.lineTo , MovieClip.moveTo,


MovieClip.lineTo

M > MovieClip.lineTo

MovieClip.lineTo

Доступность

Flash Player 6.

Синтаксис

myMovieClip.lineTo (x, y)

Параметры

x Целое число, задающее горизонтальную позицию относительно точки регистрации (Registration Point) родителя мувиклипа.

y Целое число, задающее вертикальную позицию относительно точки регистрации (Registration Point) родителя мувиклипа.

Возвращает

Ничего.

Описание

Метод, рисует линию из текущей позиции рисования в (x, y) используя текущий стиль линии. В последствии x и y становятся текущей позицией рисования. Если мувиклип, в котором происходит рисование, содержит графику, созданную во Flash-редакторе (т.е. не программно), она перекрывает всю "программную" графику, созданную методом lineTo. Если метод lineTo вызывается до вызова метода moveTo, текущей точкой рисования будет 0, 0. Если какой-нибудь из параметров отсутствует, метод не работает и текущая позиция рисования не изменяется.

Пример

Следующий пример нарисует треугольник пурпурной (0xFF00FF) линией, толщиной 5 пикселей и заполнит его полупрозрачным голубым цветом:

_root.createEmptyMovieClip ("triangle", 1);
    with (_root.triangle){
        beginFill (0x0000FF, 50);
        lineStyle (5, 0xFF00FF, 100);
        moveTo (200, 200);
        lineTo (300, 300);
        lineTo (100, 300);
        lineTo (200, 200);
        endFill();
}

См. также

MovieClip.beginFill, MovieClip.createEmptyMovieClip , MovieClip.endFill, MovieClip.lineStyle, MovieClip.moveTo


MovieClip.loadMovie

M > MovieClip.loadMovie

MovieClip.loadMovie

Доступность

Flash Player 5.

Синтаксис

myMovieClip.loadMovie("url" [,variables])

Параметры

url Абсолютный или относительный URL-адрес SWF- или JPEG-файла для загрузки. Относительный путь должен быть связан с SWF-файлом, находящимся на основном уровне _level0. URL-адрес должен быть в том же поддомене, что и URL-адрес текущего Flash-клипа. Для использования во Flash Player или для проверки во Flash-редакторе (Control > Test Movie), все SWF-файлы должны быть в одной папке и имена файлов не могут содержать спецификации папок или дисков.[ 1 ]

variables Необязательный параметр, определяющий способ отсылки переменных, ассоциированных с загружаемым Flash-клипом. Этот параметр должен содержать строку GET или POST. Если нет необходимости отсылать переменные, опустите этот параметр. Метод GET прицепляет переменные к концу URL-адреса и используется в случае малого количества переменных. Метод POST отправляет переменные в отдельном заголовке HTTP и используется для длинных строковых переменных.

Возвращает

Ничего.

Описание

Метод, загружает SWF- или JPEG-файлы во Flash-клип или мувиклип во время воспроизведения Flash-клипа во Flash Player. Без метода loadMovie Flash Player отображает один Flash-клип (SWF-файл) и по окончанию закрывает его. Метод loadMovie позволяет Вам показывать одновременно несколько Flash-клипов сразу или переключаться между ними без необходимости загрузки другого HTML-документа.

SWF- или JPEG-файлы, загруженные в мувиклип, наследуют его свойства, такие как расположение, поворот и масштаб. Вы можете указать целевой путь к мувиклипу, в который будут загружаться SWF-файлы.

Используйте метод unloadMovie для удаления SWF- или JPEG-файлов, загруженных методом loadMovie. Используйте метод loadVariables, чтобы сохранить активным текущий Flash-клип и одновременно обновить значение переменных.

См. также

loadMovie, loadMovieNum, MovieClip.loadVariables, MovieClip.unloadMovie, unloadMovie, unloadMovieNum

От редактора:

  1. Как говорят в Одессе: "Я Вас умоляю!" :)
    Макромедия здесь просто перестраховывается от дураков. Попробуйте сами, команда подобного синтаксиса:

    targetMC.loadMovie("dir/subdir/file.swf");

    работает не хуже любой другой, как локально, так и в сети, адресация она и в Африке адресация и было бы много удивительней, если бы Макромедия действительно запретила ее использование. Аналогично и с абсолютными адресами. Да и проект выглядит гораздо аккуратней, если все его SWF-файлы лежат в одной специально выделенной директории (подобно картинкам), а не раскиданы по дисковому пространству сайта в самых неожиданных местах. Другое дело, что используя подобную схему, при создании такого подгружаемого клипа следует учитывать его будущее размещение и соответственно все его внешние обращения, если таковые планируются. В общем подходите творчески к подобным запретам :)


MovieClip.loadVariables

M > MovieClip.loadVariables

MovieClip.loadVariables

Доступность

Flash Player 5.

Синтаксис

myMovieClip.loadVariables("url", variables)

Параметры

url Абсолютный или относительный URL-адрес для внешнего файла, который содержит переменные для загрузки. URL-адрес должен быть в том же поддомене, что и Flash-клип.

variables Необязательный параметр, определяющий метод отсылки переменных из Flash-клипа или мувиклипа. Этот параметр должен быть строкой GET или POST. Если здесь нет переменных для отправки, опустите этот параметр. Метод GET прицепляет переменные к концу URL-адреса и используется в случае малого количества переменных. Метод POST отправляет переменные в отдельном заголовке HTTP и используется для длинных строковых переменных.

Возвращает

Ничего.

Описание

Метод, считывает данные из внешнего файла и устанавливает значения для переменных в MovieClip. Внешний файл может быть текстовым файлом, сгенерированным CGI-скриптами, Active Server Pages (ASP) или PHP и может содержать любое количество переменных.

Этот метод также может быть использован для обновления переменных в текущем мувиклипе новыми значениями.

Этот метод требует, чтобы текст в URL был в стандартном формате MIME: application/x-www-form-urlencoded (формат сценария CGI).

См. также

loadMovie, loadVariables, loadVariablesNum, MovieClip.unloadMovie


MovieClip.localToGlobal

M > MovieClip.localToGlobal

MovieClip.localToGlobal

Доступность

Flash Player 5.

Синтаксис

myMovieClip.localToGlobal(point)

Параметры

point Имя или идентификатор объекта, созданного при помощи общего объекта Object, определяющее координаты х и y в качестве свойства.

Возвращает

Ничего.

Описание

Метод, преобразует объект point из координат мувиклипа (локальных) в координаты сцены (глобальные).

Пример

Следующий пример преобразует координаты х и y объекта point из локальных координат мувиклипа в глобальные. Локальные координаты х и y определены используя свойства _xmouse и _ymouse для извлечения положения мыши.

onClipEvent(mouseMove) {
    point = new object();
    point.x = _xmouse;
    point.y = _ymouse;
    _root.out3 = point.x + " === " + point.y;
    _root.out = _root._xmouse + " === " + _root._ymouse;
    localToGlobal(point);
    _root.out2 = point.x + " === " + point.y;
    updateAfterEvent();
}

См. также

MovieClip.globalToLocal


MovieClip.moveTo

M > MovieClip.moveTo

MovieClip.moveTo

Доступность

Flash Player 6.

Синтаксис

myMovieClip.moveTo (x, y)

Параметры

x Целое число, задающее горизонтальную позицию относительно точки регистрации (Registration Point) родителя мувиклипа.

y Целое число, задающее вертикальную позицию относительно точки регистрации (Registration Point) родителя мувиклипа.

Возвращает

Ничего.

Описание

Метод, перемещает текущую позицию рисования в x, y. Если какой-нибудь параметр отсутствует, этот метод не работает и текущая позиция рисования не изменяется.

Пример

Следующий пример нарисует треугольник без заливки сплошной, непрозрачной, пурпурной линией, толщиной 5 пикселей.

_root.createEmptyMovieClip ("triangle", 1);
with (_root.triangle) {
    lineStyle (5, 0xff00ff, 100);
    moveTo (200, 200);
    lineTo (300, 300);
    lineTo (100, 300);
    lineTo (200, 200);
}

См. также

MovieClip.createEmptyMovieClip, MovieClip.lineStyle, MovieClip.lineTo


MovieClip._name

M > MovieClip._name

MovieClip._name

Доступность

Flash Player 4.

Синтаксис

myMovieClip._name

Описание

Свойство, возвращает имя экземпляра, определенного в myMovieClip.


MovieClip.nextFrame

M > MovieClip.nextFrame

MovieClip.nextFrame

Доступность

Flash Player 5.

Синтаксис

myMovieClip.nextFrame()

Параметры

Нет.

Возвращает

Ничего.

Описание

Метод, отправляет воспроизводящую головку (Playhead) в следующий кадр и останавливает в нем воспроизведение текущего мувиклипа.

См. также

nextFrame


MovieClip.onData

M > MovieClip.onData

MovieClip.onData

Доступность

Flash Player 6.

Синтаксис

myMovieClip.onData

Параметры

Нет.

Возвращает

Ничего.

Описание

Обработчик события, наступает при получении данных, вызванных методами loadVariables или loadMovie .

Вы должны определить функцию, которая выполнится по наступлению этого события.

Пример

Следующий пример определяет функцию для метода onData, которая выведет сообщение onData called в окно Output:

myMovieClip.onData = function () {
    trace ("onData called");
};


MovieClip.onDragOut

M > MovieClip.onDragOut

MovieClip.onDragOut

Доступность

Flash Player 6.

Синтаксис

myMovieClip.onDragOver

Параметры

Нет.

Возвращает

Ничего.

Описание

Обработчик события, вызывается, когда пользователь наводит курсор на этот мувиклип, нажимает левую кнопку мыши и не отпуская ее уводит курсор с этого мувиклипа.

Вы должны определить функцию, которая выполнится по наступлению этого события.

Пример

Следующий пример определяет функцию для события onDragOut, которая выведет сообщение onDragOut called в окно Output:

myMovieClip.onDragOut = function () {
    trace ("onDragOut called");
};

См. также

MovieClip.onDragOver


MovieClip.onDragOver

M > MovieClip.onDragOver

MovieClip.onDragOver

Доступность

Flash Player 6.

Синтаксис

myMovieClip.onDragOver

Параметры

Нет.

Возвращает

Ничего.

Описание

Обработчик события, вызывается, когда пользователь нажимает левую кнопку мыши за пределами текущего мувиклипа и не отпуская ее наводит курсор на мувиклип.

Вы должны определить функцию, которая выполнится по наступлению этого события.

Пример

Следующий пример определяет функцию для события onDragOut, которая выведет сообщение onDragOver called в окно Output:

myMovieClip.onDragOver = function () {
    trace ("onDragOver called");
};

См. также

MovieClip.onDragOut


MovieClip.onEnterFrame

M > MovieClip.onEnterFrame

MovieClip.onEnterFrame

Доступность

Flash Player 6.

Описание

myMovieClip.onEnterFrame

Параметры

Нет.

Возвращает

Ничего.

Описание

Обработчик события, который происходит непрерывно с частотой смены кадров во Flash-клипе. Команды, ассоциированные с enterFrame, обрабатываются в первую очередь.

Вы должны определить функцию, которая выполнится по наступлению этого события.

Пример

Следующий пример определяет функцию для события onEnterFrame, которая выведет сообщение onEnterFrame called в окно Output:

myMovieClip.onEnterFrame = function () {
    trace ("onEnterFrame called");
};


MovieClip.onKeyDown

M > MovieClip.onKeyDown

MovieClip.onKeyDown

Доступность

Flash Player 6.

Синтаксис

myMovieClip.onKeyDown

Параметры

Нет.

Возвращает

Ничего.

Описание

Обработчик события, вызывается, когда текущий мувиклип имеет фокус ввода и пользователь нажал клавишу на клавиатуре. Событие onKeyDown не принимает параметров. Вы можете использовать методы Key.getAscii и Key.getCode для вычисления клавиши.

Вы должны определить функцию, которая выполнится по наступлению этого события.

Пример

Следующий пример определяет функцию для события onKeyDown, которая выведет сообщение onKeyDown called в окно Output:

myMovieClip.onKeyDown = function () {
    trace ("onKeyDown called");
};

См. также

MovieClip.onKeyUp


MovieClip.onKeyUp

M > MovieClip.onKeyUp

MovieClip.onKeyUp

Доступность

Flash Player 6.

Синтаксис

myMovieClip.onKeyUp

Параметры

Нет.

Возвращает

Ничего.

Описание

Обработчик события, вызывается, когда мувиклип находится в фокусе ввода и пользователь отпускает нажатую ранее клавишу на клавиатуре. Событие onKeyUp не принимает параметров. Вы должны использовать методы Key.getAscii и Key.getCode для вычисления клавиши.

Вы должны определить функцию, которая выполнится по наступлению этого события.

Пример

Следующий пример определяет функцию для события onKeyUp, которая выведет сообщение onKeyUp called в окно Output:

myMovieClip.onKeyUp = function () {
    trace ("onKeyUp called");
};


MovieClip.onKillFocus

M > MovieClip.onKillFocus

MovieClip.onKillFocus

Доступность

Flash Player 6.

Синтаксис

myMovieClip.onKillFocus = function (newFocus) {
      statements;

};

Параметры

newFocus - это объект, который принимает фокус.

Возвращает

Ничего.

Описание

Обработчик события, наступающий, когда текущий мувиклип теряет фокус ввода. Метод onKillFocus принимает один параметр newFocus, который является объектом и представляет новый объект, принявший фокуса ввода. Если ни один из объектов не получает фокус ввода, newFocus присваивается значение null.


MovieClip.onLoad

M > MovieClip.onLoad

MovieClip.onLoad

Доступность

Flash Player 6.

Синтаксис

myMovieClip.onLoad

Параметры

Нет.

Возвращает

Ничего.

Описание

Обработчик события, наступает сразу же, как только текущий мувиклип появится на сцене.

Вы должны определить функцию, которая выполнится по наступлению этого события.

Пример

Следующий пример определяет функцию для события onLoad, которая выведет сообщение onLoad called в окно Output:

myMovieClip.onLoad = function () {
    trace ("onLoad called");
};


MovieClip.onMouseDown

M > MovieClip.onMouseDown

MovieClip.onMouseDown

Доступность

Flash Player 6.

Синтаксис

myMovieClip.onMouseDown

Параметры

Нет.

Возвращает

Ничего.

Описание

Обработчик события, наступает после нажатия правой кнопки мыши.

Вы должны определить функцию, которая выполнится по наступлению этого события.

Пример

Следующий пример определяет функцию для события onMouseDown, которая выведет сообщение onMouseDown called в окно Output :

myMovieClip.onMouseDown = function () {
    trace ("onMouseDown called");
}


MovieClip.onMouseMove

M > MovieClip.onMouseMove

MovieClip.onMouseMove

Доступность

Flash Player 6.

Синтаксис

myMovieClip.onMouseMove

Параметры

Нет.

Возвращает

Ничего.

Описание

Обработчик события, наступает при движении мыши.

Вы должны определить функцию, которая выполнится по наступлению этого события.

Пример

Следующий пример определяет функцию для события onMouseMove , которая выведет сообщение onMouseMove called в окно Output:

myMovieClip.onMouseMove = function () {
  trace ("onMouseMove called");
};


MovieClip.onMouseUp

M > MovieClip.onMouseUp

MovieClip.onMouseUp

Доступность

Flash Player 6.

Синтаксис

myMovieClip.onMouseUp

Параметры

Нет.

Возвращает

Ничего.

Описание

Обработчик события, наступает после отпускания правой кнопки мыши.

Вы должны определить функцию, которая выполнится по наступлению этого события.

Пример

Следующий пример определяет функцию для события onMouseUp, которая выведет сообщение onMouseUp called в окно Output:

myMovieClip.onMouseUp = function () {
    trace ("onMouseUp called");

};


MovieClip.onPress

M > MovieClip.onPress

MovieClip.onPress

Доступность

Flash Player 6.

Синтаксис

myMovieClip.onPress

Параметры

Нет.

Возвращает

Ничего.

Описание

Обработчик события, наступает при нажатии на текущий мувиклип.

Вы должны определить функцию, которая выполнится по наступлению этого события.

Пример

Следующий пример определяет функцию для события onPress, которая выведет сообщение onPress called в окно Output:

myMovieClip.onPress = function () {
    trace ("onPress called");
};


MovieClip.onRelease

M > MovieClip.onRelease

MovieClip.onRelease

Доступность

Flash Player 6.

Синтаксис

myMovieClip.onRelease

Параметры

Нет.

Возвращает

Ничего.

Описание

Обработчик события, наступающий при отпускании нажатой ранее левой кнопки мыши над текущим мувиклипом.

Вы должны определить функцию, которая выполнится по наступлению этого события.

Пример

Следующий пример определяет функцию для метода onRelease, который выведет сообщение onRelease called в окно Output:

myMovieClip.onRelease = function () {
    trace ("onRelease called");
};


MovieClip.onReleaseOutside

M > MovieClip.onReleaseOutside

MovieClip.onReleaseOutside

Доступность

Flash Player 6.

Синтаксис

myMovieClip.onReleaseOutside

Параметры

Нет.

Возвращает

Ничего.

Описание

Обработчик события, наступающий, когда пользователь отпускает левую кнопку мыши за пределами текущего мувиклипа, причем нажата она была над этим мувиклипом.

Вы должны определить функцию, которая выполнится по наступлению этого события.

Пример

Следующий пример определяет функцию для метода onReleaseOutside, который выведет сообщение onReleaseOutside called в окно Output:

myMovieClip.onReleaseOutside = function () {
    trace ("onReleaseOutside called");
};


MovieClip.onRollOut

M > MovieClip.onRollOut

MovieClip.onRollOut

Доступность

Flash Player 6.

Синтаксис

myMovieClip.onRollOut

Параметры

Нет.

Возвращает

Ничего.

Описание

Обработчик события, наступающий, когда пользователь уводит курсор с текущего мувиклипа.

Вы должны определить функцию, которая выполнится по наступлению этого события.

Пример

Следующий пример определяет функцию метода onRollOut, который выведет сообщение onRollOut called в окно Output:

myMovieClip.onRollOut = function () {
    trace ("onRollOut called");
};


MovieClip.onRollOver

M > MovieClip.onRollOver

MovieClip.onRollOver

Доступность

Flash Player 6.

Синтаксис

myMovieClip.onRollOver

Параметры

Нет.

Возвращает

Ничего.

Описание

Обработчик события, наступающий при наведении курсора на текущий мувиклип.

Вы должны определить функцию, которая выполнится по наступлению этого события.

Пример

Следующий пример определяет функцию для метода onRollOver, который выведет сообщение onRollOver called в окно Output:

myMovieClip.onRollOver = function () {
    trace ("onRollOver called");
};


MovieClip.onSetFocus

M > MovieClip.onSetFocus

MovieClip.onSetFocus

Доступность

Flash Player 6.

Синтаксис

myMovieClip.onSetFocus = function(oldFocus){
      statements;
};

Параметры

oldFocus - это объект, который позволяет не задавать фокус ввода для текущего мувиклипа, а оставит предыдущий фокус.

Возвращает

Ничего.

Описание

Обработчик события, наступающий, когда мувиклип получает фокус ввода. Параметр oldFocus является объектом, который позволяет избавиться от фокуса. Например, если пользователь нажимает клавишу Tab/Shift+Tab, чтобы переместить фокус с текстового поля в мувиклип, параметр oldFocus будет содержать экземпляр текстового поля.

Если нет объекта, который содержал бы до этого события фокус, oldFocus принимает значение null.


MovieClip.onUnload

M > MovieClip.onUnload

MovieClip.onUnload

Доступность

Flash Player 6.

Синтаксис

myMovieClip.onUnload

Параметры

Нет.

Возвращает

Ничего.

Описание

Обработчик события, наступает в первом кадре, после удаления текущего мувиклипа с линейки (Timeline). Команды, ассоциированные с onUnload выполняются в первую очередь. Вы должны определить функцию, которая выполнится по наступлению этого события.

Пример

Следующий пример определяет функцию для события onUnload, который выведет сообщение onUnload called в окно Output:

myMovieClip.onUnload = function () {
    trace ("onUnload called");
};


MovieClip._parent

M > MovieClip._parent

MovieClip._parent

Доступность

Flash Player 6.

Синтаксис

myMovieClip._parent.property
_parent._parent.property

Описание

Свойство, определяет или возвращает ссылку на мувиклип или объект, который содержит текущий мувиклип или объект. Текущий мувиклип или объект это мувиклип или объект, содержащий код ActionScript, который ссылается на "родителя" (_parent). Используйте свойство _parent для определения относительного пути к мувиклипу или объекту, который "этажом" выше текущего мувиклипа или объекта.

См. также

_root , targetPath


MovieClip.play

M > MovieClip.play

MovieClip.play

Доступность

Flash Player 5.

Синтаксис

myMovieClip.play()

Параметры

Нет.

Возвращает

Ничего.

Описание

Метод, заставляет воспроизводящую головку (Playhead) мувиклипа двигаться вдоль линейки (Timeline).

См. также

play


MovieClip.prevFrame

M > MovieClip.prevFrame

MovieClip.prevFrame

Доступность

Flash Player 5.

Синтаксис

myMovieClip.prevFrame()

Параметры

Нет.

Возвращает

Ничего.

Описание

Метод, отправляет воспроизводящую головку (Playhead) мувиклипа в предыдущий кадр и останавливает в нем его воспроизведение.

См. также

prevFrame


MovieClip.removeMovieClip

M > MovieClip.removeMovieClip

MovieClip.removeMovieClip

Доступность

Flash Player 5.

Синтаксис

myMovieClip.removeMovieClip()

Параметры

Нет.

Возвращает

Ничего.

Описание

Метод, удаляет экземпляр мувиклипа, созданного командой duplicateMovieclip или методами объекта MovieClip duplicateMovieClip и attachMovie .

См. также

MovieClip.attachMovie, MovieClip.attachMovie , removeMovieClip, MovieClip.attachMovie


MovieClip._rotation

M > MovieClip._rotation

MovieClip._rotation

Доступность

Flash Player 4.

Синтаксис

myMovieClip._rotation

Описание

Свойство, определяет угол поворота мувиклипа в градусах. Допустимые значения от -180 до 180.


MovieClip.setMask

M > MovieClip.setMask

MovieClip.setMask

Доступность

Flash Player 6.

Синтаксис

myMovieClip.setMask (maskMovieClip)

Параметры

myMovieClip Имя экземпляра маскируемого мувиклипа.

maskMovieClip Имя мувиклипа-маски (маскирующего).

Возвращает

Ничего.

Описание

Метод, делает мувиклип, указанный в параметре maskMovieClip, маской мувиклипа, указанного в myMovieClip.

Метод setMask позволяет создавать маску из много-кадрового мувиклипа, имеющего сложное, многослойное содержание. Можно включать и выключать маски во время воспроизведения клипа. Однако нельзя использовать ту же самую маску для многократного маскирования (возможного для использования маски в слоях линейки). Device шрифты в маскируемом клипе не будут маскироваться. Нельзя маскировать клип самим собой, например так: mc.setMask(mc).

Если создать маскирующий слой, содержащий мувиклип и затем применить к нему метод setMask, вызов setMask будет приоритетным и необратимым. Например, в маскирующем слое находится мувиклип-маска Mask, перекрывающая другой слой, содержащий другой мувик с именем UnderMask. Если во время воспроизведения клипа происходит вызов Mask.setMask(UnderMask), то мувики функционально поменяются местами и UnderMask станет маской для мувика Mask.

Для отмены программного маскирования, в методе setMask используется значение null. Следующий код отменит маскирование, без возвращения функции маски, заданной на линейке.

Mask.setMask(null)

Пример

Маскирование мувика theMaskee, мувиклипом circleMask.

theMaskee.setMask(circleMask);


MovieClip._soundbuftime

M > MovieClip._soundbuftime

MovieClip._soundbuftime

Доступность

Flash Player 6.

Синтаксис

myMovieClip._soundbuftime

Описание

Глобальное свойство. Целое число, которое определяет количество секунд буферизации потокового звука перед началом его воспроизведения.


MovieClip.startDrag

M > MovieClip.startDrag

MovieClip.startDrag

Доступность

Flash Player 5.

Синтаксис

myMovieClip.startDrag([lock, [left, top, right, bottom]])

Параметры

lock Булево значение, определяющее, будет ли перетаскиваемый мувиклип прикрепляться к центру курсора (true) или он будет зафиксирован в точке мувиклипа, где пользователь нажмет кнопку мыши (false). Этот аргумент является необязательным.

left, top, right, bottom Значения относительно координат "родительского" мувиклипа, определяющие прямоугольник, в пределах которого разрешается перетаскивание текущего мувиклипа. Эти аргументы являются так же необязательными.

Возвращает

Ничего.

Описание

Метод, позволяет пользователю перетаскивать указанный мувиклип. Мувиклип можно будет перетаскивать до тех пор, пока не будет вызван метод stopDrag или другой мувиклип не станет перетаскиваемым. В одно и тоже время только один мувиклип может быть перетаскиваемым.

См. также

MovieClip._droptarget, MovieClip.startDrag, MovieClip.stopDrag


MovieClip.stop

M > MovieClip.stop

MovieClip.stop

Доступность

Flash Player 5.

Синтаксис

myMovieClip.stop()

Параметры

Нет.

Возвращает

Ничего.

Описание

Метод, останавливает воспроизвдение текущего мувиклипа.

См. также

stop


MovieClip.stopDrag

M > MovieClip.stopDrag

MovieClip.stopDrag

Доступность

Flash Player 5.

Синтаксис

myMovieClip.stopDrag()

Параметры

Нет.

Возвращает

Ничего.

Описание

Метод, завершает метод startDrag. Мувиклип, который стал перетаскиваемым при помощи вызова метода startDrag остается перетаскиваемым до вызова метода stopDrag или когда другой мувиклип становится перетаскиваемым. В одно и то же время только один мувиклип может быть перетаскиваемым.

См. также

MovieClip._droptarget, MovieClip.startDrag, stopDrag


MovieClip.swapDepths

M > MovieClip.swapDepths

MovieClip.swapDepths

Доступность

Flash Player 5.

Синтаксис

myMovieClip.swapDepths(depth)
myMovieClip.swapDepths(target)

Параметры

target Экземпляр мувиклипа, который должен поменять свой уровень вложенности (Depth) на уровень, в котором находится myMovieClip. Оба мувиклипа должны иметь одного "родителя" (т.е. находится на одной линейке (Timeline)).

depth Число, определяющее уровень вложенности для myMovieClip .

Возвращает

Ничего.

Описание

Метод, меняет уровень вложенности (еще его называют Z-порядок) myMovieClip на уровень, где находится мувиклип, определенный в аргументе target или уровень, указанный в аргументе depth. Оба мувиклипа должны находится на одной линейке (Timeline). Обмен уровнями создает эффект перемещения одного мувиклипа над/под другим мувиклипом. Если в момент вызова этого метода мувиклип содержит анимацию, анимация останавливается.

См. также

_level


MovieClip.tabChildren

M > MovieClip.tabChildren

MovieClip.tabChildren

Доступность

Flash Player 6.

Синтаксис

myMovieClip.tabChildren

Описание

Свойство undefined по умолчанию. Если tabChildren есть undefined или true, тогда дочерний мувиклип включается в автоматический tab-обход (tab-обход - последовательный выбор объектов на сцене, осуществляемый нажатием клавиши табуляции. Прим.редактора). Если значение tabChildren соответствует false, дочерний мувиклип не включается в автоматический tab-обход.

Пример

UI компонент "Список" создан в виде мувиклипа, содержащего несколько пунктов (объектов). Каждый такой объект может быть выбран (нажат), т.к. является кнопкой. Однако, только весь список целиком может быть выбран при tab-обходе, внутренние объекты должны из него исключаться. Для этого свойство списка tabChildren, должно быть установлено в значение false.

Свойство tabChildren не оказывает никакого эффекта, если используется свойство tabIndex, оно оказывает влияние только на автоматический tab-обход.

См. также

Button.tabIndex, TextField.tabIndex


MovieClip.tabEnabled

M > MovieClip.tabEnabled

MovieClip.tabEnabled

Доступность

Flash Player 6.

Синтаксис

MovieClip.tabEnabled

Описание

Свойство, может быть установлено на мувиклипе (MovieClip), кнопке (Button) или текстовом поле (TextField). По умолчанию стоит undefined.

Если свойству tabEnabled присвоено undefined или true, то объект включен в порядок обхода при нажатии клавиш Tab или Shift+Tab. Если свойству tabIndex присвоено целое число, то объект так же включен в порядок обхода при нажатии клавиш Tab или Shift+Tab. Если tabEnabled установлено в false, то объект исключается из порядка обхода, но все еще может быть нажат щелчком мыши. Если tabEnabled для мувиклипа установлено в false, объекты, вложенные в этот мувиклип могут быть включены в порядок обхода, если только свойству tabChildren также не присвоено false.

См. также

MovieClip.tabChildren, MovieClip.tabIndex


MovieClip.tabIndex

M > MovieClip.tabIndex

MovieClip.tabIndex

Доступность

Flash Player 6.

Синтаксис

myMovieClip.tabIndex

Описание

Свойство, позволяет определить порядок обхода объектов во Flash-клипе клавишами Tab или Shift+Tab. Свойству tabIndex по умолчанию присвоено undefined. Свойство tabIndex может быть установлено на мувиклипе (MovieClip), кнопке (Button) или текстовом поле (TextField).

Если какой-нибудь отображенный во Flash-клипе объект содержит свойство tabIndex, то автоматический порядок обхода блокируется и он высчитывается из значения свойства tabIndex находящегося в объектах. Настраиваемый порядок обхода включает только объекты, содержащие в себе свойство tabIndex.

Свойство tabIndex должно быть положительным целым числом. Объекты имеют порядок обхода согласно значению свойства tabIndex. Объект, со свойством myMovieClip.tabIndex = 1 предшествует объекту myMovieClip.tabIndex = 2. Настроенный порядок обхода игнорирует иерархическую связь объектов во Flash-клипе. Все объекты во Flash-клипе со свойством tabIndex помещены в порядок обхода и их порядок обусловлен значением tabIndex. Вы не должны использовать одинаковое значение tabIndex для нескольких объектов.


MovieClip._target

M > MovieClip._target

MovieClip._target

Доступность

Flash Player 4.

Синтаксис

myMovieClip._target

Описание

Свойство (только для чтения), возвращает целевой путь мувиклипа, определенного в myMovieClip .


MovieClip._totalframes

M > MovieClip._totalframes

MovieClip._totalframes

Доступность

Flash Player 4.

Синтаксис

myMovieClip._totalframes

Описание

Свойство (только для чтения), возвращает полное количество кадров в экземпляре мувиклипа, определенного в myMovieClip .


MovieClip.trackAsMenu

M > MovieClip.trackAsMenu

MovieClip.trackAsMenu

Доступность

Flash Player 6.

Синтаксис

myMovieClip.trackAsMenu

Описание

Свойство, принимает булево значение и указывает, будет ли мувиклип-кнопка реагировать на события, происходящие в другом мувиклипе или кнопке. Это поможет Вам и при создании меню. Свойство trackAsMenu можно установить в любом мувиклипе или кнопке. Если свойство trackAsMenu не задано, по умолчанию стоит false.

Свойство trackAsMenu можно изменить в любой момент и оно вступает в силу незамедлительно.

См. также

Button.trackAsMenu


MovieClip.unloadMovie

M > MovieClip.unloadMovie

MovieClip.unloadMovie

Доступность

Flash Player 5.

Синтаксис

myMovieClip.unloadMovie()

Параметры

Нет.

Возвращает

Ничего.

Описание

Метод, удаляет мувиклип, загруженный при помощи метода объекта MovieClip loadMovie или attachMovie .

См. также

MovieClip.attachMovie, MovieClip.loadMovie, unloadMovie, unloadMovieNum


MovieClip._url

M > MovieClip._url

MovieClip._url

Доступность

Flash Player 4.

Синтаксис

myMovieClip._url

Описание

Свойство (только для чтения), возвращает URL-адрес SWF-файла, откуда он был загружен.


MovieClip.useHandCursor

M > MovieClip.useHandCursor

MovieClip.useHandCursor

Доступность

Flash Player 6.

Синтаксис

myMovieClip.useHandCursor

Описание

Свойство, принимает булево значение и указывает, будет ли курсор принимать вид руки при наведении на текущий мувиклип-кнопку. По умолчанию значение useHandCursor установлено в true. Если myMovieClip.useHandCursor = true, курсор принимает вид руки, когда пользователь наведет его на текущий мувиклип-кнопку. Если myMovieClip.useHandCursor = false, курсор при наведении на текущий мувиклип-кнопку останется в виде стрелки.

Свойство useHandCursor можно изменить в любой момент. Изменения вступают в силу незамедлительно. Свойство useHandCursor может быть считано объектом прототип (Prototype).


MovieClip._visible

M > MovieClip._visible

MovieClip._visible

Доступность

Flash Player 4.

Синтаксис

myMovieClip._visible

Описание

Свойство, возвращающее булево значение, которое показывает, будет ли myMovieClip виден на сцене. Мувиклипы, которые невидимы (свойство _visible установлено в false) являются не активными. Например, кнопка, расположенная внутри такого мувиклипа (свойство _visible установлено в false) не будет реагировать на щелчки.

См. также

MovieClip._alpha


MovieClip._width

M > MovieClip._width

MovieClip._width

Доступность

Flash Player 4, как свойство только для чтения. Во Flash Player 5 - чтение/запись.

Синтаксис

myMovieClip._width

Описание

Свойство, получает или устанавливает ширину мувиклипа.

Пример

Следующий пример устанавливает ширину и высоту мувиклипа, когда пользователь щелкает мышью во Flash Player:

onclipEvent(mouseDown) {
    _width=200;
    _height=200;
}

См. также

MovieClip._height


MovieClip._x

M > MovieClip._x

MovieClip._x

Доступность

Flash Player 3.

Синтаксис

myMovieClip._x

Описание

Свойство. Число, которое устанавливает горизонтальную координату мувиклипа относительно локальных координат "родителя". Если мувиклип расположен на главной линейке (Main Timeline), его координаты X=0, Y=0 находятся в левом верхнем углу сцены. Если мувиклип находится внутри другого мувиклипа, он как бы заперт в пространстве координат "родителя". Таким образом, если мувиклипа-родитель повернут на 90°, мувиклип-ребенок так же будет повернут на 90°. Координаты мувиклипа ссылаются на точку регистрации (Registration Point).

См. также

MovieClip._xscale, MovieClip._y, MovieClip._yscale


MovieClip._xmouse

M > MovieClip._xmouse

MovieClip._xmouse

Доступность

Flash Player 5.

Синтаксис

myMovieClip._xmouse

Описание

Свойство (только для чтения), возвращает горизонтальную координату курсора относительно пространства координат текущего мувиклипа.

См. также

Mouse (объект), MovieClip._ymouse


MovieClip._xscale

M > MovieClip._xscale

MovieClip._xscale

Доступность

Flash Player 4.

Синтаксис

myMovieClip._xscale

Описание

Свойство, вычисляет горизонтальный масштаб в (процентах) мувиклипа, относительно его точки регистрации (Registration Point). По умолчанию точка регистрации X=0, Y=0.

Масштабирование локальных координат затрагивает установки свойств _x и _y, которые определены в пикселях. Например, если родительский мувиклип масштабируется по горизонтали на 50%, установки свойств _x передвигают объект в мувиклипе на половину числа пикселей.

См. также

MovieClip._x, MovieClip._y, MovieClip._yscale


MovieClip._y

M > MovieClip._y

MovieClip._y

Доступность

Flash Player 3.

Синтаксис

myMovieClip._y

Описание

Свойство, устанавливает вертикальную координату мувиклипа относительно локальных координат родительского мувиклипа. Если мувиклип находится на главной линейке (Main Timeline), то его координаты X=0, Y=0 находятся в левом верхнем углу сцены. Если мувиклип вложен в другой мувиклип, его координаты являются относительно родительского мувиклипа. Таким образом, если родительский мувиклип повернут на 90°, вложенный мувиклип так же поворачивается на 90°. Координаты мувиклипа ссылаются на положение точки регистрации (Registration Point).

См. также

MovieClip._x, MovieClip._xscale, MovieClip._yscale


MovieClip._ymouse

M > MovieClip._ymouse

MovieClip._ymouse

Доступность

Flash Player 5.

Синтаксис

myMovieClip._ymouse

Описание

Свойство (только для чтения), показывает вертикальную координату курсора относительно пространства координат текущего мувиклипа.

См. также

Mouse (объект), MovieClip._xmouse


MovieClip._yscale

M > MovieClip._yscale

MovieClip._yscale

Доступность

Flash Player 4.

Синтаксис

myMovieClip._yscale

Описание

Свойство, устанавливает вертикальный масштаб в (процентах) мувиклипа относительно его точки регистрации (Registration Point). По умолчанию точка регистрации X=0, Y=0.

Масштабирование локальных координат затрагивает установки свойств _x и _y, которые определены в пикселях. Например, если родительский мувиклип масштабируется по вертикале на 50%, установки свойств _y передвигают объект в мувиклипе на половину числа пикселей.

См. также

MovieClip._x, MovieClip._xscale, MovieClip._y


NaN

N-R > NaN

NaN

Доступность

Flash Player 5.

Синтаксис

NaN

Описание

Переменная, предопределенная переменная с IEEE-754 значением для NaN (Not a Number).


ne (not equal — string specific)

N-R > ne (not equal — string specific)

ne (строковое "не равно")

Доступность

Flash Player 4. Этот оператор устарел, предпочтительней использовать оператор != (не равно).

Синтаксис

expression1 ne expression2

Параметры

expression1, expression2 Числа, строки или переменные.

Возвращается

Ничего.

Описание

Оператор (сравнения), сравнивает expression1 с expression2 и возвращает true (истина), если expression1 не эквивалентно expression2, в противном случае возвращает false (ложь).

См. также

!= (inequality)


new

N-R > new

new

Доступность

Flash Player 5.

Синтаксис

new constructor()

Параметры

constructor Функция, сопровождаемая любыми факультативными параметрами в круглых скобках. Функция, обычно это имя типа создаваемого объекта. Например, Array, Math, Number, Object.

Возвращается

Ничего.

Описание

Оператор, создает новый, первоначально анонимный объект, вызывает функцию, идентифицированную параметром constructor , передает любые факультативные параметры в круглых скобках и передает недавно созданный объект, как значение ключевого слова this. Функция может затем использовать this для этого нового объекта.

Свойство _prototype_ конструктора объекта копируется в свойство _proto_ нового объекта. Как результат, новый объект поддерживает все методы и свойства объекта-прототипа.

Пример

Следующий пример создает объекты book1 и book2, используя оператор new.

function Book(name, price){
    this.name = name;
    this.price = price;
}

book1 = new Book("Confederacy of Dunces", 19.95);
book2 = new Book("The Floating Opera", 10.95);

Пример

Следующий пример использует оператор new для создания массива из 18-и элементов:

golfCourse = new Array(18);

См. также

[] (array access), {} (object initializer)


newline

N-R > newline

newline

Доступность

Flash Player 4.

Синтаксис

newline

Параметры

Нет

Возвращается

Ничего.

Описание

Константа, вставляет символ () - пустую линию в ActionScript код. Использование newline создает пространство для информации, которое возвращается функцией или командой в вашем коде. 1

От переводчика.

  1. На мой взгляд, это звучит довольно заумно и не очень понятно. Своими словами, newline принудительно переводит строку в значении строковой переменной. Например, у вас есть текстовое поле с именем txt и прописана такая команда:

    txt="Hello"+newline+"World";

    Значение txt, отражаемое в этом текстовом поле, будет разбито на две строки:

    Hello
World

    Для полноты картины можно добавить, что вместо newline, для этих целей, можно использовать код "\r", т.е. переменной txt присваивать следующее значение:

    txt="Hello\rWorld";

    Результат будет тем же самым, что и при использовании newline.


nextFrame

N-R > nextFrame

nextFrame

Доступность

Flash 2.

Синтаксис

nextFrame()

Параметры

Нет

Возвращается

Ничего.

Описание

Команда, переводит воспроизведение клипа на следующий кадр и останавливает на нем.

Пример

При нажатии на кнопку, содержащую команду nextFrame, происходит переход на следующий кадр и остановка воспроизведения клипа.

on (release) {
    nextFrame();
}


nextScene

N-R > nextScene

nextScene

Доступность

Flash 2.

Синтаксис

nextScene()

Параметры

Нет

Возвращается

Ничего.

Описание

Команда, переводит воспроизведение клипа на первый кадр следующей сцены и останавливает на нем.

Пример

При нажатии на кнопку, воспроизведение клипа переходит на первый кадр следующей сцены и останавливается на нем.

on(release) {
    nextScene();
}

См. также

prevScene


not

N-R > not

not

Доступность

Flash Player 4. Этот оператор устарел, предпочтительней использовать оператор ! (logical NOT).

Синтаксис

not expression

Параметры

expression Любая переменная или выражение, которое преобразуется в булеан (Boolean) значение.

Описание

Оператор, выполняет логическую операцию NOT (отрицание) во Flash 4 Player.

См. также

! (logical NOT)


null

N-R > null

null

Доступность

Flash Player 5.

Синтаксис

null

Параметры

Нет

Возвращается

Ничего.

Описание

Ключевое слово, специальное значение, которое может быть назначено переменным или возвращено функцией, если она не обеспечена никакими данными. Можно использовать null для представления "пустых" переменных или переменных с неуказанным типом данных.

Пример

В числовом контексте, null эквивалентен нулю. С null может производится проверка эквивалентности, как это сделано в следующем примере:

if (tree.left == null) {
    tree.left = new TreeNode();
}


Number (function)

N-R > Number (функция)

Number (функция)

Доступность

Flash Player 4.

Синтаксис

Number(expression)

Параметры

expression выражение для конвертируемое в число.

Возвращается

Ничего.

Описание

Функция, конвертирует аргумент expression в число и возвращает значение, как описано ниже:

Если expression число, возвращает значение expression.

Если expression булеан (Boolean), возвращает единицу, если expression есть true (истина) или ноль, если expression есть false (ложь).

Если expression строка, функция пытается анализировать expression, как десятичное число.

Если expression неопределено (undefined), возвращаемое значение равно нулю.

Эта функция используется для конвертирования файлов формата Flash 4 в формат Flash 5 и содержащих операторы, присутствие которых не рекомендовано для импорта в новую версию. Для большей информации см. описание оператора &.

См. также

Number (object)


Number (object)

N-R > Number (объект)

Number (объект)

Объект Number - оболочка для данных типа число, позволяющая манипулировать исходными числовыми значениями, используя методы и свойства, связанные с объектом Number. Функциональные возможности этого объекта такие же, как у аналогичного объекта JavaScript Number. Во Flash MX объект Number стал собственным объектом.

Можно использовать конструктор Number при вызове методов объекта Number, но при вызове его свойств такой необходимости нет. Следующие примеры описывают синтаксис для вызова методов и свойств объекта Number:

Пример вызова метода toString объекта Number, возвращающего строку "1234".

myNumber = new Number(1234);
myNumber.toString();

Пример вызова свойства (константы) MIN_VALUE объекта Number:

smallest = Number.MIN_VALUE

Таблица методов объекта Number

Метод | Описание
Number.toString | Возвращает строковое представление объекта Number.
Number.valueOf | Возвращает исходное значение объекта Number.

Таблица свойств объекта Number

Свойство | Описание
Number.MAX_VALUE | Константа, наибольшее возможное для представления число (с двойной точностью IEEE-754), приблизительно равно 1.7976931348623158e+308.
Number.MIN_VALUE | Константа, наименьшее возможное для представления число (с двойной точностью IEEE-754), приблизительно равно 5e-324.
Number.NaN | Константа, представляет значение для Not a Number (NaN).
Number.NEGATIVE_INFINITY | Константа, представляет значение для отрицательной бесконечности.
Number.POSITIVE_INFINITY | Константа, представляет значение для положительной бесконечности. Это значение такое же, как у глобальной переменной Infinity (Бесконечность).

Конструктор для объекта Number

Доступность

Flash Player 5.

Синтаксис

myNumber = new Number(value)

Параметры

value Числовое значение создаваемого объекта Number или значение, которое будет преобразовано в число.

Возвращается

Ничего.

Описание

Конструктор, создает новый объект Number. При использовании методов toString и valueOf объекта Number, необходимо применять конструктор Number, в то же время такой необходимости нет, если использовать его свойства. Конструктор new Number прежде всего используется как оболочка. Экземпляр объекта Number не идентичен функции Number, которая преобразует аргумент в исходное значение.

Пример

Следующий код создает новые объекты Number:

n1 = new Number(3.4);
n2 = new Number(-10);

См. также

Number (function)


Number.MAX_VALUE

N-R > Number.MAX_VALUE

Number.MAX_VALUE

Доступность

Flash Player 5.

Синтаксис

Number.MAX_VALUE

Описание

Свойство, наибольшее возможное для представления число (с двойной точностью IEEE-754). Это число приблизительно равно 1.79E+308.


Number.MIN_VALUE

N-R > Number.MIN_VALUE

Number.MIN_VALUE

Доступность

Flash Player 5.

Синтаксис

Number.MIN_VALUE

Описание

Свойство, наименьшее возможное для представления число (с двойной точностью IEEE-754). Это число приблизительно равно 5e-324.


Number.NaN

N-R > Number.NaN

Number.NaN

Доступность

Flash Player 5.

Синтаксис

Number.NaN

Описание

Свойство, IEEE-754 значение представления Not A Number (NaN).


Number.NEGATIVE_INFINITY

N-R > Number.NEGATIVE_INFINITY

Number.NEGATIVE_INFINITY

Доступность

Flash Player 5.

Синтаксис

Number.NEGATIVE_INFINITY

Описание

Свойство, возвращает IEEE-754 значение представления отрицательной бесконечности.

Отрицательная бесконечность - специальное числовое значение, которое возвращается тогда, когда математическая операция или функция выдает отрицательное значение больше, чем может быть представлено.


Number.POSITIVE_INFINITY

N-R > Number.POSITIVE_INFINITY

Number.POSITIVE_INFINITY

Доступность

Flash Player 5.

Синтаксис

Number.POSITIVE_INFINITY

Описание

Свойство, возвращает IEEE-754 значение представления положительной бесконечности. Это значение такое же, как у глобальной переменной Infinity (Бесконечность).

Положительная бесконечность - специальное числовое значение, которое возвращается тогда, когда математическая операция или функция выдает значение больше, чем может быть представлено.


Number.toString

N-R > Number.toString

Number.toString

Доступность

Flash Player 5.

Синтаксис

myNumber.toString(radix)

Параметры

radix задает основание числа (от 2 до 36), используемое для number-to-string преобразования. Если аргумент radix не указан, то по умолчанию используется 10 (десятичное число).

Возвращается

Ничего.

Описание

Метод, возвращает строковое представление Number объекта (myNumber).

Пример

Следующий пример использует метод Number.toString, с основанием 2 для аргумента radix, возвращает строку, содержащую бинарное представление числа 1000.

myNumber = new Number (1000);
myNumber.toString(2);


Number.valueOf

N-R > Number.valueOf

Number.valueOf

Доступность

Flash Player 5.

Синтаксис

myNumber.valueOf()

Параметры

Нет

Возвращается

Ничего.

Описание

Метод, возвращает первоначальное значение типа определенного объекта Number.


Object (object)

N-R > Object (object)

Object (object)

Универсальный объект Object находится в корне иерархии класса ActionScript. Функциональные возможности универсального объекта Object это маленькое подмножество, обеспечиваемое объектом JavaScript Object. Во Flash MX объект Object стал встроенным объектом.

Универсальный объект Object поддерживается версией Flash Player 5 и выше.

Список методов объекта Object

Метод | Описание
Object.addProperty | Создает геттер/сеттер (getter/setter - получатель/установщик) свойство в объекте.
Object.registerClass | Приписывает ActionScript класс экземпляру мувиклипа.
Object.toString | Конвертирует определяемый объект в строку и возвращает его.
Object.unwatch | Удаляем установку, созданную методом Object.watch.
Object.valueOf | Возвращает исходное значение объекта Object.
Object.watch | Устанавливает функцию обратного вызова, инициируемую при изменении указанного свойство ActionScript объекта.

Список свойств объекта Object

Свойство | Описание
Object.__proto__ | Обращается к свойству prototype функции конструктора объекта.

Конструктор объекта Object

Доступность

Flash Player 5.

Синтаксис

new Object([value])

Параметры

value Число, Булеан или строка, конвертируемые в объект. Это необязательный аргумент. Если вы не определяете value, конструктор создаст объект без описанных свойств.

Описание

Конструктор, создает новый объект Object.


Object.addProperty

N-R > Object.addProperty

Object.addProperty

Availability

Flash Player 6.

Синтаксис

myObject.addProperty( prop, getFunc, setFunc )

Параметры

prop Имя создаваемого свойства объекта.

getFunc Функция, которая при вызове возвращает значение свойства.

setFunc Функция, которая при вызове устанавливает значение свойства. Если в качестве значения этого параметра указать null, свойство будет только для чтения (read-only).

Возвращается

Возвращает значение true в случае успешного создания свойства, иначе - false.

Описание

Метод, создает геттер/сеттер свойство (getter/setter - получатель/установщик). Когда Flash читает геттер/сеттер свойство, метод вызывает функцию, возвращающую значение prop. Когда Flash записывает геттер/сеттер свойство, метод вызывает функцию, устанавливающую новое значение параметра. Если свойство с указанным именем уже существует, то новое свойство перезаписывает его.

Функция-получатель не имеет параметров. Она возвращает значение, могущее быть любого типа, который может изменяться между вызовами. Возвращаемое значение трактуется как текущее значение свойства.

Функция-установщик имеет один параметр - новое значение свойства. Например, если свойство x вычисляется выражением x = 1, функцией принимается параметр 1 типа число. Возвращаемое значение функции-установщика игнорируется.

Можно добавить геттер/сеттер свойство в прототип объекта. В этом случае все экземпляры объекта наследующие прототип объекта, унаследуют и это свойство. Это делает возможным добавить геттер/сеттер свойство только в одном месте и распространить его на все экземпляры класса (похоже на добавление методов прототипу объекта). Если гет/сет функция вызывается для геттер/сеттер свойства в унаследованном прототипе объекта, сделанный ею вызов будет относится к первоначальному объекту, не прототипу объекта (ё-моё, голову сломаешь :).

В случае некорректного вызова, Object.addProperty может вывалится по ошибке:

Сообщение | Что произошло
prop is not a valid property name; for instance, an empty string. prop - невалидное имя свойства, например, пустая строка | Возвращается false и свойство не добавляется.
getFunc is not a valid function object. getFunc - невалидная функция | Возвращается false и свойство не добавляется.
setFunc is not a valid function object. setFunc - невалидная функция | Возвращается false и свойство не добавляется.

Пример

Использование 1: встроенные свойства TextField.scroll и TextField.maxscroll - геттер/сеттер свойства. Объект TextField имеет внутренние методы getScroll, setScroll и getMaxScroll. Конструктор текстового поля (TextField) создает геттер/сеттер свойства и связывает их с внутренними гет/сет методами, как показано ниже:

this.addProperty("scroll", this.getScroll, this.setScroll);
this.addProperty("maxscroll", this.getMaxScroll, null);

Когда скрипт находит значение myTextField.scroll, ActionScript-интерпретатор автоматически вызывает myTextField.getScroll. Когда скрипт изменяет значение myTextField.scroll, вызывается myTextField.setScroll. Свойство maxscroll не имеет устанавливающую функцию, поэтому его изменения игнорируются.

Использование 2: вышеупомянутый пример TextField.scroll и TextField.maxscroll работает, но свойства scroll и maxscroll имеются у каждого экземпляра объекта TextField. С точки зрения ресурсов, каждый экземпляр несет на себе два дополнительных "слота" с этими свойствами. Если в классе имеется много таких свойств как scroll и maxscroll, они могут потреблять много памяти. Вместо этого, можно добавить свойства scroll и maxscroll в TextField.prototype:

TextField.prototype.addProperty("scroll", this.getScroll, this.setScroll);
TextField.prototype.addProperty("maxscroll", this.getMaxScroll, null);

Теперь свойства scroll и maxscroll находятся только в одном месте - прототипе объекта TextField.prototype. Однако, результат будет тот же самый, как если бы scroll и maxscroll были бы добавлены в каждый экземпляр. Если scroll или maxscroll не доступны в экземпляре TextField, то поднявшись по цепочке прототипа, геттер/сеттер свойство обнаружится в TextField.prototype.


Object.__proto__

N-R > Object.__proto__

Object.__proto__

Доступность

Flash Player 5.

Синтаксис

myObject.__proto__

Параметры

Нет

Описание

Свойство, обращается к свойству prototype функции конструктора создавшей myObject. Свойство __proto__ автоматически назначается всем вновь создаваемым объектам. ActionScript интерпретатор использует свойство __proto__ для доступа к свойству prototype функции конструктора объекта, чтобы выяснить, какие методы и свойства объект наследует от своего класса.


Object.registerClass

N-R > Object.registerClass

Object.registerClass

Availability

Flash Player 6

Синтаксис

Object.registerClass(symbolID, theClass)

Параметры

symbolID Идентификатор связки (linkage) мувиклипа или строковый идентификатор для ActionScript класса.

theClass Ссылка на конструкторскую функцию ActionScript класса или null для незарегистрированного символа.

Возвращается

В случае успешной регистрации класса, возвращается true, иначе - false.

Описание

Метод, связывает мувиклип с ActionScript классом объекта. Если символ не существует, Flash создает связь между идентификатором строки и классом объекта.

Когда экземпляр мувиклипа расположен на линейке, он регистрируется в классе, указанном в параметре theClass, а не в классе мувиклипа.

Аналогично происходит и в том случае, когда указанный мувиклип бы создан с использованием методов attachMovie или duplicateMovieClip.

Если theClass есть null, Object.registerClass удаляет любое определение ActionScript класса, связанное с указанным символом мувиклипа или идентификатором класса. Любые уже существующие экземпляры мувиклипов останутся без изменений, но вновь создаваемые экземпляры, по умолчанию будут связаны с классом Movieclip.

Если символ уже зарегистрирован в классе, метод Object.registerClass заменит его новой регистрацией.

Когда экземпляр мувиклипа расположен на линейке или создан с использованием attachMovie или duplicateMovieClip, ActionScript вызывает конструктор для соответствующего класса с ключом this, ориентированным на объект. Конструкторская функция вызывается без параметров.

Если использовать метод Object.registerClass для регистрации мувиклипа с ActionScript классом иным, чем MovieClip, символ мувиклипа не наследует методы свойства и события встроенного MovieClip класса, пока вы не включите MovieClip класс в цепь прототипа нового класса. Следующий код создает новый ActionScript класс theClass, который наследует свойства MovieClip класса:

theClass.prototype = new MovieClip();

Пример

Этот пример создает компонент для стандартного чекбокса.

Сначала создайте в библиотеке мувиклип с названием Check Box. Затем создайте CheckBox класс в ActionScript, представляющий этот чекбокс.

// Определение конструктора для CheckBox класса

function CheckBox() {
...
}

// CheckBox прототип - наследование из MovieClip

CheckBox.prototype = new MovieClip();

// Определение методов для CheckBox класса

CheckBox.prototype.setLabel = function (newLabel) {
    this.label = newLabel;
    ...
};
CheckBox.prototype.setValue = function (newValue) {
    this.value = value;
    ...
};
CheckBox.prototype.getValue = function () {
    return this.value;
};
CheckBox.prototype.getLabel = function () {
    return this.label;
};

Теперь необходимо связать CheckBox класс с Check Box мувиклипом. Сначала потребуется идентификация Check Box мувиклипа в ActionScript, для этого введите идентификатор в окне диалога Linkage (в библиотеке) и выберите опцию Export for ActionScript.

Затем напишите ActionScript для связи CheckBox класса с CheckBox символом:

Object.registerClass("CheckBox" /*symbolID*/, CheckBox /*theClass*/ );

Использование 1 (расположение на линейке): разместите экземпляры CheckBox на сцене и во времени выполнения они автоматически получат ActionScript класс CheckBox. Если вы разместили два образца myCheckBox1 и myCheckBox2, можете управлять ими вызовом методов:

myCheckBox1.setValue(true);
myCheckBox2.setValue(false);
myCheckBox2.setLabel("new label for #2");

Использование 2 (динамические экземпляры): для создания на сцене нового экземпляра мувика-чекбокса, можно воспользоваться методом attachMovie. Т.к. CheckBox символ зарегистрирован в ActionScript классе CheckBox, новый динамический экземпляр автоматически получит тот класс.

// createCheckBox - функция-помощник, динамически создающая чекбоксы

function createCheckBox(name, depth) {
    attachMovie("CheckBox", name, depth);
}
createCheckBox("myCheckBox3", 100);
myCheckBox3.setValue(false);
myCheckBox3.setLabel("new label for #3");

См. также

MovieClip.attachMovie, MovieClip.duplicateMovieClip


Object.toString

N-R > Object.toString

Object.toString

Доступность

Flash Player 5.

Синтаксис

myObject.toString()

Параметры

Нет

Возвращается

Ничего.

Описание

Метод, конвертирует объект в строку и возвращает его.


Object.unwatch

N-R > Object.unwatch

Object.unwatch

Availability

Flash Player 6.

Синтаксис

myObject.unwatch (prop)

Строка, указывающая имя наблюдаемого свойства объекта.

Параметры

prop Имя наблюдаемого свойства объекта в виде строки, за которым больше не требуется наблюдать.

Возвращается

Булеан.

Описание

Метод, удаляет точку наблюдения (watchpoint), созданную методом Object.watch, возвращает значение true, если точка наблюдения была успешно удалена, иначе - значение false.


Object.valueOf

N-R > Object.valueOf

Object.valueOf

Доступность

Flash Player 5.

Синтаксис

myObject.valueOf()

Параметры

Нет

Возвращается

Ничего.

Описание

Метод, возвращает первоначальное значение определяемого объекта. Если объект не имеет такого значения, возвращается сам объект.


Object.watch

N-R > Object.watch

Object.watch

Доступность

Flash Player 6.

Синтаксис

myObject.watch( prop, callback [, userData] )

Параметры

prop Строка, указывающая имя наблюдаемого свойства объекта.

callback Функция, вызываемая при изменении наблюдаемого свойства. Этот параметр является функцией (как объект), а не ее именем в строковом виде. Форма для callback - callback(prop, oldval, newval, userData).

userData произвольный фрагмент ActionScript данных, передаваемых методу callback. Если параметр userData отсутствует, то методу передается undefined. Это необязательный параметр.

Возвращается

Значение true, если "наблюдатель" (watchpoint) был успешно создан, в противном случае - false.

Описание

Метод, определяет callback функцию (функцию обратного вызова), вызываемую, если изменилось указанное свойство ActionScript объекта. Когда свойство изменяется, callback функция вызывается с myObject как содержащий объект.

Наблюдатель может фильтровать (или аннулировать) передаваемое значение, возвращая модифицированный newval (или oldval). Если удалить свойство, отслеживаемое наблюдателем, сам наблюдатель от этого не пострадает. Если в последствии восстановить удаленное свойство, наблюдатель будет опять функционировать. Для удаления наблюдателя используется метод Object.unwatch.

Только один наблюдатель может быть подключен к свойству. Последовательные вызовы Object.watch к одному и тому же свойству будут просто заменять наблюдателя.

Метод Object.watch ведет себя подобно функции Object.watch в Netscape JavaScript 1.2 и более поздних версиях. Основное отличие в параметре userData, который добавлен во Flash в Object.watch, не поддерживаемый в Netscape Navigator. Можно передавать параметр userData в callback функцию и использовать его в ней.

Метод Object.watch не может наблюдать за геттер/сеттер (getter/setter) свойствами. Они управляются через "ленивое определение" — значение свойства заранее не определено до тех пор, пока оно не вызвано. "Ленивое определение" часто является эффективным, т.к. свойство постоянно не меняется и достаточно отслеживать его состояние только в момент запроса. Однако Object.watch осуществляет постоянное наблюдение, поэтому для работы с геттер/сеттер свойствами этот метод неэффективен.

Вообще, ActionScript предопределенные свойства, типа _x, _y, _width и _height являются геттер/сеттер свойствами и они не могут быть отслежены методом Object.watch.

Пример

Этот пример показывает компонент CheckBox с методами, устанавливающими метку и значение каждого экземпляра чекбокса:

myCheckBox1.setValue(true);
myCheckBox1.setLabel("new label");
...

Удобно думать о значении и метке чекбокса, как о его параметрах. Возможно использовать Object.watch для доступа к значению и метке как к свойствам, а не вызовами методов, тек как это сделано ниже:

// Определение конструктора для CheckBox класса
function CheckBox() {
    ...
    this.watch ('value', function (id, oldval, newval)) {
        ...
    }
    this.watch ('label', function (id, oldval, newval)) {
        ...
    }
}

При изменении значения или метки, вызывается функция, определенная в компоненте, которая выполняет необходимые действия по его обновлению. Следующее выражение использует обработчик Object.watch, чтобы сообщить компоненте об изменении значения.

myCheckBox1.value = false;

Следующий синтаксис более краткий, чем предыдущий:

myCheckBox1.setValue(false);

См. также

Object.addProperty, Object.unwatch


onClipEvent

N-R > onClipEvent

onClipEvent

Доступность

Flash Player 5.

Синтаксис

onClipEvent(movieEvent){
    statement(s);
}

Параметры

movieEvent является триггером (переключателем), называемом "событие" (event). Когда событие происходит, выполняется код, заключенный внутри фигурных скобок. Любое из следующих значений может быть определено для аргумента movieEvent:

load Инициализация команд в момент появления мувиклипа на линейке (Timeline).

unload Инициализация команд в первом кадре в момент удаления мувиклипа с линейки. Команды, связанные с событием Unload, обрабатываются прежде любых команд прописанных в кадре.

enterFrame Инициализация команд в каждом воспроизводимом кадре, так, как если бы они были прописаны в каждом кадре мувиклипа. Команды, связанные с событием OnEnterFrame, обрабатываются после любых команд прописанных в кадрах.

mouseMove Инициализация команд при каждом перемещении мыши. Для определения текущей позиции мыши используются свойства _xmouse и _ymouse.

mouseDown Инициализация команд при нажатии левой кнопки мыши.

mouseUp Инициализация команд при отпускании левой кнопки мыши.

keyDown Инициализация команд при нажатии клавиши клавиатуры. Метод Key.getCode используется для получения информации о нажатой клавише.

keyUp Инициализация команд при отпускании клавиши клавиатуры. Метод Key.getCode используется для получения информации о нажатой клавише.

data Инициализация команд при получении данных в командах loadVariables или loadMovie. Когда это связано с командой loadVariables, событие data происходит только один раз в момент окончания загрузки последней переменной. При использовании команды loadMovie, событие data может быть многократным, по мере подхода новых данных.

statement(s) Команды, выполняемые в момент наступления события mouseEvent.

Описание

Обработчик событий, в зависимости от события переключает (инициализирует) команды, указанные в мувиклипе.

Пример

Следующий оператор вставляет скрипт из внешнего файла в тот момент, когда мувиклип загружен и появляется на линейке (Timeline):

onClipEvent(load) {
    #include "myScript.as"
}

Следующий пример использует onClipEvent с событием keyDown. Обычно событие keyDown используется совместно с одним или более количеством методов и свойств, связанных с объектом Key. Ниже key.getCode применяется для определения клавиши, нажатой пользователем.

onClipEvent(keyDown) {
    if (Key.getCode() == Key.RIGHT) {
       _parent.nextFrame();
    } else if (Key.getCode() == Key.LEFT){
        _parent.prevFrame();
    }
}

Этот пример использует onClipEvent с событием mouseMove. Свойства xmouse и ymouse отслеживают положение курсора.

onClipEvent(mouseMove) {
    stageX=_root.xmouse;
    stageY=_root.ymouse;
}

См. также

Key (object), MovieClip._xmouse, MovieClip._ymouse , on


on

N-R > on

on

Доступность

Flash 2. Не все события поддерживаются во Flash 2.

Синтаксис

on(mouseEvent) {
    statement(s);
}

Параметры

statement(s) Команды, выполняемые в момент наступления события mouseEvent.

mouseEvent является триггером (переключателем), называемом "событие" (event). Когда событие происходит, выполняется код, заключенный внутри фигурных скобок. mouseEvent может иметь один из следующих аргументов:

press Кнопка мыши нажата в момент нахождения курсора над кнопкой.

release Кнопка мыши отпущена в момент нахождения курсора над кнопкой.

releaseOutside Кнопка мыши отпущена в момент нахождения курсора снаружи кнопки.

rollOut Курсор входит в границы кнопки.

rollOver Курсор выходит за границы кнопки.

dragOut В момент нахождения курсора над кнопкой, нажимается кнопка мыши, затем курсор выводится за границы кнопки.

dragOver В момент нахождения курсора над кнопкой, нажимается кнопка мыши, затем курсор выводится за границы кнопки и вводится обратно.

keyPress ("key") Определяет нажатие key. Для указания аргумента key используются любое значение, из перечисленных в Приложении B Клавиши клавиатуры и их коды или любая из клавишных констант, перечисленных в Описание свойств объекта Key.

Описание

Обработчик событий, определяет событие мыши или нажатие клавиш клавиатуры, вызывающих переключение команд.

Пример

В следующем скрипте команда startDrag выполняется при нажатии кнопки мыши, а проверка условия при ее отпускании:

on(press) {
    startDrag("rabbit");
}
on(release) {
    trace(_root.rabbit._y);
    trace(_root.rabbit._x);
    stopDrag();
}

См. также

onClipEvent


or

N-R > or

or

Доступность

Flash 4. Этот оператор устарел, предпочтительней использовать оператор || (logical OR).

Синтаксис

condition1 or condition2

Параметры

condition1,2 Выражение (условие), проверяемые на соответствие true (истина) или false (ложь).

Возвращается

Ничего.

Описание

Оператор, проверяет condition1 и condition2 и если любое из них соответствует true, то возвращает true, в противном случае возвращает false.

См. также

|| (logical OR), | (bitwise OR)


ord

N-R > ord

ord

Доступность

Flash Player 4. Эта функция устарела, предпочтительней использовать методы и свойства String (object).

Синтаксис

ord(character)

Параметры

character Символ, конвертируемый в ASCII код.

Возвращается

Ничего.

Описание

Строковая функция, конвертирует текстовый символ в число, соответствующее его ASCII коду.

См. также

String (object)


_parent

N-R > _parent

_parent

Доступность

Flash Player 5.

Синтаксис

_parent.property
_parent._parent.property

Описание

Свойство, указывает или возвращает ссылку на мувиклип или объект, в который вложен текущий мувик или объект, содержащий в себе исполняемый в данный момент ActionScript код. Использование _parent, определяет относительный путь к выше расположенному (родительскому) мувиклипу или объекту.

Пример

В следующем примере мувиклип desk является дочерним по отношению к мувиклипу classroom. Когда скрипт внутри desk мувика будет исполнен, Flash-клип перескочит на десятый кадр линейки мувиклипа classroom.

_parent.gotoAndStop(10);

См. также

_root, targetPath


parseFloat

N-R > parseFloat

parseFloat

Доступность

Flash Player 5.

Синтаксис

parseFloat(string)

Параметры

string Строка, анализируемая и конвертируемая в число с плавающей запятой.

Возвращается

Ничего.

Описание

Функция, конвертирует строку в число с плавающей запятой. Функция делает синтаксический анализ и возвращает числа в строке до тех пор, пока синтаксический анализатор не достигнет символа, не являющегося частью исходного числа. Если строка не начинается с числа, которое может быть проанализировано, parseFloat возвращает NaN. Игнорируются пробелы, предшествующие валидному значению числа.

Пример

Следующие примеры использования parseFloat анализируют различные типы чисел:

parseFloat("-2") возвращает -2

parseFloat("2.5") возвращает 2.5

parseFloat("3.5e6") возвращает 3.5e6, или 3500000

parseFloat("foobar") возвращает NaN

parseFloat(" 5.1") возвращает 5.1

parseFloat("3.75math") возвращает 3.75

parseFloat("0garbage") возвращает 0


parseInt

N-R > parseInt

parseInt

Доступность

Flash Player 5.

Синтаксис

parseInt(expression, [radix])

Параметры

expression Строка для конвертации в целое.

radix Целое, представляющее для анализа основание системы счисления (базу) числа. Допустимые значения от 2 до 36. Это необязательный параметр.

Возвращается

Ничего.

Описание

Функция, конвертирует строку в целое число. Если представляемую строку нельзя перевести в число, функция возвращает NaN. Целые числа, начинающиеся нулем или определяемые по основанию 8, интерпретируются как восьмеричные числа, начинающиеся с 0x - как шестнадцатеричные. Игнорируются пробелы, предшествующие валидному значению числа.

Пример

Следующие примеры используют parseInt для анализа различных типов чисел:

parseInt("3.5")

// возвращает 3.5

parseInt("bar")
// возвращает NaN

parseInt("4foo")
// возвращает 4

Шестнадцатеричная конвертация:

parseInt("0x3F8")
// returns 1016

parseInt("3E8", 16)
// возвращает 1000

Двоичная (бинарная) конвертация:

parseInt("1010", 2)

// возвращает 10 (десятичное представление бинарного 1010)

Синтаксический анализ восьмеричного числа (в этом случае восьмеричное число идентифицировано основанием 8):

parseInt("777", 8)

// возвращает 511 (десятичное представление восьмеричного 777)


play

N-R > play

play

Доступность

Flash 2.

Синтаксис

play()

Параметры

Нет.

Возвращается

Ничего.

Описание

Команда, включает воспроизведение клипа на линейке (Timeline).

Пример

Следующий код использует оператор if для проверки введенного значения имени пользователя. Если введено Steve, команда play включает дальнейшее воспроизведение клипа на линейке. В противном случае, в текстовом поле с переменной alert выдается соответствующее значение.

stop();
if (name == "Steve") {
    play();
} else {
    alert="You are not Steve!";
}


prevFrame

N-R > prevFrame

prevFrame

Доступность

Flash 2.

Синтаксис

prevFrame()

Параметры

Нет.

Возвращается

Ничего.

Описание

Команда, переводит клип на предыдущий кадр и останавливает его. Если текущий фрейм - первый фрейм клипа, ничего не происходит.

Пример

При нажатии на кнопку клип откатывает назад на предыдущий кадр и останавливается.

on(release) {
    prevFrame();
}

См. также

MovieClip.prevFrame


prevScene

N-R > prevScene

prevScene

Доступность

Flash 2.

Синтаксис

prevScene()

Параметры

Нет.

Возвращается

Ничего.

Описание

Команда, переводит клип на первый кадр предыдущей сцены и останавливает его.

См. также

nextScene


print

N-R > print

print

Доступность

Flash Player 4.20.

Синтаксис

print (level)
print (level, "Bounding box")
print ("target")
print ("target", "Bounding box")
printAsBitmap (level)
printAsBitmap (level, "Bounding box")
printAsBitmap ("target")
printAsBitmap ("target", "Bounding box")

Параметры

print В нормальном режиме (normal mode) панели Actions, выберите As vectors для печати кадров, не содержащих растровые изображения, альфа прозрачности или цветовых эффектов. Выберите As bitmap для печати кадров, содержащих растровые изображения, альфа прозрачность или цветовые эффекты. При выборе параметра печати As bitmap, к команде print в панели Actions добавляется синтаксис AsBitmap.

level Печатаемый уровень Flash Player'а. Если в нормальном режиме (normal mode) панели Actions выбрать level, команда print переключится на printNum или printAsBitmapNum. В режиме эксперта (expert mode) необходимо самому выбирать использование printNum или printAsBitmapNum. По умолчанию печатаются все кадры уровня. Если хотите печатать только определенные кадры уровня, пометьте эти кадры меткой (label) #p.

target Имя мувиклипа, предназначенного для печати. По умолчанию печатаются все кадры клипа. Если надо напечатать только определенных кадры, пометьте их для печати меткой (label) #p.

Bounding box Модификатор, задающий область печати клипа. Это необязательный параметр. Возможны следующие его значения:

bmovie Определяет специфический кадр, как область печати всех печатаемых кадров в клипе. Для обозначения этого кадра, пометьте его меткой (label) #b.

bmax Определяет область печати, как составленную наложением всех печатаемых кадров клипа. Используйте параметр bmax, если печатаемый кадры вашего клипа имеют разный размер.

bframe Указывает, что каждый предназначенный для печати кадр используется как область печати. Это изменяет область печати для каждого кадра и масштабирует объекты, подгоняя их размер под область печати. Используйте bframe, если имеете объекты различных размеров в каждом кадре и хотите, чтобы каждый объект заполнил напечатанную страницу.

Возвращается

Нет.

Описание

Команда, печатает клип target в соответствии с модификатором, определенному в параметре (bmovie, bmax или bframe). Если хотите печатать только отдельные кадры клипа, пометьте их меткой (label) #P. Хотя команда print обеспечивает более высокое качество печати, чем printAsBitmap, она не может применяться для распечатки клипа, использующего альфа-прозрачность или специальные цветовые эффекты.

Если область печати не определена, по умолчанию она будет ограничена размером сцены загруженного клипа. Клип не наследует размер сцены основного клипа. Можно управлять областью печати, определяя параметры bmovie, bmax или bframe.

Все предназначенные для печати элементы клипа должны быть полностью загружены до начала печати.

Flash Player поддерживает PostScript и non-PostScript принтеры. Non-PostScript преобразуют векторное изображение в растровое (bitmap).

Пример

Следующий пример напечатает все предназначенные для печати кадры в myMovie с областью печати, определенной кадрами с меткой #b:

print("myMovie","bmovie");

Следующий пример напечатает все предназначенные для печати кадры в myMovie с областью печати, определенной каждым кадром:

print("myMovie","bframe");

См. также

printNum, printAsBitmap, printAsBitmapNum


printAsBitmap

N-R > printAsBitmap

printAsBitmap

Доступность

Flash Player 4.20.

Синтаксис

printAsBitmap(target, "Bounding box")

Параметры

target Имя мувиклипа, предназначенного для печати. По умолчанию печатаются все кадры клипа. Если надо напечатать только определенные кадры, пометьте их для печати меткой (label) #P.

Bounding box Модификатор, задающий область печати клипа. Возможны следующие его значения:

bmovie Определяет специфический кадр, как область печати всех печатаемых кадров в клипе. Для обозначения этого кадра, пометьте его меткой (label) #b.

bmax Определяет область печати, как составленную наложением всех печатаемых кадров клипа. Используйте параметр bmax, если печатаемый кадры вашего клипа имеют разный размер.

bframe Указывает, что каждый предназначенный для печати кадр используется как область печати. Это изменяет область печати для каждого кадра и масштабирует объекты, подгоняя их размер под область печати. Используйте bframe, если имеете объекты различных размеров в каждом кадре и хотите, чтобы каждый объект заполнил напечатанную страницу.

Возвращается

Нет.

Описание

Команда, печатает клип target как растровый рисунок. Используйте команду printAsBitmap для печати кадров, содержащих растровые изображения, альфа прозрачность или цветовые эффекты. Для обеспечения максимально возможного качества, команда printAsBitmap печатает в самой высокой доступной разрешающей способности принтера.

Если клип не содержит альфа-прозрачности или цветовых эффектов, рекомендуется использовать команду print для получения более качественных результатов.

По умолчанию, область печати определяется размером сцены загруженного клипа. Клип не наследует размер сцены основного клипа, можно регулировать область печати через аргументы bmovie, bmax или bframe.

Все предназначенные для печати элементы клипа должны быть полностью загружены до начала печати.

Flash Player поддерживает PostScript и non-PostScript принтеры. Non-PostScript преобразуют векторное изображение в растровое (bitmap).

См. также

print, printAsBitmapNum, printNum


printAsBitmapNum

N-R > printAsBitmapNum

printAsBitmapNum

Доступность

Flash Player 5.

Синтаксис

printAsBitmapNum(level)
printAsBitmapNum(level, "Bounding box")

Параметры

level Печатаемый уровень Flash Player'а. По умолчанию печатаются все кадры уровня. Если хотите печатать только определенные кадры уровня, пометьте эти кадры меткой (label) #p.

Bounding box Модификатор, задающий область печати клипа. Это необязательный параметр. Возможны следующие его значения:

bmovie Определяет специфический кадр, как область печати всех печатаемых кадров в клипе. Для обозначения этого кадра, пометьте его меткой (label) #b.

bmax Определяет область печати, как составленную наложением всех печатаемых кадров клипа. Используйте параметр bmax, если печатаемый кадры вашего клипа имеют разный размер.

bframe Указывает, что каждый предназначенный для печати кадр используется как область печати. Это изменяет область печати для каждого кадра и масштабирует объекты, подгоняя их размер под область печати. Используйте bframe, если имеете объекты различных размеров в каждом кадре и хотите, чтобы каждый объект заполнил напечатанную страницу.

Возвращается

Нет.

Описание

Команда, печатает уровень Flash Player'а, как растровый рисунок. Используйте команду printAsBitmapNum для печати кадров, содержащих растровые изображения, альфа прозрачность или цветовые эффекты. Для обеспечения максимально возможного качества, команда printAsBitmap печатает в самой высокой доступной разрешающей способности принтера. Для вычисления размера файла для печати выбранного кадра, перемножьте пиксельную ширину с пиксельной высотой и с разрешающей способностью принтера.

Если клип не содержит альфа-прозрачности или цветовых эффектов, рекомендуется использовать команду printNum для получения более качественных результатов.

По умолчанию, область печати определяется размером сцены загруженного клипа. Клип не наследует размер сцены основного клипа, можно регулировать область печати через аргументы bmovie, bmax или bframe.

Все предназначенные для печати элементы клипа должны быть полностью загружены до начала печати.

Flash Player поддерживает PostScript и non-PostScript принтеры. Non-PostScript преобразуют векторное изображение в растровое (bitmap).

См. также

print, printAsBitmap, printNum


printNum

N-R > printNum

printNum

Доступность

Flash Player 5.

Синтаксис

printNum (level, "Bounding box")

Параметры

level Печатаемый уровень Flash Player'а. По умолчанию печатаются все кадры уровня. Если хотите печатать только определенные кадры уровня, пометьте эти кадры меткой (label) #p.

Bounding box Модификатор, задающий область печати клипа. Возможны следующие его значения:

bmovie Определяет специфический кадр, как область печати всех печатаемых кадров в клипе. Для обозначения этого кадра, пометьте его меткой (label) #b.

bmax Определяет область печати, как составленную наложением всех печатаемых кадров клипа. Используйте параметр bmax, если печатаемый кадры вашего клипа имеют разный размер.

bframe Указывает, что каждый предназначенный для печати кадр используется как область печати. Это изменяет область печати для каждого кадра и масштабирует объекты, подгоняя их размер под область печати. Используйте bframe, если имеете объекты различных размеров в каждом кадре и хотите, чтобы каждый объект заполнил напечатанную страницу.

Возвращается

Нет.

Описание

Команда, печатает уровень Flash Player'а в границах определенных параметром Bounding box ("bmovie", "bmax", "bframe"). Если хотите печатать только определенные кадры, пометьте их меткой (label) #p. Использование команды printNum приводит к более высокому качеству печати, чем команда printAsBitmapNum, но ее нельзя применять для печати клипов с прозрачностью и цветовыми эффектами.

Если область печати не определена, то по умолчанию она будет определяться размером сцены загруженного клипа. Клип не наследует размер сцены основного клипа. Можно управлять областью печати, определяя параметры bmovie, bmax или bframe.

Все предназначенные для печати элементы клипа должны быть полностью загружены до начала печати.

Flash Player поддерживает PostScript и non-PostScript принтеры. Non-PostScript преобразуют векторное изображение в растровое (bitmap).

См. также

print, printAsBitmap, printAsBitmapNum


_quality

N-R > _quality

_quality

Доступность

Flash Player 5.

Синтаксис

_quality

Описание

Свойство общее для всего клипа, устанавливает или возвращает качество, используемое для рендеринга клипа. Внутренние шрифты (device fonts) всегда не сглаженные, поэтому не зависят от команды _quality.

Свойство _quality может принимать следующие значения:

"LOW" Низкое качество рендеринга (отображения). Ни векторная, ни растровая графика не сглаживаются.

"MEDIUM" Среднее качество рендеринга. Графика сглаживается с использованием сетки 2х2, но растровые картинки не сглаживаются. Это режим подходит для клипов, которое не содержат текст.

"HIGH" Высокое качество рендеринга. Графика сглаживается с использованием сетки 4х4 и битмапы сглаживаются тоже, если не анимированы (статические). Это качество рендеринга установлено во Flash по умолчанию.

"BEST" Очень высокое качество рендеринга. Графика сглаживается с использованием сетки 4х4, растр сглаживается всегда.

Пример

Следующий пример устанавливает качество рендеринга в режим LOW:

_quality = "LOW";

См. также

_highquality, toggleHighQuality


random

N-R > random

random

Доступность

Flash Player 4. Эта функция нежелательна во Flash 5, рекомендуется использовать метод Math.random.

Синтаксис

random(value)

Параметры

value Целое.

Возвращается

Целое.

Описание

Функция, возвращает случайное целое между нулем и числом, указанным в аргументе value.

Пример

Следующее использование random возвращает значения 0, 1, 2, 3 или 4:

random(5);

См. также

Math.random


removeMovieClip

N-R > removeMovieClip

removeMovieClip

Доступность

Flash Player 4.

Синтаксис

removeMovieClip(target)

Параметры

target Путь (target path) до экземпляра мувиклипа, созданного при помощи duplicateMovieClip или имя мувика, созданного методами attachMovie или duplicateMovie, объекта MovieClip.

Возвращается

Нет.

Описание

Команда, удаляет экземпляр мувиклипа, созданного при помощи методов attachMovie или duplicateMovie объекта MovieClip или командой duplicateMovieClip.

См. также

duplicateMovieClip, MovieClip.duplicateMovieClip, MovieClip.attachMovie, MovieClip.removeMovieClip


return

N-R > return

return

Доступность

Flash Player 5.

Синтаксис

return[expression]
return

Параметры

expression Строка, число, массив или объект, обрабатываемые функцией и возвращаемые, как ее значение. Это необязательный параметр.

Возвращается

Обработанный параметр expression, если он указан.

Описание

Команда, определяет значение, возвращаемое функцией. Команда return обрабатывает expression и возвращает результат, как значение исполняемой функции. Команда return останавливает выполнение функции и заменяет ее на возвращаемое значение. Если return не имеет параметра, возвращается null.

Пример

Использование команды return внутри тела функции sum возвращает суммарное значение трех параметров. Следующая строка кода вызывает функцию sum и присваивает возвращаемое ей значение переменной newValue:

function sum(a, b, c){
    return a + b + c;
}
newValue = sum(4, 32, 78);
trace(newValue);
// результат в окне вывода: 114

См. также

function


_root

N-R > _root

_root

Доступность

Flash Player 5.

Синтаксис

_root.movieClip
_root.action
_root.property

Параметры

movieClip Имя мувиклипа.

action Команда или метод.

property Свойство объекта MovieClip.

Описание

Свойство, определяет или возвращает ссылку на основную (root - корень) линейку (Timeline) мувиклипа. Если клип имеет много уровней (levels), корневой линейкой является уровень, содержащий исполняемый в данный момент скрипт. Например, если скрипт на первом уровне указывает на _root, будет возвращено _level1.

Определение _root то же самое, что использование слэш нотации (/) для определения абсолютного пути для текущего уровня (level).

Пример

Следующий пример остановит воспроизведение уровня, содержащего текущий исполняемый скрипт:

_root.stop();

В этом примере клип перескочит на третий кадр линейки текущего уровня:

_root.gotoAndStop(3);

См. также

_parent, targetPath


scroll

S > scroll

scroll

Доступность

Flash Player 4.

Синтаксис

textFieldVariableName.scroll = x

Описание

Свойство; контролирует вывод информации в текстовом поле, связанном с переменной. Свойство scroll указывает, где начнется вывод содержимого переменной в текстовом поле; после того, как Вы его установили, Flash Player обновляет его во время перемещения пользователем по текстовому полю. Свойство scroll полезно для направления пользователей к определенному параграфу в длинном текстовом поле, или для создания полей прокрутки текста. Это свойство может быть востребовано или изменено.

Пример

Следующий пример кода присоединен к кнопке "Up" (Вверх), которая прокручивает текстовое поле myText:

on (release) {
    myText.scroll = myText.scroll + 1;
}

Смотрите также

TextField.maxscroll , TextField.scroll


Selection (object)

S > Selection (object)

Selection (object)

Объект Selection дает возможность контролировать, в каком текстовом поле клипа находится курсор. Текстовое поле, про которое говорят, что оно имеет "фокус", является полем, в котором на данный момент находится курсор. Индексы промежутка выбора отсчитываються от нуля (например, первая позиция - 0, вторая позиция - 1, и так далее).

Нет никакого метода конструктора для объекта Selection, поэтому в одно время "фокус" может иметь только одно текстовое поле.

Список методов для объекта Selection

Метод | Описание
Selection.addListener | Регистрирует объект, чтобы получить уведомление о том, что сработал метод onSetFocus.
Selection.getBeginIndex | Возвращает индекс начала выделенного промежутка. Возвращает -1если нету индекса, или текущего сфокусированного поля.
Selection.getCaretIndex | Возвращает текущую позицию каретки в сфокусированном выделенном промежутке. Возвращает -1если нету каретки, или текущего сфокусированного выделенного промежутка.
Selection.getEndIndex | Возвращает индекс конца выделенного промежутка. Возвращает -1если нету индекса, или текущего сфокусированного поля.
Selection.getFocus | Возвращает имя переменной текущего сфокусированного текстового поля. Возвращает null, если нет текущего сфокусированного текстового поля.
Selection.removeListener | Удаляет объект зарегистрированный с помощью addListener.
Selection.setFocus | Фокусирует текстовое поле, связанное с переменной, указанной в параметре.
Selection.setSelection | Устанавливает начало и конец выделенного промежутка.

Список листенеров (Listener) для объекта Selection

Метод | Описание
Selection.onSetFocus | Уведомляет об изменении фокуса.


Selection.addListener

S > Selection.addListener

Selection.addListener

Доступность

Flash Player 6.

Синтаксис

Selection.addListener(newListener)

Параметры

newListener Объект для метода onSetFocus.

Возвращается

Ничего.

Описание

Метод; регистрирует объект для получения уведомления об изменении фокуса. Когда изменяется фокус (например, срабатывает метод Selection.SetFocus), все объекты-листенеры, зарегистрированные с помощью addListener, вызывают метод onSetFocus. Многие объекты одновременно могут следить за событием изменения фокуса. Если листенер newListener уже зарегистрирован, вызов данного метода не произведет никаких изменений.


Selection.getBeginIndex

S > Selection.getBeginIndex

Selection.getBeginIndex

Доступность

Flash Player 5.

Синтаксис

Selection.getBeginIndex()

Параметры

Нет.

Возвращается

Целое число.

Описание

Метод; возвращает индекс начала выделенного диапазона. Если индекса или поля, имеющего фокус, нет, метод возвращает -1. Нумерация индекса происходит с нуля (к примеру, первая позиция 0, вторая 1, и так далее).


Selection.getCaretIndex

S > Selection.getCaretIndex

Selection.getCaretIndex

Доступность

Flash Player 5.

Синтаксис

Selection.getCaretIndex()

Параметры

Нет.

Возвращается

Целое число.

Описание

Метод; возвращает индекс позиции мерцающего курсора. Если нет курсора, метод возвращает -1. Нумерация индекса происходит с нуля (к примеру, первая позиция 0, вторая 1, и так далее).


Selection.getEndIndex

S > Selection.getEndIndex

Selection.getEndIndex

Доступность

Flash Player 5.

Синтаксис

Selection.getEndIndex()

Параметры

Нет.

Возвращается

Целое число.

Описание

Метод; Возвращает индекс конца в настоящее время сосредоточенного промежутка выбора. Если индекс не существует, или если нет в настоящее время выделенного промежутка выбора, метод возвращает -1. Нумерация индекса происходит с нуля (к примеру, первая позиция 0, вторая 1, и так далее).


Selection.getFocus

S > Selection.getFocus

Selection.getFocus

Доступность

Flash Player 5. Имена экземпляров для кнопок и текстовых полей поддерживаются только в Flash Player 6.

Синтаксис

Selection.getFocus()

Параметры

Нет.

Возвращается

Ничего.

Описание

Метод; возвращает имя переменной текстового поля, которое сейчас имеет фокус. Если нет сфокусированного текстового поля, метод возвращает null. Если текущий фокус имеет кнопка, которая является экземпляром объекта Button, getFocus возвращает путь в виде строки. Если текущий фокус имеет текстовое поле, которое является экземпляром объекта TextField, getFocus возвращает путь в виде строки. Если фокус имеет кнопка клип-ролик, Selection.getFocus возвращает путь кнопки в виде строки. Если фокус имеет текстовое поле с именем экземпляра, Selection.getFocus возвращает путь к текстовому полю в виде строки. Иначе оно возвращает имя переменной текстового поля.


Selection.onSetFocus

S > Selection.onSetFocus

Selection.onSetFocus

Доступность

Flash Player 6.

Синтаксис

someListener.onSetFocus = function(oldFocus, newFocus){
    ...ваш код;
}

Описание

Листенер (Listener); уведомляет, когда изменяется фокус ввода. Чтобы использовать onSetFocus, необходимо сперва создать объект-листенер. Затем можно определить функцию для onSetFocus и использовать метод addListener для регистрации с объектом Selection, например так:

someListener = new Object();
someListener.onSetFocus = function () { ... };
Selection.addListener(someListener);

См. также

Selection.addListener


Selection.removeListener

S > Selection.removeListener

Selection.removeListener

Доступность

Flash Player 6.

Синтаксис

Selection.removeListener(listener)

Параметры

listener Объект, который больше не будет получать уведомления о получении фокуса.

Возвращается

Если объект-listener был успешно удален, метод возвращает значение true. Если listener не был удален, например если listener не был в списке выбранного объекта, метод возвращает значение false.

Описание

Метод; удаляет объект предварительно зарегистрированный с помощью addListener.


Selection.setFocus

S > Selection.setFocus

Selection.setFocus

Доступность

Flash Player 5. Имена экземпляров кнопок и текстовых полей работают только в Flash Player 6.

Синтаксис

Selection.setFocus("variablePath")

Параметры

variablePath Переменная, указывающая путь к имени переменной, связанной с текстовым полем.

Возвращается

Событие.

Описание

Метод; передает фокус доступному для редактирования текстовому полю, связанному с переменной, указанной в variablePath. Параметр variablePath должен быть строковым представлением пути к переменной. Можно использовать точки или слэш, чтобы указать путь. Можно также использовать относительный или абсолютный путь.

Если в variablePath указан путь к экземпляру кнопки, то кнопка получит фокус. Если в variablePath указан путь к экземпляру текстового поля, то текстовое поле получит фокус. Если передан параметр null, то текущий фокус будет удален.

Если кнопка-клип указана в Selection.setFocus, она станет текущей выделенной кнопкой. Если указан объект текстовое поле, то оно получит фокус. Если указан объект кнопка, то он станет текущей выделенной кнопкой.

Пример

Следующий пример устанавливает фокус на текстовом поле на главной тайм-лайн, которое связано с переменной myVar. Параметр variablePath - абсолютный путь, так что Вы можете вызывать скрипт с любого места линейки.

Selection.setFocus("_root.myVar");

В следующем примере, текстовое поле, связанное с myVar находится в символе myClip в главной тайм-лайн. Допускается использовать любой из следующих двух путей, чтобы установить фокус; первый относительный, а второй абсолютный.

Selection.setFocus("myClip.myVar");
Selection.setFocus("_root.myClip.myVar");


Selection.setSelection

S > Selection.setSelection

Selection.setSelection

Доступность

Flash Player 5.

Синтаксис

Selection.setSelection(start, end)

Параметры

start Индекс начала промежутка выделения.

end Индекс окончания промежутка выделения.

Возвращается

Ничего.

Описание

Метод; выделяет часть текстового поля, на которое установлен фокус. Новый выделенный промежуток начинается с индекса, указанного в параметре start, м заканчивается на индексе, указанном в параметре end. Промежуток выделения отсчитываеться от нуля (например, первая позиция - 0, вторая позиция - 1, и так далее). Этот метод не имеет никакого эффекта, если в настоящее время нет сфокусированного текстового поля.


set variable

S > set variable

set variable

Доступность

Flash Player 4.

Синтаксис

set(variable, expression)

Параметры

variable Идентификатор, которому нужно передать значение expression.

expression Значение, назначенное на переменную.

Возвращается

Ничего.

Описание

Команда; присваивает переменной значение. Переменная - контейнер, который содержит данные. Сам контейнер всегда тот же самый, но его содержание может изменяться. Изменяя значение переменной во время проигрывания клипа, Вы можете делать запись и сохранять информацию о том, что пользователь сделал, записывать значения, которые меняются во время проигрывания клипа или оценивать, является ли условие true или false.

Переменные могут содержать любой тип данных (например, строку, число, булевский тип данных, объект, или мувиклип). Тайм-лайн каждого фильма и мувиклипа имеет его собственный набор переменных, и каждая переменная имеет свое собственное значение, независимое от переменных на других тайм-лайнах.

ActionScript - язык с динамическим контролем типов. Каждая переменная имеет свой тип. Тип назначается во время выполнения и может изменяться в течение выполнения. Это отличает ActionScript от языков со статическим контролем типов подобно Java или C++, где тип назначается во времени компиляции и не может изменяться во время выполнения.

Пример

Этот пример устанавливает переменную под названием orig_x_pos, которая хранит первоначальную позицию оси X символ-ролика ship чтобы установить корабль в стартовое местоположение позже в клипе.

on(release) {
    set("orig_x_pos", getProperty ("ship", _x ));
}

Предыдущий код дает тот же самый результат что и следующий:

on(release) {
    orig_x_pos = ship._x;
}

Смотрите также

var, call


setInterval

S > setInterval

setInterval

Доступность

Flash Player 6.

Синтаксис

setInterval( function, interval[, arg1, arg2, ..., argn] )

setInterval( object, methodName, interval[, arg1, arg2, ..., argn] )

Параметры

function Имя функции или ссылка на анонимную функцию.

object Объект, полученный из объекта Object.

methodName Имя метода для вызова параметра object.

interval Время в миллисекундах между запросами к function или к параметру methodName.

þarg1, arg2, ..., argn Дополнительные параметры для передачи в function или в параметр methodName.

Возвращается

Идентификатор интервала, который Вы можете передать в clearInterval чтобы отменить интервал.

Описание

Команда; вызывает функию, метод или объект в периодические интервалы во время проигрывания фильма. Вы можете использовать интервальную функцию для обновления переменных из базы данных или для обновления индикатора времени.

Если interval меньше, чем скорость проигрывания клипа (например, 10 кадров в секунду (fps) равно 100 милисекундам), интервальная функция будет вызываться так близко к интервалу interval, насколько возможно. Необходимо использовать функцию updateAfterEvent, чтобы удостовериться в том, что картинка обновляется достаточно быстро. Если interval больше, чем скорость проигрывания клипа, интервальная функция вызывается только во время смены кадров, чтобы уменьшить влияние на скорость обновления экрана.

Первый пример синтаксиса является синтаксисом функции setInterval по умолчанию в панели Actions в нормальном режиме. Чтобы использовать второй синтаксис, нужно перейти в экспертный режим в панели Actions.

Пример

пример 1: Следующий пример вызывает литерал функции каждые 1000 милисекунд (каждую секунду).

setInterval( function(){ trace("interval called"); }, 1000 );

пример 2: Следующий пример обьявляет две функции и вызывает каждую из них. Каждое обращение к функции setInterval посылает переменную "interval called" в окно вывода (Output window) каждые 1000 милисекунд. Первый вызов setInterval вызывает функцию callback1, которая содержит скрипт trace. Второй вызов setInterval передает переменную "interval called" в функцию callback2 как параметр.

function callback1() {
    trace("interval called");
}

function callback2(arg) {
    trace(arg);
}

setInterval( callback1, 1000 );
setInterval( callback2, 1000, "interval called" );

пример 3: Этот пример использует метод обьекта. Необходимо использовать этот синтаксис, когда Вы хотите вызвать метод, который определен для объекта. Вы можете использовать этот синтаксис только в экспертном режиме.

obj = new Object();
obj.interval = function() {
    trace("interval function called");
}

setInterval( obj, "interval", 1000 );

obj2 = new Object();
obj2.interval = function(s) {
    trace(s);
}
setInterval( obj2, "interval", 1000, "interval function called" );

Чтобы вызвать метод объекта, Вы должны использовать вторую форму синтаксиса setInterval следующим образом:

setInterval( obj2, "interval", 1000, "interval function called" );

См. также

clearInterval, updateAfterEvent


setProperty

S > setProperty

setProperty

Доступность

Flash Player 4.

Синтаксис

setProperty("target", property, value/expression)

Параметры

target Путь к клипу, свойства которого нужно установить.

property Свойство, которое нужно установить.

value Новое значение свойства.

expression Выражение, вычисление которого приводит к новому значению свойства.

Возвращается

Ничего.

Описание

Команда; изменяет свойство мувиклипа во время воспроизведения фильма.

Пример

Эта команда устанавливает свойство _alpha клипа с названием star в значение 30%, если кнопка была нажата:

on(release) {
    setProperty("star", _alpha, "30");
}

Смотрите также

getProperty


Sound (object)

S > Sound (object)

Sound (object)

Объект Sound позволяет управлять звуком в фильме. Вы можете добавлять звуки к мувиклипу из библиотеки, в то время как клип воспроизводит и управляет этими звуками. Если Вы не определяете адресата (target), когда создаете новый объект Sound, можно использовать методы управления звуком для целого фильма. Необходимо использовать конструктор new Sound, чтобы создать экземпляр объекта Sound перед использованием методов объекта Sound.

Обьект Sound поддерживаеться в Flash Player 5 и Flash Player 6.

Список методов обьекта Sound

Метод | Описание
Sound.attachSound | Присоединяет звук, указанный в параметре.
Sound.getBytesLoaded | Возвращает количество загруженных байт для указанного звука.
Sound.getBytesTotal | Возвращает размер звука в байтах.
Sound.getPan | Возвращает значение предыдущего вызова setPan.
Sound.getTransform | Возвращает значение предыдущего вызова setTransform.
Sound.getVolume | Возвращает значение предыдущего вызова setVolume.
Sound.loadSound | Загружает файл MP3 в Flash Player.
Sound.setPan | Устанавливает левый/правый баланс звука.
Sound.setTransform | Устанавливает количество каждого канала, левого и правого, который будет проигрываться в каждом динамике.
Sound.setVolume | Устанавливает уровень громкости звука.
Sound.start | Начинает проигрывание звука сначала, или с точки смещения, указанной в параметре.
Sound.stop | Останавливает проигрывание указанного звука, или всех звуков, которые сейчас играют.

Список свойств обьекта Sound

Свойство | Описание
Sound.duration | Длина звука в милисекундах.
Sound.position | Количество уже воспроизведенных милисекунд.

Список событий обьекта Sound

Событие | Описание
Sound.onLoad | Срабатывает, когда звук загружен.
Sound.onSoundComplete | Срабатывает, когда звук закончил играть.

Конструктор для объекта Sound

Доступность

Flash Player 5.

Синтаксис

new Sound([target])

Параметры

target Экземпляр мувиклипа, с которым работает объект Sound. Этот параметр является необязательным.

Возвращается

Ничего.

Описание

Конструктор; создает новый объект Sound для указанного мувиклипа. Если экземпляр не указан, объект Sound управляет всеми звуками в фильме.

Пример

Следующий пример создает новый экземпляр объекта Sound с названием GlobalSound. Вторая строчка вызывает метод setVolume и устанавливает громкость всех звуков в клипе на 50%.

globalsound = new Sound();
globalsound.setVolume(50);

Следующий пример создает новый экземпляр объекта Sound, передает ему мувиклип myMovie, и вызывает метод start, который запускает любой звук в myMovie.

moviesound = new Sound(myMovie);
moviesound.start();


Sound.attachSound

S > Sound.attachSound

Sound.attachSound

Доступность

Flash Player 5.

Синтаксис

mySound.attachSound("idName")

Параметры

idName Имя прикрепляемого звука, заданное в диалоговом окне библиотеки Options - Symbol Linkage Properties.

Возвращается

Ничего.

Описание

Метод; присоединяет звук, указанный в параметре idName к указанному объекту Sound. Звук должен находиться в библиотеке текущего клипа и указан в диалоговом окне Symbol Linkage Properties как экспортируемый. Необходимо вызвать Sound.start чтобы звук начал играть.

Смотрите также

Sound.start


Sound.duration

S > Sound.duration

Sound.duration

Доступность

Flash Player 6.

Синтаксис

mySound.duration

Описание

Свойство (только чтение); Продолжительность звука в миллисекундах.


Sound.getBytesLoaded

S > Sound.getBytesLoaded

Sound.getBytesLoaded

Доступность

Flash Player 6.

Синтаксис

Sound.getBytesLoaded()

Параметры

Нет.

Возвращается

Целое число, указывающее число загруженных байт.

Описание

Метод; возвращает число загруженных (или streamed) байт указанного объекта Sound. Vj;yj chfdybdfnm значение getBytesLoaded сj значением getBytesTotal? чтобы определить процент загрузки звука.

Смотрите также

Sound.getBytesTotal


Sound.getBytesTotal

S > Sound.getBytesTotal

Sound.getBytesTotal

Доступность

Flash Player 6.

Синтаксис

Sound.getBytesTotal()

Параметры

Нет.

Возвращается

Целое число, указывающее размер объекта Sound в байтах.

Описание

Метод; возвращает размер, в байтах, указанного объекта Sound.

Смотрите также

Sound.getBytesLoaded


Sound.getPan

S > Sound.getPan

Sound.getPan

Доступность

Flash Player 5.

Синтаксис

mySound.getPan();

Параметры
Нет.

Возвращается

Ничего.

Описание

Метод; возвращает значение баланса, установленное в последнем вызове setPan как целое число от -100 (левый) до 100 (правый). (0 устанавливает левый и правый каналы идентичными.) Этод метод контролирует левый-правый баланс текущего и будущих звуков в клипе.

Этот метод используеться с методами setVolume или setTransform.

Смотрите также

Sound.setPan


Sound.getTransform

S > Sound.getTransform

Sound.getTransform

Доступность

Flash Player 5.

Синтаксис

mySound.getTransform();

Параметры

Нет.

Возвращается

Ничего.

Описание

Метод; возвращает информацию о трансформации указанного объекта Sound установленной последним вызовом setTransform.

Смотрите также

Sound.setTransform


Sound.getVolume

S > Sound.getVolume

Sound.getVolume

Доступность

Flash Player 5.

Синтаксис

mySound.getVolume()

Параметры

Нет.

Возвращается

Ничего.

Описание

Метод; возвращает уровень громкости звука как целое число от 0 до 100, где 0 - звук выключен и 100 полная громкость. Значение по умолчанию 100.

Смотрите также

Sound.setVolume


Sound.loadSound

S > Sound.loadSound

Sound.loadSound

Доступность

Flash Player 6.

Синтаксис

mySound.loadSound("url", isStreaming)

Параметры

url Адрес звукового файла MP3 на сервере.

isStreaming Двоичное значение, указывающее является ли звук потоковым (streaming) (true) или event (false).

Возвращается

Ничего.

Описание

Метод; загружает файл MP3 в экземпляр объекта Sound. Вы можете использовать параметр isSteaming чтобы указать, будет ли звук потоковым или по событию (event).

Звук Event должен полностью загрузиться, пржде чем начать воспроизведение. Он управляется кодом объекта Sound и отвечает на все методы и свойства этого объекта.

Звук Streaming воспроизводится в процессе. Воспроизведение начинается, когда получено достаточно байт для декомпрессии. В отличии от звуков event, звуки streaming существуют только в виртуальной памяти, они не загружаются на жесткий диск.

Пример

Следующий пример загружает звук event:

s.loadSound( "http://serverpath:port/mp3filename", false);

Следующий пример загружает звук streaming:

s.loadSound( "http://serverpath:port/mp3filename", true);


Sound.onLoad

S > Sound.onLoad

Sound.onLoad

Доступность

Flash Player 6.

Синтаксис

mySoundObject.onLoad = callbackFunction

Параметры

mySoundObject Объект Sound.

callbackFunction Функция.

Возвращается

Ничего.

Описание

Обработчик событий; срабатывает автоматически когда звук загружается. Вы должны создать функцию, которая выполняется, когда сработает событие onLoad. Можно использовать литерал функции или обычную функцию.

Смотрите также

Sound.onSoundComplete


Sound.onSoundComplete

S > Sound.onSoundComplete

Sound.onSoundComplete

Доступность

Flash Player 6.

Синтаксис

mySoundObject.onSoundComplete = callbackFunction

Параметры

mySoundObject Объект Sound.

callbackFunction Функция.

Возвращается

Ничего.

Описание

Событие; срабатывает автоматически когда звук закончит играть. Вы можете использовать событие onSoundComplete для управления клипом по окончании проигрывания звука.

Необходимо создать функцию, которая выполнится при совершении события onSoundComplete. Можно использовать литерал функции или обычную функцию.

Пример

Использование 1: Следующий пример использует литерал функции:

s = new Sound();
s.attachSound("mySound");
s.onSoundComplete = function() { trace("mySound completed"); };
s.start();

Использование 2: Следующий пример использует именованную функцию:

function callback1() {
trace("mySound completed");
}

s = new Sound();
s.attachSound("mySound");

s.onSoundComplete = callback1;

s.start();


Sound.position

S > Sound.position

Sound.position

Доступность

Flash Player 6.

Синтаксис

mySound.position

Параметры

Нет.

Возвращается

Количество милисекунд прозвучавшего звука.

Описание

Свойство (только чтение); возвращает количество милисекунд равное времени воспроизведения звука. Если звук зациклен, позиция сбрасывается на 0 в начале каждого цикла.


Sound.setPan

S > Sound.setPan

Sound.setPan

Доступность

Flash Player 5.

Синтаксис

mySound.setPan(pan);

Параметры

pan Целое число, устанавливающее левый-правый баланс звука. Диапазон допустимых значений от -100 до 100, где при -100 используется только левый канал, при 100 используется только правый канал, 0 устанавливает ровный баланс между двумя каналами.

Возвращается

Ничего.

Описание

Метод; определяет, как звук проигрывается в левом и правом каналах (колонках). Для моно звуков, pan указывает какой из динамиков (левый или правый) будет воспроизводить звук.

Пример

Следующий пример создает экземпляр объекта Sound s и присоединяет звук с идентификатором L7 из библиотеки. Он также вызывает методы setVolume и setPan methods для управления звуком L7.

onClipEvent(mouseDown) {
// создаем объект sound
    s = new Sound(this);
// прицепляем звук
    s.attachSound("L7");
//устанавливаем громкость 50%
    s.setVolume(50);
//убираем звук из правого канала
    s.setPan(-100);
//начиная с 30 секунд воспроизводим звук 5 раз
    s.start(30, 5);

Смотрите также

Sound.attachSound, Sound.setPan, Sound.setTransform, Sound.setVolume, Sound.start


Sound.setTransform

S > Sound.setTransform

Sound.setTransform

Доступность

Flash Player 5.

Синтаксис

mySound.setTransform(soundTransformObject)

Параметры

soundTransformObject Объект созданный с помощью конструктора для универсального объекта Object.

Возвращается

Ничего.

Описание

Метод; устанавливает трансформацию или "баланс" для объекта Sound.

Параметр soundTransformObject является объектом, который созданный с помощью конструктора объекта Object с параметрами, указывающими, как звук будет распределен между левым и правым каналом (колонками).

Звуки используют значительное количество дискового пространства и памяти. Поскольку стерео звуки используют вдвое больше данные, чем моно звуки, оптимальнее всего использовать моно звуки на 22 кГц 6 бит. Можно использовать метод setTransform, чтобы воспроизводить моно звуки как стерео, запускать стерео звуки как моно, и добавлять интересные звуковые эффекты.

Параметры для soundTransformObject следующие:

11 Процентное значение, указывающее какая часть левого канала будет проигрываться в левом динамике (0-100).

1r Процентное значение, указывающее какая часть правого канала будет проигрываться в левом динамике (0-100).

rr Процентное значение, указывающее какая часть правого канала будет проигрываться в правом динамике (0-100).

rl Процентное значение, указывающее какая часть левого канала будет проигрываться в правом динамике (0-100).

Результат параметров представлен следующим выражением:

leftOutput = left_input * ll + right_input * lr
rightOutput = right_input * rr + left_input * rl

Значения для left_input или right_input определяются типом (стерео или моно) музыки в Вашем клипе.

Стерео звуки делят звук равномерно между левыми и правыми динамиками и имеют следующие параметры по умолчанию:

ll = 100
lr = 0
rr = 100
rl = 0

Моно звуки проигрывают весб поток в левом динамике и имеют следующие параметры по умолчанию:

ll = 100
lr = 100
rr = 0
rl = 0

Пример

Следующий пример демонстрирует настройки, которые можно сделать с помощью метода setTransform, но нельзя сделать методами setVolume или setPan , даже если их комбинировать.

Следующий код создает новый объект soundTransformObject и устанавливает его свойства так, что оба канала звука будут играть только в левом динамике.

mySoundTransformObject = new Object;
mySoundTransformObject.ll = 100;
mySoundTransformObject.lr = 100;
mySoundTransformObject.rr = 0;
mySoundTransformObject.rl = 0;

Чтобы применить объект soundTransformObject к объекту Sound, Вам нужно передать объект объекту Sound с помощью метода setTransform как указано ниже:

mySound.setTransform(mySoundTransformObject);

Следующий пример играет стерео звук как моно; soundTransformObjectMono имеет следующие параметры.

mySoundTransformObjectMono = new Object;
mySoundTransformObjectMono.ll = 50;
mySoundTransformObjectMono.lr = 50;
mySoundTransformObjectMono.rr = 50;
mySoundTransformObjectMono.rl = 50;
mySound.setTransform(soundTransformObjectMono);

Этот пример играет левый канал в половину мощности и вторую часть левого канала в правом канале; soundTransformObjectHalf имеет следующие параметры.

mySoundTransformObjectHalf = new Object;
mySoundTransformObjectHalf.ll = 50;
mySoundTransformObjectHalf.lr = 0;
mySoundTransformObjectHalf.rr = 100;
mySoundTransformObjectHalf.rl = 50;
setTransform(soundTransformObjectHalf);

Смотрите также

Конструктор для объекта Object


Sound.setVolume

S > Sound.setVolume

Sound.setVolume

Доступность

Flash Player 5.

Синтаксис

mySound.setVolume(volume)

Параметры

volume Число от 0 до 100, представляющее уровень громкости. 100 - полная громкость и 0 - выключен звук. Значение по умолчанию - 100.

Возвращается

Ничего.

Описание

Метод; устанавливает уровень громкости для объекта Sound.

Пример

Следующий пример устанавливает громкость 50% и постепенно переводит звук из левого динамика в правый:

onClipEvent (load) {
    i = -100;
    s = new Sound();
    s.setVolume(50);
}
onClipEvent (enterFrame) {
    if (i <= 100) {
        S.setPan(i++);
    }
}

Смотрите также

Sound.setPan, Sound.setTransform


Sound.start

S > Sound.start

Sound.start

Доступность

Flash Player 5.

Синтаксис

mySound.start([secondOffset, loop])

Параметры

secondOffset Необязательный параметр, который позволит Вам начать проигрывание звука с указанной точки. Например, если у Вас есть 30-и секундный звук и Вы хотите, чтобы он начал играть посредине, укажите 15 для параметра secondOffset. Звук не остановиться на 15 секунд, а сразу начнет играть с 15-и секундной метки.

loop Необязательный параметр, который позволит Вам указать, сколько раз нужно проиграть звук в цикле.

Возвращается

Ничего.

Описание

Метод; начинает играть последний присоединенный звук сначала, если не указано дополнительных параметров, или с позиции, указанной в параметре secondOffset в секундах.

Смотрите также

Sound.stop


Sound.stop

S > Sound.stop

Sound.stop

Доступность

Flash Player 5.

Синтаксис

mySound.stop(["idName"])

Параметры

idName Необязательный параметр, указывающий, какой звук надо остановить. idName должен быть указан в кавычках (" ").

Возвращается

Ничего.

Описание

Метод; останавливает все звуки, которые сейчас проигрываются, если не указан дополнительный параметр, или только звук, указанный в параметре idName.

Смотрите также

Sound.start


_soundbuftime

S > _soundbuftime

_soundbuftime

Доступность

Flash Player 4.

Синтаксис

_soundbuftime = Целое число

Параметры

integer Число секунд перед тем, как фильм начнет играть.

Описание

Свойство (глобальное); Устанавливает число секунд для буфера потокового звука. Значение по умолчанию - 5 секунд.


Stage (object)

S > Stage (object)

Stage (объект)

Объект Stage являеться объектом верхнего уровня к которому можно обращаться без использования конструктора.

Используйте методы и свойства этого объекта, чтобы обращаться и управлять информацией о границах фильма.

Объект Stage доступен в Flash Player 6 и выше.

Список методов объекта Stage

Метод | Описание
Stage.addListener | Добавляет объект-листенер к объекту Stage.
Stage.removeListener | Удаляет объект-листенер из объекта Stage.

Список свойств для объекта Stage

свойство | Описание
Stage.align | Выравнивание фильма в браузере.
Stage.height | Высота сцены в пикселах.
Stage.width | Ширина сцены в пикселах.
Stage.scaleMode | Текущее масштабирование фильма.
Stage.showMenu | Управляет контекстным меню.

Обработчик событий для объекта Stage

Метод | Описание
Stage.onResize | Уведомляет о том, что был изменен размер фильма.


Stage.addListener

S > Stage.addListener

Stage.addListener

Доступность

Flash Player 6.

Синтаксис

Stage.addListener(myListener)

Параметры

myListener Объект, который ожидает событие onResize.

Возвращается

Ничего.

Описание

Метод; определяет, когда был изменен масштаб кинофильма, если Stage.scaleMode = "noScale". Метод addListener не работает с стандартными установками масштабирования клипа ("showAll") или другими установками ("exactFit", или "noBorder").

Для использования addListener, Вы должны создать объект-листенер. Объект "листенер" является объектом, который получает уведомление о совершении определенного события, когда оно произошло в клипе. Объект-листенер объекта Stage получает уведомление о совершении события Stage.onResize.

Пример

Это пример создает новый объект с именем myListener. Потом использует myListener для вызова onResize и определяет функцию, которая сработает при событии onResize. В конце объект myListener добавляется к списку объекта Stage, т.е. становится его листенером. Возможно использование множества объектов-листенеров для наблюдения за масштабированием фильма.

myListener = new Object();
myListener.onResize = function () { ... }
Stage.addListener(myListener);


Stage.align

S > Stage.align

Stage.align

Доступность

Flash Player 6.

Синтаксис

Stage.align

Описание

Свойство; показывает текущее выравнивание фильма относительно сцены.

Следующая таблица указывает список значений свойства align. Любое значение, не указанное здесь, центрирует фильм относительно стола.

Значение | Вертикально | Горизонтально
"T" | верх | центр
"B" | низ | центр
"L" | центр | лево
"R" | центр | право
"TL" | верх | лево
"TR" | верх | право
"BL" | низ | лево
"BR" | низ | право


Stage.height

S > Stage.height

Stage.height

Доступность

Flash Player 6.

Синтаксис

Stage.height

Описание

Свойство (только чтение); показывает текущую высоту, в пикселах, стола Flash клипа. Когда свойство Stage.noScale имеет значение true, height представляет высоту Flash проигрывателя. Когда свойство Stage.noScale имеет значение false (фильм масштабируется когда изменяеться размер окна), height представляет высоту фильма.


Stage.onResize

S > Stage.onResize

Stage.onResize

Доступность

Flash Player 6.

Синтаксис

myListener = new Object();
myListener.onResize = function () { ... }
Stage.addListener(myListener);
// позднее ...
Stage.removeListener(myListener);

Параметры

Нет.

Возвращается

Ничего.

Описание

Метод; сообщает о том, что клип был масштабирован. Вы можете использовать это событие для написания функции, которая будет размещать объекты на столе после изменения размера клипа.


Stage.removeListener

S > Stage.removeListener

Stage.removeListener

Доступность

Flash Player 6.

Синтаксис

Stage.removeListener(myListener)

Параметры

myListener Листенер, присоединенный к списку методом addListener.

Возвращается

Булевское значение.

Описание

Метод; удаляет листенер из списка, внесенный ранее с помощью addListener.

Смотрите также

Stage.addListener


Stage.scaleMode

S > Stage.scaleMode

Stage.scaleMode

Доступность

Flash Player 6.

Синтаксис

Stage.scaleMode = "value"

Описание

Свойство; указывает текущее масштабирование фильма относительно стола. Свойство scaleMode переводит фильм в указанный режим масштабирования. По умолчанию, фильм использует параметры HTML установленные в диалоговом окне Publish Settings.

Свойство scaleMode может иметь значения "exactFit", "showAll", "noBorder", и "noScale". Любые другие значения scaleMode устанавливают режим по умолчанию - "showAll".


System.capabilities.hasVideoEncoder

S > Stage.showMenu

Stage.showMenu

Доступность

Flash Player 6.

Синтаксис

Stage.showMenu = Boolean

Описание

Свойство (чтение-запись); Управляет контекстным меню Flash Player'а. Если Stage.showMenu = false, то пункты Zoom In, Zoom Out, 100%, и Show All не отображаются.


Stage.width

S > Stage.width

Stage.width

Доступность

Flash Player 6.

Синтаксис

Stage.width

Описание

Свойство (только чтение); показывает текущую ширину, в пикселах, стола Flash клипа. Когда свойство Stage.noScale имеет значение true, width представляет ширину Flash проигрывателя. Когда свойство Stage.noScale имеет значение false (фильм масштабируется когда изменяеться размер окна), width представляет ширину фильма.


startDrag

S > startDrag

startDrag

Доступность

Flash Player 4.

Синтаксис

startDrag(target,[lock ,left , top , right, bottom])

Параметры

target Путь к клипу, который надо перетаскивать.

lock Булево значение указывающее, к чему будет присоединен клип при перетаскивании, к центру клипа относительно позиции мыши (true), или к точке, где пользователь нажал кнопку на клипе (false). Этот параметр необязателен.

left, top, right, bottom Значения относительно координат родителя символ-ролика, которые определяют прямоугольник ограничения для символ-ролика. Эти параметры необязательные.

Возвращается

Ничего.

Описание

Команда; заставляет мувиклип target перемещаться за указателем мыши во время воспроизведения фильма. Только один клип может быть перемещаем в одно время. Сразу после выполения операции startDrag, мувиклип начинает перетаскиваться до тех пор, пока его не остановят командой stopDrag, или пока команда startDrag будет применена к другому клипу.

Пример

Для создания клипа, который пользователь может разместить в любом месте, введите команды startDrag и stopDrag в кнопку внутри клипа-ролика.

on(press) {
    startDrag(this,true);
}
on(release) {
    stopDrag();
}

Смотрите также

MovieClip._droptarget, stopDrag


stop

S > stop

stop

Доступность

Flash 2.

Синтаксис

stop

Параметры

Нет.

Возвращается

Ничего.

Описание

Команда; останавливает клип, который сейчас играет. Наиболее часто его используют для управления мувиклипом с помощью кнопок.


stopAllSounds

S > stopAllSounds

stopAllSounds

Доступность

Flash Player 3.

Синтаксис

stopAllSounds()

Параметры
Нет

Возвращается

Ничего.

Описание

Команда; останавливает все звуки, которые сейчас играют в клипе, без остановки самого клипа. Звуки, установленные как потоковые, начнут снова играть, когда клип дойдет до кадра, где они размещены.

Пример

Следующий код может быть применен для кнопки, которая остановит все звуки в клипе.

on(release) {
    stopAllSounds();
}

Смотрите также

Sound (object)


stopDrag

S > stopDrag

stopDrag

Доступность

Flash Player 4.

Синтаксис

stopDrag()

Параметры

Нет.

Возвращается

Ничего.

Описание

Команда; останавливает текущую операцию перетаскивания.

Пример

Следующий код останавливает действие перетаскивания клипа mc, когда будет отпущена кнопка мыши:

on(press) {
    startDrag("mc");
}
on(release) {
    stopdrag();
}

Смотрите также

MovieClip.stopDrag, MovieClip._droptarget, startDrag,


String (function)

S > String (function)

String (функция)

Доступность

Flash Player 4.

Синтаксис

String(expression)

Параметры

expression Выражение, которое необходимо преобразовать в строку.

Возвращается

Ничего.

Описание

Функция; возвращает строковое представление указанного параметра следующим образом:

Если expression является Булеаном, строка возвращения - true или false.

Если expression является числом, строка возвращения - текстовое представление числа.

Если expression является строкой, строка возвращения - expression.

Если expression является объектом, строка возвращения - строковое представление объекта, сгенерованное обращением к его строковому свойству, или вызовом Object.toString если такого свойства не существует.

Если expression являеться мувиклипом, строка возвращения - путь к клипу с использованием слэша (/).

Если expression является неопределенным (undefined), строка возвращения - пустая строка ("").

Смотрите также

Number.toString, Object.toString , String (object), " " (string delimiter)


" " (string delimiter)

S > " " (string delimiter)

" " (string delimiter)

Доступность

Flash Player 4.

Синтаксис

"text"

Параметры

text Символ.

Возвращается

Ничего.

Описание

Разделитель строки; когда используется перед и после символов, кавычки указывают, что символы имеют литеральное значение и строка рассматриваются не как переменная, числовое значение, или другой элемент ActionScript.

Пример

Следующий пример использует кавычки для того, чтобы указать, что значение переменной yourGuess является строка "Prince Edward Island" а не имя переменной. Значение province является переменной, а не литералом; для определения значения province, значение yourGuess должно быть определено.

yourGuess = "Prince Edward Island";
on(release){
    province = yourGuess
    trace(province);
}

// выводит Prince Edward Island в окне Output

Смотрите также

String (object), String (function)


String (object)

S > String (object)

String (объект)

Объект String является основой для строковых типов данных; он позволяет Вам использовать методы и свойства объекта String для работы со строковыми типами данных. Можно преобразовывать значения любого объекта в строку, используя функцию String(). В Flash MX, объект String стал родным объектом.

Все методы объекта String, за исключением concat, fromCharCode, slice, и substr, являются родовыми. Это означает, что сами методы вызывают this.toString перед выполнением их операций, и Вы можете использовать эти методы с другими нестроковыми объектами.

Так как все индексы строки отсчитываются с ноля, индекс последнего символа для любой строки x следующие:

x.length - 1

Можно вызывать любой из методов объекта String, используя конструктор new String или используя литеральное значение строки. Если Вы определяете литерал строки, интерпретатор ActionScript автоматически преобразовывает его во временный объект String, вызывает метод, и затем удаляет временный объект String. Вы можете также использовать свойство String.length с литералом строки.

Важно, чтобы Вы не путали литерал строки с экземпляром объекта String. В следующем примере, первая строка кода создает литерал строки s1, и вторая строка создает экземпляр объекта String s2.

s1 = "foo"
s2 = new String("foo")

Пользуйтесь строковыми литералами. Объкт String используйте только тогда, когда это необходимо.

Список методов объекта String

Метод | Описание
String.charAt | Возвращает символ в указанной позиции строки.
String.charCodeAt | Возвращает значение символа в указанной позиции, представленное как 16-битовое число между 0 и 65535.
String.concat | Соединяет текст из двух строк и возвращает новую строку.
String.fromCharCode | Возвращает строку, созданную из символа указанного в параметре.
String.indexOf | Ищет подстроку, указанную в параметре и возвращает индекс. Если строка найдена больше чем один раз, индекс возвращает место первого совпадения. Если строка не найдена, возвращается -1.
String.lastIndexOf | Возвращает индекс последней найденной подстроки в строке до позиции, указанной в параметре, или -1, если не найдено.
String.slice | Извлекает часть строки и возвращает новую строку.
String.split | Разбивает объект String на массив строк.
String.substr | Возвращает указанное число символов в строке начиная с позиции, указанной в параметре.
String.substring | Возвращает символы между двумя индексами, указанными в параметрах, как строку.
String.toLowerCase | Преобразует строку в нижний регистр и возвращает результат; не изменяет значение оригинального объекта.
String.toUpperCase | Преобразует строку в верхний регистр и возвращает результат; не изменяет значение оригинального объекта.

Список свойств объекта String

Свойство | Описание
String.length | Возвращает длинну строки.

Конструктор для объекта

Доступность

Flash Player 5.

Синтаксис

new String(value)

Параметры

value Начальное значение нового объекта String.

Возвращается

Ничего.

Описание

Конструктор; создает новый объект String.

Смотрите также

String (function), " " (string delimiter)


String.charAt

S > String.charAt

String.charAt

Доступность

Flash Player 5.

Синтаксис

myString.charAt(index)

Параметры

index Номер символа в строке, который нужно вернуть.

Возвращается

Ничего.

Описание

Метод; возвращает символ в позиции указанной в параметре index. Индекс первого символа в строке 0. Если index не является числом от 0 до string.length - 1, возвращается пустая строка.


String.charCodeAt

S > String.charCodeAt

String.charCodeAt

Доступность

Flash Player 5.

Синтаксис

myString.charCodeAt(index)

Параметры

index Целое число, указывающее позицию символа в строке. Первый символ имеет позицию 0, а последний myString.length-1.

Возвращается

Ничего.

Описание

Метод; возвращает 16-битное значение от 0 до 65535, которое представляет символ, указанный в параметре index.

Этот метод аналогичен string.charAt за исключением того, что возращаемое значение является 16-битовым кодом символа, а не символом.

Пример

В следующем примере метод charCodeAt вызывается на первый символ строки "Chris".

s = new String("Chris");
i = s.charCodeAt(0);
// i = 67


String.concat

S > String.concat

String.concat

Доступность

Flash Player 5.

Синтаксис

myString.concat(value1,...valueN)

Параметры

value1,...valueN Ноль или большее количество значений, которые будут связаны.

Возвращается

Ничего.

Описание

Метод; связывает значения объектов String, указанных в параметрах, и возвращает новую сформированную строку; оригинальное значение myString, не изменяеться.


String.fromCharCode

S > String.fromCharCode

String.fromCharCode

Доступность

Flash Player 5.

Синтаксис

String.fromCharCode(c1,c2,...cN)

Параметры

c1,c2,...cN Десятичные целые числа, которые представляют значения ASCII.

Возвращается

Ничего.

Описание

Метод; возвращает строку созданную из символов, представленных кодами ASCII, в параметрах.

Пример

Этот пример использует метод fromCharCode для вставки символа "@" в e-mail адрес.

address = "dog" + String.fromCharCode(64) + "house.net";
trace(address);
// output: dog@house.net


String.indexOf

S > String.indexOf

String.indexOf

Доступность

Flash Player 5.

Синтаксис

myString.indexOf(substring, [startIndex])

Параметры

substring Число или строка, которую нужно искать в myString.

startIndex Число, указывающее стартовую позицию в myString для поиска подстроки. Параметр являеться необязательным.

Возвращается

Ничего.

Описание

Метод; ищет строку и возвращает позицию первого совпадания. Если значение не найдено, метод возвращает -1.


String.lastIndexOf

S > String.lastIndexOf

String.lastIndexOf

Доступность

Flash Player 5.

Синтаксис

myString.lastIndexOf(substring, [startIndex])

Параметры

substring Число или строка указывающая строку, которую нужно найти.

startIndex Число указывающее стартовую позицию поиска substring. Этот параметр необязателен.

Возвращается

Ничего.

Описание

Метод; ищет строку справа налево и возвращает индекс последнего совпадения substring найденого перед startIndex в вызываемой строке. Если substring не найден, метод возвращает -1.


String.length

S > String.length

String.length

Доступность

Flash Player 5.

Синтаксис

string.length

Параметры

Нет.

Описание

Свойство; возвращает количество символов в указанном объекте String.


String.slice

S > String.slice

String.slice

Доступность

Flash Player 5.

Синтаксис

myString.slice(start, [end])

Параметры

start Число указывающее индекс стартовой позиции промежутка. Если start отрицательное число, стартовая позицию определяется с конца строки, где -1 - последний символ.

end Число? указывающее индекс окончания позиции промежутка. Если end не указан, промежуток включает все символы от start до конца строки. Если end отрицательное число, конечная точка определяеться с конца строки, где -1 - последний символ.

Возвращается

Ничего.

Описание

Метод; извлекает часть строки указанного объекта String, затем возвращает его как новый объект, не изменяя оригинальный объект String. Возвращенная строка включает символ start и все символы до (не включая) символ end.

Пример

Следующий пример определяет переменную text, создает экземпляр объекта String s, и передает ему переменную text. Метод slice извлекает часть строки, которая содержится в переменной, и команда trace отображает её в окне Output.

text = "lexington";
s = new String( text );
trace(s.slice( 1, 3 ));
trace(s);

Окно Output выводит ex.

Следующий код делает то же самое, но параметры передаются в функцию как строки, а не как переменные.

s = new String( "lexington" );
trace(s.slice( 1, 3 ));
trace(s);

Окно Output выводит ex.


String.split

S > String.split

String.split

Доступность

Flash Player 5.

Синтаксис

myString.split("delimiter", [limit])

Параметры

delimiter Символ или последовательность символов, каким должна разбиваться строка myString. Если параметр delimiter неопределен, полная строка будет помещена в первый элемент массива..

limit Число элементов, чтобы разместить в массив. Этот параметр дополнительный.

Возвращается

Массив, содержащий подстроки myString.

Описание

Метод; разбивает объект String на подстроки там, где встречается указанный параметр delimiter, и возвращает массив подстрок. Если Вы используете пустую строку ("") как разделитель, каждый символ будет помещен в отдельный элемент массива, как в следующем коде.

myString = "Joe";
i = myString.split("");
trace (i);

Окно Output покажет следующее:

J, O, E

Если параметр delimiter неопределен, полная строка будет помещена в первый элемент массива.

Пример

Следующий пример возвращает массив из пяти элементов.

myString = "P, A, T, S, Y";
myString.split(",");

Этот пример возвращает массив из двух элементов.

myString.split(",", 2);


String.substr

S > String.substr

String.substr

Доступность

Flash Player 5.

Синтаксис

myString.substr(start, [length])

Параметры

start Число, указывающее позицию первого символа в myString для создания подстроки. Если start отрицательное число, стартовая позиция определяется с конца строки, где -1 последний символ.

length Количество символов в создаваемой подстроке. Если length не указан, подстрока включает все символы от start до конца строки.

Возвращается

Ничего.

Описание

Метод; возвращает символы в строке от символа указанного в параметре start в количестве, указанном параметром length. Метод substr не изменяет строку myString, он возвращает новую строку.


String.substring

S > String.substring

String.substring

Доступность

Flash Player 5.

Синтаксис

myString.substring(from, to)

Параметры

from Число указывающее позицию первого символа в myString который используется для создания подстроки. Допустимое значения для from от0 до string.length - 1. Если from отрицательное число, используется значение 0.

to Число, которое на единицу больше от индекса последнего символа в промежутке, который надо извлечь. Допустимые значения для to от 1 до string.length. Символ, указанный в параметре to не включается в извлекаемую строку. Если этот параметр опущен, используеться string.length. Если этот параметр отрицательный, используеться 0.

Возвращается

Строка.

Описание

Метод; возвращает строку символов, содержащихся между точкой, указанной в from и до параметра to. Если параметр to не указан, конец подстроки определяеться концом строки. Если значение from равно значению to, метод возвращает пустую строку. Если значение from больше значения to, параметры автоматически меняются местами прежде чем выполнится функция и оригинальные значения не изменяются.


String.toLowerCase

S > String.toLowerCase

String.toLowerCase

Доступность

Flash Player 5.

Синтаксис

myString.toLowerCase()

Параметры

Нет.

Возвращается

Ничего.

Описание

Метод; возвращает копию объекта String, с символами в верхнем регистре? преобразованными в нижний регистр. Оригинальное значение не изменяется.


String.toUpperCase

S > String.toUpperCase

String.toUpperCase

Доступность

Flash Player 5.

Синтаксис

myString.toUpperCase()

Параметры

Нет.

Возвращается

Ничего.

Описание

Метод; возвращает копию объекта String, с символами в нижнем регистре, преобразованными в верхний регистр. Оригинальное значение не изменяется.


substring

S > substring

substring

Доступность

Flash Player 4. Лучше использовать функцию String.substr.

Синтаксис

substring("string", index, count)

Параметры

string Строка, из которой нужно извлечь новую строку.

index Номер первого символа.

count Количество символов, которые будут включены в новую строку, не включая символ? указанный в index.

Возвращается

Ничего.

Описание

Строковая функция; извлекает часть строки. Индекс отсчитывается от 1, в отличие от методов объекта String (от 0).

Смотрите также

String.substr


super

S > super

super

Доступность

Flash Player 6.

Синтаксис

super.method([arg1, ..., argN])
super([arg1, ..., argN])

Параметры

method Метод, вызываемый в суперкласе (над-классе).

arg1 Дополнительные параметры, которые передаются методу суперкласса (синтаксис 1) или к функции конструктора суперкласса (синтаксис 2).

Возвращается

Обе формы вызывают функцию. Функция может возвращать любое значение.

Описание

Оператор: первый стиль синтаксиса может использоваться в пределах тела объектного метода для вызова метода суперкласса и может произвольно передавать параметры (arg1 ... argN) методу суперкласса. Это полезно для создания методов подкласса, которые добавляют дополнительное поведение к методам суперкласса, но также и вызывают методы суперкласса чтобы выполнить их первоначальное поведение.

Второй стиль синтаксиса может использоваться в пределах тела функции конструктора, чтобы вызвать функции конструктора суперкласса и может произвольно передавать параметры. Это полезно, чтобы создать подкласс, который выполняет дополнительную инициализацию, но также и вызывает конструктор суперкласса, чтобы исполнить инициализацию суперкласса.

Пример

Следующий пример создает два класса, ParentClass и ChildClass, и определяет метод с именем method для обоих классов. Каждое определение метода имеет код trace, который посылает сообщения в окно Output. Со второй по последнюю строки кода создают экземпляр ChildClass и вызывают его метод method:

function ParentClass() {
}
ParentClass.prototype.method = function () {
  trace("ParentClass implementation of method");
};
function ChildClass() {
}
ChildClass.prototype = new ParentClass();
ChildClass.prototype.method = function () {
  trace("ChildClass implementation of method");
  super.method();
};
x = new ChildClass();
x.method();

В окне Output будет показано следующее:

ChildClass implementation of method
ParentClass implementation of method

Следующий пример передает параметры суперконструктору:

function SuperClass(arg){
    trace("SuperClass constructor was passed " + arg);
}
function SubClass(arg){
    super(arg);
    trace("SubClass constructor");
SubClass.prototype = new SuperClass();
    x = new SubClass("test");
}


switch

S > switch

switch

Доступность

Flash Player 4.

Синтаксис

switch (expression){
    caseClause:
    [defaultClause:]
}

Параметры

expression Любое выражение.

caseClause Ключевое слово case, сопровождаемое выражением, двоеточием, и группой инструкций для выполнения, если выражение соответствует параметру выражения выключателя, используя строгое равенство (===).

defaultClause Ключевое слово default, сопровождаемое группой инструкций для выполнения если ни один из выражений case не соответствует параметру expression.

Возвращается

Ничего.

Описание

Команда; создает структуру перехода для инструкций ActionScript. Также, как инструкция if, код switch проверяет условие, и выполняет инструкции, если условие возвращает значение true.

Пример

В следующем примере параметр number имеет значение 1, код trace выполняется в участке после case 1, если параметр number имеет значение 2, выполнится код trace после case 2 и так далее. Если ни одно из case выражений не равно number, выполнится код после ключевого слова default.

switch (number) {
    case 1:
        trace ("case 1 tested true");
        break;
    case 2:
        trace ("case 2 tested true");
        break;
    case 3:
        trace ("case 3 tested true");
        break;
    default:
        trace ("no case tested true")
}

В следующем коде нет оператора break в первой группе case, поэтому если number равен 1, то A и B будут переданы в окно Output:

switch (number) {
    case 1:
        trace ("A");
    case 2:
        trace ("B");
        break;
    default:
        trace ("D")
}

Смотрите также

=== (strict equality), break , case, default, if


System (object)

S > System (object)

System (object)

Это объект верхнего уровня, который содержит объект Capabilities. Нужно использовать объект System для использования объекта Capabilities и его свойств. Например, следующий код проверяет, имеет ли система аудио возможности.

System.capabilites.hasAudio


System.capabilities (object)

S > System.capabilities (object)

System.capabilities (object)

Вы можете использовать объект System.capabilites для определения возможностей системы и проигрывателя в котором играет Flash-фильм. Это дает возможность подстраивать содержание клипа для различных форматов. К примеру, экран сотового телефона (черно-белый, 100 пикселей) отличается от 1000-пиксельного цветного экрана PC. Чтобы обеспечивать оптимальное представление фильма всем пользователям, необходимо использовать объект Capabilities, чтобы определить тип устройства, которое имеет пользователь. После этого Вы можете загрузить другой SWF, основанный на совместимом устройстве или сообщить Flash-фильму изменить его представление, основанное на возможностях устройства.

Можно также послать информацию о совместимости, используя методы GET или POST HTTP. Следующий пример является серверной строкой для устройства, которое не имеет поддержки MP3 и у которого 400 x 200 пиксел, 8 x 4 сантиметров экран:

"A=t&MP3=f&AE=gsm&VE=h11&ACC=f&V=WIN%206%2C0%2C0%2C129&M=Macromedia%WINDOWS&R=400x200&DP=72&COL=color&AR=1.0&OS=WINDOWS%2000&L=en-US"

Объект Capabilities доступен в Flash Player 6.

К объекту Capabilities необходимо обращаться через объект System.capabilities.

Список свойств объекта

Свойство | Описание
System.capabilities.hasAudioEncoder | Указывает поддержку аудио кодеки.
System.capabilities.hasAccessibility | Указывает, поддерживает ли устройство стандарты совместимости.
System.capabilities.hasAudio | Указывает, имеет ли устройство аудио возможности.
System.capabilities.hasMP3 | Указывает, имеет ли устройство MP3 декодер.
System.capabilities.language | Указывает язык, который поддерживает Flash Player.
System.capabilities.manufacturer | Указывает производителя Flash Player.
System.capabilities.os | Указывает операционную систему, в которой выполняется Flash Player.
System.capabilities.pixelAspectRatio | Указывает пиксельное разрешение экрана.
System.capabilities.screenColor | Указывает, является ли экран цветным, черно-белым, или в тонах серого.
System.capabilities.screenDPI | Указывает экранные точки на дюйм (dpi).
System.capabilities.screenResolutionX | Указывает горизонтальный размер экрана.
System.capabilities.screenResolutionY | Указывает вертикальный размер экрана.
System.capabilities.version | Указывает самую раннюю поддерживаемую версию Flash Player.
System.capabilities.hasVideoEncoder | Указывает поддерживаемые видео кодеки.


System.capabilities.hasAudioEncoder

S > System.capabilities.hasAudioEncoder

System.capabilities.hasAudioEncoder

Доступность

Flash Player 6.

Синтаксис

System.capabilities.hasAudioEncoder

Описание

Свойство; массив аудио кодеков. Серверная строка AE.


System.capabilities.hasAccessibility

S > System.capabilities.hasAccessibility

System.capabilities.hasAccessibility

Доступность

Flash Player 6.

Синтаксис

System.capabilities.hasAccessibility

Описание

Свойство; Булевское значение, которое указывает, поддерживает ли устройство стандарты совместимости. Значение по умолчанию false. Серверная строка ACC.


System.capabilities.hasAudio

S > System.capabilities.hasAudio

System.capabilities.hasAudio

Доступность

Flash Player 6.

Синтаксис

System.capabilities.hasAudio

Описание

Свойство; Булевское значение, которое указывает, имеет ли проигрыватель аудио возможности. Значение по умолчанию true. Серверная строка A.


System.capabilities.hasMP3

S > System.capabilities.hasMP3

System.capabilities.hasMP3

Доступность

Flash Player 6.

Синтаксис

System.capabilities.hasMP3

Описание

Свойство; Булевское значение, которое указывает, имеет ли проигрыватель MP3 декодер. Значение по умолчанию true. Серверная строка MP3.


System.capabilities.language

S > System.capabilities.language

System.capabilities.language

Доступность

Flash Player 6.

Синтаксис

System.capabilities.language

Описание

Свойство; двухсимвольный в нижнем регистре код языка согласно ISO 639-1, и дополнительного подтэга кода страны с двумя символами верхнего регистра по ISO 3166. Сами языки названы английскими тэгами. Например, "en-US" - Английский США. Строка сервера - LAN.

Flash поддерживает следующие тэги языка:

Язык | Тэг | Поддерживаемые страны и тэгы
Английский | en | Соединенные Штаты= US, Великобритания = UK
Французский | fr |
Корейский | ko |
Японский | ja |
Шведский | sv |
Немецкий | de |
Испанский | es |
Итальянский | it |
Упрощенный Китайский | zh | PRC (Упрощенный Китайский) = CN
Традиционный Китайский | zh | Taiwan (Традиционный Китайский) = TW
Португальский | pt |
Польский | pl |
Венгерский | hu |
Чешский | cs |
Турецкий | tr |
Финский | fi |
Датский | da |
Норвежский | no |
Голландский | nl |
Русский | ru |
Другой/Неизвестный | xu |


System.capabilities.manufacturer

S > System.capabilities.manufacturer

System.capabilities.manufacturer

Доступность

Flash Player 6.

Синтаксис

System.capabilities.manufacturer

Описание

Свойство; строка, которая указывает производителя проигрывателя. Значение по умолчанию "Macromedia OSName" (OSname может быть "Windows","Macintosh", или "Other OS Name"). Серверная строка M.


System.capabilities.os

S > System.capabilities.os

System.capabilities.os

Доступность

Flash Player 6.

Синтаксис

System.capabilities.os

Описание

Свойство; строка, которая указывает название системы, на которой запущен проигрыватель. Свойство может возвращать такие значения: "Windows XP", "Windows 2000", "Windows NT", "Windows 98/ME", "Windows 95", "Windows CE" (доступно только только в SDK, не в настольной версии), и "MacOS". Серверная строка OS.


System.capabilities.pixelAspectRatio

S > System.capabilities.pixelAspectRatio

System.capabilities.pixelAspectRatio

Доступность

Flash Player 6.

Синтаксис

System.capabilities.pixelAspectRatio

Описание

Свойство; Целое число, которое указывает коэффициент сжатия пикселя экрана. Значение по умолчанию 1.0. Серверная строка PAR.


System.capabilities.screenColor

S > System.capabilities.screenColor

System.capabilities.screenColor

Доступность

Flash Player 6.

Синтаксис

System.capabilities.screenColor

Описание

Свойство; указывает цветность экрана - цветной (color), серый (gray) или черно-белый (bw). Значение по умолчанию color. Серверная строка SC.


System.capabilities.screenDPI

S > System.capabilities.screenDPI

System.capabilities.screenDPI

Доступность

Flash Player 6.

Синтаксис

System.capabilities.screenDPI

Описание

Свойство; Указывает точки на дюйм (dpi) экрана, в пикселях. Значение по умолчанию - 72. Строка сервера - DPI.


System.capabilities.screenResolution.x

S > System.capabilities.screenResolutionX

System.capabilities.screenResolutionX

Доступность

Flash Player 6.

Синтаксис

System.capabilities.screenResolutionX

Описание

Свойство; Целое число, которое указывает максимальную горизонтальную разрешающую способность экрана. Значение по умолчанию - 800 (пикселей). Строка сервера SRX.


System.capabilities.screenResolution.y

S > System.capabilities.screenResolutionY

System.capabilities.screenResolutionY

Доступность

Flash Player 6.

Синтаксис

System.capabilities.screenResolutionY

Описание

Свойство; Целое число, которое указывает максимальную вертикальную разрешающую способность экрана. Значение по умолчанию - 600 (пикселей). Строка сервера - SRY.


System.capabilities.version

S > System.capabilities.version

System.capabilities.version

Доступность

Flash Player 6.

Синтаксис

System.capabilities.version

Описание

Свойство; Целое число, которое определяет поддерживаемую версию Flash Player. Значение по умолчанию 6.0. Строка сервера VER.


System.capabilities.hasVideoEncoder

S > System.capabilities.hasVideoEncoder

System.capabilities.hasVideoEncoder

Доступность

Flash Player 6.

Синтаксис

System.capabilities.hasVideoEncoder

Описание

Свойство; Массив видео кодирующих устройств. Серверная строка VE.


System.capabilities.hasVideoEncoder

S > System.security.allowDomain

System.security.allowDomain

Доступность

Flash Player 6.

Синтаксис

System.security.allowDomain(domain1, domain2,....domainN)

Описание

Позволяет SWF фильмам получать доступ к другим доменам (domain1, domain2,....domainN).

Пример

Имя домена должно быть в таком формате: domain.com, http://domain.com, или http://IPaddress
Фильм http://www.macromedia.com/MovieA.swf загружает фильм http://www.shockwave.com/MovieB.swf.
MovieA.swf содержит команду System.security.allowDomain("shockwave.com"), получая доступ к MovieВ.swf


System.capabilities.hasVideoEncoder

S > System.useCodepage

System.useCodepage

Доступность

Flash Player 6.

Синтаксис

System.useCodepage = true/false;

Описание

Свойство; Булевское значение, предписывающее Flash для динамических текстов использовать кодовую страницу, установленную в системе по умолчанию вместо Unicode. По умолчанию стоит false.

Когда загружаются данные (loadVariables, getURL или LoadVars), если System.useCodepage = true, то для английской версии Widows, например, используется страница CP1252, для японской Shift-JIS.

Поскольку Flash MX теперь по умолчанию работает с Unicode, при загрузке данных он будет обращаться с ними как с Unicode, поэтому для того, чтобы ваши тексты читались корректно, используйте эту кодировку, либо явно прописывайте System.useCodepage = true, но не забывайте, что на компьютерах с другой кодовой страницей ваши тексты будут отображаться неправильно.


targetPath

T > targetPath

targetPath

Доступность

Flash Player 5.

Синтаксис

targetpath(movieClipObject)

Параметры

movieClipObject Ссылка (например, _root или _parent) на мувиклип, полный путь к которому нужно получить.

Возвращает

Возвращает строку, содержащую путь.

Описание

Функция; возвращает строку, содержащую путь к movieClipObject. Путь возвращается в дот-нотации (с разделителями точками). Для получения пути в слэш-нотации (с разделителем слэш) используйте свойство _target.

Пример

Этот пример показывает путь мувиклипа как только он будет загружен.

onClipEvent(load){
    trace(targetPath(this));
}

Смотри также

eval


tellTarget

T > tellTarget

tellTarget

Доступность

Flash Player 3. (Нежелателен в Flash 5; используйте дот-нотацию и команду with.)

Синтаксис

tellTarget("target") {
    statement(s);
}

Параметры

target Строка, определяющая путь до таймлайна, которым вы хотите управлять.

statement(s) Команды, выполняемые если указан корректный таймлайн.

Возвращает

Ничего.

Описание

Команда; выполняет комманды задаваемые в параметрах statements на таймлайне, определяемом в параметре target. Команда tellTarget полезна для управлении перемещениями по мувиклипу. Назначайте tellTarget на кнопки, чтобы остановить или запустить мувиклипы в любом месте на сцене. Также вы можете переместить воспроизводящую головку мувиклипа на конкретный кадр.

Во Flash 5 можно использовать дот-нотацию вместо команды tellTarget. Также можно использовать команду with для обеспечения выполнения нескольких команд на том же таймлайне. Вы можете использовать команду with для указания пути к любому объекту, тогда как команда tellTarget позволяет управлять только мувиклипами.

Пример

Этот пример использования команды tellTarget управляет мувиклипом ball на главном таймлайне. Первый кадр клипа ball пустой и содержит команду stop() из-за чего клип не виден на сцене. Когда вы нажимаете кнопку с нижеследующим кодом, команда tellTarget указывает клипу ball перейти на второй кадр, где начинается анимация.

on(release) {
    tellTarget("ball") {
        gotoAndPlay(2);
    }
}

Следующий пример записанный в дот-нотации дает тот же самый результат.

on(release) {
    ball.gotoAndPlay(2);
}

Если вам нужно выполнить несколько команд в мувиклипе ball, вы можете использовать команду with как это показано ниже.

on(release) {
    with(ball) {
        gotoAndPlay(2);
        _alpha = 15;
        _xscale = 50;
        _yscale = 50;
    }
}

Смотри также

with


TextField (объект)

T > TextField (объект)

TextField (объект)

Все динамические поля и поля ввода в мувиклипе являются экземплярами объекта TextField. Вы можете дать имя текстовому полю и управлять ими с помощью ActionScript, используя методы и свойства объекта TextField. Имена текстовых полей отображаются в Movie Explorer и в диалоговом окне Insert Target Path в панели Actions.

Объект TextField наследуется из объекта Object.

Чтобы создать текстовое поле динамически, используйте метод MovieClip.createTextField.

Объект TextField поддерживается Flash Player 6 и более поздними версиями.

Обзор методов объекта TextField

Метод | Описание
TextField.addListener | Регистрирует объект Listener для получения предупреждений о событиях onChanged и onScroller.
TextField.getDepth | Возвращает уровень (depth) текстового поля.
TextField.getNewTextFormat | Возвращает объект типа TextFormat, содержащий формат текста по умолчанию, который он получает при вводе в поле.
TextField.removeListener | Удаляет объект Listener, созданный методом TextField.addListener.
TextField.removeTextField | Удаляет текстовое поле, созданное методом MovieClip.createTextField.
TextField.setNewTextFormat | Устанавливает объект по типа TextFormat с форматированием по умолчанию для нового текста, вставляемого в это поле пользователем или посредством ActionScript.
TextField.replaceSel | Заменяет текущее выделение.
TextField.setTextFormat | Устанавливает объект TextFormat для конкретного поля (или его части).

Обзор свойств объекта TextField

Свойство | Описание
TextField._alpha | Значение прозрачности текствого поля.
TextField.autoSize | Управляет автоматическим выравниванием и изменением размера текстового поля.
TextField.background | Наличие фоновой заливки у текстового поля.
TextField.backgroundColor | Цвет фоновой заливки.
TextField.border | Наличие рамки у текстового поля.
TextField.borderColor | Цвет рамки.
TextField.bottomScroll | Номер самой нижней видимой строки в текстовом поле.
TextField.embedFonts | Показывает, использует ли текстовое поле внедренный шрифт или шрифт пользователя .
TextField._highquality | Высокое качество показа мувиклипа.
TextField._height | Высота текстового поля в пикселах. Влияет только на область для текста, не влияет на толщину рамки или размер текста.
TextField.hscroll | Наличие горизонтальной прокрутки текста.
TextField.html | Представление содержимого текстового поля в виде HTML.
TextField.htmlText | Содержимое поля в виде HTML .
TextField.length | Число символов, содержащихся в текстовом поле.
TextField.maxChars | Максимальное число символов, которое может содержать текстовое поле.
TextField.maxhscroll | Максимальное значение TextField.hscroll.
TextField.maxscroll | Максимальное значение TextField.scroll.
TextField.multiline | Показывает возможность показа текста в несколько строк.
TextField._name | Имя текстового поля.
TextField._parent | Ссылка на объект, являющийся родительским для данного текстового поля; имеет тип Button или MovieClip.
TextField.password | Текстовое поле, скрывающее вводимые символы.
TextField._quality | Показывает качество показа мувиклипа.
TextField.restrict | Устанавливает символы, которые пользователь может ввести в поле.
TextField._rotation | Угол поворота поля.
TextField.scroll | Номер самой верхней видимой строки в текстовом поле.
TextField.selectable | Показывает возможность выделения текста в поле.
TextField._soundbuftime | Указывает какое количество (время с начала) звука будет предварительно загружено перед его запуском.
TextField.tabEnabled | Показывает возможность перехода между полями по клавише Tab.
TextField.tabIndex | Индекс поля при обходе полей с помощью клавиши Tab .
TextField.text | Текущий текст в поле.
TextField.textColor | Цвет текста.
TextField.textHeight | Высота прямоугольника, ограничивающего поле ввода.
TextField.textWidth | Ширина прямоугольника, ограничивающего поле ввода.
TextField.type | Тип поля ввода (динамическое, поле ввода).
TextField._url | URL мувиклипа, создавшего текстовое поле.
TextField.variable | Переменная, привязанная к текстовому полю.
TextField._visible | Показывает видимость текстового поля (true или false).
TextField._width | Ширина текстового поля в пикселах. Влияет только на область для текста, не влияет на толщину рамки или размер текста.
TextField.wordWrap | Возможность переносов в тексте.
TextField._x | Координата x
TextField._xmouse | Координата x курсора относительно текстового поля.
TextField._xscale | Значение сжатия текстового поля по горизонтали (в процентах).
TextField._y | Координата y
TextField._ymouse | Координата y курсора относительно текстового поля.
TextField._yscale | Значение сжатия текстовго поля по вертикали (в процентах).

Обзор событий объекта TextField

Событие | Описание
TextField.onChanged | Происходит при изменении текста в поле.
TextField.onKillFocus | Происходит при потере фокуса ввода полем.
TextField.onScroller | Происходит при изменении свойств scroll, maxscroll, hscroll, maxhscroll, или bottomscroll.
TextField.onSetFocus | Происходит при получении фокуса ввода.

Обзор объекта Listener

Метод | Описание
TextField.onChanged | Уведомляет об изменении текста в поле.
TextField.onScroller | Уведомляет об изменении свойств scroll или maxscroll.


TextField._alpha

T > TextField._alpha

TextField._alpha

Доступность

Flash Player 6.

Синтаксис

TextField._alpha

Описание

Свойство; устанавливает или возвращает значение прозрачности текстового поля TextField. Может принимать значения от 0 (полностью прозрачен) до 100 (полностью непрозрачен).

Пример

Данные команды устанавливают свойство _alpha для текстового поля text1 равным 30%.

on(release) {
    text1._alpha = 30;
}


TextField.addListener

T > TextField.addListener

TextField.addListener

Доступность

Flash Player 6.

Синтаксис

TextField.addListener(newListener)

Параметры

newListener Объект-листенер, обрабатывающий события onChanged и onScroller.

Возвращает

Ничего.

Описание

Метод; регистрирует объект для получения оповещений о событиях. Когда происходят события onChanged или onScroller, вызываются события TextField.onChanged или TextField.onScroller, вслед за методами onChanged и onScroller объектов, зарегистрированных для прослушивания событий с помощью addListener. Различные объекты могут следить за оповещениями об обновлении. Если newListener уже зарегистрирован, никах изменений не происходит.


TextField.autoSize

T > TextField.autoSize

TextField.autoSize

Доступен начиная с

Flash Player 6.

Синтаксис

TextField.autoSize

Описание

Свойство; управляет автоматическим изменением размеров и выравнивания в текстовых полях. При присвоении значения "none" текстовое поле ведет себя как обычно и не изменяет размеры и выравнивание текста.

Если значение этого свойства равно "left", расширяет или сжимает свои правую и нижнюю стороны, чтобы содержащийся в нем текст заполнил все пространство поля. Левая и верхняя стороны поля остаются в том же положении.

Если значение этого свойства равно "center", текстовое поле изменяет свой размер, но горизонтальный центр поля остается на одном и том же месте (на линии начальной позиции этого центра). Нижняя сторона поля расширяется, чтобы вместить весь текст.

Если значение этого свойства равно "right", текстовое поле изменяет свой размер, но левая и верхняя стороны раширяются или сжимаются.

Присвоение свойству autoSize значения true аналогично присвоению значения "left", а значения false аналогично "none".

Пример

Показывает присвоение свойству autosize для текстового поля textField2 значения "center".

textField2.autosize = "center";


TextField.background

T > TextField.background

TextField.background

Доступен начиная с

Flash Player 6.

Синтаксис

TextField.background

Описание

Свойство; Если рано true, текстовое поле имеет фоновую заливку. Если равно false, заливки нет.


TextField.backgroundColor

T > TextField.backgroundColor

TextField.backgroundColor

Доступно начиная с

Flash Player 6.

Синтаксис

TextField.backgroundColor

Описание

Свойство; цвет фоновой заливки текстового поля. По умолчанию 0xFFFFFF (белый). Это свойство доступно для чтения и записи, даже если в данный момент поле не имеет фоновой заливки, но цвет будет виден, если поле имеет рамку.

Смотри также

TextField.background


TextField.border

T > TextField.border

TextField.border

Доступно начиная с

Flash Player 6.

Синтаксис

TextField.border

Описание

Свойство; если равно true, поле имеет рамку, если false, рамки нет.


TextField.borderColor

T > TextField.borderColor

TextField.borderColor

Доступно начиная с

Flash Player 6.

Синтаксис

TextField.borderColor

Описание

Свойство; задает цвет рамки у текстового поля, по умолчанию равно 0x000000 (белый). Доступно на запись/чтение даже если в данный момент поле не имеет рамки.

Смотри также

TextField.border


TextField.bottomScroll

T > TextField.bottomScroll

TextField.bottomScroll

Доступно начиная с

Flash Player 6.

Синтаксис

TextField.bottomScroll

Описание

Свойство (только для чтения); целое число (индекс начинающийся с 1), показывающее номер самой нижней строки видимой в поле TextField. Представьте текстовом поле как "окно" в блок текста. Свойство Textfield.scroll это индекс начинающийся с 1 и указывающий на самую верхнюю видимую строку в этом "окне".

Текст между строкой TextField.scroll и TextField.bottomScroll это текст, видимый в настоящий момент в текстовом поле.


TextField.embedFonts

T > TextField.embedFonts

TextField.embedFonts

Доступно начиная с

Flash Player 6.

Синтаксис

TextField.embedFonts

Описание

Свойство; принимает значения true или false; если свойство равно true, текст показывается, используя встроенные шрифты. Если равно false, текстовое поле использует шрифты пользователя (device fonts).


TextField._focusrect

T > TextField._focusrect

TextField._focusrect

Доступно начиная с

Flash Player 6.

Синтаксис

TextField._focusrect

Описание

Свойство; принимает значения true или false; определяет, будет ли иметь текстовое поле желтый прямоугольник вокруг себя при получении фокуса.


TextField.getDepth

T > TextField.getDepth

TextField.getDepth

Доступно начиная с

Flash Player 6.

Синтаксис

TextField.getDepth

Параметры

Нет.

Возвращает

Целое число.

Описание

Метод; возвращает уровень (depth) текстового поля.


TextField.getFontList

T > TextField.getFontList

TextField.getFontList

Доступно начиная с

Flash Player 6.

Синтаксис

TextField.getFontList

Параметры

Нет.

Возвращает

Массив.

Описание

Метод; Возвращает массив, элементами которого являются имена шрифтов, доступных Flash Player'у на компьютере пользователя. Имена имеют тип String.


TextField.getNewTextFormat

T > TextField.getNewTextFormat

TextField.getNewTextFormat

Доступно начиная с

Flash Player 6.

Синтаксис

TextField.getNewTextFormat()

Параметры

Нет.

Возвращает

Объект TextFormat.

Описание

Метод; возвращает объект типа TextFormat, содержащий копию объекта форматирования текстового поля. Объект форматирования текстового поля это набор свойств, который присваивается тексту введенному в это поле, как с помощью метода replaceSel, так и введенному пользователем. При вызове getNewTextFormat возвращаемый объект TextFormat имеет все свойства определенными. Ни одно свойство не имеет значения null.


TextField.getTextFormat

T > TextField.getTextFormat

TextField.getTextFormat

Доступен начиная с

Flash Player 6.

Синтаксис

TextField.getTextFormat()
TextField.getTextFormat (index)
TextField.getTextFormat (beginIndex, endIndex)

Параметры

index Целое число, определяющее номер символа в строке.

Возвращает

Объект.

Описание

Метод; (Синтаксис 1) Возвращает объект TextFormat, содержащий информацию по формату текста во всем текстовом поле. В возвращаемом объекте установлены только те поля, которые являются общими для всего текста. Свойства, имеющие различные значения в разных местах поля установлены в null.

Синтаксис 2: Возвращает объект TextFormat, содержащий информацию по формату отдельного символа текста.

Синтаксис 3: Возвращает объект TextFormat, содержащий информацию по формату интервала текста от beginIndex до endIndex.þ

Смотри также

TextField.getNewTextFormat, TextField.setNewTextFormat, TextField.setTextFormat


TextField._height

T > TextField._height

TextField._height

Доступно начиная с

Flash Player 6.

Синтаксис

TextField._height

Описание

Свойство; доступно на чтение и запись, содержит высоту текстового поля в пикселах.

Пример

Этот пример устанавливает определенную высоту и ширину текстового поля.

myTextField._width = 200;
myTextField._height = 200;


TextField._highquality

T > TextField._highquality

TextField._highquality

Доступность

Flash Player 6.

Синтаксис

TextField._highquality

Описание

Свойство (глобальное); определяет уровень сглаживания (анти-алиасинга) установленный в данном мувиклипе. Устанавливайте значения 2 (BEST) для получения высокого качества изображения (растровые изображения будут сглаживаться всегда), 1 (high quality) для применения сглаживания (растровые изображения будут сглаживаться только если в мувиклипе отсутствует анимация) или 0 (low quality) для отключения сглаживания.

Пример

_highquality = 1;

Смотри также

_quality, toggleHighQuality


TextField.hscroll

T > TextField.hscroll

TextField.hscroll

Доступность

Flash Player 6.

Синтаксис

TextField.hscroll

Возвращает

Целое число.

Описание

Свойство, показывает текущую позицию горизонтальной прокрутки. Если hscroll равно 0, текст не прокручен по горизонтали.

Пример

Прокручивает текст по горизонтали

on (release) {
    myTextField.hscroll += 1;
}

Смотри также

TextField.maxhscroll, TextField.scroll


TextField.html

T > TextField.html

TextField.html

Доступность

Flash Player 6.

Синтаксис

TextField.html

Описание

Свойство; флаг показывающий, содержит ли поле текст в виде HTML. Если свойство равно true текстовое поле содержит HTML, если равно false поле не содержит HTML.

Смотри также

TextField.htmlText


TextField.htmlText

T > TextField.htmlText

TextField.htmlText

Доступность

Flash Player 6.

Синтаксис

TextField.htmlText

Описание

Свойство; если текстовое поле имеет тип HTML, свойство содержит HTML представление текста. Если поле не имеет тип HTML, возвращает то же самое, что и свойство text. Вы можете изменять тип поля, используя вкладку Property в редакторе или программно устанавливая свойство html в true.

Пример

В этом примере текст в поле text2 делается полужирным.

text2.html = true;
text2.htmlText = "<b> this is bold text </b>";


TextField.length

T > TextField.length

TextField.length

Доступность

Flash Player 6.

Синтаксис

TextField.length

Описание

Свойство (только для чтения); показывает число символов в текстовом поле. Свойство возвращает то же, что и text.length, но работает быстрее. Символы типа tab ("\t") считаются как один символ.


TextField.maxChars

T > TextField.maxChars

TextField.maxChars

Доступность

Flash Player 6.

Синтаксис

TextField.maxChars

Описание

Свойство; показывает максимальное число символов, которое может содержать текстовое поле. Скрипт может вставлять больше символов, чем указано в maxChars; это свойство показывает только количество символов, которое может ввести пользователь. Если значение свойства равно null, значит ограничений на длину вводимого текста нет.


TextField.maxhscroll

T > TextField.maxhscroll

TextField.maxhscroll

Доступность

Flash Player 6.

Синтаксис

TextField.maxhscroll

Описание

Свойство (только для чтения); показывает максимальное значение TextField.hscroll.

Смотри также

TextField.hscroll


TextField.maxscroll

T > TextField.maxscroll

TextField.maxscroll

Доступность

Flash Player 6.

Синтаксис

TextField.maxscroll

Описание

Свойство (только для чтения); показывает максимальное значение TextField.scroll.

Смотри также

TextField.scroll


TextField.multiline

T > TextField.multiline

TextField.multiline

Доступность

Flash Player 6.

Синтаксис

TextField.multiline

Описание

Свойство; показывает, может ли поле содержать несколько строк. Если равно true, поле может содержать несколько строк, если false, то нет.


TextField._name

T > TextField._name

TextField._name

Доступность

Flash Player 6.

Синтаксис

TextField._name

Описание

Свойство; возвращает имя объекта TextField.


TextField.onChanged

T > TextField.onChanged

TextField.onChanged

Доступность

Flash Player 6.

Синтаксис

TextField.onChanged

Параметры

Нет.

Возвращает

Ничего.

Описание

Обработчик событий; вызывается, когда происходит измененение содержимого текстового поля. По умолчанию не определен, вы можете определить его в скрипте. Если текст в поле только выделяется или прокручивается, не изменяясь при этом, вызова не произходит.


TextField.onKillFocus

T > TextField.onKillFocus

TextField.onKillFocus

Доступность

Flash Player 6.

Синтаксис

TextField.onKillFocus = function (newFocus) {
    ...команды;
};

Параметры

newFocus Ссылка на объект, получивший фокус.

Возвращает

Ничего.

Описание

Обработчик событий; вызывается, когда текстовое поле теряет фокус. Метод onKillFocus получает оди параметр newFocus, являющийся ссылкой на объект, получивший фокус. Если ни один объект не получил фокус, newFocus равно null.


TextField.onScroller

T > TextField.onScroller

TextField.onScroller

Доступность

Flash Player 6.

Синтаксис

TextField.onScroller

Описание

Обработчик событий; событие происходит при изменении свойств прокрутки в текстовом поле.

Смотри также

TextField.hscroll, TextField.maxhscroll, TextField.maxscroll, TextField.scroll


TextField.onSetFocus

T > TextField.onSetFocus

TextField.onSetFocus

Доступность

Flash Player 6.

Синтаксис

TextField.onSetFocus = function(oldFocus){
    ...команды;
};

Параметры

oldFocus Ссылка на объект потерявший фокус.

Возвращает

Ничего.

Описание

Обработчик событий; происходит при получении фокуса текстовым полем. Параметр oldFocus это ссылка на объект, потерявший фокус. Например, если пользователь нажимает клавишу Tab, перемещая фокус с кнопки в текстовое поле, oldFocus будет содержать ссылку на на кнопку.

Если не один объект не имел фокуса до его получения текстовым полем, oldFocus равно null.


TextField._parent

T > TextField._parent

TextField._parent

Доступность

Flash Player 6.

Синтаксис

_parent.property
_parent._parent.property

Описание

Свойство; определяет или возвращает ссылку на мувиклип или объект, который содержит текущий мувиклип или объект. Текущим следует считать тот объект, который содержит ActionScript со ссылкой на _parent. Используйте _parent для определения относительного пути к мувиклипам, находящимся выше текущего мувиклипа или объекта.

Смотри также

_root, targetPath


TextField.password

T > TextField.password

TextField.password

Доступность

Flash Player 6.

Синтаксис

TextField.password

Описание

Свойство; Если значение password равно true, текстовое поле скрывает вводимые символы. Если равно false, вводимые символы видны.


TextField._quality

T > TextField._quality

TextField._quality

Доступность

Flash Player 6.

Синтаксис

TextField._quality

Описание

Свойство (глобальное); устанавливает или возвращает уровень качество показа мувиклипа. Device-шрифты всегда зглаживаются, независимо от значения _quality.

Свойству _quality можно присвоить следующие значения:

"LOW" Низкое качество изображения. Векторные изображения не сглаживаются; растровые не размываются.

"MEDIUM" Среднее качество изображения. Векторные изображения сглаживаются с использованием сетки 2 x 2 пиксела, но растровые изображения не размываются. Подходит для мувиклипов не содержащих текст.

"HIGH" Высокое качество показа.Векторные изображения сглаживаются с использованием сетки 4 x 4 пиксела, растровые изображения размываются при отсутствии анимации. Это значение по умолчанию используемое во Flash.

"BEST" Векторные изображения сглаживаются с использованием сетки 4 x 4 пиксела, растровые изображения размываются всегда.

Пример

Этот пример устанавливает низкое качество показа мувиклипа.

textfield._quality = "LOW";

Смотри также

_highquality, toggleHighQuality


TextField.removeListener

T > TextField.removeListener

TextField.removeListener

Доступность

Flash Player 6.

Синтаксис

TextField.removeListener(listener)

Параметры

listener Ссылка на объект, который больше не нужно оповещать о событиях.

Возвращает

Если listener был успешно удален, метод возвращает true . В противном случае (например если listener не найден), возвращает false.

Описание

Метод; удаляет объект listener ранее привязанный к текстовому полю с помощью addListener.


TextField.removeTextField

T > TextField.removeTextField

TextField.removeTextField

Доступность

Flash Player 6.

Синтаксис

TextField.removeTextField()

Описание

Метод; удаляет текстовое поле TextField. Эта операция допустима только для текстовых полей, созданных с помощью метода createTextField . Это не будет работать с текстовыми полями, созданными в редакторе Flash. Аналогичен методу MovieClip.removeMovieClip.

Смотри также

MovieClip.createTextField


TextField.replaceSel

T > TextField.replaceSel

TextField.replaceSel

Доступность

Flash Player 6.

Синтаксис

TextField.replaceSel(text)

Параметры

text Строка.

Возвращает

Ничего.

Описание

Метод; заменяет текущее выделение на значение параметра text. Текст, вставляемый на место текущего выделения будет иметь формат символов и абзаца по умолчанию. Текст не будет интерпретироваться как HTML, даже если текстовое поле имеет тип HTML.

Вы можете использовать метод replaceSel для вставки и удаления текста без нарушения форматирования символов и абзаца для остального текста.


TextField.restrict

T > TextField.restrict

TextField.restrict

Доступность

Flash Player 6.

Синтаксис

TextField.restrict

Описание

Свойство; определяет набор символов, которые пользователь может вводить в текстовое поле. Если значение равно null, можно вводить любые символы. Если свойство равно пустой строке, вы ничего не можете ввести в это поле. Если свойство равно набору символов, вы можете вводить только символы из этого набора. Эта строка просматривается слева направо. Диапазон символов может быть определен, используя тире (-). Запрет распостраняется только на пользовательский ввод; программно можно поместить любой текст в текстовое поле. Свойство не связано с Embed Font Outlines в окне свойств поля.

Если строка начинается с ^, все символы изначально будут допустимы и следующие после ^ символы будут исключены из списка допустимых символов.

Пример

Этот пример допускает использование только английских заглавных букв и цифр при вводе в текстовое поле.

my_txt.restrict = "A-Z 0-9";

Следующий пример допускает использование любых символов, кроме строчных английских букв при вводе текста.

my_txt.restrict = "^a-z";

Вы можете использовать обратную косую черту (слэш) для ввода символов ^ или - . Допустимы последовательности \-, \^ или \\. Слэш должен быть действительным символом, поэтому при определении этого свойства с использованием ActionScript необходимо использовать двойной слэш. Например, данный пример допускает ввод только тире (-) и знака вставки (^):

my_txt.restrict = "\\-\\^";

Знак ^ может быть использован в любом месте строки для разделения допустимых и запрещенных символов. Этот пример разрешает ввод только заглавных букв за исключением заглавной Q.

my_txt.restrict = "A-Z^Q";

Вы можте использовать escape-последовательность \u для формирования restrict строк. Следующий код допускает ввод символов с ASCII кодами от ASCII 32 (пробел) to ASCII 126 (тильда).

my_txt.restrict = "\u0020-\u007E";


TextField._rotation

T > TextField._rotation

TextField._rotation

Доступность

Flash Player 6.

Синтаксис

TextField._rotation

Описание

Свойство; определяет угол поворота в градусах текстового поля.


TextField.scroll

T > TextField.scroll

TextField.scroll

Доступность

Flash Player 6.

Синтаксис

TextField.scroll

Описание

Свойство; определяет вертикальное положение текста в текстовом поле. Свойство scroll полезно для показа пользователю определенного абзаца в длинном тексте или создания прокручеваемых текстовых полей. Свойство доступно на чтение и запись.

Пример

Пример кода привязанный к кнопке "Вверх" при прокрутке поля myText.

on (release) {
    myText.scroll = myText.scroll + 1;
}

Смотри также

TextField.maxscroll, TextField.scroll


TextField.selectable

T > TextField.selectable

TextField.selectable

Доступность

Flash Player 6.

Синтаксис

TextField.selectable

Описание

Свойство; Булево значение показывающее, допустимо ли выделение текста. Если равно true, значит текст можно выделять.


TextField.setNewTextFormat

T > TextField.setNewTextFormat

TextField.setNewTextFormat

Доступность

Flash Player 6.

Синтаксис

TextField.setNewTextFormat(textFormat)

Parameters

textFormat Экземпляр объекта TextFormat.

Возвращает

Ничего.

Описание

Метод; устанавливает объект TextFormat для форматирования вставляемого текста, как с помощью метода replaceSel, так и вводимого пользователем в поле. Каждое текстовое поле имеет свой формат текста. При вставке текста он приобретает этот формат.

Формат текста описан в экземпляре объекта TextFormat. Он содержит инвормацию о форматировании символов и абзацев. Информация о форматировании символов описывает внешний вид отдельных символов, например, имя шрифта, размер шрифта, цвет и связанный URL. Информация о форматировании абзацев описывает внешний вид абзацев, например, поле(отступ от края) слева, поле справа, отступ у первой строки, тип выравнивания.

Смотри также

TextField.getNewTextFormat, TextField.getTextFormat, TextField.setTextFormat


TextField.setTextFormat

T > TextField.setTextFormat

TextField.setTextFormat

Доступность

Flash Player 6.

Синтаксис

TextField.setTextFormat (textFormat)
TextField.setTextFormat (index, textFormat)
TextField.setTextFormat (beginIndex, endIndex, textFormat)

Параметры

beginIndex Целое число, определяющее символ, с которого начинается форматирование текста.

endIndex Целое число, определяющее первый символ после форматированного блока.

textFormat Экземпляр объекта TextFormat.

Возвращает

Ничего.

Описание

Метод; устанавливает форматирование определенного диапазона символов в поле. Вы можете назначит каждому символу в поле свой формат. Формат первого символа в абзаце производит форматирование для всего абзаца. Метод setTextFormat изменяет текстовый формат, примененный к отдельным символам, к группам символов или ко всему тексту в поле.

Формат текста описан в экземпляре объекта TextFormat. Он содержит информацию о форматировании символов и абзацев. Информация о форматировании символов описывает внешний вид отдельных символов, например, имя шрифта, размер шрифта, цвет и связанный URL. Информация о форматировании абзацев описывает внешний вид абзацев, например, поле(отступ от края) слева, поле справа, отступ у первой строки, тип выравнивания.

Синтаксис 1: Применяет свойства textFormat ко всему тексту в поле.

Синтаксис 2: Применяет свойства textFormat к символу определяемому index.

Синтаксис 3: Применяет свойства textFormat к блоку символов текста от beginIndex до endIndex.

Пример

Пример создает новый объект TextFormat называющийся myTextFormat и устанавливает свойство bold равным true(полужирное начертание текста). Затем вызывается метод setTextFormat и новый формат текста применяется к текстовому полю myTextField.

myTextFormat = new TextFormat();
myTextFormat.bold = true;
myTextField.setTextFormat(myTextFormat);

Смотри также

TextFormat (object)


TextField._soundbuftime

T > TextField._soundbuftime

TextField._soundbuftime

Доступность

Flash Player 6.

Синтаксис

TextField._soundbuftime

Описание

Свойства (глобальное); целое число, определяющее число секунд буфферизации звука перед его проигрыванием.


TextField.tabEnabled

T > TextField.tabEnabled

TextField.tabEnabled

Доступность

Flash Player 6.

Синтаксис

TextField.tabEnabled

Описание

Свойство; может быть установлено для мувиклипа, кнопки или текстового поля. По умолчанию не определено.

Если свойство tabEnabled не определено (undefined) или равно true, объект включается в автоматический обход объектов по клавише Tab и включается в ручной переход если свойство tabIndex имеет значение. Если tabEnabled равно false, объект не включается в список объектов для обхода по Tab. Для мувиклипов если tabEnabled равно false, дочерние объекты могут быть включены в список обхода, если только их свойства tabChildren тоже не равны false.


TextField.tabIndex

T > TextField.tabIndex

TextField.tabIndex

Доступность

Flash Player 6.

Синтаксис

TextField.tabIndex

Параметры

Нет.

Возвращает

Ничего.

Описание

Свойство; позволяет определять порядок обхода объектов по клавише Tab. Вы можете установить свойство tabIndex на кнопку, мувиклип или текстовое поле; по умолчанию не определен.

Если в каком-то объекте в мувиклипе установлено свойство tabIndex, он исключается из автоматического обхода объектов по клавише Tab и порядок обхода объектов расчитывается исходя из значений свойств tabIndex у таких объектов.

Свойство tabIndex должно быть целым положительным числом. Объекты упорядочены согласно значениям их свойств tabIndex в возрастающем порядке. Объект с tabIndex равным 1 идет перед объектом с tabIndex равным 2. Если два объекта имеют одинаковые значения свойства tabIndex, то тот который идет первым считается undefined.

Ручная установка метода обхода объектов является одноуровневой. Это означает, что иерархические связи между объектами в мувиклипе не принимаются во внимание. Все объекты с установленными свойствами tabIndex помещаются в список обхода и порядок обхода расчитывается на основе значений tabIndex. Если два объекта имеют одинаковые значения свойства tabIndex, то тот который идет первым считается undefined. Вы не должны использовать одинаковые значения tabIndex для нескольких объектов.


TextField._target

T > TextField._target

TextField._target

Доступность

Flash Player 6.

Синтаксис

TextField._target

Описание

Свойство (только для чтения); возвращает путь к мувиклипу, заданному в TextField.


TextField.text

T > TextField.text

TextField.text

Доступность

Flash Player 6.

Синтаксис

TextField.text

Описание

Свойство; содержит текущий текст в поле; Строки разделены символом возвратом каретки ('\r', ASCII 13). Это свойство содержит обычный, неформатированый текст, без HTML тэгов, даже если текстовое поле их допускает.

Смотри также

TextField.htmlText


TextField.textColor

T > TextField.textColor

TextField.textColor

Доступность

Flash Player 6.

Синтаксис

TextField.textColor

Описание

Свойство; содержит цвет текста в текстовом поле.


TextField.textHeight

T > TextField.textHeight

TextField.textHeight

Доступность

Flash Player 6.

Синтаксис

TextField.textHeight

Описание

Свойство; содержит высоту текста в поле.


TextField.textWidth

T > TextField.textWidth

TextField.textWidth

Доступность

Flash Player 6.

Синтаксис

TextField.textWidth

Описание

Свойство; содержит ширину текста в поле.


TextField.type

T > TextField.type

TextField.type

Доступность

Flash Player 6.

Синтаксис

TextField.type

Описание

Свойство; содержит тип текстового поля. Может принимать два значения: "dynamic" - динамическое поле (недоступно для редактирования пользователем) и "input" - поле ввода.

Пример

TextField.type = "dynamic";


TextField._url

T > TextField._url

TextField._url

Доступность

Flash Player 6.

Синтаксис

TextField._url

Описание

Свойство (только для чтения); возвращает URL мувиклипа(SWF файла), в котором создано текстовое поле.


TextField.variable

T > TextField.variable

TextField.variable

Доступность

Flash Player 6.

Синтаксис

TextField._variable

Описание

Свойство; содержит имя переменной, с которой связано текстовое поле. Имеет тип String.


TextField._visible

T > TextField._visible

TextField._visible

Доступность

Flash Player 6.

Синтаксис

TextField._visible

Описание

Свойство; Булево значение, показывающее видимость текстового поля. Невидимое текстовое поле (свойство _visible равно false) недоступно для пользователя.


TextField._width

T > TextField._width

TextField._width

Доступность

Flash Player 6.

Синтаксис

TextField._width

Описание

Свойство; содержит ширину текстового поля в пикселах.

Пример

Этот пример устанавливает ширину и высоту для текстового поля:

myTextField._width=200;
myTextField._height=200;

Смотри также

MovieClip._height


TextField.wordWrap

T > TextField.wordWrap

TextField.wordWrap

Доступность

Flash Player 6.

Синтаксис

TextField.wordWrap

Описание

Свойство; Булево значение, показывающее возможность переноса текста на следующую строку, если он не помещается по ширине. Если равно true, текст переносится, если false - нет.


TextField._x

T > TextField._x

TextField._x

Доступность

Flash Player 6.

Синтаксис

TextField._x

Описание

Свойство; целое число, показывающее координату x текстового поля в локальных координатах родительского клипа. Если текстовое поле находится на главном таймлайне, за начало системы координат берется левый верхний угол клипа (0,0). Если же текстовое поле находится в трансформированом мувиклипе, то оно находится в системе координат этого клипа. То есть, если клип повернуть на 90° по часовой стрелке, система координат для текстового поля, содержащегося в нем, будет тоже повернутва на 90°. Координаты текстового поля отсчитываются от регистрационной точки (крестик в клипе).

Смотри также

TextField._xscale, TextField._y, TextField._yscale


TextField._xmouse

T > TextField._xmouse

TextField._xmouse

Доступность

Flash Player 6.

Синтаксис

TextField._xmouse

Описание

Свойство(только для чтения); возвращает координату x указателя мыши относительно текстового поля.

Смотри также

TextField._ymouse


TextField._xscale

T > TextField._xscale

TextField._xscale

Доступность

Flash Player 6.

Синтаксис

TextField._xscale

Описание

Свойство; определяет горизонтальный масштаб клипа, принятый от точки отсчета клипа. По умолчанию точка отсчета равна (0,0).

Смотри также

TextField._x, TextField._y, TextField._yscale


TextField._y

T > TextField._y

TextField._y

Доступность

Flash Player 6.

Синтаксис

TextField._y

Описание

Свойство; целое число, показывающее координату y текстового поля в локальных координатах родительского клипа. Если текстовое поле находится на главном таймлайне, за начало системы координат берется левый верхний угол клипа (0,0). Если же текстовое поле находится в трансформированом мувиклипе, то оно находится в системе координат этого клипа. То есть, если клип повернуть на 90° по часовой стрелке, система координат для текстового поля, содержащегося в нем, будет тоже повернутва на 90°. Координаты текстового поля отсчитываются от регистрационной точки (крестик в клипе).

Смотри также

TextField._x, TextField._xscale, TextField._yscale


TextField._ymouse

T > TextField._ymouse

TextField._ymouse

Доступность

Flash Player 6.

Синтаксис

TextField._ymouse

Описание

Свойство(только для чтения); возвращает координату y указателя мыши относительно текстового поля.

Смотри также

TextField._xmouse


TextField._yscale

T > TextField._yscale

TextField._yscale

Доступность

Flash Player 6.

Синтаксис

TextField._yscale

Описание

Свойство; определяет вертикальный масштаб клипа, принятый от точки отсчета клипа. По умолчанию точка отсчета есть (0,0).

Смотри также

TextField._x, TextField._xscale, TextField._y


TextFormat (object)

T > TextFormat (object)

TextFormat (object)

Объект TextFormat предоставляет информацию о форматировании символов.

Необходимо использовать конструктор new TextFormat для создания экземпляра объекта TextFormat перед тем, как пользоваться его методами.

Параметры объекта TextFormat можно установить в null чтобы показать, что они неопределены. После этого, когда вы применяете формат объекта TextFormat к текстовому полю, используя метод setTextFormat, используются только те свойства, которые были определены, например:

myTextFormat = new TextFormat();
myTextFormat.bold = true;
myTextField.setTextFormat(myTextFormat);

Код вначале создает пустой объект TextFormat со всеми неопределенными свойствами (undefined), затем определяется свойство bold.

Строчка кода myTextField.setTextFormat(myTextFormat) при этом изменяет только свойство bold текстового поля. Все остальные свойства не изменяются.

Когда вызывается метод getTextFormat, в объекте TextFormat все свойства становятся определены, ничто при этом не равно null.

Методы объекта TextFormat

Метод | Описание
TextFormat.getTextExtent | Возвращает объект с двумя свойствами, width и height, показывающие размер текста в текстовом поле.

Свойства объекта TextFormat

Свойство | Описание
TextFormat.align | Показывает выравнивание абзаца.
TextFormat.blockIndent | Показывает отступ блока в пунктах.
TextFormat.bold | Показывает, является ли шрифт жирным.
TextFormat.bullet | Показывает, является или нет текст перечнем с маркерами.
TextFormat.color | Цвет текста.
TextFormat.font | Название шрифта.
TextFormat.indent | Отступ от левого края до первого символа в абзаце.
TextFormat.italic | Показывает, является или нет текст наклонным.
TextFormat.leading | Межстроковый интервал.
TextFormat.leftMargin | Левый край абзаца, в пунктах.
TextFormat.rightMargin | Правый край абзаца, в пунктах.
TextFormat.tabStops | Значение табуляции в пнктах.
TextFormat.target | Задает окно браузера для открытия ссылки.
TextFormat.size | Размер текста в пунктах.
TextFormat.underline | Показывает, является или нет текст подчеркнутым.
TextFormat.url | URL адрес, на который ссылается текст.

Конструктор объекта TextFormat

Синтаксис

new TextFormat([font, [size, [color, [bold, [italic, [underline, [url, [target, [align, [leftMargin, [rightMargin, [indent, [leading]]]]]]]]]]]]])

Параметры

font Название шрифта, строка.

size Размер шрифта, целое число.

color Цвет шрифта, формат RGB, например 0xFF0000.

bold Флаг указывающий, является ли текст жирным, Boolean.

italic Флаг указывающий, является ли текст наклонным, Boolean.

underline Флаг указывающий, является ли текст подчеркнутым, Boolean.

url URL адрес, на который ссылается текст. Если url есть пустая строка, текст никуда не ссылается.

target Окно браузера, в котором откроется ссылка. Пустая строка означает значение по умолчанию - _self. Если свойство TextFormat.url равно пустой строке или значению null, свойство target не возымеет эффекта.

align Выравнивание абзаца, строка. Если "left", выравнивается по левому краю. Если "center", то по центру. Если "right", выравнивается по правому краю.

leftMargin Левый край абзаца, в пунктах.

rightMargin Правый край абзаца, в пунктах.

indent Отступ от левого края до первого символа в абзаце, целое число.

leading Межстроковый интервал, целое число.

Описание

Конструктор; создает экземпляр объекта TextFormat с заданными свойствами. Эти свойства затем можно изменить, чтобы изменить форматирование текста в текстовых полях.

Любой параметр можно установить в null чтобы показать, что он неопределен. Все парамтры необязательны; любой пропущенный считается равным null.

Доступность

Flash Player 6.


TextFormat.align

T > TextFormat.align

TextFormat.align

Доступность

Flash Player 6.

Синтаксис

TextFormat.align

Описание

Свойство; строка, отображающая выравнивание абзаца. Если "left", выравнивается по левому краю. Если "center", то по центру. Если "right", выравнивается по правому краю. По умолчанию null, что говорит о том, что свойство не определено.


TextFormat.blockIndent

T > TextFormat.blockIndent

TextFormat.blockIndent

Доступность

Flash Player 6.

Синтаксис

TextFormat.blockIndent

Описание

Свойство; отступ в пунктах блока текста. Распостраняется на все строки текста, в отличие от TextFormat.indent, задающее отступ первой строки абзаца. Если свойство равно null, свойство не определено.


TextFormat.bold

T > TextFormat.bold

TextFormat.bold

Доступность

Flash Player 6.

Синтаксис

TextFormat.bold

Описание

Свойство; указывает, является ли текст жирным, Если свойство равно null, свойство не определено.


TextFormat.bullet

T > TextFormat.bullet

TextFormat.bullet

Доступность

Flash Player 6.

Синтаксис

TextFormat.bullet

Описание

Свойство; значение Boolean показывающее, что текст является частью списка с маркерами. Если свойство равно null, свойство не определено.


TextFormat.color

T > TextFormat.color

TextFormat.color

Доступность

Flash Player 6.

Синтаксис

TextFormat.color

Описание

Свойство; цвет текста в формате RGB, например: 0xFF0000.


TextFormat.font

T > TextFormat.font

TextFormat.font

Доступность

Flash Player 6.

Синтаксис

TextFormat.font

Описание

Свойство; название шрифта, строка. По умолчанию null, что говорит о том, что свойство не определено.


TextFormat.getTextExtent

T > TextFormat.getTextExtent

TextFormat.getTextExtent

Доступность

Flash Player 6.

Синтаксис

TextFormat.getTextExtent (text)

Параметры

text Строка.

Возвращает

Объект со свойствами width и height.

Описание

Метод; возвращает размер текста, заданный в свойстве text, в виде объекта с двумя параметрами, width и height. Свойство text обрабатывается как обычный текст (не HTML), при этом text представляется в виде одной строки, возвраты каретки игнорируются.


TextFormat.indent

T > TextFormat.indent

TextFormat.indent

Доступность

Flash Player 6.

Синтаксис

TextFormat.indent

Описание

Свойство; целое число, представляющее отступ от левого края до первого символа в абзаце. По умолчанию null, что говорит о том, что свойство не определено.


TextFormat.italic

T > TextFormat.italic

TextFormat.italic

Доступность

Flash Player 6.

Синтаксис

TextFormat.italic

Описание

Свойство; указывает, является ли текст наклонным, Если свойство равно null, свойство не определено.


TextFormat.leading

T > TextFormat.leading

TextFormat.leading

Доступность

Flash Player 6.

Синтаксис

TextFormat.leading

Описание

Свойство; межстроковый интервал. По умолчанию null, что говорит о том, что свойство не определено.


TextFormat.leftMargin

T > TextFormat.leftMargin

TextFormat.leftMargin

Доступность

Flash Player 6.

Синтаксис

TextFormat.leftMargin

Описание

Свойство; левый край абзаца, в пунктах. По умолчанию null, что говорит о том, что свойство не определено.


TextFormat.rightMargin

T > TextFormat.rightMargin

TextFormat.rightMargin

Доступность

Flash Player 6.

Синтаксис

TextFormat.rightMargin

Описание

Свойство; правый край абзаца, в пунктах. По умолчанию null, что говорит о том, что свойство не определено.


TextFormat.size

T > TextFormat.size

TextFormat.size

Доступность

Flash Player 6.

Синтаксис

TextFormat.size

Описание

Свойство; Размер текста в пунктах. По умолчанию null, что говорит о том, что свойство не определено.


TextFormat.tabStops

T > TextFormat.tabStops

TextFormat.tabStops

Доступность

Flash Player 6.

Синтаксис

TextFormat.tabStops

Описание

Свойство; массив неотрицательных чисел, представляющих значение табуляции в пнктах. Если табуляция не задана (null), по умолчанию равно 4 (среднее значение ширины символа).


TextFormat.target

T > TextFormat.target

TextFormat.target

Доступность

Flash Player 6.

Синтаксис

TextFormat.target

Описание

Свойство; окно браузера, в котором откроется ссылка. Пустая строка означает значение по умолчанию - _self. Если свойство TextFormat.url равно пустой строке или значению null, свойство target не возымеет эффекта.


TextFormat.underline

T > TextFormat.underline

TextFormat.underline

Доступность

Flash Player 6.

Синтаксис

TextFormat.underline

Описание

Свойство; указывает, является ли текст подчеркнутым. Если свойство равно null, свойство не определено. Если underline равно true, текст подчеркнут, если false, то нет. Это подчеркивание является тем же, что и достигнутое с помощью тэга <U>, это не "настоящее" подчеркивание, корректно обрабатывающее нижние выступающие элементы символов.


TextFormat.url

T > TextFormat.url

TextFormat.url

Доступность

Flash Player 6.

Синтаксис

TextFormat.url

Описание

Свойство; URL адрес, на который ссылается текст. Если url есть пустая строка, текст никуда не ссылается. По умолчанию null, что говорит о том, что свойство не определено.


this

T > this

this

Доступность

Flash Player 5.

Синтаксис

this

Описание

Ключевое слово; ссылка на объект или экземпляр мувиклипа. Когда некий код выполняется, this ссылается на экземпляр мувиклипа, содержащего этот код. Если вызывается метод, this ссылается на объект, содержащий этот метод.

Внутри обработчика on, прикрепленного к кнопке, this ссылается на линейку, в которой кнопка находится. Внутри обработчика onClipEvent, прикрепленного к мувиклипу, this ссылается на линейку мувиклипа.

Пример

Здесь this ссылается на объект Circle.

function Circle(radius) {
    this.radius = radius;
    this.area = Math.PI * radius * radius;
}

В этом коде, расположенном в кадре, слово this указывает на текущий мувиклип.

// устанавливаем прозрачность текущего мувиклипа в 20
this._alpha = 20;

В этом коде, расположенном внутри обработчика onClipEvent, слово this указывает на текущий мувиклип.

// когда мувиклип загружен, с ним производится операция startDrag
onClipEvent (load) {
    startDrag (this, true);
}

Смотри также

new


toggleHighQuality

T > toggleHighQuality

toggleHighQuality

Доступность

Flash 2.

Синтаксис

toggleHighQuality()

Параметры

Нет.

Возвращается

Ничего.

Описание

Команда; переключает экранное сглаживание (anti-aliasing) в Flash Player'е; сглаживаются неровности объектов, при этом замедляется воспроизведение клипа. Команда toggleHighQuality влияет на все клипы в Player'е.

Пример

Нажатие на кнопку переключает сглаживание:

on(release) {
    toggleHighQuality();
}

Смотри также

_quality, _highquality


trace

T > trace

trace

Доступность

Flash Player 4.

Синтаксис

trace(expression)

Параметры

expression Любое выражение. Когда SWF файл тестируется в редакторе Flash (команда Test Movie), значение параметра expression отображается в окне Output.

Возвращает

Ничего.

Описание

Команда; вычисляет значение expression и выводит результат в окно Output.

Используйте trace для отображения различных сообщений при отладке фильма. Параметр expression удобно использовать для проверки правильности вычисления различных переменных. Команда trace похожа на команду alert в JavaScript.

Используйте опцию Omit Trace actions в Publish Settings для удаления всех команд trace в публикуемом фильме.

Пример

Этот код взят из некой игры, где перетаскиваемый мувиклип rabbi должен быть перенесен в определенное место (target). Мы проверяем свойство _droptarget и в зависимости от того, где rabbi был отпущен, вычисляем различные выражения. Команда trace используется для отображения координат клипа rabbi в окне Output. В том случае, когда rabbi "прицепился" не к тому объекту, вы легко это заметите в окне Output и быстрее разберетесь с проблемой при отладке.

on(press) {
    rabbi.startDrag();
}

on(release) {
    if(eval(_droptarget) != target) {
          rabbi._x = rabbi_x;
          rabbi._y = rabbi_y;
    } else {
        rabbi_x = rabbi._x;
        rabbi_y = rabbi._y;
        target = "_root.pasture";
    }
    trace("rabbi_y = " + rabbi_y);
    trace("rabbi_x = " + rabbi_x);
    stopDrag();
}


true

T > true

true

Доступность

Flash Player 5.

Синтаксис

true

Описание

Значение Boolean, противоположное false.

Смотри также

false


typeof

T > typeof

typeof

Доступность

Flash Player 5.

Синтаксис

typeof expression

Parameters

expression Строка, мувиклип, кнопка, объект или функция.

Описание

Оператор; унарный оператор, помещаемый перед единственным параметром. Результатом вычисления является строковое описание мувиклипа, функции, объекта и т.д. (см. таблицу):

Параметр | Выходные данные
Строка | string
Мувиклип | movieclip
Кнопка | object
Текстовое поле | object
Число | number
Булевское значение | boolean
Объект | object
Функция | function


undefined

U-X > undefined

undefined

Доступность

Flash Player 5.

Синтаксис

undefined

Параметры

Нет.

Возвращается

Ничего.

Описание

Специальное значение, обычно используемое для указания, что переменной еще не присвоено никакого значения. Ссылка на неопределенное значение возвращает специальное значение undefined. ActionScript код typeof(undefined) возвращает строку "undefined". Только значение типа undefined является неопределенным.

Когда undefined конвертируется в строку, получается пустая строка.

Значение undefined подобно специальному значению null. Фактически, результатом сравнения null и undefined оператором сравнения, является их эквивалентность.

Пример

В этом примере переменная x не была объявлена и, следовательно имеет значение undefined. В первом блоке кода оператор равенства (==) сравнивает значение x со значением undefined и отсылает полученный результат в окно вывода (Output). Во втором блоке кода оператор равенства сравнивает значение null и undefined.

// x has not been declared
trace ("The value of x is " + x);
if (x == undefined) {
  trace ("x is undefined");
} else {
  trace ("x is not undefined");
}

trace ("typeof (x) is " + typeof (x));
if (null == undefined) {
  trace ("null and undefined are equal");
} else {
  trace ("null and undefined are not equal");
}

Следующий результат выводится в окно вывода:

The value of x is x is undefined
typeof (x) is undefined
null and undefined are equal

Примечание: В спецификации ECMA-262, undefined конвертируется в строку "undefined", а не в пустую строку. Это различие между ActionScript и спецификацией ECMA-262.


unescape

U-X > unescape

unescape

Доступность

Flash Player 5.

Синтаксис

unescape(x)

Параметры

x Строка с последовательностью шестнадцатеричных (НЕХ) чисел.

Возвращается

Декодированная строка.

Описание

Высокоуровневая функция, обрабатывает аргумент x как строку, декодирует ее из формата URL-encoded (конвертирует все HEX-последовательности в ASCII символы) и возвращает опять в виде строки.

Пример

Следующий пример иллюстрирует escape-to-unescape процесс конвертации.

escape("Hello{[World]}");

Результат будет следующим:

("Hello%7B%5BWorld%5D%7D');

Использование unescape возвращает в прежний вид:

unescape("Hello%7B%5BWorld%5D%7D")

Результат будет следующим:

Hello{[World]}


unloadMovie

U-X > unloadMovie

unloadMovie

Доступность

Flash Player 3.

Синтаксис

unloadMovie[Num](level/"target")

Параметры

level Уровень (_levelN) подгруженного мувиклипа. При удалении мувиклипа с уровня, команда unloadMovie в панели Actions в нормальном режиме переключится на unloadMovieNum, в экспертном режиме необходимо указать unloadMovieNum или выбрать ее из списка команд.

target Путь к мувиклипу.

Возвращается

Ничего.

Описание

Команда, удаляет (выгружает) из Flash Player'а мувиклип, загруженный туда ранее. Для удаления мувика с уровня, используется параметр level, из мувиклипа - параметр target.

Пример

Удаление мувиклипа draggable с основной линейки и загрузка мувика movie.swf на четвертый уровень.

on (press) {
    unloadMovie ("_root.draggable");
    loadMovieNum ("movie.swf", 4);
}

Удаление мувиклипа с четвертого уровня.

on (press) {
    unloadMovieNum (4);
}

См. также

loadMovie, loadMovieNum, unloadMovieNum


unloadMovieNum

U-X > unloadMovieNum

unloadMovieNum

Доступность

Flash Player 3.

Синтаксис

unloadMovieNum(level)

Параметры

level Уровень (_levelN) подгруженного мувиклипа.

Возвращается

Ничего.

Описание

Команда, удаляет (выгружает) мувиклип из Flash Player'а.

См. также

loadMovie, loadMovieNum


updateAfterEvent

U-X > updateAfterEvent

updateAfterEvent

Доступность

Flash Player 5.

Синтаксис

updateAfterEvent()

Параметры

Нет.

Возвращается

Ничего.

Описание

Команда, независимо от значения частоты кадров в секунду (fps), установленной для клипа, обновляет экран, когда ее вызов происходит изнутри обработчика onClipEvent или как часть функции или метода при использовании setInterval. Все прочие обращения к updateAfterEvent Flash игнорирует.

См. также

onClipEvent, setInterval


var

U-X > var

var

Доступность

Flash Player 5.

Синтаксис

var variableName1 [= value1] [...,variableNameN [=valueN]]

Параметры

variableName Идентификатор.

value Значение, присваиваемое переменной.

Возвращается

Ничего.

Описание

Команда, используется для объявления локальных переменных. Если локальные переменные объявляются внутри функции, то они действуют только в ее пределах. Если переменные не объявлены внутри блока ({}), но список команд был выполнен через вызов call, переменные являются локальными и действуют до конца текущего списка. Если переменные не объявлены внутри блока и текущий список команд не выполнялся командой call, переменные не являются локальными.

Пример

Использование команды var для объявления локальных переменных:

var x;
var y = 1;
var z = 3, w = 4;
var s, t, u = z;


void

U-X > void

void

Доступность

Flash Player 5.

Синтаксис

void (expression)

Описание

Оператор, унарный оператор, отбрасывающий значение expression и возвращающий неопределенное (undefined) значение. Оператор void часто используется в операциях сравнения == для тестирования неопределенных (undefined) значений.


while

U-X > while

while

Доступность

Flash Player 4.

Синтаксис

while(condition) {
    statement(s);
}

Параметры

condition Условие, проверяемое каждый раз при выполнении команды while. Если результат проверки соответствует истине (true), исполняется statement(s).

statement(s) Код, исполняемый в случае соответствия условия истине (true).

Возвращается

Ничего.

Описание

Команда, выполняет заключенный внутри блока кода, пока условный аргумент соответствует истине (true).

Перед выполнением блока кода проверяется условие condition, если результат проверки соответствует истине (true), блок кода выполняется, если нет (false), то блок кода пропускается и происходит переход на следующую после while команду.

Цикл обычно используется для выполнения команд, пока переменная счетчика имеет значение меньше, чем определенное условием. В конце каждого цикла счетчик увеличивает свое значение и цикл повторяется, так происходит до тех пор, пока счетчик не превысит порогового значения, определенного в условии condition, после чего цикл завершается.

Команда while выполняет ряд шагов. Каждое повторение шагов 1-4 называется итерацией цикла. Условие condition проверяется в начале каждой итерации, как описано ниже:

1 | Проверка условия condition.
2 | Если condition соответствует true или значению воспринимаемом, как булевое (Boolean) true (отлично от нуля), перейти на шаг 3.
 | Иначе команда while завершена и выполнение переходит к коду, следующем за циклом while.
3 | Выполнить блок кода statement(s).
4 | Перейти на шаг 1.

Пример

Это пример дублирования пяти мувиков, каждый из которых получает случайные координаты x и y, свойства xscale, yscale и _alpha. Переменная foo инициализируется со значения 0. Аргумент condition устанавливается таким, что while цикл будет выполнен пять раз или пока значение переменной foo будет меньше 5. Внутри while цикла мувик клонируется и через setProperty получает новые свойства. Последний оператор цикла увеличивает значение foo, и так происходит до тех пор, пока foo не достигнет значения 5, после чего при очередной проверке аргумента condition будет получено false и цикл завершит работу.

on(release) {
    foo = 0;
    while(foo < 5) {
        duplicateMovieClip("_root.flower", "mc" + foo, foo);
        setProperty("mc" + foo, _x, random(275));
        setProperty("mc" + foo, _y, random(275));
        setProperty("mc" + foo, _alpha, random(275));
        setProperty("mc" + foo, _xscale, random(200));
        setProperty("mc" + foo, _yscale, random(200));
        foo++;
    }
}

См. также

do while, continue, for, for..in


with

U-X > with

with

Доступность

Flash Player 5.

Синтаксис

with (object) {
    statement(s);
}

Параметры

object Экземпляр ActionScript объекта или мувиклипа.

statement(s) Команда или группа команд, заключенных в фигурные скобки.

Возвращается

Ничего.

Описание

Команда, позволяет определить объект (мувиклип) в параметре object и анализирует выражения и команды, находящиеся внутри параметра statement(s). Это избавляет от необходимости многократного прописывания имени или пути к объекту.

Object соответствует контекстной области, в которой читаются свойства, переменные и функции из параметра statement(s). Например, если object - myArray и два его свойства определены, как length и concat, эти свойства автоматически читаются как myArray.length и myArray.concat. В другом примере, если object есть state.california, то это то же самое, как если бы любая команда или операторы внутри команды with были вызваны изнутри экземпляра california.

Для нахождения значения идентификатора в statement(s), ActionScript начинает поиск в начале контекстной области, определенной object и ищет их в каждом уровне контекста в определенном порядке.

Контекстная область, используемая командой with, определяет идентификаторы начиная с первого элемента следующего списка и до последнего:

Объект, определенный в параметре object внутри команды with.

Объект, определенный в параметре object в удаленной команде with.

Активированный объект (временный объект, созданный автоматически, когда функция вызвана для хранения локальных переменных.)

Мувиклип, содержащий текущий исполняемый скрипт.

Глобальный объект (встроенные объекты, такие как Math, String).

Для установки переменной внутри команды with, она должна быть объявлена снаружи команды with или должен быть введен полный путь до линейки (Timeline), на которой хотите разместить переменную. Если вы установили переменную в команде with без ее объявления, команда with будет искать значение согласно контексту. Если переменная не существует, новое значение будет установлено на линейке, с которой команда with была вызвана.

Во Flash 5 команда with заменяет нежелательную команду tellTarget. Предпочтительнее использовать with вместо tellTarget, потому что стандарт ActionScript расширен к стандарту ECMA-262. Принципиальное различие между with и tellTarget командами в том, что with обращается к клипу или другим объектам как к их аргументам, в то время как tellTarget обращается к пути (target path), идентифицирующем мувиклип и не может использовать объекты.

Пример

Следующий пример устанавливает свойства x и y экземпляра someOtherMovieClip и затем командует ему перейти на третий кадр и остановиться.

with (someOtherMovieClip) {
    _x = 50;
    _y = 100;
    gotoAndStop(3);
}

Следующий отрывок кода показывает, как можно написать предшествующий пример без использования команды with.

someOtherMovieClip._x = 50;
someOtherMovieClip._y = 100;
someOtherMovieClip.gotoAndStop(3);

Этот код также можно написать с использованием команды tellTarget.

tellTarget ("someOtherMovieClip") {
    _x = 50;
    _y = 100;
    gotoAndStop(3);
}

Использование команды with полезно для одновременного вызова многих элементов в контекстном листе. В следующем примере встроенный объект Math помещен в начало объектной области (контекста). Установка Math, как объекта по умолчанию, приводит идентификаторы cos, sin и PI к Math.cos, Math.sin и Math.PI соответственно. Идентификаторы a, x, y и r - не методы или свойства объекта Math, но так как они существуют в объектной области (контексте) функции polar, они приводятся к соответствующим локальным переменным.

function polar(r) {
    var a, x, y;
    with (Math) {
        a = PI * r * r;
        x = r * cos(PI);
        y = r * sin(PI/2);
}
trace("area = " +a);
trace("x = " + x);
trace("y = " + y);
}

Возможно использование вложенных команд with для доступа к информации в многоконтекстных областях. В следующем примере экземпляры fresno и salinas являются дочерними по отношению к california. Оператор устанавливает значения _alpha для fresno и salinas без изменения значения _alpha у california.

with (california){
    with (fresno){
        _alpha = 20;
    }
    with (salinas){
        _alpha = 40;
    }
}

См. также

tellTarget


XML (object)

U-X > XML (object)

XML (object)

Используйте методы и свойства объекта XML для загрузки, анализа, отсылки, формирования и управления XML деревьями документов. Во Flash MX, объект XML стал полноценным, "родным" объектом.

Для создания экземпляра объекта XML, необходимо использовать конструктор new XML(), перед вызовом любого из методов объекта XML.

XML поддерживается Flash Player 5 и Flash Player 6.

Методы объекта XML

Метод | Описание
XML.appendChild | Добавляет узел к концу дочернего списка указанного объекта.
XML.cloneNode | Клонирует указанный узел и, опционально, рекурсивно клонирует все дочерние записи.
XML.createElement | Создает новый элемент XML.
XML.createTextNode | Создает новый текстовый узел XML.
XML.getBytesLoaded | Возвращает число байтов, загруженных для определенного XML документа.
XML.getBytesTotal | Возвращает размер XML документа в байтах.
XML.hasChildNodes | Возвращает true, если указанный узел имеет подчиненные узлы, в противном случае, возвращает false.
XML.insertBefore | Вставляет узел перед существующим узлом в дочернем списке указанного узла.
XML.load | Загружает документ (указанный объектом XML) с адреса URL.
XML.parseXML | Анализирует XML документ в указанное дерево объекта XML.
XML.removeNode | Удаляет указанный узел из его родителя.
XML.send | Посылает указанный объект XML на адрес URL.
XML.sendAndLoad | Посылает указанный объект XML на адрес URL и загружает ответ сервера в другой объект XML.
XML.toString | Преобразовывает указанный узел и любые дочерние записи в текст XML.

Свойства объекта XML

Свойство | Описание
XML.contentType | Показывает MIME тип переданный на сервер.
XML.docTypeDecl | Устанавливает и возвращает информацию об объявлениях DOCTYPE в XML документах.
XML.firstChild | Ссылки на первый подчиненный объект в списке для указанного узла.
XML.ignoreWhite | При установленном true, текстовые узлы, содержащие пробелы, отбрасываются при анализе.
XML.lastChild | Ссылки на последний подчиненный объект в списке для указанного узла.
XML.load | Проверяет загружен ли указанный объект XML.
XML.nextSibling | Ссылки на следующего брата в дочернем списке родительского узла.
XML.nodeName | Возвращает имя тега элемента XML.
XML.nodeType | Возвращает тип указанного узла (XML элемента или текстового узла).
XML.nodeValue | Возвращает текст выбранного узла, если узел является текстовым.
XML.parentNode | Ссылки на родительскую вершину указанного узла.
XML.previousSibling | Ссылки на предыдущего брата в дочернем списке родительского узла.
XML.status | Возвращает числовой код состояния, указывающий успех или неудачу операции синтаксического анализа документа XML.
XML.xmlDecl | Устанавливает и возвращает информацию об объявлениях документов в документе XML.

Массивы объекта XML

Метод | Описание
XML.attributes | Возвращает ассоциативный массив, содержащий все атрибуты указанного узла.
XML.childNodes | Возвращает массив, содержащий ссылки на подчиненные объекты указанного узла.

Обработчики событий объекта XML

Метод | Описание
XML.onData | Функция, возвращаемая в случаях полной загрузки XML текста с сервера или возникновения ошибки в процессе его загрузки.
XML.onLoad | Функция, возвращаемая для load и sendAndLoad.

Конструктор для объекта XML

Доступность

Flash Player 5.

Синтаксис

new XML([source])

Параметры

source Анализируемый документ XML для создания нового объекта XML.

Возвращается

Ничего.

Описание

Конструктор, создает новый объект XML. Вы должны использовать конструктор для создания экземпляра объекта XML перед вызовом его любых методов.

Примечание: методы createElement и createTextnode являются "конструкторскими" методами для создания элементов и текстовых узлов в дереве XML документа.

Пример

Использование 1: Следующий пример создает новый, пустой объект XML.

myXML = new XML();

Использование 2: Следующий пример создает новый объект XML, анализируя XML документ, указанный в параметре source и заполняет созданный объект XML деревом XML документа.

anyOtherXML = new XML("<state>California<city>san francisco</city></state>");

См. также

XML.createElement, XML.createTextNode


XML.appendChild

U-X > XML.appendChild

XML.appendChild

Доступность

Flash Player 5.

Синтаксис

myXML.appendChild(childNode)

Параметры

childNode Дочерний узел, добавляемый в список дочерних объектов указанного XML объекта.

Возвращается

Ничего.

Описание

Метод, добавляет указанный дочерний узел в список объекта XML. Добавляемый дочерний узел будет размещен в древовидной структуре и удален из существующего родительского узла, если такой существует.

Пример

Следующий пример клонирует последний узел из doc1 и добавляет его в doc2.

doc1 = new XML(src1);
doc2 = new XML();
node = doc1.lastChild.cloneNode(true);
doc2.appendChild(node);


XML.attributes

U-X > XML.attributes

XML.attributes

Доступность

Flash Player 5.

Синтаксис

myXML.attributes

Параметры

Нет.

Возвращается

Массив атрибутов XML объекта.

Описание

Совокупность (чтение - запись); возвращает ассоциативный массив, содержащий все атрибуты указанного XML объекта.

Пример

Следующий пример записывает, имена XML атрибутов в окно вывода:

str = "<mytag name=\"Val\"> intem </mytag>";
doc = new XML(str);
y = doc.firstChild.attributes.name;
    trace (y);
doc.firstChild.attributes.order = "first";
z = doc.firstChild.attributes.order
    trace(z);

Будет показан следующий результат:

Val
first


XML.childNodes

U-X > XML.childNodes

XML.childNodes

Доступность

Flash Player 5.

Синтаксис

myXML.childNodes

Параметры

Нет.

Возвращается

Ничего.

Описание

Совокупность (только для чтения), возвращает массив указанных дочерних записей объекта XML. Каждый элемент в массиве есть ссылка на объект XML, который представляет дочернюю вершину. Это свойство только для чтения и не может использоваться для управления дочерними вершинами. Чтобы управлять ими, используйте методы appendChild, insertBefore и removeNode.

Эта совокупность неопределена для текстовых узлов (nodeType == 3).

См. также

XML.nodeType


XML.cloneNode

U-X > XML.cloneNode

XML.cloneNode

Доступность

Flash Player 5.

Синтаксис

myXML.cloneNode(deep)

Параметры

deep Булево значение, определяющее, клонируются ли дочерние записи указанного объекта XML рекурсивно.

Возвращается

Ничего.

Описание

Метод, создает и возвращает новый узел XML того же самого типа, имени, значения и атрибутов, как указанный объект XML. Если deep установлен в true, все дочерние вершины рекурсивно клонируются, создавая точную копию дерева документов первоначального объекта.

Клон возвращаемого узла больше не связан с деревом клонируемой единицы. Следовательно, nextSibling, parentNode и previousSibling имеют значение null. Если копирование клипа не выполнено firstChild и lastChild также null.


XML.contentType

U-X > XML.contentType

XML.contentType

Доступность

Flash Player 6.

Синтаксис

myXML.contentType

Описание

Свойство, MIME тип, посланный серверу при вызове методов XML.send или XML.sendAndLoad. По умолчанию - application/x-www-form-urlencoded.

См. также

XML.send, XML.sendAndLoad


XML.createElement

U-X > XML.createElement

XML.createElement

Доступность

Flash Player 5.

Синтаксис

myXML.createElement(name)

Параметры

name Имя создаваемого XML элемента.

Возвращается

Ссылка на созданный объект XML.

Описание

Метод, создает новый XML элемент с именем, указанным в параметре. Новый элемент первоначально не имеет никакого родителя и никаких дочерних записей. Метод возвращает ссылку на недавно созданный объект XML, представляющий элемент. Этот метод и createTextNode методы конструктора для создания узлов объекта XML.


XML.createTextNode

U-X > XML.createTextNode

XML.createTextNode

Доступность

Flash Player 5.

Синтаксис

myXML.createTextNode(text)

Параметры

text Текст, используемый для создания нового текстового узла.

Возвращается

Ничего.

Описание

Метод, создает новый текстовый узел XML с указанным текстом. Новый узел первоначально не имеет никакого родителя и текстовые узлы не могут иметь дочерние записи. Этот метод возвращает ссылку на объект XML, представляющий новый текстовый узел. Этот метод и createElement - методы конструктора для создания узлов для объекта XML.


XML.docTypeDecl

U-X > XML.docTypeDecl

XML.docTypeDecl

Доступность

Flash Player 5.

Синтаксис

myXML.XMLdocTypeDecl

Описание

Свойство, устанавливает и возвращает информацию об объявлении DOCTYPE документа XML. После анализа текста XML в объекте XML, свойство XML.docTypeDecl объекта XML устанавливается в текст объявления DOCTYPE документа XML. Например, <!DOCTYPE greeting SYSTEM "hello.dtd">. Это свойство установлено используя текстовое представление объявления DOCTYPE, не является узлом объекта XML.

Синтаксический анализатор ActionScript XML не является анализатором достоверности. Объявление DOCTYPE читается синтаксическим анализатором и сохраняется в свойстве docTypeDecl, но никакой проверки правильности DTD не делается.

Если в течение операции синтаксического анализа не попалось никакого объявления DOCTYPE, XML.docTypeDecl устанавливается в неопределенный (undefined). XML.toString выводит содержимое XML.docTypeDecl немедленно после XML объявления, сохраненного в XML.xmlDecl и перед любым другим текстом в объекте XML. Если XML.docTypeDecl неопределен, никакое DOCTYPE объявление не выводится.

Пример

Следующий пример использует XML.docTypeDecl для установления DOCTYPE объявления объекта XML.

myXML.docTypeDecl = "<!DOCTYPE greeting SYSTEM \"hello.dtd\">";

См. также

XML.toString, XML.xmlDecl


XML.firstChild

U-X > XML.firstChild

XML.firstChild

Доступность

Flash Player 5.

Синтаксис

myXML.firstChild

Описание

Свойство (только чтение); определяет заданный XML объект и указывает на первый объект в списке подчиненных объектов родительского узла. Это свойство принимает значение null, если родительский узел не имеет подчиненных объектов. Это свойство неопределенно (undefined), если узел является текстовым узлом. Это свойство только для чтения, поэтому оно не может применяться для управления подчиненными объектами; используйте для этих целей методы appendChild, insertBefore и removeNode..

См. также

XML.appendChild, XML.insertBefore, XML.removeNode


XML.getBytesLoaded

U-X > XML.getBytesLoaded

XML.getBytesLoaded

Доступность

Flash Player 6.

Синтаксис

XML.getBytesLoaded()

Параметры

Нет.

Возвращается

Целое число, указывающее число загруженных байтов.

Описание

Метод. Возвращается число загруженных байтов для XML документа. Можно сравнить значение getBytesLoaded со значением getBytesTotal для определения сколько процентов XML документа загружено.

См. также

XML.getBytesTotal


XML.getBytesTotal

U-X > XML.getBytesTotal

XML.getBytesTotal

Доступность

Flash Player 6.

Синтаксис

XML.getBytesTotal()

Параметры

Нет.

Возвращается

Целое число.

Описание

Метод, возвращает размер XML документа в байтах.

См. также

XML.getBytesLoaded


XML.hasChildNodes

U-X > XML.hasChildNodes

XML.hasChildNodes

Доступность

Flash Player 5.

Синтаксис

myXML.hasChildNodes()

Параметры

Нет.

Возвращается

Булево значение.

Описание

Метод, возвращает true, если указанный объект XML имеет подчиненные объекты, иначе возвращает false.

Пример

Следующий пример использует информацию из объекта XML в определенной пользователем функции.

if (rootNode.hasChildNodes()) {
    myfunc (rootNode.firstChild);
}


XML.ignoreWhite

U-X > XML.ignoreWhite

XML.ignoreWhite

Доступность

Flash Player 5.

Синтаксис

myXML.ignoreWhite = boolean
XML.prototype.ignoreWhite = boolean

Параметры

boolean Булево значение (true или false).

Описание

Свойство, по умолчанию false. Когда установлено true, текстовые узлы, содержащие только пробелы, в ходе синтаксического анализа отбрасываются. Текстовые узлы с начальным или конечным пробелом не трогаются.

Использование 1: установка свойства ignoreWhite:

myXML.ignoreWhite = true


XML.insertBefore

U-X > XML.insertBefore

XML.insertBefore

Доступность

Flash Player 5.

Синтаксис

myXML.insertBefore(childNode, beforeNode)

Параметры

childNode Вставляемый узел.

beforeNode Узел, перед которым будет вставлен childNode.

Возвращается

Ничего.

Описание

Метод, вставляет новый подчиненный узел в список подчиненных узлов объекта XML, перед beforeNode. Если параметр beforeNode неопределен или null, узел добавляется, используя appendChild. Если beforeNode не является дочерним по отношению к myXML, вставка не выполняется.


XML.lastChild

U-X > XML.lastChild

XML.lastChild

Доступность

Flash Player 5.

Синтаксис

myXML.lastChild

Описание

Свойство (только чтение), определяет заданный XML объект и указывает на последний объект в списке подчиненных объектов родительского узла. Это свойство принимает значение null, если родительский узел не имеет подчиненных объектов. Это свойство только для чтения, поэтому оно не может применяться для управления подчиненными объектами, используйте для этих целей методы appendChild, insertBefore и removeNode.

См. также

XML.appendChild, XML.insertBefore, XML.removeNode


XML.load

U-X > XML.load

XML.load

Доступность

Flash Player 5.

Синтаксис

myXML.load(url)

Параметры

url URL (ссылка) XML документа, который нужно загрузить. URL должен быть в том же поддомене, в котором находится текущий клип.

Возвращается

Ничего.

Описание

Метод, загружает XML документ с определенного адреса и замещает содержимое указанного объекта XML новыми загруженными данными XML. Процесс загрузки является асинхронным, он не заканчивается сразу после выполнения метода load. Во время выполнения метода load свойство loaded объекта XML устанавливается в false. По окончании загрузки данных XML, свойство loaded устанавливается в true и вызывается метод onLoad. Данные XML не анализируются, пока они полностью не загружены. Если объект XML содержал любую древовидную структуру XML, она будет удалена.

Можно определить собственную возвращаемую функцию на месте метода onLoad.

Пример

Простой пример, использующий XML.load:

doc = new XML();
doc.load ("theFile.xml");

См. также

XML.loaded, XML.onLoad


XML.loaded

U-X > XML.loaded

XML.loaded

Доступность

Flash Player 5.

Синтаксис

myXML.loaded

Описание

Свойство (только чтение), определяет, завершен ли процесс загрузки документа, инициализированный запросом XML.load. Если процесс загрузки завершен полностью, метод возвращает true, в противном случае - false.

Пример

Следующий пример использует XML.loaded в простой команде.

if (doc.loaded) {
    gotoAndPlay(4);
}


XML.nextSibling

U-X > XML.nextSibling

XML.nextSibling

Доступность

Flash Player 5.

Синтаксис

myXML.nextSibling

Описание

Свойство (только чтение), анализирует объект XML и ссылки следующего брата в дочернем списке родительского узла. Этот метод возвращает null, если узел не имеет следующего братского узла. Это свойство только для чтения и не может использоваться для управления дочерними вершинами. Используйте методы appendChild, insertBefore и removeNode для управления дочерними узлами.

См. также

XML.appendChild, XML.insertBefore, XML.removeNode


XML.nodeName

U-X > XML.nodeName

XML.nodeName

Доступность

Flash Player 5.

Синтаксис

myXML.nodeName

Описание

Свойство, получает или возвращает имя узла объекта XML. Если объект XML есть XML элемент (nodeType == 1), nodeName это имя тега, представляющего узел в файле XML. Например, TITLE является nodeName HTML-тега TITLE. Если объект XML является текстовым узлом (nodeType == 3), nodeName принимает значение null.

См. также

XML.nodeType


XML.nodeType

U-X > XML.nodeType

XML.nodeType

Доступность

Flash Player 5.

Синтаксис

myXML.nodeType

Описание

Свойство (только чтение), получает или возвращает значение nodeType, где 1 - элемент XML и 3 - текстовый узел.

См. также

XML.nodeValue


XML.nodeValue

U-X > XML.nodeValue

XML.nodeValue

Доступность

Flash Player 5.

Синтаксис

myXML.nodeValue

Описание

Свойство, возвращает значение узла объекта XML. Если объект XML является текстовым узлом, nodeType имеет значение 3, а nodeValue принимает значение текста узла. Если объект XML является элементом XML (тип узла - 1), он имеет null nodeValue и свойство используется только для чтения.

See also

XML.nodeType


XML.onData

U-X > XML.onData

XML.onData

Доступность

Flash Player 5

Синтаксис

myXML.onData()

Параметры

Нет.

Возвращается

Ничего.

Описание

Обработчик, вызывается в случаях полной загрузки XML текста с сервера или возникновения ошибки в процессе его загрузки. Этот обработчик вызывается до начала анализа XML, поэтому может использоваться для вызова пользовательской подпрограммы синтаксического анализа вместо Flash XML парсера. Метод XML.onData возвращает строку, содержащую XML текст, полученный с сервера или значение undefined, если в процессе его загрузки произошла ошибка.

По умолчанию метод XML.onData вызывает метод XML.onLoad. Можно влезть внутрь метода XML.onData и изменить его поведение, тогда XML.onLoad больше не будет вызываться при вызове измененного XML.onData.

Пример

Следующий пример показывает как метод onData выглядит по умолчанию:

XML.prototype.onData = function (src) {
  if (src == undefined) {
    this.onLoad(false);
  } else {
    this.parseXML(src);
    this.loaded = true;
    this.onLoad(true);
  }
}

Метод XML.onData можно изменить, чтобы перехватить XML текст до начала анализа.


XML.onLoad

U-X > XML.onLoad

XML.onLoad

Доступность

Flash Player 5.

Синтаксис

myXML.onLoad(success)

Параметры

success Булево значение, указывающее, был ли объект XML успешно загружен командой XML.load или XML.sendAndLoad.

Возвращается

Ничего.

Описание

Метод, вызывается Flash Player'ом, когда XML документ получен с сервера. Если документ XML загружен успешно, аргумент success принимает значение true. Если документ не загружен или произошла ошибка подключения к серверу, аргумент success принимает значение false. Заданная по умолчанию реализация этого метода не активна. Чтобы отменить действие по умолчанию, Вы должны назначить функцию, содержащую ваши собственные команды.

Пример

Следующий пример - код для простого e-commerce приложения. Используется метод sendAndLoad для передачи XML элемента, содержащего имя пользователя и пароль, а обработчиком onLoad проверяется ответ от сервера.

function myOnLoad(success) {
  if (success) {
    if (e.firstChild.nodeName == "LOGINREPLY" &&
        e.firstChild.attributes.status == "OK") {
      gotoAndPlay("loggedIn")
    } else {
      gotoAndStop("loginFailed")
    }
  } else {
    gotoAndStop("connectionFailed")
  }
}
var myLoginReply = new XML();
myLoginReply.onLoad = myOnLoad;
myXML.sendAndLoad("http://www.samplestore.com/login.cgi", myLoginReply);

See also

function, XML.load, XML.sendAndLoad


XML.parentNode

U-X > XML.parentNode

XML.parentNode

Доступность

Flash Player 5.

Синтаксис

myXML.parentNode

Описание

Свойство (только чтение); ссылается на родительский узел указанного объекта XML или возвращает null, если у узла нет родителя. Это свойство только для чтения и оно не может быть использовано для управления подчиненными узлами, для этих целей используйте методы appendChild, insertBefore и removeNode.


XML.parseXML

U-X > XML.parseXML

XML.parseXML

Доступность

Flash Player 5.

Синтаксис

myXML.parseXML(source)

Параметры

source XML текст, который нужно проанализировать и передать определенному XML объекту.

Возвращается

Ничего.

Описание

Метод, анализирует текст XML, указанный в аргументе source и вставляет указанный объект XML в XML дерево. Любые существующие деревья в объекте XML будут отброшены.


XML.previousSibling

U-X > XML.previousSibling

XML.previousSibling

Доступность

Flash Player 5.

Синтаксис

myXML.previousSibling

Описание

Свойство (только для чтения), возвращает ссылку на предыдущего брата в дочернем списке родительского узла. Возвращает null, если узел не имеет предыдущего братского узла. Это свойство только для чтения и не может быть использовано, чтобы управлять дочерними узлами, используйте методы appendChild, insertBefore и removeNode для управления дочерними узлами.


XML.removeNode

U-X > XML.removeNode

XML.removeNode

Доступность

Flash Player 5.

Синтаксис

myXML.childNodes[1].removeNode()

Параметры

Нет.

Возвращается

Ничего.

Описание

Метод, удаляет указанный объект XML из его родителя. Все потомки узла также удаляются.


XML.send

U-X > XML.send

XML.send

Доступность

Flash Player 5.

Синтаксис

myXML.send(url, [window])

Параметры

url Адрес URL для указанного объекта XML.

window Окно броузера для отображения данных, возвращенных сервером: _self указывает на текущий фрейм текущего окна, _blank указывает новое окно, _parent указывает на родителя текущего фрейма и _top указывает на фрейм верхнего уровня текущего окна. Этот параметр необязательный; если он не указан, по умолчанию принимается _self.

Возвращается

Ничего.

Описание

Метод, кодирует указанный объект XML в документ XML и посылает его на указанный адрес URL, используя метод POST.


XML.sendAndLoad

U-X > XML.sendAndLoad

XML.sendAndLoad

Доступность

Flash Player 5.

Синтаксис

myXML.sendAndLoad(url,targetXMLobject)

Параметры

url Адресат URL для указанного объекта XML. URL должен быть в том же поддомене, что и URL, откуда был загружен клип.

targetXMLobject Объект XML, созданный конструктором XML, который будет принимать информацию с сервера.

Возвращается

Ничего.

Описание

Метод, кодирует указанный объект XML в документ XML, посылает его на указанный URL, используя метод POST, загружает ответ сервера и тогда передает его в targetXMLobject, указанный в аргументе. Ответ сервера загружается тем же самым способом, который используется в методе load.

См также

XML.load


XML.status

U-X > XML.status

XML.status

Доступность

Flash Player 5.

Синтаксис

myXML.status

Описание

Свойство, автоматически устанавливает и возвращает числовое значение, указывающее, успешно ли был проведен синтаксический анализ документа XML в объекте XML. Ниже приведен список числовых кодов состояния и описание каждого:

0 Нет ошибок. Синтаксический анализ закончен успешно.

-2 Раздел CDATA не был закончен должным образом.

-3 Объявление XML не было закончено должным образом.

-4 Объявление DOCTYPE не было закончено должным образом.

-5 Комментарий не был закончен должным образом.

-6 XML элемент сформирован неправильно.

-7 Не хватает памяти.

-8 Значение атрибута не было закончено должным образом.

-9 Тег начала не был согласован с конечным тегом.

-10 Конечный тег указан без соответствующего начального тега.


XML.toString

U-X > XML.toString

XML.toString

Доступность

Flash Player 5.

Синтаксис

myXML.toString()

Параметры

Нет.

Возвращается

Строка.

Описание

Метод, анализирует указанный объект XML, строит текстовое представление структуры XML включая узел, дочерние записи и атрибуты, и возвращает результат как строку.

Для объектов XML верхнего уровня (созданных конструктором), XML.toString выводит объявление документа XML (сохраненное в XML.xmlDecl), объявление DOCTYPE (сохраненное в XML.docTypeDecl) и текстовое представление всех XML узлов в объекте. XML объявление не выводится, если XML.xmlDecl неопределен. DOCTYPE объявление не выводится, если XML.docTypeDecl неопределен.

Пример

Следующий код является примером использования метода XML.toString, отсылающего <h1>test</h1> в окно вывода.

node = new XML("<h1>test</h1>");
trace(node.toString());

См. также

XML.docTypeDecl, XML.xmlDecl


XML.xmlDecl

U-X > XML.xmlDecl

XML.xmlDecl

Доступность

Flash Player 5.

Синтаксис

myXML.xmlDecl

Описание

Свойство, устанавливает и возвращает информацию об XML объявлении. После того, как документ XML проанализирован в объекте XML, это свойство устанавливается, используя объявление документа XML. Это свойство устанавливается в строковое представление объявления XML, а не в объект узла XML. Если во время операции синтаксического анализа не было никаких объявлений XML, свойство устанавливается в undefined (неопределено). XML.toString выводит содержимое XML.xmlDecl перед любым другим текстом в объекте XML. Если XML.xmlDecl содержит тип undefined (неопределенный), никакое объявление XML не выводится.

Пример

Использование XML.xmlDecl.

myXML.xmlDecl = "<?xml version=\"1.0\" ?>";

Пример объявления XML:

<?xml version="1.0" ?>

См также

XML.docTypeDecl, XML.toString


XMLSocket (object)

U-X > XMLSocket (object)

XMLSocket (object)

Объект XMLSocket осуществляет связь компьютера, на котором запущен Flash Player, с сервером, идентифицируя его по IP адресу или по доменному имени.

Использование объекта XMLSocket

Для использования объекта XMLSocket, сервер должен запустить демона (daemon), понимающего следующий протокол, используемый объектом XMLSocket:

XML сообщение передается через полное дуплексное потоковое TCP/IP соединение.

Каждое сообщение XML является законченным документом XML, заканчивающееся нулевым байтом.

Неограниченное количество сообщений XML может быть передано и принято за одно соединение XMLSocket.

Объект XMLSocket полезен для клиент-серверных приложений, которые требуют малого времени ожидания, типа чат-систем реального времени. Традиционные чат-системы, основанные на HTTP, часто опрашивают сервер и загружают с него новые сообщения, используя HTTP запрос. Напротив, чат-системы основанные на XMLSocket, поддерживают открытое подключение к серверу, которое позволяет серверу немедленно посылать входящие сообщения без запроса от клиента.

Установка сервера на постоянную связь с объектом XMLSocket может быть нежелательна. Если ваше приложение не требует интерактивности в реальном времени, используйте команду loadVariables или XML связь с сервером, основанную на HTTP (XML.load, XML.sendAndLoad, XML.send), вместо объекта XMLSocket.

Для использования методов объекта XMLSocket, сначала необходимо создать новый объект XMLSocket, используя конструктор new XMLSocket.

XMLSocket и безопасность

Поскольку объект XMLSocket устанавливает и поддерживает открытое подключение к серверу, из соображений безопасности в объект XMLSocket были помещены следующие ограничения:

Метод XMLSocket.connect может соединиться только с TCP портами, номера которых больше или равны 1024. Следствие этого ограничения - серверный демон, который связывается с объектом XMLSocket, должен также быть назначен на порт больше или равный 1024. Порты номерами ниже 1024 часто используются системными сервисами, такими как FTP, Telnet и HTTP, поэтому объект XMLSocket к ним не допускается. Это ограничивает возможность того, что к этим ресурсам будут неуместно обращаться и неправильно эксплуатировать.

Метод XMLSocket.connect может соединиться только с компьютером в том-же поддомене, где расположен файл SWF (клип). Это ограничение не применяется к клипам, выполняемым на локальном диске. (Это ограничение идентично правилам безопасности для loadVariables, XML.sendAndLoad и XML.load.)

Список методов объекта XMLSocket

Method | Описание
XMLSocket.close | Закрывает открытое сокетное соединение.
XMLSocket.connect | Устанавливает связь с указанным сервером.
XMLSocket.send | Посылает объект XML на сервер.

Список обработчиков объекта XMLSocket

Method | Описание
XMLSocket.onClose | Функция, возвращаемая при закрытии XMLSocket соединения.
XMLSocket.onConnect | Функция, возвращаемая при установлении XMLSocket соединения.
XMLSocket.onData | Функция, возвращаемая при поступлении с сервера XML сообщения.
XMLSocket.onXML | Функция, возвращаемая при поступлении с сервера XML объекта.

Конструктор объекта XMLSocket

Доступность

Flash Player 5.

Синтаксис

new XMLSocket()

Параметры

Нет.

Возвращается

Ничего.

Описание

Конструктор, создает новый объект XMLSocket. Объект XMLSocket первоначально не связан ни с каким сервером. Вы должны вызвать метод XMLSocket.connect, чтобы связать объект с сервером.

Пример

myXMLSocket = new XMLSocket();

См также

XMLSocket.connect


XMLSocket.close

U-X > XMLSocket.close

XMLSocket.close

Доступность

Flash Player 5.

Синтаксис

myXMLSocket.close()

Параметры

Нет.

Возвращается

Ничего.

Описание

Метод, закрывает связь, указанную объектом XMLSocket.

См также

XMLSocket.connect


XMLSocket.connect

U-X > XMLSocket.connect

XMLSocket.connect

Доступность

Flash Player 5.

Синтаксис

myXMLSocket.connect(host, port)

Параметры

host Полностью квалифицированное имя домена DNS или адрес IP в виде aaa.bbb.ccc.ddd. Также можете указать null, чтобы связаться с сервером, на котором размещен клип.

port Номер TCP порта главного компьютера для установления связи. Номер порта должен быть не ниже 1024.

Возвращается

Булеан.

Описание

Метод, устанавливает подключение к указанному хосту Internet, используя указанный порт TCP (должен быть 1024 или выше) и возвращает true или false, в зависимости от того, установилось ли соединение. Если Вы не знаете номер порта Вашего Internet хоста, свяжитесь с Вашим сетевым администратором. Если используется Flash Netscape плагин или ActiveX компонент, хост указанный в аргументе должен иметь тот же поддомен, что и хост, с которого загружен клип.

Если Вы укажете null для аргумента host, произойдет связь с хостом, в котором находится клип, вызвавший XMLSocket.connect. Например, если клип загружен с http://www.yoursite.com, указать null аргументу host тоже самое, что и ввести IP адрес www.yoursite.com.

Если XMLSocket.connect возвращает значение true, значит начальная стадия процесса подключения прошла успешно, потом метод XMLSocket.onConnect вызывается для того, чтобы определить, успешно ли прошло соединение. Если XMLSocket.connect возвращает false, значит соединение не удалось.

Пример

Следующий пример использует XMLSocket.connect для соединения с хостом, на котором размещен клип и trace для вывода результата соединения.

function myOnConnect(success) {
    if (success) {
        trace ("Connection succeeded!")
  } else {
        trace ("Connection failed!")
    }
}
socket = new XMLSocket()
socket.onConnect = myOnConnect
if (!socket.connect(null, 2000)) {
    trace ("Connection failed!")
}

См. также

function, XMLSocket.onConnect


XMLSocket.onClose

U-X > XMLSocket.onClose

XMLSocket.onClose

Доступность

Flash Player 5.

Синтаксис

myXMLSocket.onClose()

Параметры

Нет.

Возвращается

Ничего.

Описание

Метод - функция, возвращаемая только в том случае, когда связь закрыта сервером. Заданная по умолчанию реализация этого метода не выполняет никаких действий. Чтобы отменить заданное по умолчанию выполнение, необходимо назначить функцию, содержащую ваши собственные действия.

См также

function, XMLSocket.onConnect


XMLSocket.onConnect

U-X > XMLSocket.onConnect

XMLSocket.onConnect

Доступность

Flash Player 5.

Синтаксис

myXMLSocket.onConnect(success)

Параметры

success Булево значение, указывающее на результат подключения (true или false).

Возвращается

Ничего.

Описание

Метод - функция, возвращаемая Flash Player'ом результат инициализации метода XMLSocket.connect. Если связь удалась, аргумент success принимает значение true, иначе - значение false.

Заданная по умолчанию реализация этого метода не выполняет никаких действий. Чтобы отменить заданное по умолчанию выполнение, необходимо назначить функцию, содержащую ваши собственные действия.

Пример

Следующий пример иллюстрирует процесс определения функции замены для метода onConnect в простом чат-приложении.

Функция контролирует, какой экран показать пользователю в зависимости от того, успешно ли прошло подключение. Если соединение состоялось, пользователь получает основной экран чата в кадре с меткой startChat. Если соединение не состоялось, пользователь переходит на экран с информацией о проблеме связи в кадре с меткой connectionFailed.

function myOnConnect(success) {
    if (success) {
        gotoAndPlay("startChat")
    } else {
        gotoAndStop("connectionFailed")
    }
}

После создания объекта XMLSocket с помощью конструктора, скрипт инициализирует метод onConnect с помощью оператора присваивания:

socket = new XMLSocket()
socket.onConnect = myOnConnect

Наконец, подключение инициализировано. Если connect возвращает false, клип направляется прямо на кадр c меткой connectionFailed и onConnect не вызывается. Если connect возвращает true, клип переходит на кадр с меткой waitForConnection, в котором размещен экран "Пожалуйста подождите". Клип остается на кадре waitForConnection, пока не сработает обработчик onConnect, что может произойти через некоторое время, в зависимости от скорости сети.

if (!socket.connect(null, 2000)) {
    gotoAndStop("connectionFailed")
} else {
    gotoAndStop("waitForConnection")
}

См также

function, XMLSocket.connect


XMLSocket.onData

U-X > XMLSocket.onData

XMLSocket.onData

Доступность

Flash Player 5.

Синтаксис

XMLSocket.onData()

Параметры

Нет.

Возвращается

Ничего.

Описание

Обработчик, вызывается, когда поступающее с сервера XML сообщение завершается нулевым байтом.

По умолчанию метод XMLSocket.onData вызывает метод XMLSocket.onXML. Можно влезть внутрь метода XMLSocket.onData и изменить его поведение на нужное вам, тогда XMLSocket.onXML больше не будет вызываться при вызове измененного XMLSocket.onData.

XMLSocket.prototype.onData = function (src) {
  this.onXML(new XML(src));
}

В предложенном примере параметр src - строка, содержащая XML текст, поступающий с сервера. Конечный нулевой байт не включен в строку.

XMLSocket.onData можно изменить, чтобы перехватить XML текст до начала анализа.


XMLSocket.onXML

U-X > XMLSocket.onXML

XMLSocket.onXML

Доступность

Flash Player 5.

Синтаксис

myXMLSocket.onXML(object)

Parameter

object Экземпляр XML объекта, содержащий анализируемый документ XML, принятый с сервера.

Возвращается

Ничего.

Описание

Метод - функция, возвращаемая Flash Player'ом, когда указанный объект XML, содержащий XML документ, прибывает через открытое XMLSocket соединение. XMLSocket соединение может быть использована для передачи неограниченного числа документов XML между клиентом и сервером. Каждый документ заканчивается нулевым байтом. Когда Flash Player принимает нулевой байт, он анализирует все принятые XML с последнего нулевого байта или с тех пор, как состоялось соединение, если принято первое сообщение. Каждый пакет анализируемого XML обрабатывается, как одиночный документ XML и передается методу onXML.

Заданная по умолчанию реализация этого метода не выполняет никаких действий. Чтобы отменить заданное по умолчанию выполнение, Вы должны назначить функцию, содержащую действия, которые Вы определяете.

Пример

Следующая функция отменяет заданное по умолчанию выполнение метода onXML в простом чат-приложении. Функция myOnXML указывает чат-приложению распознавать одиночный элемент XML, MESSAGE, в следующем формате.

<MESSAGE USER="John" TEXT="Hello, my name is John!" />.

Обработчик onXML должен сначала быть установлен в объекте XMLSocket следующим образом:

socket.onXML = myOnXML;

Функция displayMessage является определяемой пользователем функцией и служит для показа полученного сообщения.

function myOnXML(doc) {
    var e = doc.firstChild;
    if (e != null && e.nodeName == "MESSAGE") {
        displayMessage(e.attributes.user, e.attributes.text);
    }
}

См также

function


XMLSocket.send

U-X > XMLSocket.send

XMLSocket.send

Доступность

Flash Player 5.

Синтаксис

myXMLSocket.send(object)

Параметры

object Объект XML или другие данные, которые нужно передать на сервер.

Возвращается

Ничего.

Описание

Метод, преобразует объект XML или данные, указанные в аргументе object в строку и передает это на сервер, сопровождая нулевым байтом. Если object есть объект XML, строка является текстовым представлением объекта XML. Посылающая операция асинхронная, она возвращается немедленно, но данные могут быть переданы в более позднее время. Метод XMLSocket.send не возвращает значение, указывающее, были ли данные успешно переданы.

Если myXMLSocket не связан с сервером (используя XMLSocket.connect), операция XMLSocket.send не выполнится.

Пример

Следующий пример иллюстрирует, как можно определить логин и пароль для отсылки XML объекта myXML на сервер:

var myXML = new XML();
var myLogin = myXML.createElement("login");
myLogin.attributes.username = usernameTextField;
myLogin.attributes.password = passwordTextField;
myXML.appendChild(myLogin);
myXMLSocket.send(myXML);

См также

XMLSocket.connect


RuFlash

Мейл-Конференция "ruFlash"

Перевод справки на русский язык сделан группой участников мейл-конференции "ruFlash".

РУССКАЯ РЕДАКЦИЯ СПРАВКИ ПРЕДНАЗНАЧЕНА ИСКЛЮЧИТЕЛЬНО ДЛЯ ЛИЧНОГО OFF-LINE ПОЛЬЗОВАНИЯ, ЛЮБОЕ КОММЕРЧЕСКОЕ ИСПОЛЬЗОВАНИЕ И ПУБЛИКАЦИЯ В СЕТИ НЕДОПУСТИМЫ !

ruFlash NewsLetter Мейл-Конференция "ruFlash" (RUSSIAN FLASH NEWS)
существует с мая 1999 года. Конференция предназначена для свободного общения, оперативного обмена новостями между русскоязычными пользователями пакета Macromedia Flash, обсуждения технологии работы в нем и других аналогичных или связанных с ним программах. Разрешается обсуждение вопросов близких к тематике конференции или каким либо образом влияющих на развитие и распространение Flash технологии.

Участником конференции может быть любой, без каких либо ограничений, "житель" Сети, имеющий адрес электронной почты, если он согласен с ее Правилами и соблюдает их при общении с другими подписчиками. Форма для подписки находится внизу страницы с Правилами Конференции.


Операторы >

Операторы

  • -- (decrement)
  • ++ (increment)
  • ! (logical NOT)
  • != (inequality)
  • !== (strict inequality)
  • % (modulo)
  • %= (modulo assignment)
  • & (bitwise AND)
  • && (short-circuit AND)
  • &= (bitwise AND assignment)
  • () (parentheses)
  • - (minus)
  • * (multiplication)
  • *= (multiplication assignment)
  • , (comma)
  • . (dot)
  • ?: (conditional)
  • / (division)
  • // (comment delimiter)
  • /* (comment delimiter)
  • /= (division assignment)
  • [] (array access)
  • ^(bitwise XOR)
  • ^= (bitwise XOR assignment)
  • {} (object initializer)
  • | (bitwise OR)
  • || (logical OR)
  • |= (bitwise OR assignment)
  • ~ (bitwise NOT)
  • + (addition)
  • += (addition assignment)
  • < (less than)
  • << (bitwise left shift)
  • <<= (bitwise left shift and assignment)
  • <= (less than or equal to)
  • <> (inequality)
  • = (assignment)
  • -= (subtraction assignment)
  • == (equality)
  • === (strict equality)
  • > (greater than)
  • >= (greater than or equal to)
  • >> (bitwise right shift)
  • >>= (bitwise right shift and assignment)
  • >>> (bitwise unsigned right shift)
  • >>>= (bitwise unsigned right shift and assignment)


A-C >

A - C

  • Accessibility (object)
  • Accessibility.isActive
  • add
  • and
  • arguments (object)
  • arguments.callee
  • arguments.caller
  • arguments.length
  • Array (object)
  • Array.concat
  • Array.join
  • Array.length
  • Array.pop
  • Array.push
  • Array.reverse
  • Array.shift
  • Array.slice
  • Array.sort
  • Array.sortOn
  • Array.splice
  • Array.toString
  • Array.unshift
  • asfunction
  • Boolean (function)
  • Boolean (object)
  • Boolean.toString
  • Boolean.valueOf
  • break
  • Button (object)
  • Event summary for the Button object
  • Button._alpha
  • Button.enabled
  • Button._focusrect
  • Button.getDepth
  • Button._height
  • Button._highquality
  • Button._name
  • Button.onDragOut
  • Button.onDragOver
  • Button.onKeyDown
  • Button.onKeyUp
  • Button.onKillFocus
  • Button.onPress
  • Button.onRelease
  • Button.onReleaseOutside
  • Button.onRollOut
  • Button.onRollOver
  • Button.onSetFocus
  • Button._parent
  • Button._quality
  • Button._rotation
  • Button._soundbuftime
  • Button.tabEnabled
  • Button.tabIndex
  • Button._target
  • Button.trackAsMenu
  • Button._url
  • Button.useHandCursor
  • Button._visible
  • Button._width
  • Button._x
  • Button._xmouse
  • Button._xscale
  • Button._y
  • Button._ymouse
  • Button._yscale
  • call
  • call function
  • case
  • chr
  • clearInterval
  • Color (object)
  • Color.getRGB
  • Color.getTransform
  • Color.setRGB
  • Color.setTransform
  • continue
  • CustomActions (object)
  • CustomActions.get
  • CustomActions.install
  • CustomActions.list
  • CustomActions.uninstall


D-E >

D - E

  • Date (object)
  • Date.getDate
  • Date.getDay
  • Date.getFullYear
  • Date.getHours
  • Date.getMilliseconds
  • Date.getMinutes
  • Date.getMonth
  • Date.getSeconds
  • Date.getTime
  • Date.getTimezoneOffset
  • Date.getUTCDate
  • Date.getUTCDay
  • Date.getUTCFullYear
  • Date.getUTCHours
  • Date.getUTCMilliseconds
  • Date.getUTCMinutes
  • Date.getUTCMonth
  • Date.getUTCSeconds
  • Date.getYear
  • Date.setDate
  • Date.setFullYear
  • Date.setHours
  • Date.setMilliseconds
  • Date.setMinutes
  • Date.setMonth
  • Date.setSeconds
  • Date.setTime
  • Date.setUTCDate
  • Date.setUTCFullYear
  • Date.setUTCHours
  • Date.setUTCMilliseconds
  • Date.setUTCMinutes
  • Date.setUTCMonth
  • Date.setUTCSeconds
  • Date.setYear
  • Date.toString
  • Date.UTC
  • default
  • delete
  • do while
  • duplicateMovieClip
  • else
  • else if
  • #endinitclip
  • eq (equal—string specific)
  • escape
  • eval
  • evaluate


Date (object)

D-E > Date (object)

Date (object)

Объект Date позволяет получить глобальные (по Гринвичу или UTC) или текущие (системные) дату и время, определяемые операционной системой, на которой запущен Flash Player. Методы объекта Date не статичные и применяются отдельно для каждого экземпляра объекта Date, для которого были вызваны, кроме метода Date.UTC, он статичный.

В зависимости от операционной системы и версии Flash Player'а, объект Date по разному обрабатывает "летнее" время. Как это делается Flash Player'ом 6 в следующих операционных систем:

Windows— объект Date автоматически учитывает и корректирует "летнее" время. Из системных установок определяется, используется ли "летнее" время в текущем регионе и если да, то вносятся необходимые коррективы. Однако текущие даты переходов едины и применяются и к прошлым и к будущим, что может вызвать ошибку в вычислении прошлых дат, если этот регион использовал иные даты переходов.

Mac OS 8 and 9— объект Date использует текущее "летнее" время независимо от вычисляемой даты. Например, в августе "летнее" время фактически будет учитываться и для зимней даты тоже. Эта проблема не может быть исправлена на Mac OS 8 или 9, т.к. там не доступна база данных по часовым поясам.

Mac OS X— объект Date автоматически учитывает и корректирует "летнее" время, для этого в Mac OS X используется системная информационная база данных часовых поясов.

Как это делается Flash Player'ом 5 в следующих операционных систем:

Mac OS 8 and 9— то же самое поведение как и для Flash Player 6.

Windows—Flash определяет, применяется ли "летнее" время в текущем регионе, но используются американские правила перехода, что ведет к неправильным переходам в Европе и других регионах, имеющих отличия от американской системы "летнего" времени.

Для вызова методов объекта Date, необходимо сначала при помощи конструктора создать экземпляр объекта Date.

Для работы с объектом Date требуется Flash Player версии 5 и выше.

Сводная таблица методов объекта Date

Метод | Описание
Date.getDate | Возвращает день месяца по системному времени.
Date.getDay | Возвращает день недели по системному времени.
Date.getFullYear | Возвращает четырехзначное значение года по системному времени.
Date.getHours | Возвращает час по системному времени.
Date.getMilliseconds | Возвращает количество миллисекунд по системному времени.
Date.getMinutes | Возвращает количество минут по системному времени.
Date.getMonth | Возвращает месяц по системному времени.
Date.getSeconds | Возвращает количество секунд по системному времени.
Date.getTime | Возвращает количество миллисекунд, прошедших с 1 января 1970 по глобальному времени.
Date.getTimezoneOffset | Возвращает разницу в минутах между системным и глобальным временем.
Date.getUTCDate | Возвращает день месяца по глобальному времени.
Date.getUTCDay | Возвращает день недели по глобальному времени.
Date.getUTCFullYear | Возвращает четырехзначное значение года по глобальному времени.
Date.getUTCHours | Возвращает час по глобальному времени.
Date.getUTCMilliseconds | Возвращает количество миллисекунд по глобальному времени.
Date.getUTCMinutes | Возвращает количество минут по глобальному времени.
Date.getUTCMonth | Возвращает месяц по глобальному времени.
Date.getUTCSeconds | Возвращает количество секунд по глобальному времени.
Date.getYear | Возвращает значение года по системному времени.
Date.setDate | Выставляет день месяца по системному времени. Возвращает новое время в миллисекундах.
Date.setFullYear | Выставляет полный год по системному времени. Возвращает новое время в миллисекундах.
Date.setHours | Выставляет час по системному времени. Возвращает новое время в миллисекундах.
Date.setMilliseconds | Выставляет количество миллисекунд по системному времени. Возвращает новое время в миллисекундах.
Date.setMinutes | Выставляет количество минут по системному времени. Возвращает новое время в миллисекундах.
Date.setMonth | Выставляет месяц по системному времени. Возвращает новое время в миллисекундах.
Date.setSeconds | Выставляет количество секунд по системному времени. Возвращает новое время в миллисекундах.
Date.setTime | Выставляет дату в миллисекундах. Возвращает новое время в миллисекундах.
Date.setUTCDate | Выставляет дату по глобальному времени. Возвращает новое время в миллисекундах.
Date.setUTCFullYear | Выставляет год по глобальному времени. Возвращает новое время в миллисекундах.
Date.setUTCHours | Выставляет час по глобальному времени. Возвращает новое время в миллисекундах.
Date.setUTCMilliseconds | Выставляет миллисекунды по глобальному времени. Возвращает новое время в миллисекундах.
Date.setUTCMinutes | Выставляет минуты по глобальному времени. Возвращает новое время в миллисекундах.
Date.setUTCMonth | Выставляет месяц по глобальному времени. Возвращает новое время в миллисекундах.
Date.setUTCSeconds | Выставляет секунды по глобальному времени. Возвращает новое время в миллисекундах.
Date.setYear | Выставляет год по системному времени.
Date.toString | Возвращает строку, представляющую дату и время, содержащиеся в объекте Date.
Date.UTC | Возвращает количество миллисекунд, прошедших с 00.00 1 января 1970 г. по глобальному времени до заданного времени.

Конструктор объекта Date

Доступность

Flash Player 5.

Синтаксис

new Date()
new Date(year, month [, date [, hour [, minute [, second [, millisecond ]]]]])

Параметры

year Число от 0 до 99, задающих год между 1900 и 1999, иначе должны быть заданы все четыре цифры.

month Целое от 0 (январь) до 11 (декабрь).

date Целое от 0 до 31. Необязательный аргумент.

hour Целое от 0 (полночь) до 23 (11 вечера).

minute Целое от 0 до 59. Необязательный аргумент.

second Целое от 0 до 59. Необязательный аргумент.

millisecond Целое от 0 до 999. Необязательный аргумент.

Возвращается

Целое число.

Описание

Объект, создает новый объект Date, содержащий текущие или определенные дату и время.

Пример

Получаем текущие дату и время:

now = new Date();

Создаем новый объект новый объект Date, хранящий день рождения Гарри, 7 августа 1974:

gary_birthday = new Date (74, 7, 7);

Создаем новый объект Date, получаем данные с помощью методов getMonth, getDate, и getFullYear, форматируем их, а получившуюся строку отправляем в текстовое поле dateTextField.

myDate = new Date();
dateTextField = ((myDate.getMonth() + 1) + "/" + myDate.getDate() + "/" + myDate.getFullYear());


F >

F

  • false
  • FCheckBox (component)
  • FCheckBox.getEnabled
  • FCheckBox.getLabel
  • FCheckBox.getValue
  • FCheckBox.registerSkinElement
  • FCheckBox.setChangeHandler
  • FCheckBox.setEnabled
  • FCheckBox.setLabel
  • FCheckBox.setLabelPlacement
  • FCheckBox.setSize
  • FCheckBox.setStyleProperty
  • FCheckBox.setValue
  • FComboBox (component)
  • FComboBox.addItem
  • FComboBox.addItemAt
  • FComboBox.getEnabled
  • FComboBox.getItemAt
  • FComboBox.getLength
  • FComboBox.getRowCount
  • FComboBox.getScrollPosition
  • FComboBox.getSelectedIndex
  • FComboBox.getSelectedItem
  • FComboBox.getValue
  • FComboBox.registerSkinElement
  • FComboBox.removeAll
  • FComboBox.removeItemAt
  • FComboBox.replaceItemAt
  • FComboBox.setChangeHandler
  • FComboBox.setDataProvider
  • FComboBox.setEditable
  • FComboBox.setEnabled
  • FComboBox.setItemSymbol
  • FComboBox.setRowCount
  • FComboBox.setSelectedIndex
  • FComboBox.setSize
  • FComboBox.setStyleProperty
  • FComboBox.setValue
  • FComboBox.sortItemsBy
  • FListBox (component)
  • FListBox.addItem
  • FListBox.addItemAt
  • FListBox.getEnabled
  • FListBox.getItemAt
  • FListBox.getLength
  • FListBox.getRowCount
  • FListBox.getScrollPosition
  • FListBox.getSelectedIndex
  • FListBox.getSelectedIndices
  • FListBox.getSelectedItem
  • FListBox.getSelectedItems
  • FListBox.getSelectMultiple
  • FListBox.getValue
  • FListBox.registerSkinElement
  • FListBox.removeAll
  • FListBox.removeItemAt
  • FListBox.replaceItemAt
  • FListBox.setAutoHideScrollBar
  • FListBox.setChangeHandler
  • FListBox.setDataProvider
  • FListBox.setEnabled
  • FListBox.setItemSymbol
  • FListBox.setRowCount
  • FListBox.setScrollPosition
  • FListBox.setSelectedIndex
  • FListBox.setSelectedIndices
  • FListBox.setSelectMultiple
  • FListBox.setSize
  • FListBox.setStyleProperty
  • FListBox.setWidth
  • FListBox.sortItemsBy
  • _focusrect
  • for
  • for..in
  • FPushButton (component)
  • FPushButton.getEnabled
  • FPushButton.getLabel
  • FPushButton.registerSkinElement
  • FPushButton.setClickHandler
  • FPushButton.setEnabled
  • FPushButton.setLabel
  • FPushButton.setSize
  • FPushButton.setStyleProperty
  • FRadioButton (component)
  • FRadioButton.getData
  • FRadioButton.getEnabled
  • FRadioButton.getLabel
  • FRadioButton.getState
  • FRadioButton.getValue
  • FRadioButton.registerSkinElement
  • FRadioButton.setChangeHandler
  • FRadioButton.setData
  • FRadioButton.setEnabled
  • FRadioButton.setGroupName
  • FRadioButton.setLabel
  • FRadioButton.setLabelPlacement
  • FRadioButton.setSize
  • FRadioButton.setState
  • FRadioButton.setStyleProperty
  • FRadioButton.setValue
  • FScrollBar (component)
  • FScrollBar.getEnabled
  • FScrollBar.getScrollPosition
  • FScrollBar.registerSkinElement
  • FScrollBar.setChangeHandler
  • FScrollBar.setEnabled
  • FScrollBar.setHorizontal
  • FScrollBar.setLargeScroll
  • FScrollBar.setScrollPosition
  • FScrollBar.setScrollProperties
  • FScrollBar.setScrollTarget
  • FScrollBar.setSize
  • FScrollBar.setSmallScroll
  • FScrollBar.setStyleProperty
  • FScrollPane (component)
  • FScrollPane.getPaneHeight
  • FScrollPane.getPaneWidth
  • FScrollPane.getScrollContent
  • FScrollPane.getScrollPosition
  • FScrollPane.loadScrollContent
  • FScrollPane.refreshPane
  • FScrollPane.registerSkinElement
  • FScrollPane.setDragContent
  • FScrollPane.setHScroll
  • FScrollPane.setScrollContent
  • FScrollPane.setScrollPosition
  • FScrollPane.setSize
  • FScrollPane.setStyleProperty
  • FScrollPane.setVScroll
  • FStyleFormat (object)
  • Property summary for the FStyleFormat object
  • FStyleFormat.addListener
  • FStyleFormat.applyChanges
  • FStyleFormat.arrow
  • FStyleFormat.background
  • FStyleFormat.backgroundDisabled
  • FStyleFormat.check
  • FStyleFormat.darkshadow
  • FStyleFormat.face
  • FStyleFormat.foregroundDisabled
  • FStyleFormat.highlight
  • FStyleFormat.highlight3D
  • FStyleFormat.radioDot
  • FStyleFormat.removeListener
  • FStyleFormat.scrollTrack
  • FStyleFormat.selection
  • FStyleFormat.selectionDisabled
  • FStyleFormat.selectionUnfocused
  • FStyleFormat.shadow
  • FStyleFormat.textAlign
  • FStyleFormat.textBold
  • FStyleFormat.textColor
  • FStyleFormat.textDisabled
  • FStyleFormat.textFont
  • FStyleFormat.textIndent
  • FStyleFormat.textItalic
  • FStyleFormat.textLeftMargin
  • FStyleFormat.textRightMargin
  • FStyleFormat.textSelected
  • FStyleFormat.textSize
  • FStyleFormat.textUnderline
  • Function (object)
  • Function.apply
  • Function.call
  • Function.prototype
  • fscommand
  • function


G-L >

G - L

  • ge (больше или равно, для строк)
  • getProperty
  • getTimer
  • getURL
  • getVersion
  • _global
  • globalStyleFormat
  • gotoAndPlay
  • gotoAndStop
  • gt (больше чем, для строк)
  • _highquality
  • if
  • ifFrameLoaded
  • #include
  • #initclip
  • instanceof
  • int
  • isFinite
  • isNaN
  • Key (object)
  • Key.addListener
  • Key.BACKSPACE
  • Key.CAPSLOCK
  • Key.CONTROL
  • Key.DELETEKEY
  • Key.DOWN
  • Key.END
  • Key.ENTER
  • Key.ESCAPE
  • Key.getAscii
  • Key.getCode
  • Key.HOME
  • Key.INSERT
  • Key.isDown
  • Key.isToggled
  • Key.LEFT
  • Key.onKeyDown
  • Key.onKeyUp
  • Key.PGDN
  • Key.PGUP
  • Key.removeListener
  • Key.RIGHT
  • Key.SHIFT
  • Key.SPACE
  • Key.TAB
  • Key.UP
  • le (меньше или равно, для строк)
  • length
  • _level
  • loadMovie
  • loadMovieNum
  • loadVariables
  • loadVariablesNum
  • LoadVars (object)
  • LoadVars.contentType
  • LoadVars.getBytesLoaded
  • LoadVars.getBytesTotal
  • LoadVars.load
  • LoadVars.loaded
  • LoadVars.onLoad
  • LoadVars.send
  • LoadVars.sendAndLoad
  • LoadVars.toString
  • lt (меньше чем, для строк)


M >

M

  • Math (object)
  • Math.abs
  • Math.acos
  • Math.asin
  • Math.atan
  • Math.atan2
  • Math.ceil
  • Math.cos
  • Math.E
  • Math.exp
  • Math.floor
  • Math.log
  • Math.LOG2E
  • Math.LOG10E
  • Math.LN2
  • Math.LN10
  • Math.max
  • Math.min
  • Math.PI
  • Math.pow
  • Math.random
  • Math.round
  • Math.sin
  • Math.sqrt
  • Math.SQRT1_2
  • Math.SQRT2
  • Math.tan
  • maxscroll
  • mbchr
  • mblength
  • mbord
  • mbsubstring
  • method
  • Mouse (object)
  • Mouse.addListener
  • Mouse.hide
  • Mouse.onMouseDown
  • Mouse.onMouseMove
  • Mouse.onMouseUp
  • Mouse.removeListener
  • Mouse.show
  • MovieClip (object)
  • MovieClip._alpha
  • MovieClip.attachMovie
  • MovieClip.beginFill
  • MovieClip.beginGradientFill
  • MovieClip.clear
  • MovieClip.createEmptyMovieClip
  • MovieClip.createTextField
  • MovieClip._currentframe
  • MovieClip.curveTo
  • MovieClip._droptarget
  • MovieClip.duplicateMovieClip
  • MovieClip.enabled
  • MovieClip.endFill
  • MovieClip.focusEnabled
  • MovieClip._focusrect
  • MovieClip._framesloaded
  • MovieClip.getBounds
  • MovieClip.getBytesLoaded
  • MovieClip.getBytesTotal
  • MovieClip.getDepth
  • MovieClip.getURL
  • MovieClip.globalToLocal
  • MovieClip.gotoAndPlay
  • MovieClip.gotoAndStop
  • MovieClip._height
  • MovieClip._highquality
  • MovieClip.hitArea
  • MovieClip.hitTest
  • MovieClip.lineStyle
  • MovieClip.lineTo
  • MovieClip.loadMovie
  • MovieClip.loadVariables
  • MovieClip.localToGlobal
  • MovieClip.moveTo
  • MovieClip._name
  • MovieClip.nextFrame
  • MovieClip.onData
  • MovieClip.onDragOut
  • MovieClip.onDragOver
  • MovieClip.onEnterFrame
  • MovieClip.onKeyDown
  • MovieClip.onKeyUp
  • MovieClip.onKillFocus
  • MovieClip.onLoad
  • MovieClip.onMouseDown
  • MovieClip.onMouseMove
  • MovieClip.onMouseUp
  • MovieClip.onPress
  • MovieClip.onRelease
  • MovieClip.onReleaseOutside
  • MovieClip.onRollOut
  • MovieClip.onRollOver
  • MovieClip.onSetFocus
  • MovieClip.onUnload
  • MovieClip._parent
  • MovieClip.play
  • MovieClip.prevFrame
  • MovieClip.removeMovieClip
  • MovieClip._rotation
  • MovieClip.setMask
  • MovieClip._soundbuftime
  • MovieClip.startDrag
  • MovieClip.stop
  • MovieClip.stopDrag
  • MovieClip.swapDepths
  • MovieClip.tabChildren
  • MovieClip.tabEnabled
  • MovieClip.tabIndex
  • MovieClip._target
  • MovieClip._totalframes
  • MovieClip.trackAsMenu
  • MovieClip.unloadMovie
  • MovieClip._url
  • MovieClip.useHandCursor
  • MovieClip._visible
  • MovieClip._width
  • MovieClip._x
  • MovieClip._xmouse
  • MovieClip._xscale
  • MovieClip._y
  • MovieClip._ymouse
  • MovieClip._yscale


N-R >

N - R

  • NaN
  • ne (not equal — string specific)
  • new
  • newline
  • nextFrame
  • nextScene
  • not
  • null
  • Number (function)
  • Number (object)
  • Number.MAX_VALUE
  • Number.MIN_VALUE
  • Number.NaN
  • Number.NEGATIVE_INFINITY
  • Number.POSITIVE_INFINITY
  • Number.toString
  • Number.valueOf
  • Object (object)
  • Object.addProperty
  • Object.__proto__
  • Object.registerClass
  • Object.toString
  • Object.unwatch
  • Object.valueOf
  • Object.watch
  • onClipEvent
  • on
  • or
  • ord
  • _parent
  • parseFloat
  • parseInt
  • play
  • prevFrame
  • prevScene
  • print
  • printAsBitmap
  • printAsBitmapNum
  • printNum
  • _quality
  • random
  • removeMovieClip
  • return
  • _root


S >

S

  • scroll
  • Selection (объект)
  • Selection.addListener
  • Selection.getBeginIndex
  • Selection.getCaretIndex
  • Selection.getEndIndex
  • Selection.getFocus
  • Selection.onSetFocus
  • Selection.removeListener
  • Selection.setFocus
  • Selection.setSelection
  • set variable
  • setInterval
  • setProperty
  • Sound (объект)
  • Sound.attachSound
  • Sound.duration
  • Sound.getBytesLoaded
  • Sound.getBytesTotal
  • Sound.getPan
  • Sound.getTransform
  • Sound.getVolume
  • Sound.loadSound
  • Sound.onLoad
  • Sound.onSoundComplete
  • Sound.position
  • Sound.setPan
  • Sound.setTransform
  • Sound.setVolume
  • Sound.start
  • Sound.stop
  • _soundbuftime
  • Stage (объект)
  • Stage.addListener
  • Stage.align
  • Stage.height
  • Stage.onResize
  • Stage.removeListener
  • Stage.scaleMode
  • Stage.showMenu
  • Stage.width
  • startDrag
  • stop
  • stopAllSounds
  • stopDrag
  • String (функция)
  • " " (строковый разделитель)
  • String (объект)
  • String.charAt
  • String.charCodeAt
  • String.concat
  • String.fromCharCode
  • String.indexOf
  • String.lastIndexOf
  • String.length
  • String.slice
  • String.split
  • String.substr
  • String.substring
  • String.toLowerCase
  • String.toUpperCase
  • substring
  • super
  • switch
  • System (объект)
  • System.capabilities (объект)
  • System.capabilities.hasAudioEncoder
  • System.capabilities.hasAccessibility
  • System.capabilities.hasAudio
  • System.capabilities.hasMP3
  • System.capabilities.language
  • System.capabilities.manufacturer
  • System.capabilities.os
  • System.capabilities.pixelAspectRatio
  • System.capabilities.screenColor
  • System.capabilities.screenDPI
  • System.capabilities.screenResolutionX
  • System.capabilities.screenResolutionY
  • System.capabilities.version
  • System.capabilities.hasVideoEncoder
  • System.security.allowDomain
  • System.useCodepage


T >

T

  • targetPath
  • tellTarget
  • TextField (object)
  • TextField._alpha
  • TextField.addListener
  • TextField.autoSize
  • TextField.background
  • TextField.backgroundColor
  • TextField.border
  • TextField.borderColor
  • TextField.bottomScroll
  • TextField.embedFonts
  • TextField._focusrect
  • TextField.getDepth
  • TextField.getFontList
  • TextField.getNewTextFormat
  • TextField.getTextFormat
  • TextField._height
  • TextField._highquality
  • TextField.hscroll
  • TextField.html
  • TextField.htmlText
  • TextField.length
  • TextField.maxChars
  • TextField.maxhscroll
  • TextField.maxscroll
  • TextField.multiline
  • TextField._name
  • TextField.onChanged
  • TextField.onKillFocus
  • TextField.onScroller
  • TextField.onSetFocus
  • TextField._parent
  • TextField.password
  • TextField._quality
  • TextField.removeListener
  • TextField.removeTextField
  • TextField.replaceSel
  • TextField.restrict
  • TextField._rotation
  • TextField.scroll
  • TextField.selectable
  • TextField.setNewTextFormat
  • TextField.setTextFormat
  • TextField._soundbuftime
  • TextField.tabEnabled
  • TextField.tabIndex
  • TextField._target
  • TextField.text
  • TextField.textColor
  • TextField.textHeight
  • TextField.textWidth
  • TextField.type
  • TextField._url
  • TextField.variable
  • TextField._visible
  • TextField._width
  • TextField.wordWrap
  • TextField._x
  • TextField._xmouse
  • TextField._xscale
  • TextField._y
  • TextField._ymouse
  • TextField._yscale
  • TextFormat (object)
  • TextFormat.align
  • TextFormat.blockIndent
  • TextFormat.bold
  • TextFormat.bullet
  • TextFormat.color
  • TextFormat.font
  • TextFormat.getTextExtent
  • TextFormat.indent
  • TextFormat.italic
  • TextFormat.leading
  • TextFormat.leftMargin
  • TextFormat.rightMargin
  • TextFormat.size
  • TextFormat.tabStops
  • TextFormat.target
  • TextFormat.underline
  • TextFormat.url
  • this
  • toggleHighQuality
  • trace
  • true
  • typeof


U-X >

U - X

  • undefined
  • unescape
  • unloadMovie
  • unloadMovieNum
  • updateAfterEvent
  • var
  • void
  • while
  • with
  • XML (object)
  • XML.appendChild
  • XML.attributes
  • XML.childNodes
  • XML.cloneNode
  • XML.contentType
  • XML.createElement
  • XML.createTextNode
  • XML.docTypeDecl
  • XML.firstChild
  • XML.getBytesLoaded
  • XML.getBytesTotal
  • XML.hasChildNodes
  • XML.ignoreWhite
  • XML.insertBefore
  • XML.lastChild
  • XML.load
  • XML.loaded
  • XML.nextSibling
  • XML.nodeName
  • XML.nodeType
  • XML.nodeValue
  • XML.onData
  • XML.onLoad
  • XML.parentNode
  • XML.parseXML
  • XML.previousSibling
  • XML.removeNode
  • XML.send
  • XML.sendAndLoad
  • XML.status
  • XML.toString
  • XML.xmlDecl
  • XMLSocket (object)
  • XMLSocket.close
  • XMLSocket.connect
  • XMLSocket.onClose
  • XMLSocket.onConnect
  • XMLSocket.onData
  • XMLSocket.onXML
  • XMLSocket.send